#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2518
#define LARGE_STATE_COUNT 173
#define SYMBOL_COUNT 246
#define ALIAS_COUNT 5
#define TOKEN_COUNT 106
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 130

enum {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_class = 43,
  anon_sym_AT = 44,
  anon_sym_LBRACK = 45,
  anon_sym_RBRACK = 46,
  anon_sym_EQ = 47,
  anon_sym_not = 48,
  anon_sym_and = 49,
  anon_sym_or = 50,
  anon_sym_PLUS = 51,
  anon_sym_DASH = 52,
  anon_sym_SLASH = 53,
  anon_sym_PERCENT = 54,
  anon_sym_SLASH_SLASH = 55,
  anon_sym_PIPE = 56,
  anon_sym_AMP = 57,
  anon_sym_CARET = 58,
  anon_sym_LT_LT = 59,
  anon_sym_TILDE = 60,
  anon_sym_LT = 61,
  anon_sym_LT_EQ = 62,
  anon_sym_EQ_EQ = 63,
  anon_sym_BANG_EQ = 64,
  anon_sym_GT_EQ = 65,
  anon_sym_GT = 66,
  anon_sym_LT_GT = 67,
  anon_sym_is = 68,
  anon_sym_lambda = 69,
  anon_sym_PLUS_EQ = 70,
  anon_sym_DASH_EQ = 71,
  anon_sym_STAR_EQ = 72,
  anon_sym_SLASH_EQ = 73,
  anon_sym_AT_EQ = 74,
  anon_sym_SLASH_SLASH_EQ = 75,
  anon_sym_PERCENT_EQ = 76,
  anon_sym_STAR_STAR_EQ = 77,
  anon_sym_GT_GT_EQ = 78,
  anon_sym_LT_LT_EQ = 79,
  anon_sym_AMP_EQ = 80,
  anon_sym_CARET_EQ = 81,
  anon_sym_PIPE_EQ = 82,
  anon_sym_yield = 83,
  sym_ellipsis = 84,
  anon_sym_LBRACE = 85,
  anon_sym_RBRACE = 86,
  sym__escape_interpolation = 87,
  sym_escape_sequence = 88,
  sym__not_escape_sequence = 89,
  aux_sym_format_specifier_token1 = 90,
  sym_type_conversion = 91,
  sym_integer = 92,
  sym_float = 93,
  anon_sym_await = 94,
  sym_true = 95,
  sym_false = 96,
  sym_none = 97,
  sym_comment = 98,
  sym_line_continuation = 99,
  sym__newline = 100,
  sym__indent = 101,
  sym__dedent = 102,
  sym_string_start = 103,
  sym__string_content = 104,
  sym_string_end = 105,
  sym_module = 106,
  sym__statement = 107,
  sym__simple_statements = 108,
  sym_import_statement = 109,
  sym_import_prefix = 110,
  sym_relative_import = 111,
  sym_future_import_statement = 112,
  sym_import_from_statement = 113,
  sym__import_list = 114,
  sym_aliased_import = 115,
  sym_wildcard_import = 116,
  sym_print_statement = 117,
  sym_chevron = 118,
  sym_assert_statement = 119,
  sym_expression_statement = 120,
  sym_named_expression = 121,
  sym__named_expression_lhs = 122,
  sym_return_statement = 123,
  sym_delete_statement = 124,
  sym_raise_statement = 125,
  sym_pass_statement = 126,
  sym_break_statement = 127,
  sym_continue_statement = 128,
  sym_if_statement = 129,
  sym_elif_clause = 130,
  sym_else_clause = 131,
  sym_match_statement = 132,
  sym__match_block = 133,
  sym_case_clause = 134,
  sym_for_statement = 135,
  sym_while_statement = 136,
  sym_try_statement = 137,
  sym_except_clause = 138,
  sym_except_group_clause = 139,
  sym_finally_clause = 140,
  sym_with_statement = 141,
  sym_with_clause = 142,
  sym_with_item = 143,
  sym_function_definition = 144,
  sym_parameters = 145,
  sym_lambda_parameters = 146,
  sym_list_splat = 147,
  sym_dictionary_splat = 148,
  sym_global_statement = 149,
  sym_nonlocal_statement = 150,
  sym_exec_statement = 151,
  sym_class_definition = 152,
  sym_parenthesized_list_splat = 153,
  sym_argument_list = 154,
  sym_decorated_definition = 155,
  sym_decorator = 156,
  sym_block = 157,
  sym_expression_list = 158,
  sym_dotted_name = 159,
  sym__parameters = 160,
  sym__patterns = 161,
  sym_parameter = 162,
  sym_pattern = 163,
  sym_tuple_pattern = 164,
  sym_list_pattern = 165,
  sym_default_parameter = 166,
  sym_typed_default_parameter = 167,
  sym_list_splat_pattern = 168,
  sym_dictionary_splat_pattern = 169,
  sym_as_pattern = 170,
  sym__expression_within_for_in_clause = 171,
  sym_expression = 172,
  sym_primary_expression = 173,
  sym_not_operator = 174,
  sym_boolean_operator = 175,
  sym_binary_operator = 176,
  sym_unary_operator = 177,
  sym_comparison_operator = 178,
  sym_lambda = 179,
  sym_lambda_within_for_in_clause = 180,
  sym_assignment = 181,
  sym_augmented_assignment = 182,
  sym_pattern_list = 183,
  sym__right_hand_side = 184,
  sym_yield = 185,
  sym_attribute = 186,
  sym_subscript = 187,
  sym_slice = 188,
  sym_call = 189,
  sym_typed_parameter = 190,
  sym_type = 191,
  sym_keyword_argument = 192,
  sym_list = 193,
  sym_set = 194,
  sym_tuple = 195,
  sym_dictionary = 196,
  sym_pair = 197,
  sym_list_comprehension = 198,
  sym_dictionary_comprehension = 199,
  sym_set_comprehension = 200,
  sym_generator_expression = 201,
  sym__comprehension_clauses = 202,
  sym_parenthesized_expression = 203,
  sym__collection_elements = 204,
  sym_for_in_clause = 205,
  sym_if_clause = 206,
  sym_conditional_expression = 207,
  sym_concatenated_string = 208,
  sym_string = 209,
  sym_string_content = 210,
  sym_interpolation = 211,
  sym__f_expression = 212,
  sym_format_specifier = 213,
  sym_await = 214,
  sym_positional_separator = 215,
  sym_keyword_separator = 216,
  aux_sym_module_repeat1 = 217,
  aux_sym__simple_statements_repeat1 = 218,
  aux_sym_import_prefix_repeat1 = 219,
  aux_sym__import_list_repeat1 = 220,
  aux_sym_print_statement_repeat1 = 221,
  aux_sym_assert_statement_repeat1 = 222,
  aux_sym_if_statement_repeat1 = 223,
  aux_sym_match_statement_repeat1 = 224,
  aux_sym__match_block_repeat1 = 225,
  aux_sym_case_clause_repeat1 = 226,
  aux_sym_try_statement_repeat1 = 227,
  aux_sym_try_statement_repeat2 = 228,
  aux_sym_with_clause_repeat1 = 229,
  aux_sym_global_statement_repeat1 = 230,
  aux_sym_argument_list_repeat1 = 231,
  aux_sym_decorated_definition_repeat1 = 232,
  aux_sym_dotted_name_repeat1 = 233,
  aux_sym__parameters_repeat1 = 234,
  aux_sym__patterns_repeat1 = 235,
  aux_sym_comparison_operator_repeat1 = 236,
  aux_sym_subscript_repeat1 = 237,
  aux_sym_dictionary_repeat1 = 238,
  aux_sym__comprehension_clauses_repeat1 = 239,
  aux_sym__collection_elements_repeat1 = 240,
  aux_sym_for_in_clause_repeat1 = 241,
  aux_sym_concatenated_string_repeat1 = 242,
  aux_sym_string_repeat1 = 243,
  aux_sym_string_content_repeat1 = 244,
  aux_sym_format_specifier_repeat1 = 245,
  alias_sym_as_pattern_target = 246,
  alias_sym_case_pattern = 247,
  alias_sym_format_expression = 248,
  anon_alias_sym_isnot = 249,
  anon_alias_sym_notin = 250,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym__escape_interpolation] = "_escape_interpolation",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_case_pattern] = "case_pattern",
  [alias_sym_format_expression] = "format_expression",
  [anon_alias_sym_isnot] = "is not",
  [anon_alias_sym_notin] = "not in",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [sym__escape_interpolation] = sym__escape_interpolation,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_case_pattern] = alias_sym_case_pattern,
  [alias_sym_format_expression] = alias_sym_format_expression,
  [anon_alias_sym_isnot] = anon_alias_sym_isnot,
  [anon_alias_sym_notin] = anon_alias_sym_notin,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__escape_interpolation] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_isnot] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_notin] = {
    .visible = true,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_key = 16,
  field_left = 17,
  field_module_name = 18,
  field_name = 19,
  field_object = 20,
  field_operator = 21,
  field_operators = 22,
  field_parameters = 23,
  field_pattern = 24,
  field_return_type = 25,
  field_right = 26,
  field_subject = 27,
  field_subscript = 28,
  field_superclasses = 29,
  field_type = 30,
  field_type_conversion = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 3},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 1},
  [25] = {.index = 31, .length = 2},
  [26] = {.index = 33, .length = 1},
  [27] = {.index = 34, .length = 1},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 1},
  [35] = {.index = 44, .length = 2},
  [36] = {.index = 46, .length = 1},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 3},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 55, .length = 2},
  [42] = {.index = 17, .length = 1},
  [43] = {.index = 57, .length = 1},
  [44] = {.index = 58, .length = 2},
  [45] = {.index = 60, .length = 1},
  [46] = {.index = 61, .length = 2},
  [47] = {.index = 63, .length = 2},
  [48] = {.index = 65, .length = 2},
  [49] = {.index = 67, .length = 2},
  [50] = {.index = 67, .length = 2},
  [52] = {.index = 69, .length = 2},
  [53] = {.index = 71, .length = 2},
  [54] = {.index = 73, .length = 1},
  [55] = {.index = 74, .length = 3},
  [56] = {.index = 77, .length = 3},
  [57] = {.index = 80, .length = 3},
  [58] = {.index = 83, .length = 3},
  [59] = {.index = 86, .length = 4},
  [60] = {.index = 90, .length = 1},
  [61] = {.index = 91, .length = 3},
  [62] = {.index = 94, .length = 3},
  [63] = {.index = 97, .length = 2},
  [64] = {.index = 99, .length = 2},
  [65] = {.index = 101, .length = 3},
  [66] = {.index = 104, .length = 3},
  [67] = {.index = 107, .length = 3},
  [68] = {.index = 110, .length = 3},
  [69] = {.index = 18, .length = 2},
  [70] = {.index = 113, .length = 1},
  [71] = {.index = 114, .length = 3},
  [72] = {.index = 117, .length = 2},
  [73] = {.index = 119, .length = 2},
  [74] = {.index = 121, .length = 2},
  [75] = {.index = 123, .length = 3},
  [76] = {.index = 126, .length = 1},
  [77] = {.index = 127, .length = 2},
  [78] = {.index = 129, .length = 2},
  [79] = {.index = 131, .length = 4},
  [80] = {.index = 135, .length = 2},
  [81] = {.index = 137, .length = 4},
  [82] = {.index = 141, .length = 4},
  [83] = {.index = 145, .length = 1},
  [84] = {.index = 146, .length = 4},
  [85] = {.index = 150, .length = 2},
  [86] = {.index = 152, .length = 3},
  [87] = {.index = 155, .length = 3},
  [88] = {.index = 158, .length = 4},
  [90] = {.index = 162, .length = 4},
  [91] = {.index = 166, .length = 4},
  [92] = {.index = 170, .length = 3},
  [93] = {.index = 173, .length = 3},
  [94] = {.index = 176, .length = 2},
  [95] = {.index = 178, .length = 3},
  [96] = {.index = 181, .length = 5},
  [97] = {.index = 186, .length = 3},
  [98] = {.index = 189, .length = 4},
  [99] = {.index = 193, .length = 4},
  [100] = {.index = 197, .length = 4},
  [102] = {.index = 201, .length = 4},
  [103] = {.index = 205, .length = 3},
  [104] = {.index = 208, .length = 1},
  [105] = {.index = 209, .length = 2},
  [106] = {.index = 211, .length = 2},
  [107] = {.index = 213, .length = 4},
  [108] = {.index = 217, .length = 4},
  [109] = {.index = 221, .length = 4},
  [110] = {.index = 225, .length = 5},
  [111] = {.index = 230, .length = 5},
  [112] = {.index = 235, .length = 2},
  [113] = {.index = 237, .length = 3},
  [114] = {.index = 240, .length = 3},
  [115] = {.index = 243, .length = 3},
  [116] = {.index = 246, .length = 5},
  [117] = {.index = 251, .length = 5},
  [119] = {.index = 256, .length = 3},
  [120] = {.index = 259, .length = 3},
  [121] = {.index = 262, .length = 4},
  [122] = {.index = 266, .length = 3},
  [123] = {.index = 269, .length = 4},
  [124] = {.index = 273, .length = 4},
  [125] = {.index = 277, .length = 4},
  [126] = {.index = 281, .length = 4},
  [127] = {.index = 285, .length = 4},
  [128] = {.index = 289, .length = 5},
  [129] = {.index = 294, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_cause, 2},
  [17] =
    {field_body, 2},
  [18] =
    {field_name, 0},
    {field_value, 2},
  [20] =
    {field_left, 0},
    {field_type, 2},
  [22] =
    {field_left, 0},
    {field_right, 2},
  [24] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [27] =
    {field_alias, 2},
  [28] =
    {field_attribute, 2},
    {field_object, 0},
  [30] =
    {field_operators, 0},
  [31] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [33] =
    {field_expression, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_cause, 3},
  [47] =
    {field_condition, 1},
    {field_consequence, 3},
  [49] =
    {field_subject, 1},
  [50] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [53] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [55] =
    {field_body, 3},
    {field_condition, 1},
  [57] =
    {field_body, 3},
  [58] =
    {field_body, 3},
    {field_name, 1},
  [60] =
    {field_type, 2},
  [61] =
    {field_body, 3},
    {field_parameters, 1},
  [63] =
    {field_key, 0},
    {field_value, 2},
  [65] =
    {field_subscript, 2},
    {field_value, 0},
  [67] =
    {field_operators, 0},
    {field_operators, 1},
  [69] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [71] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [73] =
    {field_alternative, 0},
  [74] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [77] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [80] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [83] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [86] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [90] =
    {field_body, 4},
  [91] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [94] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [97] =
    {field_body, 2},
    {field_body, 3},
  [99] =
    {field_body, 3},
    {field_body, 4},
  [101] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [104] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [107] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [110] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [113] =
    {field_subscript, 1},
  [114] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [117] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [119] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [121] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [123] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [126] =
    {field_name, 4, .inherited = true},
  [127] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [129] =
    {field_left, 1},
    {field_right, 3},
  [131] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [135] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [137] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [141] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [145] =
    {field_alternative, 1, .inherited = true},
  [146] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [150] =
    {field_body, 4},
    {field_body, 5},
  [152] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [155] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [158] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [162] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [166] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [170] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [173] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [176] =
    {field_left, 2},
    {field_right, 4},
  [178] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [181] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [186] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [189] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [193] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [197] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [201] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [205] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [208] =
    {field_pattern, 1},
  [209] =
    {field_consequence, 3},
    {field_pattern, 1},
  [211] =
    {field_pattern, 0, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [213] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [217] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [221] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [225] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [230] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [235] =
    {field_consequence, 4},
    {field_pattern, 1},
  [237] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_pattern, 1},
  [240] =
    {field_consequence, 4},
    {field_guard, 2},
    {field_pattern, 1},
  [243] =
    {field_consequence, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [246] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [251] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [256] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
  [259] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
  [262] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
    {field_pattern, 1},
  [266] =
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [269] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [273] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [277] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
  [281] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [285] =
    {field_consequence, 6},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [289] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [294] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [33] = {
    [1] = sym_parenthesized_expression,
  },
  [37] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [49] = {
    [0] = anon_alias_sym_notin,
    [1] = anon_alias_sym_notin,
  },
  [50] = {
    [0] = anon_alias_sym_isnot,
    [1] = anon_alias_sym_isnot,
  },
  [51] = {
    [0] = alias_sym_format_expression,
  },
  [55] = {
    [3] = sym_block,
  },
  [56] = {
    [3] = sym_block,
  },
  [60] = {
    [4] = sym_block,
  },
  [61] = {
    [3] = sym_block,
  },
  [65] = {
    [4] = sym_block,
  },
  [67] = {
    [4] = sym_block,
  },
  [69] = {
    [0] = sym_identifier,
  },
  [79] = {
    [3] = sym_block,
  },
  [86] = {
    [5] = sym_block,
  },
  [87] = {
    [5] = sym_block,
  },
  [89] = {
    [2] = sym_block,
  },
  [97] = {
    [6] = sym_block,
  },
  [99] = {
    [5] = sym_block,
  },
  [101] = {
    [3] = sym_block,
  },
  [102] = {
    [6] = sym_block,
  },
  [104] = {
    [1] = alias_sym_case_pattern,
  },
  [105] = {
    [1] = alias_sym_case_pattern,
    [3] = sym_block,
  },
  [107] = {
    [6] = sym_block,
  },
  [109] = {
    [7] = sym_block,
  },
  [112] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [113] = {
    [1] = alias_sym_case_pattern,
  },
  [114] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [115] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [118] = {
    [5] = sym_block,
  },
  [119] = {
    [1] = alias_sym_case_pattern,
  },
  [120] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [121] = {
    [1] = alias_sym_case_pattern,
  },
  [122] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [123] = {
    [1] = alias_sym_case_pattern,
  },
  [124] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [125] = {
    [1] = alias_sym_case_pattern,
  },
  [126] = {
    [1] = alias_sym_case_pattern,
  },
  [127] = {
    [1] = alias_sym_case_pattern,
    [6] = sym_block,
  },
  [128] = {
    [1] = alias_sym_case_pattern,
  },
  [129] = {
    [1] = alias_sym_case_pattern,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 3,
    sym_expression,
    alias_sym_as_pattern_target,
    alias_sym_case_pattern,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 4,
  [8] = 8,
  [9] = 8,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 13,
  [14] = 5,
  [15] = 13,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 16,
  [24] = 17,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 3,
  [33] = 18,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 19,
  [38] = 38,
  [39] = 34,
  [40] = 20,
  [41] = 21,
  [42] = 36,
  [43] = 43,
  [44] = 31,
  [45] = 12,
  [46] = 30,
  [47] = 47,
  [48] = 26,
  [49] = 49,
  [50] = 29,
  [51] = 35,
  [52] = 52,
  [53] = 52,
  [54] = 54,
  [55] = 52,
  [56] = 56,
  [57] = 52,
  [58] = 52,
  [59] = 52,
  [60] = 52,
  [61] = 52,
  [62] = 56,
  [63] = 63,
  [64] = 64,
  [65] = 64,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 69,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 82,
  [89] = 89,
  [90] = 74,
  [91] = 72,
  [92] = 80,
  [93] = 93,
  [94] = 76,
  [95] = 87,
  [96] = 96,
  [97] = 85,
  [98] = 71,
  [99] = 75,
  [100] = 100,
  [101] = 101,
  [102] = 100,
  [103] = 89,
  [104] = 104,
  [105] = 68,
  [106] = 104,
  [107] = 107,
  [108] = 108,
  [109] = 96,
  [110] = 108,
  [111] = 101,
  [112] = 77,
  [113] = 113,
  [114] = 84,
  [115] = 86,
  [116] = 116,
  [117] = 116,
  [118] = 118,
  [119] = 116,
  [120] = 118,
  [121] = 118,
  [122] = 116,
  [123] = 116,
  [124] = 118,
  [125] = 118,
  [126] = 118,
  [127] = 116,
  [128] = 118,
  [129] = 116,
  [130] = 116,
  [131] = 118,
  [132] = 132,
  [133] = 133,
  [134] = 133,
  [135] = 67,
  [136] = 66,
  [137] = 137,
  [138] = 133,
  [139] = 137,
  [140] = 133,
  [141] = 141,
  [142] = 67,
  [143] = 143,
  [144] = 144,
  [145] = 137,
  [146] = 67,
  [147] = 67,
  [148] = 133,
  [149] = 67,
  [150] = 66,
  [151] = 144,
  [152] = 66,
  [153] = 141,
  [154] = 137,
  [155] = 133,
  [156] = 144,
  [157] = 133,
  [158] = 133,
  [159] = 137,
  [160] = 137,
  [161] = 137,
  [162] = 67,
  [163] = 143,
  [164] = 137,
  [165] = 143,
  [166] = 67,
  [167] = 167,
  [168] = 143,
  [169] = 167,
  [170] = 67,
  [171] = 143,
  [172] = 143,
  [173] = 137,
  [174] = 174,
  [175] = 175,
  [176] = 175,
  [177] = 174,
  [178] = 175,
  [179] = 179,
  [180] = 175,
  [181] = 181,
  [182] = 181,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 174,
  [187] = 183,
  [188] = 174,
  [189] = 175,
  [190] = 175,
  [191] = 175,
  [192] = 174,
  [193] = 183,
  [194] = 174,
  [195] = 183,
  [196] = 175,
  [197] = 174,
  [198] = 174,
  [199] = 183,
  [200] = 183,
  [201] = 175,
  [202] = 175,
  [203] = 183,
  [204] = 183,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 207,
  [209] = 205,
  [210] = 210,
  [211] = 211,
  [212] = 211,
  [213] = 211,
  [214] = 214,
  [215] = 211,
  [216] = 211,
  [217] = 211,
  [218] = 218,
  [219] = 206,
  [220] = 211,
  [221] = 211,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 222,
  [227] = 222,
  [228] = 228,
  [229] = 228,
  [230] = 230,
  [231] = 230,
  [232] = 230,
  [233] = 233,
  [234] = 233,
  [235] = 225,
  [236] = 223,
  [237] = 228,
  [238] = 224,
  [239] = 225,
  [240] = 222,
  [241] = 224,
  [242] = 233,
  [243] = 230,
  [244] = 223,
  [245] = 223,
  [246] = 233,
  [247] = 223,
  [248] = 224,
  [249] = 225,
  [250] = 233,
  [251] = 224,
  [252] = 222,
  [253] = 228,
  [254] = 233,
  [255] = 230,
  [256] = 223,
  [257] = 228,
  [258] = 224,
  [259] = 224,
  [260] = 230,
  [261] = 228,
  [262] = 223,
  [263] = 224,
  [264] = 233,
  [265] = 223,
  [266] = 225,
  [267] = 233,
  [268] = 230,
  [269] = 228,
  [270] = 230,
  [271] = 228,
  [272] = 222,
  [273] = 225,
  [274] = 222,
  [275] = 222,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 279,
  [281] = 276,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 282,
  [286] = 286,
  [287] = 282,
  [288] = 279,
  [289] = 286,
  [290] = 290,
  [291] = 283,
  [292] = 283,
  [293] = 284,
  [294] = 276,
  [295] = 286,
  [296] = 284,
  [297] = 297,
  [298] = 214,
  [299] = 297,
  [300] = 300,
  [301] = 301,
  [302] = 297,
  [303] = 300,
  [304] = 301,
  [305] = 301,
  [306] = 297,
  [307] = 300,
  [308] = 300,
  [309] = 309,
  [310] = 300,
  [311] = 214,
  [312] = 300,
  [313] = 297,
  [314] = 297,
  [315] = 297,
  [316] = 214,
  [317] = 297,
  [318] = 300,
  [319] = 300,
  [320] = 320,
  [321] = 290,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 322,
  [327] = 323,
  [328] = 324,
  [329] = 329,
  [330] = 278,
  [331] = 322,
  [332] = 332,
  [333] = 333,
  [334] = 324,
  [335] = 335,
  [336] = 322,
  [337] = 324,
  [338] = 323,
  [339] = 323,
  [340] = 322,
  [341] = 323,
  [342] = 324,
  [343] = 323,
  [344] = 324,
  [345] = 322,
  [346] = 324,
  [347] = 322,
  [348] = 323,
  [349] = 324,
  [350] = 324,
  [351] = 322,
  [352] = 324,
  [353] = 323,
  [354] = 322,
  [355] = 323,
  [356] = 322,
  [357] = 323,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 363,
  [372] = 369,
  [373] = 370,
  [374] = 359,
  [375] = 368,
  [376] = 367,
  [377] = 367,
  [378] = 378,
  [379] = 379,
  [380] = 368,
  [381] = 368,
  [382] = 368,
  [383] = 383,
  [384] = 278,
  [385] = 364,
  [386] = 358,
  [387] = 387,
  [388] = 368,
  [389] = 290,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 358,
  [394] = 364,
  [395] = 395,
  [396] = 396,
  [397] = 278,
  [398] = 370,
  [399] = 359,
  [400] = 290,
  [401] = 401,
  [402] = 368,
  [403] = 362,
  [404] = 368,
  [405] = 405,
  [406] = 368,
  [407] = 368,
  [408] = 290,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 409,
  [418] = 418,
  [419] = 418,
  [420] = 415,
  [421] = 421,
  [422] = 412,
  [423] = 414,
  [424] = 416,
  [425] = 278,
  [426] = 426,
  [427] = 427,
  [428] = 427,
  [429] = 413,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 430,
  [435] = 435,
  [436] = 436,
  [437] = 433,
  [438] = 436,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 435,
  [447] = 430,
  [448] = 445,
  [449] = 441,
  [450] = 450,
  [451] = 432,
  [452] = 430,
  [453] = 453,
  [454] = 439,
  [455] = 431,
  [456] = 433,
  [457] = 432,
  [458] = 433,
  [459] = 430,
  [460] = 435,
  [461] = 445,
  [462] = 432,
  [463] = 441,
  [464] = 441,
  [465] = 445,
  [466] = 466,
  [467] = 467,
  [468] = 435,
  [469] = 433,
  [470] = 430,
  [471] = 445,
  [472] = 439,
  [473] = 445,
  [474] = 431,
  [475] = 475,
  [476] = 435,
  [477] = 431,
  [478] = 435,
  [479] = 479,
  [480] = 432,
  [481] = 433,
  [482] = 482,
  [483] = 483,
  [484] = 430,
  [485] = 430,
  [486] = 435,
  [487] = 441,
  [488] = 433,
  [489] = 432,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 483,
  [494] = 482,
  [495] = 445,
  [496] = 431,
  [497] = 441,
  [498] = 490,
  [499] = 441,
  [500] = 441,
  [501] = 501,
  [502] = 445,
  [503] = 431,
  [504] = 432,
  [505] = 505,
  [506] = 506,
  [507] = 441,
  [508] = 508,
  [509] = 433,
  [510] = 490,
  [511] = 435,
  [512] = 430,
  [513] = 435,
  [514] = 445,
  [515] = 430,
  [516] = 445,
  [517] = 441,
  [518] = 518,
  [519] = 435,
  [520] = 433,
  [521] = 430,
  [522] = 441,
  [523] = 523,
  [524] = 433,
  [525] = 490,
  [526] = 526,
  [527] = 432,
  [528] = 431,
  [529] = 508,
  [530] = 432,
  [531] = 430,
  [532] = 431,
  [533] = 492,
  [534] = 467,
  [535] = 535,
  [536] = 536,
  [537] = 450,
  [538] = 431,
  [539] = 539,
  [540] = 441,
  [541] = 431,
  [542] = 441,
  [543] = 432,
  [544] = 433,
  [545] = 430,
  [546] = 435,
  [547] = 547,
  [548] = 433,
  [549] = 491,
  [550] = 490,
  [551] = 445,
  [552] = 445,
  [553] = 441,
  [554] = 490,
  [555] = 435,
  [556] = 432,
  [557] = 439,
  [558] = 490,
  [559] = 439,
  [560] = 518,
  [561] = 561,
  [562] = 490,
  [563] = 490,
  [564] = 564,
  [565] = 439,
  [566] = 523,
  [567] = 567,
  [568] = 535,
  [569] = 569,
  [570] = 439,
  [571] = 536,
  [572] = 564,
  [573] = 490,
  [574] = 518,
  [575] = 518,
  [576] = 441,
  [577] = 431,
  [578] = 578,
  [579] = 431,
  [580] = 431,
  [581] = 490,
  [582] = 490,
  [583] = 490,
  [584] = 501,
  [585] = 442,
  [586] = 431,
  [587] = 439,
  [588] = 431,
  [589] = 432,
  [590] = 433,
  [591] = 431,
  [592] = 490,
  [593] = 441,
  [594] = 435,
  [595] = 442,
  [596] = 501,
  [597] = 436,
  [598] = 505,
  [599] = 501,
  [600] = 600,
  [601] = 439,
  [602] = 436,
  [603] = 445,
  [604] = 445,
  [605] = 432,
  [606] = 445,
  [607] = 445,
  [608] = 490,
  [609] = 433,
  [610] = 435,
  [611] = 440,
  [612] = 430,
  [613] = 435,
  [614] = 432,
  [615] = 439,
  [616] = 518,
  [617] = 490,
  [618] = 501,
  [619] = 439,
  [620] = 442,
  [621] = 435,
  [622] = 439,
  [623] = 430,
  [624] = 433,
  [625] = 432,
  [626] = 518,
  [627] = 432,
  [628] = 433,
  [629] = 439,
  [630] = 439,
  [631] = 439,
  [632] = 439,
  [633] = 430,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 644,
  [647] = 645,
  [648] = 648,
  [649] = 641,
  [650] = 639,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 642,
  [656] = 643,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 661,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 664,
  [667] = 667,
  [668] = 668,
  [669] = 668,
  [670] = 668,
  [671] = 671,
  [672] = 671,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 668,
  [680] = 674,
  [681] = 667,
  [682] = 664,
  [683] = 205,
  [684] = 674,
  [685] = 663,
  [686] = 674,
  [687] = 668,
  [688] = 688,
  [689] = 689,
  [690] = 667,
  [691] = 677,
  [692] = 671,
  [693] = 674,
  [694] = 664,
  [695] = 678,
  [696] = 674,
  [697] = 671,
  [698] = 673,
  [699] = 671,
  [700] = 664,
  [701] = 667,
  [702] = 665,
  [703] = 671,
  [704] = 664,
  [705] = 705,
  [706] = 667,
  [707] = 668,
  [708] = 206,
  [709] = 689,
  [710] = 688,
  [711] = 675,
  [712] = 705,
  [713] = 667,
  [714] = 676,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 719,
  [721] = 721,
  [722] = 721,
  [723] = 717,
  [724] = 724,
  [725] = 725,
  [726] = 724,
  [727] = 718,
  [728] = 728,
  [729] = 729,
  [730] = 728,
  [731] = 715,
  [732] = 716,
  [733] = 729,
  [734] = 734,
  [735] = 734,
  [736] = 725,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 737,
  [741] = 738,
  [742] = 739,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 748,
  [752] = 752,
  [753] = 753,
  [754] = 746,
  [755] = 755,
  [756] = 206,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 750,
  [762] = 762,
  [763] = 743,
  [764] = 764,
  [765] = 749,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 758,
  [771] = 753,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 757,
  [778] = 778,
  [779] = 764,
  [780] = 760,
  [781] = 762,
  [782] = 768,
  [783] = 783,
  [784] = 778,
  [785] = 785,
  [786] = 766,
  [787] = 769,
  [788] = 773,
  [789] = 789,
  [790] = 790,
  [791] = 774,
  [792] = 775,
  [793] = 776,
  [794] = 794,
  [795] = 759,
  [796] = 785,
  [797] = 789,
  [798] = 790,
  [799] = 744,
  [800] = 800,
  [801] = 801,
  [802] = 801,
  [803] = 803,
  [804] = 794,
  [805] = 803,
  [806] = 205,
  [807] = 807,
  [808] = 808,
  [809] = 755,
  [810] = 768,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 808,
  [816] = 811,
  [817] = 817,
  [818] = 767,
  [819] = 807,
  [820] = 745,
  [821] = 772,
  [822] = 783,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 828,
  [830] = 827,
  [831] = 812,
  [832] = 813,
  [833] = 814,
  [834] = 747,
  [835] = 824,
  [836] = 823,
  [837] = 826,
  [838] = 825,
  [839] = 800,
  [840] = 752,
  [841] = 755,
  [842] = 817,
  [843] = 843,
  [844] = 843,
  [845] = 843,
  [846] = 843,
  [847] = 843,
  [848] = 843,
  [849] = 849,
  [850] = 849,
  [851] = 851,
  [852] = 851,
  [853] = 851,
  [854] = 851,
  [855] = 851,
  [856] = 851,
  [857] = 851,
  [858] = 851,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 861,
  [865] = 862,
  [866] = 863,
  [867] = 867,
  [868] = 868,
  [869] = 860,
  [870] = 870,
  [871] = 871,
  [872] = 867,
  [873] = 868,
  [874] = 863,
  [875] = 860,
  [876] = 870,
  [877] = 871,
  [878] = 878,
  [879] = 859,
  [880] = 862,
  [881] = 859,
  [882] = 871,
  [883] = 870,
  [884] = 860,
  [885] = 863,
  [886] = 868,
  [887] = 867,
  [888] = 867,
  [889] = 868,
  [890] = 870,
  [891] = 871,
  [892] = 863,
  [893] = 861,
  [894] = 867,
  [895] = 895,
  [896] = 867,
  [897] = 868,
  [898] = 868,
  [899] = 899,
  [900] = 860,
  [901] = 859,
  [902] = 895,
  [903] = 860,
  [904] = 899,
  [905] = 899,
  [906] = 870,
  [907] = 899,
  [908] = 859,
  [909] = 909,
  [910] = 909,
  [911] = 895,
  [912] = 862,
  [913] = 861,
  [914] = 870,
  [915] = 909,
  [916] = 871,
  [917] = 909,
  [918] = 871,
  [919] = 870,
  [920] = 859,
  [921] = 895,
  [922] = 861,
  [923] = 899,
  [924] = 868,
  [925] = 871,
  [926] = 870,
  [927] = 871,
  [928] = 860,
  [929] = 859,
  [930] = 895,
  [931] = 868,
  [932] = 862,
  [933] = 909,
  [934] = 895,
  [935] = 909,
  [936] = 878,
  [937] = 867,
  [938] = 867,
  [939] = 863,
  [940] = 863,
  [941] = 862,
  [942] = 861,
  [943] = 909,
  [944] = 861,
  [945] = 859,
  [946] = 909,
  [947] = 871,
  [948] = 862,
  [949] = 859,
  [950] = 859,
  [951] = 859,
  [952] = 862,
  [953] = 861,
  [954] = 859,
  [955] = 909,
  [956] = 899,
  [957] = 895,
  [958] = 859,
  [959] = 895,
  [960] = 863,
  [961] = 861,
  [962] = 862,
  [963] = 863,
  [964] = 867,
  [965] = 899,
  [966] = 868,
  [967] = 899,
  [968] = 860,
  [969] = 870,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 972,
  [974] = 971,
  [975] = 975,
  [976] = 971,
  [977] = 975,
  [978] = 972,
  [979] = 970,
  [980] = 970,
  [981] = 971,
  [982] = 971,
  [983] = 971,
  [984] = 975,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 989,
  [991] = 638,
  [992] = 986,
  [993] = 993,
  [994] = 971,
  [995] = 652,
  [996] = 975,
  [997] = 653,
  [998] = 654,
  [999] = 659,
  [1000] = 657,
  [1001] = 1001,
  [1002] = 636,
  [1003] = 985,
  [1004] = 993,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 971,
  [1009] = 987,
  [1010] = 988,
  [1011] = 970,
  [1012] = 975,
  [1013] = 1007,
  [1014] = 972,
  [1015] = 1015,
  [1016] = 972,
  [1017] = 1015,
  [1018] = 993,
  [1019] = 986,
  [1020] = 970,
  [1021] = 970,
  [1022] = 1001,
  [1023] = 989,
  [1024] = 1006,
  [1025] = 985,
  [1026] = 1005,
  [1027] = 1001,
  [1028] = 1006,
  [1029] = 988,
  [1030] = 987,
  [1031] = 1007,
  [1032] = 971,
  [1033] = 971,
  [1034] = 971,
  [1035] = 971,
  [1036] = 975,
  [1037] = 1015,
  [1038] = 1005,
  [1039] = 972,
  [1040] = 1001,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1015,
  [1045] = 1045,
  [1046] = 1045,
  [1047] = 1047,
  [1048] = 971,
  [1049] = 993,
  [1050] = 972,
  [1051] = 986,
  [1052] = 1007,
  [1053] = 987,
  [1054] = 1041,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 988,
  [1058] = 1058,
  [1059] = 985,
  [1060] = 1060,
  [1061] = 1058,
  [1062] = 975,
  [1063] = 1005,
  [1064] = 1006,
  [1065] = 1065,
  [1066] = 1041,
  [1067] = 989,
  [1068] = 1001,
  [1069] = 1060,
  [1070] = 635,
  [1071] = 1047,
  [1072] = 1001,
  [1073] = 989,
  [1074] = 1006,
  [1075] = 1005,
  [1076] = 985,
  [1077] = 988,
  [1078] = 987,
  [1079] = 988,
  [1080] = 1007,
  [1081] = 970,
  [1082] = 971,
  [1083] = 971,
  [1084] = 1015,
  [1085] = 1058,
  [1086] = 1007,
  [1087] = 972,
  [1088] = 987,
  [1089] = 1005,
  [1090] = 1006,
  [1091] = 986,
  [1092] = 993,
  [1093] = 971,
  [1094] = 1047,
  [1095] = 989,
  [1096] = 985,
  [1097] = 1015,
  [1098] = 1060,
  [1099] = 975,
  [1100] = 1065,
  [1101] = 634,
  [1102] = 971,
  [1103] = 1045,
  [1104] = 1065,
  [1105] = 993,
  [1106] = 970,
  [1107] = 986,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 638,
  [1111] = 1111,
  [1112] = 1001,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 652,
  [1121] = 653,
  [1122] = 654,
  [1123] = 1123,
  [1124] = 1115,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 657,
  [1128] = 636,
  [1129] = 1126,
  [1130] = 1111,
  [1131] = 989,
  [1132] = 1125,
  [1133] = 1133,
  [1134] = 1108,
  [1135] = 638,
  [1136] = 636,
  [1137] = 657,
  [1138] = 986,
  [1139] = 1043,
  [1140] = 993,
  [1141] = 1109,
  [1142] = 1042,
  [1143] = 1114,
  [1144] = 1144,
  [1145] = 1119,
  [1146] = 652,
  [1147] = 653,
  [1148] = 1148,
  [1149] = 654,
  [1150] = 657,
  [1151] = 636,
  [1152] = 654,
  [1153] = 653,
  [1154] = 1133,
  [1155] = 1155,
  [1156] = 637,
  [1157] = 652,
  [1158] = 1158,
  [1159] = 1060,
  [1160] = 1041,
  [1161] = 971,
  [1162] = 1162,
  [1163] = 637,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1006,
  [1169] = 1005,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1015,
  [1173] = 1041,
  [1174] = 1155,
  [1175] = 1158,
  [1176] = 1058,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 638,
  [1181] = 1177,
  [1182] = 1182,
  [1183] = 1165,
  [1184] = 635,
  [1185] = 1179,
  [1186] = 1047,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1060,
  [1190] = 634,
  [1191] = 1007,
  [1192] = 1162,
  [1193] = 987,
  [1194] = 988,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1182,
  [1200] = 985,
  [1201] = 1171,
  [1202] = 1167,
  [1203] = 1166,
  [1204] = 1005,
  [1205] = 1170,
  [1206] = 1006,
  [1207] = 1144,
  [1208] = 1148,
  [1209] = 989,
  [1210] = 1001,
  [1211] = 1118,
  [1212] = 971,
  [1213] = 1162,
  [1214] = 1165,
  [1215] = 1177,
  [1216] = 1179,
  [1217] = 1148,
  [1218] = 1144,
  [1219] = 1178,
  [1220] = 985,
  [1221] = 988,
  [1222] = 987,
  [1223] = 1007,
  [1224] = 1167,
  [1225] = 986,
  [1226] = 659,
  [1227] = 1171,
  [1228] = 1182,
  [1229] = 1058,
  [1230] = 993,
  [1231] = 1047,
  [1232] = 1047,
  [1233] = 659,
  [1234] = 648,
  [1235] = 1198,
  [1236] = 1117,
  [1237] = 1197,
  [1238] = 1164,
  [1239] = 971,
  [1240] = 637,
  [1241] = 635,
  [1242] = 1116,
  [1243] = 1113,
  [1244] = 1188,
  [1245] = 1187,
  [1246] = 1015,
  [1247] = 1155,
  [1248] = 1045,
  [1249] = 659,
  [1250] = 648,
  [1251] = 1113,
  [1252] = 1116,
  [1253] = 1178,
  [1254] = 1117,
  [1255] = 1118,
  [1256] = 1045,
  [1257] = 1123,
  [1258] = 1045,
  [1259] = 1195,
  [1260] = 1115,
  [1261] = 1196,
  [1262] = 1195,
  [1263] = 1125,
  [1264] = 658,
  [1265] = 637,
  [1266] = 660,
  [1267] = 1123,
  [1268] = 1058,
  [1269] = 640,
  [1270] = 648,
  [1271] = 1065,
  [1272] = 1196,
  [1273] = 1045,
  [1274] = 1133,
  [1275] = 1198,
  [1276] = 1197,
  [1277] = 1188,
  [1278] = 1187,
  [1279] = 651,
  [1280] = 1170,
  [1281] = 1166,
  [1282] = 1126,
  [1283] = 634,
  [1284] = 1043,
  [1285] = 1158,
  [1286] = 1042,
  [1287] = 1119,
  [1288] = 1065,
  [1289] = 1114,
  [1290] = 1109,
  [1291] = 1108,
  [1292] = 1065,
  [1293] = 1041,
  [1294] = 1060,
  [1295] = 1164,
  [1296] = 1111,
  [1297] = 1197,
  [1298] = 1045,
  [1299] = 1108,
  [1300] = 1109,
  [1301] = 1041,
  [1302] = 1114,
  [1303] = 1060,
  [1304] = 1164,
  [1305] = 1126,
  [1306] = 1119,
  [1307] = 1119,
  [1308] = 637,
  [1309] = 1114,
  [1310] = 1187,
  [1311] = 1188,
  [1312] = 636,
  [1313] = 1109,
  [1314] = 1108,
  [1315] = 657,
  [1316] = 1196,
  [1317] = 1198,
  [1318] = 654,
  [1319] = 653,
  [1320] = 652,
  [1321] = 1195,
  [1322] = 658,
  [1323] = 1111,
  [1324] = 660,
  [1325] = 1126,
  [1326] = 1182,
  [1327] = 1155,
  [1328] = 1119,
  [1329] = 659,
  [1330] = 1171,
  [1331] = 1114,
  [1332] = 1167,
  [1333] = 1109,
  [1334] = 638,
  [1335] = 1144,
  [1336] = 1148,
  [1337] = 1162,
  [1338] = 1165,
  [1339] = 1177,
  [1340] = 1108,
  [1341] = 1179,
  [1342] = 1178,
  [1343] = 1113,
  [1344] = 659,
  [1345] = 1111,
  [1346] = 1126,
  [1347] = 640,
  [1348] = 1116,
  [1349] = 648,
  [1350] = 637,
  [1351] = 651,
  [1352] = 1170,
  [1353] = 1166,
  [1354] = 1117,
  [1355] = 638,
  [1356] = 1118,
  [1357] = 1158,
  [1358] = 1155,
  [1359] = 1123,
  [1360] = 1133,
  [1361] = 1125,
  [1362] = 1115,
  [1363] = 652,
  [1364] = 653,
  [1365] = 654,
  [1366] = 1123,
  [1367] = 1118,
  [1368] = 657,
  [1369] = 636,
  [1370] = 1115,
  [1371] = 1125,
  [1372] = 1117,
  [1373] = 1111,
  [1374] = 1045,
  [1375] = 1116,
  [1376] = 637,
  [1377] = 651,
  [1378] = 637,
  [1379] = 1113,
  [1380] = 640,
  [1381] = 1164,
  [1382] = 660,
  [1383] = 1133,
  [1384] = 1155,
  [1385] = 1385,
  [1386] = 1158,
  [1387] = 658,
  [1388] = 1065,
  [1389] = 1056,
  [1390] = 1166,
  [1391] = 1170,
  [1392] = 651,
  [1393] = 1055,
  [1394] = 648,
  [1395] = 1058,
  [1396] = 1188,
  [1397] = 640,
  [1398] = 1047,
  [1399] = 660,
  [1400] = 658,
  [1401] = 1187,
  [1402] = 1195,
  [1403] = 1196,
  [1404] = 1178,
  [1405] = 1179,
  [1406] = 1164,
  [1407] = 1065,
  [1408] = 1177,
  [1409] = 1165,
  [1410] = 1162,
  [1411] = 1148,
  [1412] = 1144,
  [1413] = 1167,
  [1414] = 1171,
  [1415] = 1197,
  [1416] = 1198,
  [1417] = 1187,
  [1418] = 1188,
  [1419] = 1058,
  [1420] = 1182,
  [1421] = 1198,
  [1422] = 1182,
  [1423] = 1171,
  [1424] = 1197,
  [1425] = 1047,
  [1426] = 1196,
  [1427] = 1195,
  [1428] = 637,
  [1429] = 1167,
  [1430] = 1170,
  [1431] = 1166,
  [1432] = 1144,
  [1433] = 1148,
  [1434] = 1162,
  [1435] = 1165,
  [1436] = 1177,
  [1437] = 1158,
  [1438] = 1179,
  [1439] = 1133,
  [1440] = 1178,
  [1441] = 1125,
  [1442] = 1115,
  [1443] = 1123,
  [1444] = 1041,
  [1445] = 1060,
  [1446] = 648,
  [1447] = 1118,
  [1448] = 1117,
  [1449] = 1116,
  [1450] = 1113,
  [1451] = 1043,
  [1452] = 638,
  [1453] = 659,
  [1454] = 1155,
  [1455] = 637,
  [1456] = 1164,
  [1457] = 1179,
  [1458] = 636,
  [1459] = 657,
  [1460] = 1197,
  [1461] = 1198,
  [1462] = 654,
  [1463] = 653,
  [1464] = 652,
  [1465] = 1043,
  [1466] = 1182,
  [1467] = 1171,
  [1468] = 1167,
  [1469] = 1196,
  [1470] = 1195,
  [1471] = 638,
  [1472] = 1144,
  [1473] = 1148,
  [1474] = 1162,
  [1475] = 1165,
  [1476] = 1177,
  [1477] = 1179,
  [1478] = 1119,
  [1479] = 1178,
  [1480] = 1164,
  [1481] = 1113,
  [1482] = 1114,
  [1483] = 1109,
  [1484] = 659,
  [1485] = 1170,
  [1486] = 1166,
  [1487] = 1108,
  [1488] = 1116,
  [1489] = 1111,
  [1490] = 1158,
  [1491] = 1126,
  [1492] = 1117,
  [1493] = 1119,
  [1494] = 1114,
  [1495] = 1109,
  [1496] = 1108,
  [1497] = 1111,
  [1498] = 1118,
  [1499] = 1123,
  [1500] = 1115,
  [1501] = 1126,
  [1502] = 1125,
  [1503] = 1133,
  [1504] = 1155,
  [1505] = 1158,
  [1506] = 1133,
  [1507] = 1188,
  [1508] = 652,
  [1509] = 1042,
  [1510] = 1125,
  [1511] = 1115,
  [1512] = 1187,
  [1513] = 1188,
  [1514] = 1123,
  [1515] = 653,
  [1516] = 1166,
  [1517] = 1118,
  [1518] = 1117,
  [1519] = 1170,
  [1520] = 654,
  [1521] = 657,
  [1522] = 1116,
  [1523] = 636,
  [1524] = 1042,
  [1525] = 1113,
  [1526] = 1187,
  [1527] = 1043,
  [1528] = 648,
  [1529] = 648,
  [1530] = 1195,
  [1531] = 1196,
  [1532] = 1197,
  [1533] = 1198,
  [1534] = 1182,
  [1535] = 1171,
  [1536] = 1167,
  [1537] = 637,
  [1538] = 1178,
  [1539] = 1042,
  [1540] = 1144,
  [1541] = 1148,
  [1542] = 1177,
  [1543] = 1165,
  [1544] = 1162,
  [1545] = 637,
  [1546] = 659,
  [1547] = 1385,
  [1548] = 651,
  [1549] = 637,
  [1550] = 648,
  [1551] = 636,
  [1552] = 657,
  [1553] = 637,
  [1554] = 654,
  [1555] = 640,
  [1556] = 660,
  [1557] = 653,
  [1558] = 652,
  [1559] = 658,
  [1560] = 638,
  [1561] = 637,
  [1562] = 1126,
  [1563] = 1109,
  [1564] = 1108,
  [1565] = 1114,
  [1566] = 1119,
  [1567] = 1111,
  [1568] = 640,
  [1569] = 660,
  [1570] = 1385,
  [1571] = 651,
  [1572] = 658,
  [1573] = 1045,
  [1574] = 1045,
  [1575] = 1155,
  [1576] = 1045,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 637,
  [1581] = 1581,
  [1582] = 1045,
  [1583] = 1045,
  [1584] = 648,
  [1585] = 660,
  [1586] = 1586,
  [1587] = 637,
  [1588] = 1045,
  [1589] = 1589,
  [1590] = 1015,
  [1591] = 1045,
  [1592] = 1589,
  [1593] = 1589,
  [1594] = 1581,
  [1595] = 1589,
  [1596] = 640,
  [1597] = 1589,
  [1598] = 1385,
  [1599] = 651,
  [1600] = 1589,
  [1601] = 1589,
  [1602] = 1579,
  [1603] = 1589,
  [1604] = 658,
  [1605] = 651,
  [1606] = 1385,
  [1607] = 640,
  [1608] = 651,
  [1609] = 1001,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 660,
  [1614] = 1007,
  [1615] = 1589,
  [1616] = 987,
  [1617] = 985,
  [1618] = 1005,
  [1619] = 1006,
  [1620] = 989,
  [1621] = 658,
  [1622] = 658,
  [1623] = 640,
  [1624] = 1589,
  [1625] = 1385,
  [1626] = 648,
  [1627] = 660,
  [1628] = 1628,
  [1629] = 1628,
  [1630] = 1586,
  [1631] = 1577,
  [1632] = 1578,
  [1633] = 1633,
  [1634] = 1628,
  [1635] = 1628,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1610,
  [1639] = 1628,
  [1640] = 1628,
  [1641] = 1637,
  [1642] = 1611,
  [1643] = 1628,
  [1644] = 1628,
  [1645] = 1612,
  [1646] = 1637,
  [1647] = 1628,
  [1648] = 1628,
  [1649] = 1628,
  [1650] = 1628,
  [1651] = 1628,
  [1652] = 1628,
  [1653] = 1636,
  [1654] = 1628,
  [1655] = 1628,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1657,
  [1661] = 1659,
  [1662] = 1662,
  [1663] = 1662,
  [1664] = 1664,
  [1665] = 1664,
  [1666] = 1664,
  [1667] = 1664,
  [1668] = 1664,
  [1669] = 1664,
  [1670] = 1664,
  [1671] = 1664,
  [1672] = 1672,
  [1673] = 1672,
  [1674] = 1674,
  [1675] = 1672,
  [1676] = 1672,
  [1677] = 1674,
  [1678] = 1678,
  [1679] = 1672,
  [1680] = 1678,
  [1681] = 1672,
  [1682] = 1678,
  [1683] = 1674,
  [1684] = 1674,
  [1685] = 1678,
  [1686] = 1674,
  [1687] = 1672,
  [1688] = 1678,
  [1689] = 1678,
  [1690] = 1674,
  [1691] = 1674,
  [1692] = 1678,
  [1693] = 1672,
  [1694] = 1694,
  [1695] = 1674,
  [1696] = 1678,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1697,
  [1700] = 1698,
  [1701] = 1697,
  [1702] = 1697,
  [1703] = 1698,
  [1704] = 1704,
  [1705] = 1698,
  [1706] = 1697,
  [1707] = 1697,
  [1708] = 1698,
  [1709] = 1698,
  [1710] = 1710,
  [1711] = 1697,
  [1712] = 1698,
  [1713] = 1697,
  [1714] = 1714,
  [1715] = 1697,
  [1716] = 1698,
  [1717] = 1698,
  [1718] = 1126,
  [1719] = 1109,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1119,
  [1723] = 1126,
  [1724] = 1119,
  [1725] = 1119,
  [1726] = 1111,
  [1727] = 1108,
  [1728] = 1108,
  [1729] = 1109,
  [1730] = 1114,
  [1731] = 1114,
  [1732] = 1109,
  [1733] = 1126,
  [1734] = 1108,
  [1735] = 1111,
  [1736] = 1114,
  [1737] = 1111,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1111,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1739,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1738,
  [1749] = 1119,
  [1750] = 1750,
  [1751] = 1745,
  [1752] = 1739,
  [1753] = 1739,
  [1754] = 1739,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1114,
  [1759] = 1739,
  [1760] = 1741,
  [1761] = 1755,
  [1762] = 1126,
  [1763] = 1741,
  [1764] = 1739,
  [1765] = 1745,
  [1766] = 1111,
  [1767] = 1767,
  [1768] = 1108,
  [1769] = 1109,
  [1770] = 1770,
  [1771] = 1109,
  [1772] = 1108,
  [1773] = 1739,
  [1774] = 1739,
  [1775] = 1119,
  [1776] = 1739,
  [1777] = 1757,
  [1778] = 1114,
  [1779] = 1779,
  [1780] = 1770,
  [1781] = 1747,
  [1782] = 1782,
  [1783] = 1704,
  [1784] = 1784,
  [1785] = 1126,
  [1786] = 1747,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1787,
  [1791] = 1788,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1789,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1704,
  [1799] = 1704,
  [1800] = 1800,
  [1801] = 1800,
  [1802] = 1800,
  [1803] = 1796,
  [1804] = 1126,
  [1805] = 1111,
  [1806] = 1795,
  [1807] = 1807,
  [1808] = 1789,
  [1809] = 1795,
  [1810] = 1789,
  [1811] = 1793,
  [1812] = 1812,
  [1813] = 1787,
  [1814] = 1814,
  [1815] = 1789,
  [1816] = 1108,
  [1817] = 1109,
  [1818] = 1114,
  [1819] = 1819,
  [1820] = 1126,
  [1821] = 1119,
  [1822] = 1822,
  [1823] = 1108,
  [1824] = 1109,
  [1825] = 1825,
  [1826] = 1114,
  [1827] = 1827,
  [1828] = 1807,
  [1829] = 1814,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1788,
  [1833] = 1119,
  [1834] = 1789,
  [1835] = 1789,
  [1836] = 1111,
  [1837] = 1789,
  [1838] = 1814,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1738,
  [1844] = 1578,
  [1845] = 1738,
  [1846] = 1577,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1720,
  [1856] = 1720,
  [1857] = 1854,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1841,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1842,
  [1867] = 1867,
  [1868] = 1848,
  [1869] = 1869,
  [1870] = 1841,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1862,
  [1880] = 1864,
  [1881] = 1881,
  [1882] = 1871,
  [1883] = 1883,
  [1884] = 1873,
  [1885] = 1885,
  [1886] = 1883,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1842,
  [1890] = 1890,
  [1891] = 1782,
  [1892] = 1892,
  [1893] = 1883,
  [1894] = 1738,
  [1895] = 1876,
  [1896] = 1873,
  [1897] = 1871,
  [1898] = 1864,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1720,
  [1902] = 1902,
  [1903] = 1899,
  [1904] = 1848,
  [1905] = 1869,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1872,
  [1909] = 1909,
  [1910] = 1909,
  [1911] = 1911,
  [1912] = 1849,
  [1913] = 1906,
  [1914] = 1800,
  [1915] = 1915,
  [1916] = 1906,
  [1917] = 1586,
  [1918] = 1906,
  [1919] = 1610,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1906,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1906,
  [1927] = 1906,
  [1928] = 1906,
  [1929] = 1929,
  [1930] = 1923,
  [1931] = 1931,
  [1932] = 1906,
  [1933] = 1933,
  [1934] = 1906,
  [1935] = 1911,
  [1936] = 1936,
  [1937] = 1906,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1847,
  [1941] = 1612,
  [1942] = 1931,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1925,
  [1947] = 1947,
  [1948] = 1920,
  [1949] = 1859,
  [1950] = 1906,
  [1951] = 1951,
  [1952] = 1945,
  [1953] = 1953,
  [1954] = 1915,
  [1955] = 1906,
  [1956] = 1906,
  [1957] = 1957,
  [1958] = 1933,
  [1959] = 1906,
  [1960] = 1611,
  [1961] = 1915,
  [1962] = 1920,
  [1963] = 1906,
  [1964] = 1853,
  [1965] = 1965,
  [1966] = 1925,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1938,
  [1975] = 1921,
  [1976] = 1967,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1924,
  [1989] = 1989,
  [1990] = 1979,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1936,
  [1999] = 1985,
  [2000] = 2000,
  [2001] = 1947,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 1980,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 1859,
  [2010] = 671,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 1859,
  [2014] = 2014,
  [2015] = 1853,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 674,
  [2019] = 1065,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 1058,
  [2025] = 2011,
  [2026] = 1853,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 1859,
  [2032] = 2032,
  [2033] = 2014,
  [2034] = 2034,
  [2035] = 1577,
  [2036] = 2036,
  [2037] = 1872,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 1983,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2027,
  [2051] = 1853,
  [2052] = 2030,
  [2053] = 2053,
  [2054] = 2030,
  [2055] = 2007,
  [2056] = 1849,
  [2057] = 2057,
  [2058] = 2017,
  [2059] = 2053,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2022,
  [2063] = 2012,
  [2064] = 2048,
  [2065] = 2065,
  [2066] = 2047,
  [2067] = 2067,
  [2068] = 2011,
  [2069] = 1992,
  [2070] = 2070,
  [2071] = 2046,
  [2072] = 667,
  [2073] = 2045,
  [2074] = 2074,
  [2075] = 2020,
  [2076] = 1982,
  [2077] = 2005,
  [2078] = 2023,
  [2079] = 2057,
  [2080] = 2048,
  [2081] = 2047,
  [2082] = 2017,
  [2083] = 2041,
  [2084] = 2084,
  [2085] = 2014,
  [2086] = 2021,
  [2087] = 1874,
  [2088] = 2088,
  [2089] = 2038,
  [2090] = 2039,
  [2091] = 2048,
  [2092] = 2029,
  [2093] = 2041,
  [2094] = 2041,
  [2095] = 2028,
  [2096] = 2047,
  [2097] = 2045,
  [2098] = 2039,
  [2099] = 2046,
  [2100] = 2038,
  [2101] = 2047,
  [2102] = 2048,
  [2103] = 2103,
  [2104] = 2041,
  [2105] = 2027,
  [2106] = 1887,
  [2107] = 2107,
  [2108] = 1888,
  [2109] = 2109,
  [2110] = 1890,
  [2111] = 2020,
  [2112] = 2048,
  [2113] = 1578,
  [2114] = 2114,
  [2115] = 2012,
  [2116] = 2047,
  [2117] = 2023,
  [2118] = 2118,
  [2119] = 2046,
  [2120] = 2045,
  [2121] = 2011,
  [2122] = 2023,
  [2123] = 2123,
  [2124] = 2020,
  [2125] = 1892,
  [2126] = 2118,
  [2127] = 2041,
  [2128] = 1885,
  [2129] = 1877,
  [2130] = 2020,
  [2131] = 2131,
  [2132] = 2039,
  [2133] = 1577,
  [2134] = 2023,
  [2135] = 2038,
  [2136] = 2131,
  [2137] = 2014,
  [2138] = 664,
  [2139] = 2023,
  [2140] = 2020,
  [2141] = 2014,
  [2142] = 2060,
  [2143] = 2011,
  [2144] = 2144,
  [2145] = 2039,
  [2146] = 2012,
  [2147] = 2038,
  [2148] = 2039,
  [2149] = 2149,
  [2150] = 2048,
  [2151] = 2041,
  [2152] = 2152,
  [2153] = 2014,
  [2154] = 2114,
  [2155] = 2155,
  [2156] = 2045,
  [2157] = 2157,
  [2158] = 2046,
  [2159] = 2157,
  [2160] = 2047,
  [2161] = 2048,
  [2162] = 2047,
  [2163] = 2011,
  [2164] = 2046,
  [2165] = 2028,
  [2166] = 1577,
  [2167] = 2045,
  [2168] = 2048,
  [2169] = 2047,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2046,
  [2173] = 2038,
  [2174] = 2012,
  [2175] = 2045,
  [2176] = 2012,
  [2177] = 2043,
  [2178] = 668,
  [2179] = 2011,
  [2180] = 2041,
  [2181] = 2012,
  [2182] = 2053,
  [2183] = 2039,
  [2184] = 2038,
  [2185] = 2185,
  [2186] = 2103,
  [2187] = 2020,
  [2188] = 1612,
  [2189] = 2029,
  [2190] = 2014,
  [2191] = 2023,
  [2192] = 2044,
  [2193] = 2193,
  [2194] = 2022,
  [2195] = 2023,
  [2196] = 2107,
  [2197] = 1851,
  [2198] = 2014,
  [2199] = 2020,
  [2200] = 2109,
  [2201] = 2011,
  [2202] = 2041,
  [2203] = 2012,
  [2204] = 2038,
  [2205] = 2039,
  [2206] = 2003,
  [2207] = 1847,
  [2208] = 2041,
  [2209] = 1996,
  [2210] = 2144,
  [2211] = 2006,
  [2212] = 2045,
  [2213] = 2065,
  [2214] = 2046,
  [2215] = 2067,
  [2216] = 2047,
  [2217] = 2048,
  [2218] = 2152,
  [2219] = 2084,
  [2220] = 1957,
  [2221] = 2221,
  [2222] = 2070,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 1924,
  [2227] = 2061,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2231,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 671,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 668,
  [2255] = 2255,
  [2256] = 2242,
  [2257] = 2257,
  [2258] = 674,
  [2259] = 2233,
  [2260] = 1586,
  [2261] = 2261,
  [2262] = 2232,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 664,
  [2267] = 667,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 1957,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 1586,
  [2275] = 1611,
  [2276] = 2276,
  [2277] = 1610,
  [2278] = 2269,
  [2279] = 2242,
  [2280] = 2280,
  [2281] = 2261,
  [2282] = 1612,
  [2283] = 2283,
  [2284] = 2233,
  [2285] = 2285,
  [2286] = 2232,
  [2287] = 2228,
  [2288] = 2288,
  [2289] = 1957,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2237,
  [2298] = 2298,
  [2299] = 2283,
  [2300] = 2300,
  [2301] = 2272,
  [2302] = 2171,
  [2303] = 1610,
  [2304] = 2225,
  [2305] = 2305,
  [2306] = 1611,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2276,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2315,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2319,
  [2323] = 2323,
  [2324] = 2311,
  [2325] = 2311,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2323,
  [2331] = 2323,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2311,
  [2335] = 2319,
  [2336] = 2315,
  [2337] = 2318,
  [2338] = 2333,
  [2339] = 2339,
  [2340] = 2326,
  [2341] = 2319,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2321,
  [2345] = 2345,
  [2346] = 2313,
  [2347] = 2347,
  [2348] = 2321,
  [2349] = 2349,
  [2350] = 2327,
  [2351] = 2318,
  [2352] = 2333,
  [2353] = 2326,
  [2354] = 2319,
  [2355] = 2355,
  [2356] = 2317,
  [2357] = 2314,
  [2358] = 2313,
  [2359] = 2315,
  [2360] = 2360,
  [2361] = 2328,
  [2362] = 2362,
  [2363] = 2319,
  [2364] = 2313,
  [2365] = 2333,
  [2366] = 2326,
  [2367] = 2323,
  [2368] = 2319,
  [2369] = 2369,
  [2370] = 2333,
  [2371] = 2326,
  [2372] = 2326,
  [2373] = 2327,
  [2374] = 2374,
  [2375] = 2333,
  [2376] = 2326,
  [2377] = 2314,
  [2378] = 2378,
  [2379] = 2328,
  [2380] = 2333,
  [2381] = 2326,
  [2382] = 2329,
  [2383] = 2383,
  [2384] = 2332,
  [2385] = 2333,
  [2386] = 2326,
  [2387] = 2333,
  [2388] = 2323,
  [2389] = 2360,
  [2390] = 2333,
  [2391] = 2311,
  [2392] = 2392,
  [2393] = 2326,
  [2394] = 2327,
  [2395] = 2317,
  [2396] = 2320,
  [2397] = 2397,
  [2398] = 2392,
  [2399] = 2329,
  [2400] = 2318,
  [2401] = 2326,
  [2402] = 2318,
  [2403] = 2403,
  [2404] = 2333,
  [2405] = 2321,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2327,
  [2409] = 2409,
  [2410] = 2328,
  [2411] = 2317,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2315,
  [2415] = 2412,
  [2416] = 2343,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2355,
  [2420] = 2362,
  [2421] = 2369,
  [2422] = 2329,
  [2423] = 2314,
  [2424] = 2321,
  [2425] = 2378,
  [2426] = 2332,
  [2427] = 2314,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2345,
  [2431] = 2321,
  [2432] = 2318,
  [2433] = 2317,
  [2434] = 2409,
  [2435] = 2314,
  [2436] = 2333,
  [2437] = 2437,
  [2438] = 2333,
  [2439] = 2439,
  [2440] = 2313,
  [2441] = 2412,
  [2442] = 2343,
  [2443] = 2355,
  [2444] = 2349,
  [2445] = 2429,
  [2446] = 2326,
  [2447] = 2329,
  [2448] = 2327,
  [2449] = 2326,
  [2450] = 2321,
  [2451] = 2311,
  [2452] = 2315,
  [2453] = 2323,
  [2454] = 2454,
  [2455] = 2318,
  [2456] = 2317,
  [2457] = 2319,
  [2458] = 2314,
  [2459] = 2313,
  [2460] = 2460,
  [2461] = 2429,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2329,
  [2465] = 2326,
  [2466] = 2319,
  [2467] = 2417,
  [2468] = 2315,
  [2469] = 2315,
  [2470] = 2323,
  [2471] = 2311,
  [2472] = 2332,
  [2473] = 2326,
  [2474] = 2428,
  [2475] = 2319,
  [2476] = 2476,
  [2477] = 2327,
  [2478] = 2478,
  [2479] = 2313,
  [2480] = 2314,
  [2481] = 2323,
  [2482] = 2482,
  [2483] = 2328,
  [2484] = 2317,
  [2485] = 2485,
  [2486] = 2311,
  [2487] = 2487,
  [2488] = 2326,
  [2489] = 2327,
  [2490] = 2318,
  [2491] = 2491,
  [2492] = 2329,
  [2493] = 2312,
  [2494] = 2333,
  [2495] = 2333,
  [2496] = 2329,
  [2497] = 2497,
  [2498] = 2332,
  [2499] = 2487,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2485,
  [2504] = 2321,
  [2505] = 2313,
  [2506] = 2406,
  [2507] = 2502,
  [2508] = 2407,
  [2509] = 2317,
  [2510] = 2403,
  [2511] = 2383,
  [2512] = 2491,
  [2513] = 2333,
  [2514] = 2514,
  [2515] = 2491,
  [2516] = 2514,
  [2517] = 2454,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(56)
      if (lookahead == '\r') SKIP(56)
      if (lookahead == '!') ADVANCE(9);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(92);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(168);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '|') ADVANCE(100);
      if (lookahead == '}') ADVANCE(135);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(173);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(137);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3)
      if (lookahead == '\r') ADVANCE(140);
      if (lookahead == '#') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '}') ADVANCE(135);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(140);
      if (lookahead != 0) ADVANCE(141);
      END_STATE();
    case 4:
      if (lookahead == '.') ADVANCE(5);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(151);
      END_STATE();
    case 5:
      if (lookahead == '.') ADVANCE(132);
      END_STATE();
    case 6:
      if (lookahead == '/') ADVANCE(16);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 7:
      if (lookahead == '<') ADVANCE(17);
      END_STATE();
    case 8:
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 9:
      if (lookahead == '=') ADVANCE(113);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 10:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 11:
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 12:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 13:
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 14:
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 15:
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 16:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 19:
      if (lookahead == '>') ADVANCE(79);
      END_STATE();
    case 20:
      if (lookahead == '>') ADVANCE(18);
      END_STATE();
    case 21:
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(147);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 24:
      if (lookahead == '{') ADVANCE(55);
      END_STATE();
    case 25:
      if (lookahead == '}') ADVANCE(137);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '}') ADVANCE(136);
      END_STATE();
    case 27:
      if (lookahead == 0 ||
          lookahead == '\n') ADVANCE(173);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 28:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 29:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(147);
      END_STATE();
    case 30:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(30)
      if (lookahead == '\r') SKIP(30)
      if (lookahead == '!') ADVANCE(8);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '|') ADVANCE(100);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 31:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(31)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == '!') ADVANCE(9);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(69);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(135);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 32:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(32)
      if (lookahead == '\r') SKIP(32)
      if (lookahead == '!') ADVANCE(9);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(69);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(135);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 33:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(33)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(10);
      if (lookahead == '&') ADVANCE(11);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(4);
      if (lookahead == '/') ADVANCE(6);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(7);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(20);
      if (lookahead == '@') ADVANCE(12);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '^') ADVANCE(13);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '|') ADVANCE(14);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 34:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(34)
      if (lookahead == '\r') SKIP(34)
      if (lookahead == '!') ADVANCE(8);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '|') ADVANCE(100);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 35:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(35)
      if (lookahead == '\r') SKIP(35)
      if (lookahead == '!') ADVANCE(8);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '|') ADVANCE(100);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 36:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(36)
      if (lookahead == '\r') SKIP(36)
      if (lookahead == '!') ADVANCE(9);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(69);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(135);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 37:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(38)
      if (lookahead == '\r') SKIP(38)
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead == '{') ADVANCE(134);
      if (lookahead == '}') ADVANCE(26);
      END_STATE();
    case 38:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(38)
      if (lookahead == '\r') SKIP(38)
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '{') ADVANCE(133);
      END_STATE();
    case 39:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(39)
      if (lookahead == '\r') SKIP(39)
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == 'e') ADVANCE(168);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 40:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(40)
      if (lookahead == '\r') SKIP(40)
      if (lookahead == '!') ADVANCE(8);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '|') ADVANCE(100);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 41:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(41)
      if (lookahead == '\r') SKIP(41)
      if (lookahead == '!') ADVANCE(9);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(69);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(135);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(25);
      END_STATE();
    case 56:
      if (eof) ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(56)
      if (lookahead == '\r') SKIP(56)
      if (lookahead == '!') ADVANCE(9);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '%') ADVANCE(96);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(92);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(75);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(83);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(168);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '|') ADVANCE(100);
      if (lookahead == '}') ADVANCE(135);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(57)
      if (lookahead == '\r') SKIP(57)
      if (lookahead == '!') ADVANCE(9);
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == ')') ADVANCE(65);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == ',') ADVANCE(66);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(4);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(61);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == ']') ADVANCE(85);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '}') ADVANCE(135);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(58)
      if (lookahead == '\r') SKIP(58)
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(4);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == 'e') ADVANCE(169);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(59)
      if (lookahead == '\r') SKIP(59)
      if (lookahead == '#') ADVANCE(172);
      if (lookahead == '(') ADVANCE(64);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(88);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(4);
      if (lookahead == '0') ADVANCE(145);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == 'e') ADVANCE(170);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '~') ADVANCE(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(144);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(5);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(151);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(81);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(80);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(15);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(73);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(78);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_except);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(120);
      if (lookahead == '>') ADVANCE(79);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(98);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(97);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(114);
      if (lookahead == '>') ADVANCE(72);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(114);
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(136);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym__escape_interpolation);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == 0) ADVANCE(173);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '\r') ADVANCE(2);
      if (lookahead == 'N') ADVANCE(24);
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'x') ADVANCE(48);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(45);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == 0) ADVANCE(141);
      if (lookahead == '\r') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(141);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(140);
      if (lookahead == '#') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(153);
      if (lookahead == '_') ADVANCE(146);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(153);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(21);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(22);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(23);
      if (lookahead == '_') ADVANCE(146);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(153);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(47);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(153);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(154);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(28);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(151);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(152);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(78);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(159);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(160);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(161);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(162);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(163);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(164);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(165);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(166);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(167);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(76);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(155);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(77);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(156);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(157);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(158);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (lookahead == '\r') SKIP(0)
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == '_') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 'w') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(53);
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(56);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(58);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(59);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(60);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(61);
      if (lookahead == 'y') ADVANCE(62);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(63);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(65);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(68);
      if (lookahead == 'l') ADVANCE(69);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 's') ADVANCE(71);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(77);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(78);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(83);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 52:
      if (lookahead == 'y') ADVANCE(86);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 56:
      if (lookahead == 's') ADVANCE(90);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(93);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 62:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(96);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 66:
      if (lookahead == 's') ADVANCE(99);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 70:
      if (lookahead == 'f') ADVANCE(101);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 75:
      if (lookahead == 'm') ADVANCE(105);
      END_STATE();
    case 76:
      if (lookahead == 'b') ADVANCE(106);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 79:
      if (lookahead == 'c') ADVANCE(109);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(110);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 82:
      if (lookahead == 's') ADVANCE(111);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(112);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 85:
      if (lookahead == 'u') ADVANCE(114);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(115);
      END_STATE();
    case 88:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 93:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 95:
      if (lookahead == 'c') ADVANCE(121);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 97:
      if (lookahead == 'k') ADVANCE(123);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 99:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 100:
      if (lookahead == 'i') ADVANCE(125);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 108:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 109:
      if (lookahead == 'h') ADVANCE(130);
      END_STATE();
    case 110:
      if (lookahead == 'o') ADVANCE(131);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 112:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 114:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(136);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 119:
      if (lookahead == 'u') ADVANCE(137);
      END_STATE();
    case 120:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 125:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 126:
      if (lookahead == 'l') ADVANCE(140);
      END_STATE();
    case 127:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(143);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 131:
      if (lookahead == 'c') ADVANCE(144);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 134:
      if (lookahead == 'n') ADVANCE(145);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 137:
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(147);
      END_STATE();
    case 140:
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 149:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 150:
      if (lookahead == '_') ADVANCE(153);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 153:
      if (lookahead == '_') ADVANCE(154);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 57, .external_lex_state = 2},
  [2] = {.lex_state = 57, .external_lex_state = 3},
  [3] = {.lex_state = 57, .external_lex_state = 3},
  [4] = {.lex_state = 57, .external_lex_state = 3},
  [5] = {.lex_state = 57, .external_lex_state = 3},
  [6] = {.lex_state = 57, .external_lex_state = 3},
  [7] = {.lex_state = 57, .external_lex_state = 3},
  [8] = {.lex_state = 57, .external_lex_state = 3},
  [9] = {.lex_state = 57, .external_lex_state = 3},
  [10] = {.lex_state = 57, .external_lex_state = 3},
  [11] = {.lex_state = 57, .external_lex_state = 3},
  [12] = {.lex_state = 57, .external_lex_state = 3},
  [13] = {.lex_state = 57, .external_lex_state = 3},
  [14] = {.lex_state = 57, .external_lex_state = 3},
  [15] = {.lex_state = 57, .external_lex_state = 3},
  [16] = {.lex_state = 57, .external_lex_state = 3},
  [17] = {.lex_state = 57, .external_lex_state = 3},
  [18] = {.lex_state = 57, .external_lex_state = 3},
  [19] = {.lex_state = 57, .external_lex_state = 3},
  [20] = {.lex_state = 57, .external_lex_state = 3},
  [21] = {.lex_state = 57, .external_lex_state = 3},
  [22] = {.lex_state = 57, .external_lex_state = 3},
  [23] = {.lex_state = 57, .external_lex_state = 3},
  [24] = {.lex_state = 57, .external_lex_state = 3},
  [25] = {.lex_state = 57, .external_lex_state = 3},
  [26] = {.lex_state = 57, .external_lex_state = 3},
  [27] = {.lex_state = 57, .external_lex_state = 3},
  [28] = {.lex_state = 57, .external_lex_state = 3},
  [29] = {.lex_state = 57, .external_lex_state = 3},
  [30] = {.lex_state = 57, .external_lex_state = 3},
  [31] = {.lex_state = 57, .external_lex_state = 3},
  [32] = {.lex_state = 57, .external_lex_state = 3},
  [33] = {.lex_state = 57, .external_lex_state = 3},
  [34] = {.lex_state = 57, .external_lex_state = 3},
  [35] = {.lex_state = 57, .external_lex_state = 3},
  [36] = {.lex_state = 57, .external_lex_state = 3},
  [37] = {.lex_state = 57, .external_lex_state = 3},
  [38] = {.lex_state = 57, .external_lex_state = 3},
  [39] = {.lex_state = 57, .external_lex_state = 3},
  [40] = {.lex_state = 57, .external_lex_state = 3},
  [41] = {.lex_state = 57, .external_lex_state = 3},
  [42] = {.lex_state = 57, .external_lex_state = 3},
  [43] = {.lex_state = 57, .external_lex_state = 3},
  [44] = {.lex_state = 57, .external_lex_state = 3},
  [45] = {.lex_state = 57, .external_lex_state = 3},
  [46] = {.lex_state = 57, .external_lex_state = 3},
  [47] = {.lex_state = 57, .external_lex_state = 3},
  [48] = {.lex_state = 57, .external_lex_state = 3},
  [49] = {.lex_state = 57, .external_lex_state = 3},
  [50] = {.lex_state = 57, .external_lex_state = 3},
  [51] = {.lex_state = 57, .external_lex_state = 3},
  [52] = {.lex_state = 57, .external_lex_state = 3},
  [53] = {.lex_state = 57, .external_lex_state = 3},
  [54] = {.lex_state = 57, .external_lex_state = 2},
  [55] = {.lex_state = 57, .external_lex_state = 3},
  [56] = {.lex_state = 57, .external_lex_state = 2},
  [57] = {.lex_state = 57, .external_lex_state = 3},
  [58] = {.lex_state = 57, .external_lex_state = 3},
  [59] = {.lex_state = 57, .external_lex_state = 3},
  [60] = {.lex_state = 57, .external_lex_state = 3},
  [61] = {.lex_state = 57, .external_lex_state = 3},
  [62] = {.lex_state = 57, .external_lex_state = 3},
  [63] = {.lex_state = 30, .external_lex_state = 4},
  [64] = {.lex_state = 30, .external_lex_state = 4},
  [65] = {.lex_state = 30, .external_lex_state = 4},
  [66] = {.lex_state = 30, .external_lex_state = 4},
  [67] = {.lex_state = 40, .external_lex_state = 4},
  [68] = {.lex_state = 57, .external_lex_state = 5},
  [69] = {.lex_state = 57, .external_lex_state = 5},
  [70] = {.lex_state = 57, .external_lex_state = 5},
  [71] = {.lex_state = 57, .external_lex_state = 5},
  [72] = {.lex_state = 57, .external_lex_state = 5},
  [73] = {.lex_state = 57, .external_lex_state = 5},
  [74] = {.lex_state = 57, .external_lex_state = 5},
  [75] = {.lex_state = 57, .external_lex_state = 5},
  [76] = {.lex_state = 57, .external_lex_state = 5},
  [77] = {.lex_state = 57, .external_lex_state = 5},
  [78] = {.lex_state = 57, .external_lex_state = 5},
  [79] = {.lex_state = 57, .external_lex_state = 5},
  [80] = {.lex_state = 57, .external_lex_state = 5},
  [81] = {.lex_state = 57, .external_lex_state = 5},
  [82] = {.lex_state = 57, .external_lex_state = 5},
  [83] = {.lex_state = 57, .external_lex_state = 5},
  [84] = {.lex_state = 57, .external_lex_state = 5},
  [85] = {.lex_state = 57, .external_lex_state = 5},
  [86] = {.lex_state = 57, .external_lex_state = 5},
  [87] = {.lex_state = 57, .external_lex_state = 5},
  [88] = {.lex_state = 57, .external_lex_state = 5},
  [89] = {.lex_state = 57, .external_lex_state = 5},
  [90] = {.lex_state = 57, .external_lex_state = 5},
  [91] = {.lex_state = 57, .external_lex_state = 5},
  [92] = {.lex_state = 57, .external_lex_state = 5},
  [93] = {.lex_state = 57, .external_lex_state = 5},
  [94] = {.lex_state = 57, .external_lex_state = 5},
  [95] = {.lex_state = 57, .external_lex_state = 5},
  [96] = {.lex_state = 57, .external_lex_state = 5},
  [97] = {.lex_state = 57, .external_lex_state = 5},
  [98] = {.lex_state = 57, .external_lex_state = 5},
  [99] = {.lex_state = 57, .external_lex_state = 5},
  [100] = {.lex_state = 57, .external_lex_state = 5},
  [101] = {.lex_state = 57, .external_lex_state = 5},
  [102] = {.lex_state = 57, .external_lex_state = 5},
  [103] = {.lex_state = 57, .external_lex_state = 5},
  [104] = {.lex_state = 57, .external_lex_state = 5},
  [105] = {.lex_state = 57, .external_lex_state = 5},
  [106] = {.lex_state = 57, .external_lex_state = 5},
  [107] = {.lex_state = 57, .external_lex_state = 5},
  [108] = {.lex_state = 57, .external_lex_state = 5},
  [109] = {.lex_state = 57, .external_lex_state = 5},
  [110] = {.lex_state = 57, .external_lex_state = 5},
  [111] = {.lex_state = 57, .external_lex_state = 5},
  [112] = {.lex_state = 57, .external_lex_state = 5},
  [113] = {.lex_state = 57, .external_lex_state = 5},
  [114] = {.lex_state = 57, .external_lex_state = 5},
  [115] = {.lex_state = 57, .external_lex_state = 5},
  [116] = {.lex_state = 57, .external_lex_state = 4},
  [117] = {.lex_state = 57, .external_lex_state = 4},
  [118] = {.lex_state = 57, .external_lex_state = 4},
  [119] = {.lex_state = 57, .external_lex_state = 4},
  [120] = {.lex_state = 57, .external_lex_state = 4},
  [121] = {.lex_state = 57, .external_lex_state = 4},
  [122] = {.lex_state = 57, .external_lex_state = 4},
  [123] = {.lex_state = 57, .external_lex_state = 4},
  [124] = {.lex_state = 57, .external_lex_state = 4},
  [125] = {.lex_state = 57, .external_lex_state = 4},
  [126] = {.lex_state = 57, .external_lex_state = 4},
  [127] = {.lex_state = 57, .external_lex_state = 4},
  [128] = {.lex_state = 57, .external_lex_state = 4},
  [129] = {.lex_state = 57, .external_lex_state = 4},
  [130] = {.lex_state = 57, .external_lex_state = 4},
  [131] = {.lex_state = 57, .external_lex_state = 4},
  [132] = {.lex_state = 57, .external_lex_state = 2},
  [133] = {.lex_state = 31, .external_lex_state = 6},
  [134] = {.lex_state = 31, .external_lex_state = 4},
  [135] = {.lex_state = 32, .external_lex_state = 6},
  [136] = {.lex_state = 31, .external_lex_state = 6},
  [137] = {.lex_state = 32, .external_lex_state = 6},
  [138] = {.lex_state = 31, .external_lex_state = 2},
  [139] = {.lex_state = 31, .external_lex_state = 4},
  [140] = {.lex_state = 31, .external_lex_state = 6},
  [141] = {.lex_state = 31, .external_lex_state = 7},
  [142] = {.lex_state = 31, .external_lex_state = 4},
  [143] = {.lex_state = 40, .external_lex_state = 4},
  [144] = {.lex_state = 31, .external_lex_state = 6},
  [145] = {.lex_state = 32, .external_lex_state = 2},
  [146] = {.lex_state = 32, .external_lex_state = 8},
  [147] = {.lex_state = 32, .external_lex_state = 2},
  [148] = {.lex_state = 31, .external_lex_state = 7},
  [149] = {.lex_state = 31, .external_lex_state = 7},
  [150] = {.lex_state = 31, .external_lex_state = 8},
  [151] = {.lex_state = 31, .external_lex_state = 7},
  [152] = {.lex_state = 31, .external_lex_state = 7},
  [153] = {.lex_state = 31, .external_lex_state = 7},
  [154] = {.lex_state = 32, .external_lex_state = 6},
  [155] = {.lex_state = 31, .external_lex_state = 7},
  [156] = {.lex_state = 31, .external_lex_state = 8},
  [157] = {.lex_state = 31, .external_lex_state = 8},
  [158] = {.lex_state = 31, .external_lex_state = 8},
  [159] = {.lex_state = 31, .external_lex_state = 7},
  [160] = {.lex_state = 32, .external_lex_state = 8},
  [161] = {.lex_state = 31, .external_lex_state = 7},
  [162] = {.lex_state = 40, .external_lex_state = 2},
  [163] = {.lex_state = 40, .external_lex_state = 2},
  [164] = {.lex_state = 31, .external_lex_state = 8},
  [165] = {.lex_state = 32, .external_lex_state = 6},
  [166] = {.lex_state = 32, .external_lex_state = 7},
  [167] = {.lex_state = 32, .external_lex_state = 7},
  [168] = {.lex_state = 31, .external_lex_state = 8},
  [169] = {.lex_state = 32, .external_lex_state = 2},
  [170] = {.lex_state = 32, .external_lex_state = 2},
  [171] = {.lex_state = 31, .external_lex_state = 2},
  [172] = {.lex_state = 31, .external_lex_state = 7},
  [173] = {.lex_state = 31, .external_lex_state = 2},
  [174] = {.lex_state = 31, .external_lex_state = 6},
  [175] = {.lex_state = 57, .external_lex_state = 8},
  [176] = {.lex_state = 57, .external_lex_state = 8},
  [177] = {.lex_state = 31, .external_lex_state = 6},
  [178] = {.lex_state = 57, .external_lex_state = 8},
  [179] = {.lex_state = 57, .external_lex_state = 2},
  [180] = {.lex_state = 57, .external_lex_state = 8},
  [181] = {.lex_state = 57, .external_lex_state = 7},
  [182] = {.lex_state = 57, .external_lex_state = 7},
  [183] = {.lex_state = 57, .external_lex_state = 7},
  [184] = {.lex_state = 57, .external_lex_state = 2},
  [185] = {.lex_state = 57, .external_lex_state = 2},
  [186] = {.lex_state = 31, .external_lex_state = 6},
  [187] = {.lex_state = 57, .external_lex_state = 7},
  [188] = {.lex_state = 31, .external_lex_state = 6},
  [189] = {.lex_state = 57, .external_lex_state = 8},
  [190] = {.lex_state = 57, .external_lex_state = 8},
  [191] = {.lex_state = 57, .external_lex_state = 8},
  [192] = {.lex_state = 31, .external_lex_state = 6},
  [193] = {.lex_state = 57, .external_lex_state = 7},
  [194] = {.lex_state = 31, .external_lex_state = 6},
  [195] = {.lex_state = 57, .external_lex_state = 7},
  [196] = {.lex_state = 57, .external_lex_state = 8},
  [197] = {.lex_state = 31, .external_lex_state = 6},
  [198] = {.lex_state = 31, .external_lex_state = 6},
  [199] = {.lex_state = 57, .external_lex_state = 7},
  [200] = {.lex_state = 57, .external_lex_state = 7},
  [201] = {.lex_state = 57, .external_lex_state = 8},
  [202] = {.lex_state = 57, .external_lex_state = 8},
  [203] = {.lex_state = 57, .external_lex_state = 7},
  [204] = {.lex_state = 57, .external_lex_state = 7},
  [205] = {.lex_state = 33, .external_lex_state = 4},
  [206] = {.lex_state = 33, .external_lex_state = 4},
  [207] = {.lex_state = 57, .external_lex_state = 2},
  [208] = {.lex_state = 57, .external_lex_state = 2},
  [209] = {.lex_state = 33, .external_lex_state = 2},
  [210] = {.lex_state = 57, .external_lex_state = 7},
  [211] = {.lex_state = 31, .external_lex_state = 7},
  [212] = {.lex_state = 31, .external_lex_state = 7},
  [213] = {.lex_state = 31, .external_lex_state = 7},
  [214] = {.lex_state = 57, .external_lex_state = 6},
  [215] = {.lex_state = 31, .external_lex_state = 7},
  [216] = {.lex_state = 31, .external_lex_state = 7},
  [217] = {.lex_state = 31, .external_lex_state = 7},
  [218] = {.lex_state = 31, .external_lex_state = 7},
  [219] = {.lex_state = 33, .external_lex_state = 2},
  [220] = {.lex_state = 31, .external_lex_state = 7},
  [221] = {.lex_state = 31, .external_lex_state = 7},
  [222] = {.lex_state = 57, .external_lex_state = 8},
  [223] = {.lex_state = 31, .external_lex_state = 7},
  [224] = {.lex_state = 31, .external_lex_state = 7},
  [225] = {.lex_state = 57, .external_lex_state = 7},
  [226] = {.lex_state = 57, .external_lex_state = 8},
  [227] = {.lex_state = 57, .external_lex_state = 8},
  [228] = {.lex_state = 57, .external_lex_state = 7},
  [229] = {.lex_state = 57, .external_lex_state = 7},
  [230] = {.lex_state = 31, .external_lex_state = 7},
  [231] = {.lex_state = 31, .external_lex_state = 7},
  [232] = {.lex_state = 31, .external_lex_state = 7},
  [233] = {.lex_state = 31, .external_lex_state = 7},
  [234] = {.lex_state = 31, .external_lex_state = 7},
  [235] = {.lex_state = 57, .external_lex_state = 7},
  [236] = {.lex_state = 31, .external_lex_state = 7},
  [237] = {.lex_state = 57, .external_lex_state = 7},
  [238] = {.lex_state = 31, .external_lex_state = 7},
  [239] = {.lex_state = 57, .external_lex_state = 7},
  [240] = {.lex_state = 57, .external_lex_state = 8},
  [241] = {.lex_state = 31, .external_lex_state = 7},
  [242] = {.lex_state = 31, .external_lex_state = 7},
  [243] = {.lex_state = 31, .external_lex_state = 7},
  [244] = {.lex_state = 31, .external_lex_state = 7},
  [245] = {.lex_state = 31, .external_lex_state = 7},
  [246] = {.lex_state = 31, .external_lex_state = 7},
  [247] = {.lex_state = 31, .external_lex_state = 7},
  [248] = {.lex_state = 31, .external_lex_state = 7},
  [249] = {.lex_state = 57, .external_lex_state = 7},
  [250] = {.lex_state = 31, .external_lex_state = 7},
  [251] = {.lex_state = 31, .external_lex_state = 7},
  [252] = {.lex_state = 57, .external_lex_state = 8},
  [253] = {.lex_state = 57, .external_lex_state = 7},
  [254] = {.lex_state = 31, .external_lex_state = 7},
  [255] = {.lex_state = 31, .external_lex_state = 7},
  [256] = {.lex_state = 31, .external_lex_state = 7},
  [257] = {.lex_state = 57, .external_lex_state = 7},
  [258] = {.lex_state = 31, .external_lex_state = 7},
  [259] = {.lex_state = 31, .external_lex_state = 7},
  [260] = {.lex_state = 31, .external_lex_state = 7},
  [261] = {.lex_state = 57, .external_lex_state = 7},
  [262] = {.lex_state = 31, .external_lex_state = 7},
  [263] = {.lex_state = 31, .external_lex_state = 7},
  [264] = {.lex_state = 31, .external_lex_state = 7},
  [265] = {.lex_state = 31, .external_lex_state = 7},
  [266] = {.lex_state = 57, .external_lex_state = 7},
  [267] = {.lex_state = 31, .external_lex_state = 7},
  [268] = {.lex_state = 31, .external_lex_state = 7},
  [269] = {.lex_state = 57, .external_lex_state = 7},
  [270] = {.lex_state = 31, .external_lex_state = 7},
  [271] = {.lex_state = 57, .external_lex_state = 7},
  [272] = {.lex_state = 57, .external_lex_state = 8},
  [273] = {.lex_state = 57, .external_lex_state = 7},
  [274] = {.lex_state = 57, .external_lex_state = 8},
  [275] = {.lex_state = 57, .external_lex_state = 8},
  [276] = {.lex_state = 57, .external_lex_state = 6},
  [277] = {.lex_state = 31, .external_lex_state = 2},
  [278] = {.lex_state = 57, .external_lex_state = 6},
  [279] = {.lex_state = 57, .external_lex_state = 7},
  [280] = {.lex_state = 57, .external_lex_state = 6},
  [281] = {.lex_state = 57, .external_lex_state = 7},
  [282] = {.lex_state = 57, .external_lex_state = 6},
  [283] = {.lex_state = 57, .external_lex_state = 6},
  [284] = {.lex_state = 57, .external_lex_state = 8},
  [285] = {.lex_state = 57, .external_lex_state = 8},
  [286] = {.lex_state = 57, .external_lex_state = 7},
  [287] = {.lex_state = 57, .external_lex_state = 7},
  [288] = {.lex_state = 57, .external_lex_state = 8},
  [289] = {.lex_state = 57, .external_lex_state = 8},
  [290] = {.lex_state = 57, .external_lex_state = 6},
  [291] = {.lex_state = 57, .external_lex_state = 8},
  [292] = {.lex_state = 57, .external_lex_state = 7},
  [293] = {.lex_state = 57, .external_lex_state = 7},
  [294] = {.lex_state = 57, .external_lex_state = 8},
  [295] = {.lex_state = 57, .external_lex_state = 6},
  [296] = {.lex_state = 57, .external_lex_state = 6},
  [297] = {.lex_state = 31, .external_lex_state = 6},
  [298] = {.lex_state = 57, .external_lex_state = 8},
  [299] = {.lex_state = 31, .external_lex_state = 6},
  [300] = {.lex_state = 31, .external_lex_state = 6},
  [301] = {.lex_state = 57, .external_lex_state = 2},
  [302] = {.lex_state = 31, .external_lex_state = 6},
  [303] = {.lex_state = 31, .external_lex_state = 6},
  [304] = {.lex_state = 57, .external_lex_state = 2},
  [305] = {.lex_state = 57, .external_lex_state = 2},
  [306] = {.lex_state = 31, .external_lex_state = 6},
  [307] = {.lex_state = 31, .external_lex_state = 6},
  [308] = {.lex_state = 31, .external_lex_state = 6},
  [309] = {.lex_state = 57, .external_lex_state = 4},
  [310] = {.lex_state = 31, .external_lex_state = 6},
  [311] = {.lex_state = 57, .external_lex_state = 7},
  [312] = {.lex_state = 31, .external_lex_state = 6},
  [313] = {.lex_state = 31, .external_lex_state = 6},
  [314] = {.lex_state = 31, .external_lex_state = 6},
  [315] = {.lex_state = 31, .external_lex_state = 6},
  [316] = {.lex_state = 57, .external_lex_state = 4},
  [317] = {.lex_state = 31, .external_lex_state = 6},
  [318] = {.lex_state = 31, .external_lex_state = 6},
  [319] = {.lex_state = 31, .external_lex_state = 6},
  [320] = {.lex_state = 57, .external_lex_state = 4},
  [321] = {.lex_state = 57, .external_lex_state = 4},
  [322] = {.lex_state = 57, .external_lex_state = 8},
  [323] = {.lex_state = 57, .external_lex_state = 8},
  [324] = {.lex_state = 57, .external_lex_state = 8},
  [325] = {.lex_state = 57, .external_lex_state = 8},
  [326] = {.lex_state = 57, .external_lex_state = 8},
  [327] = {.lex_state = 57, .external_lex_state = 8},
  [328] = {.lex_state = 57, .external_lex_state = 8},
  [329] = {.lex_state = 57, .external_lex_state = 8},
  [330] = {.lex_state = 57, .external_lex_state = 4},
  [331] = {.lex_state = 57, .external_lex_state = 8},
  [332] = {.lex_state = 57, .external_lex_state = 2},
  [333] = {.lex_state = 31, .external_lex_state = 2},
  [334] = {.lex_state = 57, .external_lex_state = 8},
  [335] = {.lex_state = 57, .external_lex_state = 2},
  [336] = {.lex_state = 57, .external_lex_state = 8},
  [337] = {.lex_state = 57, .external_lex_state = 8},
  [338] = {.lex_state = 57, .external_lex_state = 8},
  [339] = {.lex_state = 57, .external_lex_state = 8},
  [340] = {.lex_state = 57, .external_lex_state = 8},
  [341] = {.lex_state = 57, .external_lex_state = 8},
  [342] = {.lex_state = 57, .external_lex_state = 8},
  [343] = {.lex_state = 57, .external_lex_state = 8},
  [344] = {.lex_state = 57, .external_lex_state = 8},
  [345] = {.lex_state = 57, .external_lex_state = 8},
  [346] = {.lex_state = 57, .external_lex_state = 8},
  [347] = {.lex_state = 57, .external_lex_state = 8},
  [348] = {.lex_state = 57, .external_lex_state = 8},
  [349] = {.lex_state = 57, .external_lex_state = 8},
  [350] = {.lex_state = 57, .external_lex_state = 8},
  [351] = {.lex_state = 57, .external_lex_state = 8},
  [352] = {.lex_state = 57, .external_lex_state = 8},
  [353] = {.lex_state = 57, .external_lex_state = 8},
  [354] = {.lex_state = 57, .external_lex_state = 8},
  [355] = {.lex_state = 57, .external_lex_state = 8},
  [356] = {.lex_state = 57, .external_lex_state = 8},
  [357] = {.lex_state = 57, .external_lex_state = 8},
  [358] = {.lex_state = 57, .external_lex_state = 2},
  [359] = {.lex_state = 57, .external_lex_state = 2},
  [360] = {.lex_state = 57, .external_lex_state = 4},
  [361] = {.lex_state = 57, .external_lex_state = 4},
  [362] = {.lex_state = 57, .external_lex_state = 2},
  [363] = {.lex_state = 57, .external_lex_state = 2},
  [364] = {.lex_state = 57, .external_lex_state = 2},
  [365] = {.lex_state = 57, .external_lex_state = 2},
  [366] = {.lex_state = 57, .external_lex_state = 8},
  [367] = {.lex_state = 57, .external_lex_state = 2},
  [368] = {.lex_state = 57, .external_lex_state = 2},
  [369] = {.lex_state = 34, .external_lex_state = 9},
  [370] = {.lex_state = 57, .external_lex_state = 2},
  [371] = {.lex_state = 57, .external_lex_state = 2},
  [372] = {.lex_state = 34, .external_lex_state = 9},
  [373] = {.lex_state = 57, .external_lex_state = 2},
  [374] = {.lex_state = 57, .external_lex_state = 2},
  [375] = {.lex_state = 57, .external_lex_state = 2},
  [376] = {.lex_state = 57, .external_lex_state = 2},
  [377] = {.lex_state = 57, .external_lex_state = 2},
  [378] = {.lex_state = 57, .external_lex_state = 4},
  [379] = {.lex_state = 57, .external_lex_state = 4},
  [380] = {.lex_state = 57, .external_lex_state = 2},
  [381] = {.lex_state = 57, .external_lex_state = 2},
  [382] = {.lex_state = 57, .external_lex_state = 2},
  [383] = {.lex_state = 57, .external_lex_state = 4},
  [384] = {.lex_state = 57, .external_lex_state = 7},
  [385] = {.lex_state = 57, .external_lex_state = 2},
  [386] = {.lex_state = 57, .external_lex_state = 2},
  [387] = {.lex_state = 57, .external_lex_state = 7},
  [388] = {.lex_state = 57, .external_lex_state = 2},
  [389] = {.lex_state = 57, .external_lex_state = 7},
  [390] = {.lex_state = 34, .external_lex_state = 4},
  [391] = {.lex_state = 57, .external_lex_state = 8},
  [392] = {.lex_state = 57, .external_lex_state = 2},
  [393] = {.lex_state = 57, .external_lex_state = 2},
  [394] = {.lex_state = 57, .external_lex_state = 2},
  [395] = {.lex_state = 57, .external_lex_state = 4},
  [396] = {.lex_state = 57, .external_lex_state = 2},
  [397] = {.lex_state = 57, .external_lex_state = 8},
  [398] = {.lex_state = 57, .external_lex_state = 2},
  [399] = {.lex_state = 57, .external_lex_state = 2},
  [400] = {.lex_state = 57, .external_lex_state = 8},
  [401] = {.lex_state = 57, .external_lex_state = 8},
  [402] = {.lex_state = 57, .external_lex_state = 2},
  [403] = {.lex_state = 57, .external_lex_state = 2},
  [404] = {.lex_state = 57, .external_lex_state = 2},
  [405] = {.lex_state = 57, .external_lex_state = 7},
  [406] = {.lex_state = 57, .external_lex_state = 2},
  [407] = {.lex_state = 57, .external_lex_state = 2},
  [408] = {.lex_state = 57, .external_lex_state = 2},
  [409] = {.lex_state = 57, .external_lex_state = 2},
  [410] = {.lex_state = 57, .external_lex_state = 2},
  [411] = {.lex_state = 57, .external_lex_state = 2},
  [412] = {.lex_state = 57, .external_lex_state = 2},
  [413] = {.lex_state = 57, .external_lex_state = 2},
  [414] = {.lex_state = 57, .external_lex_state = 2},
  [415] = {.lex_state = 57, .external_lex_state = 2},
  [416] = {.lex_state = 57, .external_lex_state = 2},
  [417] = {.lex_state = 57, .external_lex_state = 2},
  [418] = {.lex_state = 57, .external_lex_state = 2},
  [419] = {.lex_state = 57, .external_lex_state = 2},
  [420] = {.lex_state = 57, .external_lex_state = 2},
  [421] = {.lex_state = 57, .external_lex_state = 2},
  [422] = {.lex_state = 57, .external_lex_state = 2},
  [423] = {.lex_state = 57, .external_lex_state = 2},
  [424] = {.lex_state = 57, .external_lex_state = 2},
  [425] = {.lex_state = 57, .external_lex_state = 2},
  [426] = {.lex_state = 57, .external_lex_state = 2},
  [427] = {.lex_state = 57, .external_lex_state = 2},
  [428] = {.lex_state = 57, .external_lex_state = 2},
  [429] = {.lex_state = 57, .external_lex_state = 2},
  [430] = {.lex_state = 57, .external_lex_state = 2},
  [431] = {.lex_state = 57, .external_lex_state = 2},
  [432] = {.lex_state = 57, .external_lex_state = 2},
  [433] = {.lex_state = 57, .external_lex_state = 2},
  [434] = {.lex_state = 57, .external_lex_state = 2},
  [435] = {.lex_state = 57, .external_lex_state = 2},
  [436] = {.lex_state = 57, .external_lex_state = 2},
  [437] = {.lex_state = 57, .external_lex_state = 2},
  [438] = {.lex_state = 57, .external_lex_state = 2},
  [439] = {.lex_state = 57, .external_lex_state = 2},
  [440] = {.lex_state = 57, .external_lex_state = 2},
  [441] = {.lex_state = 57, .external_lex_state = 2},
  [442] = {.lex_state = 57, .external_lex_state = 2},
  [443] = {.lex_state = 57, .external_lex_state = 2},
  [444] = {.lex_state = 57, .external_lex_state = 2},
  [445] = {.lex_state = 57, .external_lex_state = 2},
  [446] = {.lex_state = 57, .external_lex_state = 2},
  [447] = {.lex_state = 57, .external_lex_state = 2},
  [448] = {.lex_state = 57, .external_lex_state = 2},
  [449] = {.lex_state = 57, .external_lex_state = 2},
  [450] = {.lex_state = 57, .external_lex_state = 2},
  [451] = {.lex_state = 57, .external_lex_state = 2},
  [452] = {.lex_state = 57, .external_lex_state = 2},
  [453] = {.lex_state = 57, .external_lex_state = 2},
  [454] = {.lex_state = 57, .external_lex_state = 2},
  [455] = {.lex_state = 57, .external_lex_state = 2},
  [456] = {.lex_state = 57, .external_lex_state = 2},
  [457] = {.lex_state = 57, .external_lex_state = 2},
  [458] = {.lex_state = 57, .external_lex_state = 2},
  [459] = {.lex_state = 57, .external_lex_state = 2},
  [460] = {.lex_state = 57, .external_lex_state = 2},
  [461] = {.lex_state = 57, .external_lex_state = 2},
  [462] = {.lex_state = 57, .external_lex_state = 2},
  [463] = {.lex_state = 57, .external_lex_state = 2},
  [464] = {.lex_state = 57, .external_lex_state = 2},
  [465] = {.lex_state = 57, .external_lex_state = 2},
  [466] = {.lex_state = 57, .external_lex_state = 2},
  [467] = {.lex_state = 57, .external_lex_state = 2},
  [468] = {.lex_state = 57, .external_lex_state = 2},
  [469] = {.lex_state = 57, .external_lex_state = 2},
  [470] = {.lex_state = 57, .external_lex_state = 2},
  [471] = {.lex_state = 57, .external_lex_state = 2},
  [472] = {.lex_state = 57, .external_lex_state = 2},
  [473] = {.lex_state = 57, .external_lex_state = 2},
  [474] = {.lex_state = 57, .external_lex_state = 2},
  [475] = {.lex_state = 57, .external_lex_state = 2},
  [476] = {.lex_state = 57, .external_lex_state = 2},
  [477] = {.lex_state = 57, .external_lex_state = 2},
  [478] = {.lex_state = 57, .external_lex_state = 2},
  [479] = {.lex_state = 57, .external_lex_state = 2},
  [480] = {.lex_state = 57, .external_lex_state = 2},
  [481] = {.lex_state = 57, .external_lex_state = 2},
  [482] = {.lex_state = 58, .external_lex_state = 3},
  [483] = {.lex_state = 59, .external_lex_state = 3},
  [484] = {.lex_state = 57, .external_lex_state = 2},
  [485] = {.lex_state = 57, .external_lex_state = 2},
  [486] = {.lex_state = 57, .external_lex_state = 2},
  [487] = {.lex_state = 57, .external_lex_state = 2},
  [488] = {.lex_state = 57, .external_lex_state = 2},
  [489] = {.lex_state = 57, .external_lex_state = 2},
  [490] = {.lex_state = 57, .external_lex_state = 2},
  [491] = {.lex_state = 57, .external_lex_state = 2},
  [492] = {.lex_state = 57, .external_lex_state = 2},
  [493] = {.lex_state = 59, .external_lex_state = 2},
  [494] = {.lex_state = 58, .external_lex_state = 2},
  [495] = {.lex_state = 57, .external_lex_state = 2},
  [496] = {.lex_state = 57, .external_lex_state = 2},
  [497] = {.lex_state = 57, .external_lex_state = 2},
  [498] = {.lex_state = 57, .external_lex_state = 2},
  [499] = {.lex_state = 57, .external_lex_state = 2},
  [500] = {.lex_state = 57, .external_lex_state = 2},
  [501] = {.lex_state = 57, .external_lex_state = 2},
  [502] = {.lex_state = 57, .external_lex_state = 2},
  [503] = {.lex_state = 57, .external_lex_state = 2},
  [504] = {.lex_state = 57, .external_lex_state = 2},
  [505] = {.lex_state = 57, .external_lex_state = 2},
  [506] = {.lex_state = 57, .external_lex_state = 2},
  [507] = {.lex_state = 57, .external_lex_state = 2},
  [508] = {.lex_state = 57, .external_lex_state = 2},
  [509] = {.lex_state = 57, .external_lex_state = 2},
  [510] = {.lex_state = 57, .external_lex_state = 2},
  [511] = {.lex_state = 57, .external_lex_state = 2},
  [512] = {.lex_state = 57, .external_lex_state = 2},
  [513] = {.lex_state = 57, .external_lex_state = 2},
  [514] = {.lex_state = 57, .external_lex_state = 2},
  [515] = {.lex_state = 57, .external_lex_state = 2},
  [516] = {.lex_state = 57, .external_lex_state = 2},
  [517] = {.lex_state = 57, .external_lex_state = 2},
  [518] = {.lex_state = 57, .external_lex_state = 2},
  [519] = {.lex_state = 57, .external_lex_state = 2},
  [520] = {.lex_state = 57, .external_lex_state = 2},
  [521] = {.lex_state = 57, .external_lex_state = 2},
  [522] = {.lex_state = 57, .external_lex_state = 2},
  [523] = {.lex_state = 57, .external_lex_state = 2},
  [524] = {.lex_state = 57, .external_lex_state = 2},
  [525] = {.lex_state = 57, .external_lex_state = 2},
  [526] = {.lex_state = 57, .external_lex_state = 2},
  [527] = {.lex_state = 57, .external_lex_state = 2},
  [528] = {.lex_state = 57, .external_lex_state = 2},
  [529] = {.lex_state = 57, .external_lex_state = 2},
  [530] = {.lex_state = 57, .external_lex_state = 2},
  [531] = {.lex_state = 57, .external_lex_state = 2},
  [532] = {.lex_state = 57, .external_lex_state = 2},
  [533] = {.lex_state = 57, .external_lex_state = 2},
  [534] = {.lex_state = 57, .external_lex_state = 2},
  [535] = {.lex_state = 58, .external_lex_state = 3},
  [536] = {.lex_state = 59, .external_lex_state = 3},
  [537] = {.lex_state = 57, .external_lex_state = 2},
  [538] = {.lex_state = 57, .external_lex_state = 2},
  [539] = {.lex_state = 57, .external_lex_state = 2},
  [540] = {.lex_state = 57, .external_lex_state = 2},
  [541] = {.lex_state = 57, .external_lex_state = 2},
  [542] = {.lex_state = 57, .external_lex_state = 2},
  [543] = {.lex_state = 57, .external_lex_state = 2},
  [544] = {.lex_state = 57, .external_lex_state = 2},
  [545] = {.lex_state = 57, .external_lex_state = 2},
  [546] = {.lex_state = 57, .external_lex_state = 2},
  [547] = {.lex_state = 57, .external_lex_state = 2},
  [548] = {.lex_state = 57, .external_lex_state = 2},
  [549] = {.lex_state = 57, .external_lex_state = 2},
  [550] = {.lex_state = 57, .external_lex_state = 2},
  [551] = {.lex_state = 57, .external_lex_state = 2},
  [552] = {.lex_state = 57, .external_lex_state = 2},
  [553] = {.lex_state = 57, .external_lex_state = 2},
  [554] = {.lex_state = 57, .external_lex_state = 2},
  [555] = {.lex_state = 57, .external_lex_state = 2},
  [556] = {.lex_state = 57, .external_lex_state = 2},
  [557] = {.lex_state = 57, .external_lex_state = 2},
  [558] = {.lex_state = 57, .external_lex_state = 2},
  [559] = {.lex_state = 57, .external_lex_state = 2},
  [560] = {.lex_state = 57, .external_lex_state = 2},
  [561] = {.lex_state = 57, .external_lex_state = 2},
  [562] = {.lex_state = 57, .external_lex_state = 2},
  [563] = {.lex_state = 57, .external_lex_state = 2},
  [564] = {.lex_state = 57, .external_lex_state = 2},
  [565] = {.lex_state = 57, .external_lex_state = 2},
  [566] = {.lex_state = 57, .external_lex_state = 2},
  [567] = {.lex_state = 57, .external_lex_state = 2},
  [568] = {.lex_state = 58, .external_lex_state = 2},
  [569] = {.lex_state = 57, .external_lex_state = 2},
  [570] = {.lex_state = 57, .external_lex_state = 2},
  [571] = {.lex_state = 59, .external_lex_state = 2},
  [572] = {.lex_state = 57, .external_lex_state = 2},
  [573] = {.lex_state = 57, .external_lex_state = 2},
  [574] = {.lex_state = 57, .external_lex_state = 2},
  [575] = {.lex_state = 57, .external_lex_state = 2},
  [576] = {.lex_state = 57, .external_lex_state = 2},
  [577] = {.lex_state = 57, .external_lex_state = 2},
  [578] = {.lex_state = 57, .external_lex_state = 2},
  [579] = {.lex_state = 57, .external_lex_state = 2},
  [580] = {.lex_state = 57, .external_lex_state = 2},
  [581] = {.lex_state = 57, .external_lex_state = 2},
  [582] = {.lex_state = 57, .external_lex_state = 2},
  [583] = {.lex_state = 57, .external_lex_state = 2},
  [584] = {.lex_state = 57, .external_lex_state = 2},
  [585] = {.lex_state = 57, .external_lex_state = 2},
  [586] = {.lex_state = 57, .external_lex_state = 2},
  [587] = {.lex_state = 57, .external_lex_state = 2},
  [588] = {.lex_state = 57, .external_lex_state = 2},
  [589] = {.lex_state = 57, .external_lex_state = 2},
  [590] = {.lex_state = 57, .external_lex_state = 2},
  [591] = {.lex_state = 57, .external_lex_state = 2},
  [592] = {.lex_state = 57, .external_lex_state = 2},
  [593] = {.lex_state = 57, .external_lex_state = 2},
  [594] = {.lex_state = 57, .external_lex_state = 2},
  [595] = {.lex_state = 57, .external_lex_state = 2},
  [596] = {.lex_state = 57, .external_lex_state = 2},
  [597] = {.lex_state = 57, .external_lex_state = 2},
  [598] = {.lex_state = 57, .external_lex_state = 2},
  [599] = {.lex_state = 57, .external_lex_state = 2},
  [600] = {.lex_state = 57, .external_lex_state = 2},
  [601] = {.lex_state = 57, .external_lex_state = 2},
  [602] = {.lex_state = 57, .external_lex_state = 2},
  [603] = {.lex_state = 57, .external_lex_state = 2},
  [604] = {.lex_state = 57, .external_lex_state = 2},
  [605] = {.lex_state = 57, .external_lex_state = 2},
  [606] = {.lex_state = 57, .external_lex_state = 2},
  [607] = {.lex_state = 57, .external_lex_state = 2},
  [608] = {.lex_state = 57, .external_lex_state = 2},
  [609] = {.lex_state = 57, .external_lex_state = 2},
  [610] = {.lex_state = 57, .external_lex_state = 2},
  [611] = {.lex_state = 57, .external_lex_state = 2},
  [612] = {.lex_state = 57, .external_lex_state = 2},
  [613] = {.lex_state = 57, .external_lex_state = 2},
  [614] = {.lex_state = 57, .external_lex_state = 2},
  [615] = {.lex_state = 57, .external_lex_state = 2},
  [616] = {.lex_state = 57, .external_lex_state = 2},
  [617] = {.lex_state = 57, .external_lex_state = 2},
  [618] = {.lex_state = 57, .external_lex_state = 2},
  [619] = {.lex_state = 57, .external_lex_state = 2},
  [620] = {.lex_state = 57, .external_lex_state = 2},
  [621] = {.lex_state = 57, .external_lex_state = 2},
  [622] = {.lex_state = 57, .external_lex_state = 2},
  [623] = {.lex_state = 57, .external_lex_state = 2},
  [624] = {.lex_state = 57, .external_lex_state = 2},
  [625] = {.lex_state = 57, .external_lex_state = 2},
  [626] = {.lex_state = 57, .external_lex_state = 2},
  [627] = {.lex_state = 57, .external_lex_state = 2},
  [628] = {.lex_state = 57, .external_lex_state = 2},
  [629] = {.lex_state = 57, .external_lex_state = 2},
  [630] = {.lex_state = 57, .external_lex_state = 2},
  [631] = {.lex_state = 57, .external_lex_state = 2},
  [632] = {.lex_state = 57, .external_lex_state = 2},
  [633] = {.lex_state = 57, .external_lex_state = 2},
  [634] = {.lex_state = 34, .external_lex_state = 9},
  [635] = {.lex_state = 34, .external_lex_state = 9},
  [636] = {.lex_state = 35, .external_lex_state = 9},
  [637] = {.lex_state = 35, .external_lex_state = 9},
  [638] = {.lex_state = 35, .external_lex_state = 9},
  [639] = {.lex_state = 57, .external_lex_state = 2},
  [640] = {.lex_state = 35, .external_lex_state = 9},
  [641] = {.lex_state = 57, .external_lex_state = 2},
  [642] = {.lex_state = 57, .external_lex_state = 3},
  [643] = {.lex_state = 57, .external_lex_state = 2},
  [644] = {.lex_state = 58, .external_lex_state = 3},
  [645] = {.lex_state = 59, .external_lex_state = 2},
  [646] = {.lex_state = 58, .external_lex_state = 2},
  [647] = {.lex_state = 59, .external_lex_state = 3},
  [648] = {.lex_state = 35, .external_lex_state = 9},
  [649] = {.lex_state = 57, .external_lex_state = 3},
  [650] = {.lex_state = 57, .external_lex_state = 3},
  [651] = {.lex_state = 35, .external_lex_state = 9},
  [652] = {.lex_state = 35, .external_lex_state = 9},
  [653] = {.lex_state = 35, .external_lex_state = 9},
  [654] = {.lex_state = 35, .external_lex_state = 9},
  [655] = {.lex_state = 57, .external_lex_state = 2},
  [656] = {.lex_state = 57, .external_lex_state = 3},
  [657] = {.lex_state = 35, .external_lex_state = 9},
  [658] = {.lex_state = 35, .external_lex_state = 9},
  [659] = {.lex_state = 35, .external_lex_state = 9},
  [660] = {.lex_state = 35, .external_lex_state = 9},
  [661] = {.lex_state = 57, .external_lex_state = 2},
  [662] = {.lex_state = 57, .external_lex_state = 3},
  [663] = {.lex_state = 59, .external_lex_state = 2},
  [664] = {.lex_state = 57, .external_lex_state = 3},
  [665] = {.lex_state = 59, .external_lex_state = 3},
  [666] = {.lex_state = 57, .external_lex_state = 2},
  [667] = {.lex_state = 58, .external_lex_state = 2},
  [668] = {.lex_state = 59, .external_lex_state = 2},
  [669] = {.lex_state = 58, .external_lex_state = 2},
  [670] = {.lex_state = 59, .external_lex_state = 3},
  [671] = {.lex_state = 59, .external_lex_state = 2},
  [672] = {.lex_state = 57, .external_lex_state = 2},
  [673] = {.lex_state = 58, .external_lex_state = 3},
  [674] = {.lex_state = 59, .external_lex_state = 3},
  [675] = {.lex_state = 58, .external_lex_state = 3},
  [676] = {.lex_state = 59, .external_lex_state = 2},
  [677] = {.lex_state = 58, .external_lex_state = 3},
  [678] = {.lex_state = 58, .external_lex_state = 2},
  [679] = {.lex_state = 57, .external_lex_state = 2},
  [680] = {.lex_state = 57, .external_lex_state = 3},
  [681] = {.lex_state = 58, .external_lex_state = 3},
  [682] = {.lex_state = 58, .external_lex_state = 3},
  [683] = {.lex_state = 57, .external_lex_state = 6},
  [684] = {.lex_state = 58, .external_lex_state = 3},
  [685] = {.lex_state = 59, .external_lex_state = 3},
  [686] = {.lex_state = 58, .external_lex_state = 2},
  [687] = {.lex_state = 58, .external_lex_state = 3},
  [688] = {.lex_state = 59, .external_lex_state = 3},
  [689] = {.lex_state = 59, .external_lex_state = 3},
  [690] = {.lex_state = 57, .external_lex_state = 3},
  [691] = {.lex_state = 58, .external_lex_state = 2},
  [692] = {.lex_state = 59, .external_lex_state = 3},
  [693] = {.lex_state = 57, .external_lex_state = 2},
  [694] = {.lex_state = 59, .external_lex_state = 3},
  [695] = {.lex_state = 58, .external_lex_state = 3},
  [696] = {.lex_state = 59, .external_lex_state = 2},
  [697] = {.lex_state = 57, .external_lex_state = 3},
  [698] = {.lex_state = 58, .external_lex_state = 2},
  [699] = {.lex_state = 58, .external_lex_state = 3},
  [700] = {.lex_state = 58, .external_lex_state = 2},
  [701] = {.lex_state = 59, .external_lex_state = 3},
  [702] = {.lex_state = 59, .external_lex_state = 2},
  [703] = {.lex_state = 58, .external_lex_state = 2},
  [704] = {.lex_state = 59, .external_lex_state = 2},
  [705] = {.lex_state = 59, .external_lex_state = 3},
  [706] = {.lex_state = 59, .external_lex_state = 2},
  [707] = {.lex_state = 57, .external_lex_state = 3},
  [708] = {.lex_state = 57, .external_lex_state = 6},
  [709] = {.lex_state = 59, .external_lex_state = 2},
  [710] = {.lex_state = 59, .external_lex_state = 2},
  [711] = {.lex_state = 58, .external_lex_state = 2},
  [712] = {.lex_state = 59, .external_lex_state = 2},
  [713] = {.lex_state = 57, .external_lex_state = 2},
  [714] = {.lex_state = 59, .external_lex_state = 3},
  [715] = {.lex_state = 57, .external_lex_state = 3},
  [716] = {.lex_state = 57, .external_lex_state = 2},
  [717] = {.lex_state = 57, .external_lex_state = 2},
  [718] = {.lex_state = 57, .external_lex_state = 3},
  [719] = {.lex_state = 57, .external_lex_state = 2},
  [720] = {.lex_state = 57, .external_lex_state = 3},
  [721] = {.lex_state = 57, .external_lex_state = 2},
  [722] = {.lex_state = 57, .external_lex_state = 3},
  [723] = {.lex_state = 57, .external_lex_state = 3},
  [724] = {.lex_state = 57, .external_lex_state = 2},
  [725] = {.lex_state = 57, .external_lex_state = 3},
  [726] = {.lex_state = 57, .external_lex_state = 3},
  [727] = {.lex_state = 57, .external_lex_state = 2},
  [728] = {.lex_state = 57, .external_lex_state = 2},
  [729] = {.lex_state = 57, .external_lex_state = 3},
  [730] = {.lex_state = 57, .external_lex_state = 3},
  [731] = {.lex_state = 57, .external_lex_state = 2},
  [732] = {.lex_state = 57, .external_lex_state = 3},
  [733] = {.lex_state = 57, .external_lex_state = 2},
  [734] = {.lex_state = 57, .external_lex_state = 2},
  [735] = {.lex_state = 57, .external_lex_state = 3},
  [736] = {.lex_state = 57, .external_lex_state = 2},
  [737] = {.lex_state = 57, .external_lex_state = 7},
  [738] = {.lex_state = 57, .external_lex_state = 3},
  [739] = {.lex_state = 57, .external_lex_state = 3},
  [740] = {.lex_state = 57, .external_lex_state = 7},
  [741] = {.lex_state = 57, .external_lex_state = 2},
  [742] = {.lex_state = 57, .external_lex_state = 2},
  [743] = {.lex_state = 57, .external_lex_state = 2},
  [744] = {.lex_state = 57, .external_lex_state = 2},
  [745] = {.lex_state = 57, .external_lex_state = 3},
  [746] = {.lex_state = 57, .external_lex_state = 3},
  [747] = {.lex_state = 57, .external_lex_state = 2},
  [748] = {.lex_state = 57, .external_lex_state = 3},
  [749] = {.lex_state = 57, .external_lex_state = 2},
  [750] = {.lex_state = 57, .external_lex_state = 2},
  [751] = {.lex_state = 57, .external_lex_state = 2},
  [752] = {.lex_state = 57, .external_lex_state = 2},
  [753] = {.lex_state = 57, .external_lex_state = 2},
  [754] = {.lex_state = 57, .external_lex_state = 2},
  [755] = {.lex_state = 57, .external_lex_state = 2},
  [756] = {.lex_state = 57, .external_lex_state = 2},
  [757] = {.lex_state = 57, .external_lex_state = 3},
  [758] = {.lex_state = 57, .external_lex_state = 3},
  [759] = {.lex_state = 57, .external_lex_state = 3},
  [760] = {.lex_state = 57, .external_lex_state = 3},
  [761] = {.lex_state = 57, .external_lex_state = 3},
  [762] = {.lex_state = 57, .external_lex_state = 3},
  [763] = {.lex_state = 57, .external_lex_state = 3},
  [764] = {.lex_state = 57, .external_lex_state = 3},
  [765] = {.lex_state = 57, .external_lex_state = 3},
  [766] = {.lex_state = 57, .external_lex_state = 3},
  [767] = {.lex_state = 57, .external_lex_state = 3},
  [768] = {.lex_state = 57, .external_lex_state = 2},
  [769] = {.lex_state = 57, .external_lex_state = 3},
  [770] = {.lex_state = 57, .external_lex_state = 2},
  [771] = {.lex_state = 57, .external_lex_state = 2},
  [772] = {.lex_state = 57, .external_lex_state = 2},
  [773] = {.lex_state = 57, .external_lex_state = 3},
  [774] = {.lex_state = 57, .external_lex_state = 3},
  [775] = {.lex_state = 57, .external_lex_state = 3},
  [776] = {.lex_state = 57, .external_lex_state = 3},
  [777] = {.lex_state = 57, .external_lex_state = 2},
  [778] = {.lex_state = 57, .external_lex_state = 8},
  [779] = {.lex_state = 57, .external_lex_state = 2},
  [780] = {.lex_state = 57, .external_lex_state = 2},
  [781] = {.lex_state = 57, .external_lex_state = 2},
  [782] = {.lex_state = 57, .external_lex_state = 2},
  [783] = {.lex_state = 57, .external_lex_state = 2},
  [784] = {.lex_state = 57, .external_lex_state = 7},
  [785] = {.lex_state = 57, .external_lex_state = 3},
  [786] = {.lex_state = 57, .external_lex_state = 2},
  [787] = {.lex_state = 57, .external_lex_state = 2},
  [788] = {.lex_state = 57, .external_lex_state = 2},
  [789] = {.lex_state = 57, .external_lex_state = 3},
  [790] = {.lex_state = 57, .external_lex_state = 3},
  [791] = {.lex_state = 57, .external_lex_state = 2},
  [792] = {.lex_state = 57, .external_lex_state = 2},
  [793] = {.lex_state = 57, .external_lex_state = 2},
  [794] = {.lex_state = 57, .external_lex_state = 3},
  [795] = {.lex_state = 57, .external_lex_state = 2},
  [796] = {.lex_state = 57, .external_lex_state = 2},
  [797] = {.lex_state = 57, .external_lex_state = 2},
  [798] = {.lex_state = 57, .external_lex_state = 2},
  [799] = {.lex_state = 57, .external_lex_state = 3},
  [800] = {.lex_state = 57, .external_lex_state = 8},
  [801] = {.lex_state = 57, .external_lex_state = 3},
  [802] = {.lex_state = 57, .external_lex_state = 2},
  [803] = {.lex_state = 57, .external_lex_state = 2},
  [804] = {.lex_state = 57, .external_lex_state = 2},
  [805] = {.lex_state = 57, .external_lex_state = 3},
  [806] = {.lex_state = 57, .external_lex_state = 2},
  [807] = {.lex_state = 57, .external_lex_state = 2},
  [808] = {.lex_state = 57, .external_lex_state = 3},
  [809] = {.lex_state = 57, .external_lex_state = 2},
  [810] = {.lex_state = 57, .external_lex_state = 2},
  [811] = {.lex_state = 57, .external_lex_state = 3},
  [812] = {.lex_state = 57, .external_lex_state = 3},
  [813] = {.lex_state = 57, .external_lex_state = 3},
  [814] = {.lex_state = 57, .external_lex_state = 3},
  [815] = {.lex_state = 57, .external_lex_state = 2},
  [816] = {.lex_state = 57, .external_lex_state = 2},
  [817] = {.lex_state = 57, .external_lex_state = 3},
  [818] = {.lex_state = 57, .external_lex_state = 2},
  [819] = {.lex_state = 57, .external_lex_state = 3},
  [820] = {.lex_state = 57, .external_lex_state = 2},
  [821] = {.lex_state = 57, .external_lex_state = 3},
  [822] = {.lex_state = 57, .external_lex_state = 3},
  [823] = {.lex_state = 57, .external_lex_state = 3},
  [824] = {.lex_state = 57, .external_lex_state = 3},
  [825] = {.lex_state = 57, .external_lex_state = 2},
  [826] = {.lex_state = 57, .external_lex_state = 2},
  [827] = {.lex_state = 57, .external_lex_state = 2},
  [828] = {.lex_state = 57, .external_lex_state = 3},
  [829] = {.lex_state = 57, .external_lex_state = 2},
  [830] = {.lex_state = 57, .external_lex_state = 3},
  [831] = {.lex_state = 57, .external_lex_state = 2},
  [832] = {.lex_state = 57, .external_lex_state = 2},
  [833] = {.lex_state = 57, .external_lex_state = 2},
  [834] = {.lex_state = 57, .external_lex_state = 2},
  [835] = {.lex_state = 57, .external_lex_state = 2},
  [836] = {.lex_state = 57, .external_lex_state = 2},
  [837] = {.lex_state = 57, .external_lex_state = 3},
  [838] = {.lex_state = 57, .external_lex_state = 3},
  [839] = {.lex_state = 57, .external_lex_state = 7},
  [840] = {.lex_state = 57, .external_lex_state = 3},
  [841] = {.lex_state = 57, .external_lex_state = 2},
  [842] = {.lex_state = 57, .external_lex_state = 2},
  [843] = {.lex_state = 57, .external_lex_state = 2},
  [844] = {.lex_state = 57, .external_lex_state = 2},
  [845] = {.lex_state = 57, .external_lex_state = 2},
  [846] = {.lex_state = 57, .external_lex_state = 2},
  [847] = {.lex_state = 57, .external_lex_state = 2},
  [848] = {.lex_state = 57, .external_lex_state = 2},
  [849] = {.lex_state = 57, .external_lex_state = 2},
  [850] = {.lex_state = 57, .external_lex_state = 7},
  [851] = {.lex_state = 57, .external_lex_state = 2},
  [852] = {.lex_state = 57, .external_lex_state = 2},
  [853] = {.lex_state = 57, .external_lex_state = 2},
  [854] = {.lex_state = 57, .external_lex_state = 2},
  [855] = {.lex_state = 57, .external_lex_state = 2},
  [856] = {.lex_state = 57, .external_lex_state = 2},
  [857] = {.lex_state = 57, .external_lex_state = 2},
  [858] = {.lex_state = 57, .external_lex_state = 2},
  [859] = {.lex_state = 57, .external_lex_state = 2},
  [860] = {.lex_state = 57, .external_lex_state = 2},
  [861] = {.lex_state = 57, .external_lex_state = 2},
  [862] = {.lex_state = 57, .external_lex_state = 2},
  [863] = {.lex_state = 57, .external_lex_state = 2},
  [864] = {.lex_state = 57, .external_lex_state = 2},
  [865] = {.lex_state = 57, .external_lex_state = 2},
  [866] = {.lex_state = 57, .external_lex_state = 2},
  [867] = {.lex_state = 57, .external_lex_state = 2},
  [868] = {.lex_state = 57, .external_lex_state = 2},
  [869] = {.lex_state = 57, .external_lex_state = 2},
  [870] = {.lex_state = 57, .external_lex_state = 2},
  [871] = {.lex_state = 57, .external_lex_state = 2},
  [872] = {.lex_state = 57, .external_lex_state = 2},
  [873] = {.lex_state = 57, .external_lex_state = 2},
  [874] = {.lex_state = 57, .external_lex_state = 2},
  [875] = {.lex_state = 57, .external_lex_state = 2},
  [876] = {.lex_state = 57, .external_lex_state = 2},
  [877] = {.lex_state = 57, .external_lex_state = 2},
  [878] = {.lex_state = 57, .external_lex_state = 2},
  [879] = {.lex_state = 57, .external_lex_state = 2},
  [880] = {.lex_state = 57, .external_lex_state = 2},
  [881] = {.lex_state = 57, .external_lex_state = 2},
  [882] = {.lex_state = 57, .external_lex_state = 2},
  [883] = {.lex_state = 57, .external_lex_state = 2},
  [884] = {.lex_state = 57, .external_lex_state = 2},
  [885] = {.lex_state = 57, .external_lex_state = 2},
  [886] = {.lex_state = 57, .external_lex_state = 2},
  [887] = {.lex_state = 57, .external_lex_state = 2},
  [888] = {.lex_state = 57, .external_lex_state = 2},
  [889] = {.lex_state = 57, .external_lex_state = 2},
  [890] = {.lex_state = 57, .external_lex_state = 2},
  [891] = {.lex_state = 57, .external_lex_state = 2},
  [892] = {.lex_state = 57, .external_lex_state = 2},
  [893] = {.lex_state = 57, .external_lex_state = 2},
  [894] = {.lex_state = 57, .external_lex_state = 2},
  [895] = {.lex_state = 57, .external_lex_state = 2},
  [896] = {.lex_state = 57, .external_lex_state = 2},
  [897] = {.lex_state = 57, .external_lex_state = 2},
  [898] = {.lex_state = 57, .external_lex_state = 2},
  [899] = {.lex_state = 57, .external_lex_state = 2},
  [900] = {.lex_state = 57, .external_lex_state = 2},
  [901] = {.lex_state = 57, .external_lex_state = 2},
  [902] = {.lex_state = 57, .external_lex_state = 2},
  [903] = {.lex_state = 57, .external_lex_state = 2},
  [904] = {.lex_state = 57, .external_lex_state = 2},
  [905] = {.lex_state = 57, .external_lex_state = 2},
  [906] = {.lex_state = 57, .external_lex_state = 2},
  [907] = {.lex_state = 57, .external_lex_state = 2},
  [908] = {.lex_state = 57, .external_lex_state = 2},
  [909] = {.lex_state = 57, .external_lex_state = 2},
  [910] = {.lex_state = 57, .external_lex_state = 2},
  [911] = {.lex_state = 57, .external_lex_state = 2},
  [912] = {.lex_state = 57, .external_lex_state = 2},
  [913] = {.lex_state = 57, .external_lex_state = 2},
  [914] = {.lex_state = 57, .external_lex_state = 2},
  [915] = {.lex_state = 57, .external_lex_state = 2},
  [916] = {.lex_state = 57, .external_lex_state = 2},
  [917] = {.lex_state = 57, .external_lex_state = 2},
  [918] = {.lex_state = 57, .external_lex_state = 2},
  [919] = {.lex_state = 57, .external_lex_state = 2},
  [920] = {.lex_state = 57, .external_lex_state = 2},
  [921] = {.lex_state = 57, .external_lex_state = 2},
  [922] = {.lex_state = 57, .external_lex_state = 2},
  [923] = {.lex_state = 57, .external_lex_state = 2},
  [924] = {.lex_state = 57, .external_lex_state = 2},
  [925] = {.lex_state = 57, .external_lex_state = 2},
  [926] = {.lex_state = 57, .external_lex_state = 2},
  [927] = {.lex_state = 57, .external_lex_state = 2},
  [928] = {.lex_state = 57, .external_lex_state = 2},
  [929] = {.lex_state = 57, .external_lex_state = 2},
  [930] = {.lex_state = 57, .external_lex_state = 2},
  [931] = {.lex_state = 57, .external_lex_state = 2},
  [932] = {.lex_state = 57, .external_lex_state = 2},
  [933] = {.lex_state = 57, .external_lex_state = 2},
  [934] = {.lex_state = 57, .external_lex_state = 2},
  [935] = {.lex_state = 57, .external_lex_state = 2},
  [936] = {.lex_state = 57, .external_lex_state = 2},
  [937] = {.lex_state = 57, .external_lex_state = 2},
  [938] = {.lex_state = 57, .external_lex_state = 2},
  [939] = {.lex_state = 57, .external_lex_state = 2},
  [940] = {.lex_state = 57, .external_lex_state = 2},
  [941] = {.lex_state = 57, .external_lex_state = 2},
  [942] = {.lex_state = 57, .external_lex_state = 2},
  [943] = {.lex_state = 57, .external_lex_state = 2},
  [944] = {.lex_state = 57, .external_lex_state = 2},
  [945] = {.lex_state = 57, .external_lex_state = 2},
  [946] = {.lex_state = 57, .external_lex_state = 2},
  [947] = {.lex_state = 57, .external_lex_state = 2},
  [948] = {.lex_state = 57, .external_lex_state = 2},
  [949] = {.lex_state = 57, .external_lex_state = 2},
  [950] = {.lex_state = 57, .external_lex_state = 2},
  [951] = {.lex_state = 57, .external_lex_state = 2},
  [952] = {.lex_state = 57, .external_lex_state = 2},
  [953] = {.lex_state = 57, .external_lex_state = 2},
  [954] = {.lex_state = 57, .external_lex_state = 2},
  [955] = {.lex_state = 57, .external_lex_state = 2},
  [956] = {.lex_state = 57, .external_lex_state = 2},
  [957] = {.lex_state = 57, .external_lex_state = 2},
  [958] = {.lex_state = 57, .external_lex_state = 2},
  [959] = {.lex_state = 57, .external_lex_state = 2},
  [960] = {.lex_state = 57, .external_lex_state = 2},
  [961] = {.lex_state = 57, .external_lex_state = 2},
  [962] = {.lex_state = 57, .external_lex_state = 2},
  [963] = {.lex_state = 57, .external_lex_state = 2},
  [964] = {.lex_state = 57, .external_lex_state = 2},
  [965] = {.lex_state = 57, .external_lex_state = 2},
  [966] = {.lex_state = 57, .external_lex_state = 2},
  [967] = {.lex_state = 57, .external_lex_state = 2},
  [968] = {.lex_state = 57, .external_lex_state = 2},
  [969] = {.lex_state = 57, .external_lex_state = 2},
  [970] = {.lex_state = 36, .external_lex_state = 6},
  [971] = {.lex_state = 36, .external_lex_state = 10},
  [972] = {.lex_state = 36, .external_lex_state = 6},
  [973] = {.lex_state = 36, .external_lex_state = 6},
  [974] = {.lex_state = 36, .external_lex_state = 9},
  [975] = {.lex_state = 36, .external_lex_state = 6},
  [976] = {.lex_state = 36, .external_lex_state = 10},
  [977] = {.lex_state = 36, .external_lex_state = 4},
  [978] = {.lex_state = 36, .external_lex_state = 4},
  [979] = {.lex_state = 36, .external_lex_state = 4},
  [980] = {.lex_state = 36, .external_lex_state = 6},
  [981] = {.lex_state = 36, .external_lex_state = 10},
  [982] = {.lex_state = 36, .external_lex_state = 9},
  [983] = {.lex_state = 36, .external_lex_state = 10},
  [984] = {.lex_state = 36, .external_lex_state = 6},
  [985] = {.lex_state = 36, .external_lex_state = 10},
  [986] = {.lex_state = 36, .external_lex_state = 9},
  [987] = {.lex_state = 36, .external_lex_state = 10},
  [988] = {.lex_state = 36, .external_lex_state = 10},
  [989] = {.lex_state = 36, .external_lex_state = 10},
  [990] = {.lex_state = 36, .external_lex_state = 9},
  [991] = {.lex_state = 36, .external_lex_state = 10},
  [992] = {.lex_state = 36, .external_lex_state = 10},
  [993] = {.lex_state = 36, .external_lex_state = 10},
  [994] = {.lex_state = 36, .external_lex_state = 11},
  [995] = {.lex_state = 36, .external_lex_state = 10},
  [996] = {.lex_state = 36, .external_lex_state = 2},
  [997] = {.lex_state = 36, .external_lex_state = 10},
  [998] = {.lex_state = 36, .external_lex_state = 10},
  [999] = {.lex_state = 36, .external_lex_state = 10},
  [1000] = {.lex_state = 36, .external_lex_state = 10},
  [1001] = {.lex_state = 36, .external_lex_state = 10},
  [1002] = {.lex_state = 36, .external_lex_state = 10},
  [1003] = {.lex_state = 36, .external_lex_state = 10},
  [1004] = {.lex_state = 36, .external_lex_state = 9},
  [1005] = {.lex_state = 36, .external_lex_state = 10},
  [1006] = {.lex_state = 36, .external_lex_state = 10},
  [1007] = {.lex_state = 36, .external_lex_state = 9},
  [1008] = {.lex_state = 36, .external_lex_state = 12},
  [1009] = {.lex_state = 36, .external_lex_state = 9},
  [1010] = {.lex_state = 36, .external_lex_state = 9},
  [1011] = {.lex_state = 36, .external_lex_state = 2},
  [1012] = {.lex_state = 36, .external_lex_state = 8},
  [1013] = {.lex_state = 36, .external_lex_state = 10},
  [1014] = {.lex_state = 36, .external_lex_state = 7},
  [1015] = {.lex_state = 36, .external_lex_state = 10},
  [1016] = {.lex_state = 36, .external_lex_state = 8},
  [1017] = {.lex_state = 36, .external_lex_state = 9},
  [1018] = {.lex_state = 36, .external_lex_state = 10},
  [1019] = {.lex_state = 36, .external_lex_state = 10},
  [1020] = {.lex_state = 36, .external_lex_state = 7},
  [1021] = {.lex_state = 36, .external_lex_state = 8},
  [1022] = {.lex_state = 36, .external_lex_state = 10},
  [1023] = {.lex_state = 36, .external_lex_state = 10},
  [1024] = {.lex_state = 36, .external_lex_state = 10},
  [1025] = {.lex_state = 36, .external_lex_state = 9},
  [1026] = {.lex_state = 36, .external_lex_state = 10},
  [1027] = {.lex_state = 36, .external_lex_state = 9},
  [1028] = {.lex_state = 36, .external_lex_state = 9},
  [1029] = {.lex_state = 36, .external_lex_state = 10},
  [1030] = {.lex_state = 36, .external_lex_state = 10},
  [1031] = {.lex_state = 36, .external_lex_state = 10},
  [1032] = {.lex_state = 36, .external_lex_state = 11},
  [1033] = {.lex_state = 36, .external_lex_state = 13},
  [1034] = {.lex_state = 36, .external_lex_state = 12},
  [1035] = {.lex_state = 36, .external_lex_state = 13},
  [1036] = {.lex_state = 36, .external_lex_state = 7},
  [1037] = {.lex_state = 36, .external_lex_state = 10},
  [1038] = {.lex_state = 36, .external_lex_state = 9},
  [1039] = {.lex_state = 36, .external_lex_state = 2},
  [1040] = {.lex_state = 36, .external_lex_state = 11},
  [1041] = {.lex_state = 41, .external_lex_state = 9},
  [1042] = {.lex_state = 41, .external_lex_state = 10},
  [1043] = {.lex_state = 41, .external_lex_state = 10},
  [1044] = {.lex_state = 36, .external_lex_state = 13},
  [1045] = {.lex_state = 36, .external_lex_state = 10},
  [1046] = {.lex_state = 36, .external_lex_state = 10},
  [1047] = {.lex_state = 36, .external_lex_state = 9},
  [1048] = {.lex_state = 36, .external_lex_state = 9},
  [1049] = {.lex_state = 36, .external_lex_state = 12},
  [1050] = {.lex_state = 36, .external_lex_state = 7},
  [1051] = {.lex_state = 36, .external_lex_state = 12},
  [1052] = {.lex_state = 36, .external_lex_state = 13},
  [1053] = {.lex_state = 36, .external_lex_state = 13},
  [1054] = {.lex_state = 41, .external_lex_state = 10},
  [1055] = {.lex_state = 41, .external_lex_state = 13},
  [1056] = {.lex_state = 41, .external_lex_state = 13},
  [1057] = {.lex_state = 36, .external_lex_state = 13},
  [1058] = {.lex_state = 36, .external_lex_state = 4},
  [1059] = {.lex_state = 36, .external_lex_state = 13},
  [1060] = {.lex_state = 41, .external_lex_state = 10},
  [1061] = {.lex_state = 36, .external_lex_state = 6},
  [1062] = {.lex_state = 36, .external_lex_state = 7},
  [1063] = {.lex_state = 36, .external_lex_state = 13},
  [1064] = {.lex_state = 36, .external_lex_state = 13},
  [1065] = {.lex_state = 36, .external_lex_state = 6},
  [1066] = {.lex_state = 41, .external_lex_state = 10},
  [1067] = {.lex_state = 36, .external_lex_state = 13},
  [1068] = {.lex_state = 36, .external_lex_state = 13},
  [1069] = {.lex_state = 41, .external_lex_state = 9},
  [1070] = {.lex_state = 41, .external_lex_state = 10},
  [1071] = {.lex_state = 36, .external_lex_state = 10},
  [1072] = {.lex_state = 36, .external_lex_state = 12},
  [1073] = {.lex_state = 36, .external_lex_state = 12},
  [1074] = {.lex_state = 36, .external_lex_state = 12},
  [1075] = {.lex_state = 36, .external_lex_state = 12},
  [1076] = {.lex_state = 36, .external_lex_state = 12},
  [1077] = {.lex_state = 36, .external_lex_state = 12},
  [1078] = {.lex_state = 36, .external_lex_state = 12},
  [1079] = {.lex_state = 36, .external_lex_state = 11},
  [1080] = {.lex_state = 36, .external_lex_state = 12},
  [1081] = {.lex_state = 36, .external_lex_state = 8},
  [1082] = {.lex_state = 36, .external_lex_state = 12},
  [1083] = {.lex_state = 36, .external_lex_state = 13},
  [1084] = {.lex_state = 36, .external_lex_state = 11},
  [1085] = {.lex_state = 36, .external_lex_state = 6},
  [1086] = {.lex_state = 36, .external_lex_state = 11},
  [1087] = {.lex_state = 36, .external_lex_state = 8},
  [1088] = {.lex_state = 36, .external_lex_state = 11},
  [1089] = {.lex_state = 36, .external_lex_state = 11},
  [1090] = {.lex_state = 36, .external_lex_state = 11},
  [1091] = {.lex_state = 36, .external_lex_state = 13},
  [1092] = {.lex_state = 36, .external_lex_state = 13},
  [1093] = {.lex_state = 36, .external_lex_state = 12},
  [1094] = {.lex_state = 36, .external_lex_state = 10},
  [1095] = {.lex_state = 36, .external_lex_state = 11},
  [1096] = {.lex_state = 36, .external_lex_state = 11},
  [1097] = {.lex_state = 36, .external_lex_state = 12},
  [1098] = {.lex_state = 41, .external_lex_state = 10},
  [1099] = {.lex_state = 36, .external_lex_state = 8},
  [1100] = {.lex_state = 36, .external_lex_state = 4},
  [1101] = {.lex_state = 41, .external_lex_state = 10},
  [1102] = {.lex_state = 36, .external_lex_state = 13},
  [1103] = {.lex_state = 36, .external_lex_state = 9},
  [1104] = {.lex_state = 36, .external_lex_state = 6},
  [1105] = {.lex_state = 36, .external_lex_state = 11},
  [1106] = {.lex_state = 36, .external_lex_state = 7},
  [1107] = {.lex_state = 36, .external_lex_state = 11},
  [1108] = {.lex_state = 36, .external_lex_state = 10},
  [1109] = {.lex_state = 36, .external_lex_state = 10},
  [1110] = {.lex_state = 36, .external_lex_state = 9},
  [1111] = {.lex_state = 36, .external_lex_state = 10},
  [1112] = {.lex_state = 36, .external_lex_state = 13},
  [1113] = {.lex_state = 36, .external_lex_state = 10},
  [1114] = {.lex_state = 36, .external_lex_state = 10},
  [1115] = {.lex_state = 36, .external_lex_state = 9},
  [1116] = {.lex_state = 36, .external_lex_state = 10},
  [1117] = {.lex_state = 36, .external_lex_state = 10},
  [1118] = {.lex_state = 36, .external_lex_state = 10},
  [1119] = {.lex_state = 36, .external_lex_state = 10},
  [1120] = {.lex_state = 36, .external_lex_state = 9},
  [1121] = {.lex_state = 36, .external_lex_state = 9},
  [1122] = {.lex_state = 36, .external_lex_state = 9},
  [1123] = {.lex_state = 36, .external_lex_state = 10},
  [1124] = {.lex_state = 36, .external_lex_state = 10},
  [1125] = {.lex_state = 36, .external_lex_state = 10},
  [1126] = {.lex_state = 36, .external_lex_state = 10},
  [1127] = {.lex_state = 36, .external_lex_state = 9},
  [1128] = {.lex_state = 36, .external_lex_state = 9},
  [1129] = {.lex_state = 36, .external_lex_state = 10},
  [1130] = {.lex_state = 36, .external_lex_state = 10},
  [1131] = {.lex_state = 36, .external_lex_state = 13},
  [1132] = {.lex_state = 36, .external_lex_state = 9},
  [1133] = {.lex_state = 36, .external_lex_state = 10},
  [1134] = {.lex_state = 36, .external_lex_state = 10},
  [1135] = {.lex_state = 36, .external_lex_state = 10},
  [1136] = {.lex_state = 36, .external_lex_state = 13},
  [1137] = {.lex_state = 36, .external_lex_state = 13},
  [1138] = {.lex_state = 36, .external_lex_state = 13},
  [1139] = {.lex_state = 41, .external_lex_state = 13},
  [1140] = {.lex_state = 36, .external_lex_state = 13},
  [1141] = {.lex_state = 36, .external_lex_state = 10},
  [1142] = {.lex_state = 41, .external_lex_state = 13},
  [1143] = {.lex_state = 36, .external_lex_state = 10},
  [1144] = {.lex_state = 36, .external_lex_state = 9},
  [1145] = {.lex_state = 36, .external_lex_state = 10},
  [1146] = {.lex_state = 36, .external_lex_state = 10},
  [1147] = {.lex_state = 36, .external_lex_state = 10},
  [1148] = {.lex_state = 36, .external_lex_state = 9},
  [1149] = {.lex_state = 36, .external_lex_state = 10},
  [1150] = {.lex_state = 36, .external_lex_state = 10},
  [1151] = {.lex_state = 36, .external_lex_state = 10},
  [1152] = {.lex_state = 36, .external_lex_state = 13},
  [1153] = {.lex_state = 36, .external_lex_state = 13},
  [1154] = {.lex_state = 36, .external_lex_state = 9},
  [1155] = {.lex_state = 36, .external_lex_state = 10},
  [1156] = {.lex_state = 36, .external_lex_state = 9},
  [1157] = {.lex_state = 36, .external_lex_state = 13},
  [1158] = {.lex_state = 36, .external_lex_state = 10},
  [1159] = {.lex_state = 41, .external_lex_state = 13},
  [1160] = {.lex_state = 41, .external_lex_state = 13},
  [1161] = {.lex_state = 36, .external_lex_state = 12},
  [1162] = {.lex_state = 36, .external_lex_state = 9},
  [1163] = {.lex_state = 36, .external_lex_state = 10},
  [1164] = {.lex_state = 36, .external_lex_state = 10},
  [1165] = {.lex_state = 36, .external_lex_state = 9},
  [1166] = {.lex_state = 36, .external_lex_state = 10},
  [1167] = {.lex_state = 36, .external_lex_state = 9},
  [1168] = {.lex_state = 36, .external_lex_state = 13},
  [1169] = {.lex_state = 36, .external_lex_state = 13},
  [1170] = {.lex_state = 36, .external_lex_state = 10},
  [1171] = {.lex_state = 36, .external_lex_state = 9},
  [1172] = {.lex_state = 36, .external_lex_state = 12},
  [1173] = {.lex_state = 41, .external_lex_state = 12},
  [1174] = {.lex_state = 36, .external_lex_state = 9},
  [1175] = {.lex_state = 36, .external_lex_state = 9},
  [1176] = {.lex_state = 36, .external_lex_state = 7},
  [1177] = {.lex_state = 36, .external_lex_state = 9},
  [1178] = {.lex_state = 36, .external_lex_state = 10},
  [1179] = {.lex_state = 36, .external_lex_state = 10},
  [1180] = {.lex_state = 36, .external_lex_state = 13},
  [1181] = {.lex_state = 36, .external_lex_state = 10},
  [1182] = {.lex_state = 36, .external_lex_state = 9},
  [1183] = {.lex_state = 36, .external_lex_state = 10},
  [1184] = {.lex_state = 41, .external_lex_state = 12},
  [1185] = {.lex_state = 36, .external_lex_state = 9},
  [1186] = {.lex_state = 36, .external_lex_state = 11},
  [1187] = {.lex_state = 36, .external_lex_state = 10},
  [1188] = {.lex_state = 36, .external_lex_state = 10},
  [1189] = {.lex_state = 41, .external_lex_state = 12},
  [1190] = {.lex_state = 41, .external_lex_state = 12},
  [1191] = {.lex_state = 36, .external_lex_state = 12},
  [1192] = {.lex_state = 36, .external_lex_state = 10},
  [1193] = {.lex_state = 36, .external_lex_state = 12},
  [1194] = {.lex_state = 36, .external_lex_state = 12},
  [1195] = {.lex_state = 36, .external_lex_state = 10},
  [1196] = {.lex_state = 36, .external_lex_state = 10},
  [1197] = {.lex_state = 36, .external_lex_state = 10},
  [1198] = {.lex_state = 36, .external_lex_state = 10},
  [1199] = {.lex_state = 36, .external_lex_state = 10},
  [1200] = {.lex_state = 36, .external_lex_state = 12},
  [1201] = {.lex_state = 36, .external_lex_state = 10},
  [1202] = {.lex_state = 36, .external_lex_state = 10},
  [1203] = {.lex_state = 36, .external_lex_state = 9},
  [1204] = {.lex_state = 36, .external_lex_state = 12},
  [1205] = {.lex_state = 36, .external_lex_state = 9},
  [1206] = {.lex_state = 36, .external_lex_state = 12},
  [1207] = {.lex_state = 36, .external_lex_state = 10},
  [1208] = {.lex_state = 36, .external_lex_state = 10},
  [1209] = {.lex_state = 36, .external_lex_state = 12},
  [1210] = {.lex_state = 36, .external_lex_state = 12},
  [1211] = {.lex_state = 36, .external_lex_state = 9},
  [1212] = {.lex_state = 36, .external_lex_state = 10},
  [1213] = {.lex_state = 36, .external_lex_state = 10},
  [1214] = {.lex_state = 36, .external_lex_state = 10},
  [1215] = {.lex_state = 36, .external_lex_state = 10},
  [1216] = {.lex_state = 36, .external_lex_state = 10},
  [1217] = {.lex_state = 36, .external_lex_state = 10},
  [1218] = {.lex_state = 36, .external_lex_state = 10},
  [1219] = {.lex_state = 36, .external_lex_state = 10},
  [1220] = {.lex_state = 36, .external_lex_state = 13},
  [1221] = {.lex_state = 36, .external_lex_state = 13},
  [1222] = {.lex_state = 36, .external_lex_state = 13},
  [1223] = {.lex_state = 36, .external_lex_state = 13},
  [1224] = {.lex_state = 36, .external_lex_state = 10},
  [1225] = {.lex_state = 36, .external_lex_state = 12},
  [1226] = {.lex_state = 36, .external_lex_state = 9},
  [1227] = {.lex_state = 36, .external_lex_state = 10},
  [1228] = {.lex_state = 36, .external_lex_state = 10},
  [1229] = {.lex_state = 36, .external_lex_state = 2},
  [1230] = {.lex_state = 36, .external_lex_state = 12},
  [1231] = {.lex_state = 36, .external_lex_state = 12},
  [1232] = {.lex_state = 36, .external_lex_state = 13},
  [1233] = {.lex_state = 36, .external_lex_state = 10},
  [1234] = {.lex_state = 36, .external_lex_state = 9},
  [1235] = {.lex_state = 36, .external_lex_state = 10},
  [1236] = {.lex_state = 36, .external_lex_state = 9},
  [1237] = {.lex_state = 36, .external_lex_state = 10},
  [1238] = {.lex_state = 36, .external_lex_state = 10},
  [1239] = {.lex_state = 36, .external_lex_state = 13},
  [1240] = {.lex_state = 36, .external_lex_state = 10},
  [1241] = {.lex_state = 41, .external_lex_state = 13},
  [1242] = {.lex_state = 36, .external_lex_state = 9},
  [1243] = {.lex_state = 36, .external_lex_state = 9},
  [1244] = {.lex_state = 36, .external_lex_state = 10},
  [1245] = {.lex_state = 36, .external_lex_state = 10},
  [1246] = {.lex_state = 36, .external_lex_state = 13},
  [1247] = {.lex_state = 36, .external_lex_state = 10},
  [1248] = {.lex_state = 36, .external_lex_state = 13},
  [1249] = {.lex_state = 36, .external_lex_state = 13},
  [1250] = {.lex_state = 36, .external_lex_state = 10},
  [1251] = {.lex_state = 36, .external_lex_state = 10},
  [1252] = {.lex_state = 36, .external_lex_state = 10},
  [1253] = {.lex_state = 36, .external_lex_state = 9},
  [1254] = {.lex_state = 36, .external_lex_state = 10},
  [1255] = {.lex_state = 36, .external_lex_state = 10},
  [1256] = {.lex_state = 36, .external_lex_state = 11},
  [1257] = {.lex_state = 36, .external_lex_state = 10},
  [1258] = {.lex_state = 36, .external_lex_state = 12},
  [1259] = {.lex_state = 36, .external_lex_state = 9},
  [1260] = {.lex_state = 36, .external_lex_state = 10},
  [1261] = {.lex_state = 36, .external_lex_state = 10},
  [1262] = {.lex_state = 36, .external_lex_state = 10},
  [1263] = {.lex_state = 36, .external_lex_state = 10},
  [1264] = {.lex_state = 36, .external_lex_state = 10},
  [1265] = {.lex_state = 36, .external_lex_state = 10},
  [1266] = {.lex_state = 36, .external_lex_state = 10},
  [1267] = {.lex_state = 36, .external_lex_state = 9},
  [1268] = {.lex_state = 36, .external_lex_state = 8},
  [1269] = {.lex_state = 36, .external_lex_state = 10},
  [1270] = {.lex_state = 36, .external_lex_state = 10},
  [1271] = {.lex_state = 36, .external_lex_state = 8},
  [1272] = {.lex_state = 36, .external_lex_state = 9},
  [1273] = {.lex_state = 36, .external_lex_state = 11},
  [1274] = {.lex_state = 36, .external_lex_state = 10},
  [1275] = {.lex_state = 36, .external_lex_state = 9},
  [1276] = {.lex_state = 36, .external_lex_state = 9},
  [1277] = {.lex_state = 36, .external_lex_state = 9},
  [1278] = {.lex_state = 36, .external_lex_state = 9},
  [1279] = {.lex_state = 36, .external_lex_state = 10},
  [1280] = {.lex_state = 36, .external_lex_state = 10},
  [1281] = {.lex_state = 36, .external_lex_state = 10},
  [1282] = {.lex_state = 36, .external_lex_state = 9},
  [1283] = {.lex_state = 41, .external_lex_state = 13},
  [1284] = {.lex_state = 41, .external_lex_state = 12},
  [1285] = {.lex_state = 36, .external_lex_state = 10},
  [1286] = {.lex_state = 41, .external_lex_state = 12},
  [1287] = {.lex_state = 36, .external_lex_state = 9},
  [1288] = {.lex_state = 36, .external_lex_state = 7},
  [1289] = {.lex_state = 36, .external_lex_state = 9},
  [1290] = {.lex_state = 36, .external_lex_state = 9},
  [1291] = {.lex_state = 36, .external_lex_state = 9},
  [1292] = {.lex_state = 36, .external_lex_state = 2},
  [1293] = {.lex_state = 41, .external_lex_state = 11},
  [1294] = {.lex_state = 41, .external_lex_state = 11},
  [1295] = {.lex_state = 36, .external_lex_state = 9},
  [1296] = {.lex_state = 36, .external_lex_state = 9},
  [1297] = {.lex_state = 36, .external_lex_state = 12},
  [1298] = {.lex_state = 36, .external_lex_state = 12},
  [1299] = {.lex_state = 36, .external_lex_state = 13},
  [1300] = {.lex_state = 36, .external_lex_state = 13},
  [1301] = {.lex_state = 41, .external_lex_state = 13},
  [1302] = {.lex_state = 36, .external_lex_state = 13},
  [1303] = {.lex_state = 41, .external_lex_state = 13},
  [1304] = {.lex_state = 36, .external_lex_state = 13},
  [1305] = {.lex_state = 36, .external_lex_state = 13},
  [1306] = {.lex_state = 36, .external_lex_state = 13},
  [1307] = {.lex_state = 36, .external_lex_state = 11},
  [1308] = {.lex_state = 36, .external_lex_state = 12},
  [1309] = {.lex_state = 36, .external_lex_state = 11},
  [1310] = {.lex_state = 36, .external_lex_state = 13},
  [1311] = {.lex_state = 36, .external_lex_state = 13},
  [1312] = {.lex_state = 36, .external_lex_state = 11},
  [1313] = {.lex_state = 36, .external_lex_state = 11},
  [1314] = {.lex_state = 36, .external_lex_state = 11},
  [1315] = {.lex_state = 36, .external_lex_state = 11},
  [1316] = {.lex_state = 36, .external_lex_state = 13},
  [1317] = {.lex_state = 36, .external_lex_state = 12},
  [1318] = {.lex_state = 36, .external_lex_state = 11},
  [1319] = {.lex_state = 36, .external_lex_state = 11},
  [1320] = {.lex_state = 36, .external_lex_state = 11},
  [1321] = {.lex_state = 36, .external_lex_state = 13},
  [1322] = {.lex_state = 36, .external_lex_state = 13},
  [1323] = {.lex_state = 36, .external_lex_state = 11},
  [1324] = {.lex_state = 36, .external_lex_state = 13},
  [1325] = {.lex_state = 36, .external_lex_state = 11},
  [1326] = {.lex_state = 36, .external_lex_state = 12},
  [1327] = {.lex_state = 36, .external_lex_state = 12},
  [1328] = {.lex_state = 36, .external_lex_state = 12},
  [1329] = {.lex_state = 36, .external_lex_state = 12},
  [1330] = {.lex_state = 36, .external_lex_state = 12},
  [1331] = {.lex_state = 36, .external_lex_state = 12},
  [1332] = {.lex_state = 36, .external_lex_state = 12},
  [1333] = {.lex_state = 36, .external_lex_state = 12},
  [1334] = {.lex_state = 36, .external_lex_state = 11},
  [1335] = {.lex_state = 36, .external_lex_state = 12},
  [1336] = {.lex_state = 36, .external_lex_state = 12},
  [1337] = {.lex_state = 36, .external_lex_state = 12},
  [1338] = {.lex_state = 36, .external_lex_state = 12},
  [1339] = {.lex_state = 36, .external_lex_state = 12},
  [1340] = {.lex_state = 36, .external_lex_state = 12},
  [1341] = {.lex_state = 36, .external_lex_state = 12},
  [1342] = {.lex_state = 36, .external_lex_state = 12},
  [1343] = {.lex_state = 36, .external_lex_state = 12},
  [1344] = {.lex_state = 36, .external_lex_state = 11},
  [1345] = {.lex_state = 36, .external_lex_state = 12},
  [1346] = {.lex_state = 36, .external_lex_state = 12},
  [1347] = {.lex_state = 36, .external_lex_state = 13},
  [1348] = {.lex_state = 36, .external_lex_state = 12},
  [1349] = {.lex_state = 36, .external_lex_state = 11},
  [1350] = {.lex_state = 36, .external_lex_state = 13},
  [1351] = {.lex_state = 36, .external_lex_state = 13},
  [1352] = {.lex_state = 36, .external_lex_state = 13},
  [1353] = {.lex_state = 36, .external_lex_state = 13},
  [1354] = {.lex_state = 36, .external_lex_state = 12},
  [1355] = {.lex_state = 36, .external_lex_state = 12},
  [1356] = {.lex_state = 36, .external_lex_state = 12},
  [1357] = {.lex_state = 36, .external_lex_state = 13},
  [1358] = {.lex_state = 36, .external_lex_state = 13},
  [1359] = {.lex_state = 36, .external_lex_state = 12},
  [1360] = {.lex_state = 36, .external_lex_state = 13},
  [1361] = {.lex_state = 36, .external_lex_state = 13},
  [1362] = {.lex_state = 36, .external_lex_state = 13},
  [1363] = {.lex_state = 36, .external_lex_state = 12},
  [1364] = {.lex_state = 36, .external_lex_state = 12},
  [1365] = {.lex_state = 36, .external_lex_state = 12},
  [1366] = {.lex_state = 36, .external_lex_state = 13},
  [1367] = {.lex_state = 36, .external_lex_state = 13},
  [1368] = {.lex_state = 36, .external_lex_state = 12},
  [1369] = {.lex_state = 36, .external_lex_state = 12},
  [1370] = {.lex_state = 36, .external_lex_state = 12},
  [1371] = {.lex_state = 36, .external_lex_state = 12},
  [1372] = {.lex_state = 36, .external_lex_state = 13},
  [1373] = {.lex_state = 36, .external_lex_state = 13},
  [1374] = {.lex_state = 36, .external_lex_state = 13},
  [1375] = {.lex_state = 36, .external_lex_state = 13},
  [1376] = {.lex_state = 36, .external_lex_state = 12},
  [1377] = {.lex_state = 35, .external_lex_state = 9},
  [1378] = {.lex_state = 36, .external_lex_state = 13},
  [1379] = {.lex_state = 36, .external_lex_state = 13},
  [1380] = {.lex_state = 35, .external_lex_state = 9},
  [1381] = {.lex_state = 36, .external_lex_state = 12},
  [1382] = {.lex_state = 35, .external_lex_state = 9},
  [1383] = {.lex_state = 36, .external_lex_state = 12},
  [1384] = {.lex_state = 36, .external_lex_state = 11},
  [1385] = {.lex_state = 35, .external_lex_state = 9},
  [1386] = {.lex_state = 36, .external_lex_state = 12},
  [1387] = {.lex_state = 35, .external_lex_state = 9},
  [1388] = {.lex_state = 36, .external_lex_state = 8},
  [1389] = {.lex_state = 41, .external_lex_state = 13},
  [1390] = {.lex_state = 36, .external_lex_state = 12},
  [1391] = {.lex_state = 36, .external_lex_state = 12},
  [1392] = {.lex_state = 36, .external_lex_state = 12},
  [1393] = {.lex_state = 41, .external_lex_state = 13},
  [1394] = {.lex_state = 36, .external_lex_state = 12},
  [1395] = {.lex_state = 36, .external_lex_state = 8},
  [1396] = {.lex_state = 36, .external_lex_state = 11},
  [1397] = {.lex_state = 36, .external_lex_state = 12},
  [1398] = {.lex_state = 36, .external_lex_state = 12},
  [1399] = {.lex_state = 36, .external_lex_state = 12},
  [1400] = {.lex_state = 36, .external_lex_state = 12},
  [1401] = {.lex_state = 36, .external_lex_state = 11},
  [1402] = {.lex_state = 36, .external_lex_state = 12},
  [1403] = {.lex_state = 36, .external_lex_state = 12},
  [1404] = {.lex_state = 36, .external_lex_state = 13},
  [1405] = {.lex_state = 36, .external_lex_state = 13},
  [1406] = {.lex_state = 36, .external_lex_state = 11},
  [1407] = {.lex_state = 36, .external_lex_state = 7},
  [1408] = {.lex_state = 36, .external_lex_state = 13},
  [1409] = {.lex_state = 36, .external_lex_state = 13},
  [1410] = {.lex_state = 36, .external_lex_state = 13},
  [1411] = {.lex_state = 36, .external_lex_state = 13},
  [1412] = {.lex_state = 36, .external_lex_state = 13},
  [1413] = {.lex_state = 36, .external_lex_state = 13},
  [1414] = {.lex_state = 36, .external_lex_state = 13},
  [1415] = {.lex_state = 36, .external_lex_state = 11},
  [1416] = {.lex_state = 36, .external_lex_state = 11},
  [1417] = {.lex_state = 36, .external_lex_state = 12},
  [1418] = {.lex_state = 36, .external_lex_state = 12},
  [1419] = {.lex_state = 36, .external_lex_state = 7},
  [1420] = {.lex_state = 36, .external_lex_state = 13},
  [1421] = {.lex_state = 36, .external_lex_state = 13},
  [1422] = {.lex_state = 36, .external_lex_state = 11},
  [1423] = {.lex_state = 36, .external_lex_state = 11},
  [1424] = {.lex_state = 36, .external_lex_state = 13},
  [1425] = {.lex_state = 36, .external_lex_state = 13},
  [1426] = {.lex_state = 36, .external_lex_state = 11},
  [1427] = {.lex_state = 36, .external_lex_state = 11},
  [1428] = {.lex_state = 36, .external_lex_state = 11},
  [1429] = {.lex_state = 36, .external_lex_state = 11},
  [1430] = {.lex_state = 36, .external_lex_state = 11},
  [1431] = {.lex_state = 36, .external_lex_state = 11},
  [1432] = {.lex_state = 36, .external_lex_state = 11},
  [1433] = {.lex_state = 36, .external_lex_state = 11},
  [1434] = {.lex_state = 36, .external_lex_state = 11},
  [1435] = {.lex_state = 36, .external_lex_state = 11},
  [1436] = {.lex_state = 36, .external_lex_state = 11},
  [1437] = {.lex_state = 36, .external_lex_state = 11},
  [1438] = {.lex_state = 36, .external_lex_state = 11},
  [1439] = {.lex_state = 36, .external_lex_state = 11},
  [1440] = {.lex_state = 36, .external_lex_state = 11},
  [1441] = {.lex_state = 36, .external_lex_state = 11},
  [1442] = {.lex_state = 36, .external_lex_state = 11},
  [1443] = {.lex_state = 36, .external_lex_state = 11},
  [1444] = {.lex_state = 41, .external_lex_state = 12},
  [1445] = {.lex_state = 41, .external_lex_state = 12},
  [1446] = {.lex_state = 36, .external_lex_state = 13},
  [1447] = {.lex_state = 36, .external_lex_state = 11},
  [1448] = {.lex_state = 36, .external_lex_state = 11},
  [1449] = {.lex_state = 36, .external_lex_state = 11},
  [1450] = {.lex_state = 36, .external_lex_state = 11},
  [1451] = {.lex_state = 41, .external_lex_state = 13},
  [1452] = {.lex_state = 36, .external_lex_state = 12},
  [1453] = {.lex_state = 36, .external_lex_state = 12},
  [1454] = {.lex_state = 36, .external_lex_state = 12},
  [1455] = {.lex_state = 36, .external_lex_state = 13},
  [1456] = {.lex_state = 36, .external_lex_state = 13},
  [1457] = {.lex_state = 36, .external_lex_state = 13},
  [1458] = {.lex_state = 36, .external_lex_state = 13},
  [1459] = {.lex_state = 36, .external_lex_state = 13},
  [1460] = {.lex_state = 36, .external_lex_state = 12},
  [1461] = {.lex_state = 36, .external_lex_state = 12},
  [1462] = {.lex_state = 36, .external_lex_state = 13},
  [1463] = {.lex_state = 36, .external_lex_state = 13},
  [1464] = {.lex_state = 36, .external_lex_state = 13},
  [1465] = {.lex_state = 41, .external_lex_state = 12},
  [1466] = {.lex_state = 36, .external_lex_state = 12},
  [1467] = {.lex_state = 36, .external_lex_state = 12},
  [1468] = {.lex_state = 36, .external_lex_state = 12},
  [1469] = {.lex_state = 36, .external_lex_state = 13},
  [1470] = {.lex_state = 36, .external_lex_state = 13},
  [1471] = {.lex_state = 36, .external_lex_state = 13},
  [1472] = {.lex_state = 36, .external_lex_state = 12},
  [1473] = {.lex_state = 36, .external_lex_state = 12},
  [1474] = {.lex_state = 36, .external_lex_state = 12},
  [1475] = {.lex_state = 36, .external_lex_state = 12},
  [1476] = {.lex_state = 36, .external_lex_state = 12},
  [1477] = {.lex_state = 36, .external_lex_state = 12},
  [1478] = {.lex_state = 36, .external_lex_state = 13},
  [1479] = {.lex_state = 36, .external_lex_state = 12},
  [1480] = {.lex_state = 36, .external_lex_state = 12},
  [1481] = {.lex_state = 36, .external_lex_state = 12},
  [1482] = {.lex_state = 36, .external_lex_state = 13},
  [1483] = {.lex_state = 36, .external_lex_state = 13},
  [1484] = {.lex_state = 36, .external_lex_state = 13},
  [1485] = {.lex_state = 36, .external_lex_state = 13},
  [1486] = {.lex_state = 36, .external_lex_state = 13},
  [1487] = {.lex_state = 36, .external_lex_state = 13},
  [1488] = {.lex_state = 36, .external_lex_state = 12},
  [1489] = {.lex_state = 36, .external_lex_state = 13},
  [1490] = {.lex_state = 36, .external_lex_state = 13},
  [1491] = {.lex_state = 36, .external_lex_state = 13},
  [1492] = {.lex_state = 36, .external_lex_state = 12},
  [1493] = {.lex_state = 36, .external_lex_state = 12},
  [1494] = {.lex_state = 36, .external_lex_state = 12},
  [1495] = {.lex_state = 36, .external_lex_state = 12},
  [1496] = {.lex_state = 36, .external_lex_state = 12},
  [1497] = {.lex_state = 36, .external_lex_state = 12},
  [1498] = {.lex_state = 36, .external_lex_state = 12},
  [1499] = {.lex_state = 36, .external_lex_state = 12},
  [1500] = {.lex_state = 36, .external_lex_state = 12},
  [1501] = {.lex_state = 36, .external_lex_state = 12},
  [1502] = {.lex_state = 36, .external_lex_state = 12},
  [1503] = {.lex_state = 36, .external_lex_state = 12},
  [1504] = {.lex_state = 36, .external_lex_state = 13},
  [1505] = {.lex_state = 36, .external_lex_state = 12},
  [1506] = {.lex_state = 36, .external_lex_state = 13},
  [1507] = {.lex_state = 36, .external_lex_state = 13},
  [1508] = {.lex_state = 36, .external_lex_state = 12},
  [1509] = {.lex_state = 41, .external_lex_state = 13},
  [1510] = {.lex_state = 36, .external_lex_state = 13},
  [1511] = {.lex_state = 36, .external_lex_state = 13},
  [1512] = {.lex_state = 36, .external_lex_state = 12},
  [1513] = {.lex_state = 36, .external_lex_state = 12},
  [1514] = {.lex_state = 36, .external_lex_state = 13},
  [1515] = {.lex_state = 36, .external_lex_state = 12},
  [1516] = {.lex_state = 36, .external_lex_state = 12},
  [1517] = {.lex_state = 36, .external_lex_state = 13},
  [1518] = {.lex_state = 36, .external_lex_state = 13},
  [1519] = {.lex_state = 36, .external_lex_state = 12},
  [1520] = {.lex_state = 36, .external_lex_state = 12},
  [1521] = {.lex_state = 36, .external_lex_state = 12},
  [1522] = {.lex_state = 36, .external_lex_state = 13},
  [1523] = {.lex_state = 36, .external_lex_state = 12},
  [1524] = {.lex_state = 41, .external_lex_state = 10},
  [1525] = {.lex_state = 36, .external_lex_state = 13},
  [1526] = {.lex_state = 36, .external_lex_state = 13},
  [1527] = {.lex_state = 41, .external_lex_state = 10},
  [1528] = {.lex_state = 36, .external_lex_state = 12},
  [1529] = {.lex_state = 36, .external_lex_state = 13},
  [1530] = {.lex_state = 36, .external_lex_state = 12},
  [1531] = {.lex_state = 36, .external_lex_state = 12},
  [1532] = {.lex_state = 36, .external_lex_state = 13},
  [1533] = {.lex_state = 36, .external_lex_state = 13},
  [1534] = {.lex_state = 36, .external_lex_state = 13},
  [1535] = {.lex_state = 36, .external_lex_state = 13},
  [1536] = {.lex_state = 36, .external_lex_state = 13},
  [1537] = {.lex_state = 36, .external_lex_state = 12},
  [1538] = {.lex_state = 36, .external_lex_state = 13},
  [1539] = {.lex_state = 41, .external_lex_state = 12},
  [1540] = {.lex_state = 36, .external_lex_state = 13},
  [1541] = {.lex_state = 36, .external_lex_state = 13},
  [1542] = {.lex_state = 36, .external_lex_state = 13},
  [1543] = {.lex_state = 36, .external_lex_state = 13},
  [1544] = {.lex_state = 36, .external_lex_state = 13},
  [1545] = {.lex_state = 36, .external_lex_state = 12},
  [1546] = {.lex_state = 35, .external_lex_state = 11},
  [1547] = {.lex_state = 35, .external_lex_state = 11},
  [1548] = {.lex_state = 35, .external_lex_state = 11},
  [1549] = {.lex_state = 35, .external_lex_state = 11},
  [1550] = {.lex_state = 35, .external_lex_state = 11},
  [1551] = {.lex_state = 35, .external_lex_state = 11},
  [1552] = {.lex_state = 35, .external_lex_state = 11},
  [1553] = {.lex_state = 36, .external_lex_state = 10},
  [1554] = {.lex_state = 35, .external_lex_state = 11},
  [1555] = {.lex_state = 35, .external_lex_state = 11},
  [1556] = {.lex_state = 35, .external_lex_state = 11},
  [1557] = {.lex_state = 35, .external_lex_state = 11},
  [1558] = {.lex_state = 35, .external_lex_state = 11},
  [1559] = {.lex_state = 35, .external_lex_state = 11},
  [1560] = {.lex_state = 35, .external_lex_state = 11},
  [1561] = {.lex_state = 36, .external_lex_state = 13},
  [1562] = {.lex_state = 36, .external_lex_state = 11},
  [1563] = {.lex_state = 36, .external_lex_state = 11},
  [1564] = {.lex_state = 36, .external_lex_state = 11},
  [1565] = {.lex_state = 36, .external_lex_state = 11},
  [1566] = {.lex_state = 36, .external_lex_state = 11},
  [1567] = {.lex_state = 36, .external_lex_state = 11},
  [1568] = {.lex_state = 36, .external_lex_state = 10},
  [1569] = {.lex_state = 36, .external_lex_state = 10},
  [1570] = {.lex_state = 36, .external_lex_state = 10},
  [1571] = {.lex_state = 36, .external_lex_state = 10},
  [1572] = {.lex_state = 36, .external_lex_state = 10},
  [1573] = {.lex_state = 57, .external_lex_state = 10},
  [1574] = {.lex_state = 57, .external_lex_state = 10},
  [1575] = {.lex_state = 36, .external_lex_state = 11},
  [1576] = {.lex_state = 57, .external_lex_state = 9},
  [1577] = {.lex_state = 40, .external_lex_state = 9},
  [1578] = {.lex_state = 40, .external_lex_state = 9},
  [1579] = {.lex_state = 36, .external_lex_state = 13},
  [1580] = {.lex_state = 36, .external_lex_state = 13},
  [1581] = {.lex_state = 36, .external_lex_state = 13},
  [1582] = {.lex_state = 57, .external_lex_state = 13},
  [1583] = {.lex_state = 57, .external_lex_state = 12},
  [1584] = {.lex_state = 36, .external_lex_state = 13},
  [1585] = {.lex_state = 36, .external_lex_state = 11},
  [1586] = {.lex_state = 40, .external_lex_state = 9},
  [1587] = {.lex_state = 36, .external_lex_state = 11},
  [1588] = {.lex_state = 57, .external_lex_state = 12},
  [1589] = {.lex_state = 36, .external_lex_state = 11},
  [1590] = {.lex_state = 36, .external_lex_state = 11},
  [1591] = {.lex_state = 57, .external_lex_state = 13},
  [1592] = {.lex_state = 36, .external_lex_state = 11},
  [1593] = {.lex_state = 36, .external_lex_state = 11},
  [1594] = {.lex_state = 36, .external_lex_state = 11},
  [1595] = {.lex_state = 36, .external_lex_state = 11},
  [1596] = {.lex_state = 36, .external_lex_state = 11},
  [1597] = {.lex_state = 36, .external_lex_state = 11},
  [1598] = {.lex_state = 36, .external_lex_state = 11},
  [1599] = {.lex_state = 36, .external_lex_state = 13},
  [1600] = {.lex_state = 36, .external_lex_state = 11},
  [1601] = {.lex_state = 36, .external_lex_state = 11},
  [1602] = {.lex_state = 36, .external_lex_state = 11},
  [1603] = {.lex_state = 36, .external_lex_state = 11},
  [1604] = {.lex_state = 36, .external_lex_state = 11},
  [1605] = {.lex_state = 36, .external_lex_state = 12},
  [1606] = {.lex_state = 36, .external_lex_state = 13},
  [1607] = {.lex_state = 36, .external_lex_state = 12},
  [1608] = {.lex_state = 36, .external_lex_state = 11},
  [1609] = {.lex_state = 36, .external_lex_state = 11},
  [1610] = {.lex_state = 40, .external_lex_state = 9},
  [1611] = {.lex_state = 40, .external_lex_state = 9},
  [1612] = {.lex_state = 40, .external_lex_state = 9},
  [1613] = {.lex_state = 36, .external_lex_state = 12},
  [1614] = {.lex_state = 36, .external_lex_state = 11},
  [1615] = {.lex_state = 36, .external_lex_state = 11},
  [1616] = {.lex_state = 36, .external_lex_state = 11},
  [1617] = {.lex_state = 36, .external_lex_state = 11},
  [1618] = {.lex_state = 36, .external_lex_state = 11},
  [1619] = {.lex_state = 36, .external_lex_state = 11},
  [1620] = {.lex_state = 36, .external_lex_state = 11},
  [1621] = {.lex_state = 36, .external_lex_state = 13},
  [1622] = {.lex_state = 36, .external_lex_state = 12},
  [1623] = {.lex_state = 36, .external_lex_state = 13},
  [1624] = {.lex_state = 36, .external_lex_state = 11},
  [1625] = {.lex_state = 36, .external_lex_state = 12},
  [1626] = {.lex_state = 36, .external_lex_state = 11},
  [1627] = {.lex_state = 36, .external_lex_state = 13},
  [1628] = {.lex_state = 32, .external_lex_state = 11},
  [1629] = {.lex_state = 32, .external_lex_state = 11},
  [1630] = {.lex_state = 40, .external_lex_state = 11},
  [1631] = {.lex_state = 40, .external_lex_state = 11},
  [1632] = {.lex_state = 40, .external_lex_state = 11},
  [1633] = {.lex_state = 40, .external_lex_state = 9},
  [1634] = {.lex_state = 32, .external_lex_state = 11},
  [1635] = {.lex_state = 32, .external_lex_state = 11},
  [1636] = {.lex_state = 40, .external_lex_state = 11},
  [1637] = {.lex_state = 32, .external_lex_state = 11},
  [1638] = {.lex_state = 40, .external_lex_state = 11},
  [1639] = {.lex_state = 32, .external_lex_state = 11},
  [1640] = {.lex_state = 32, .external_lex_state = 11},
  [1641] = {.lex_state = 32, .external_lex_state = 11},
  [1642] = {.lex_state = 40, .external_lex_state = 11},
  [1643] = {.lex_state = 32, .external_lex_state = 11},
  [1644] = {.lex_state = 32, .external_lex_state = 11},
  [1645] = {.lex_state = 40, .external_lex_state = 11},
  [1646] = {.lex_state = 32, .external_lex_state = 11},
  [1647] = {.lex_state = 32, .external_lex_state = 11},
  [1648] = {.lex_state = 32, .external_lex_state = 11},
  [1649] = {.lex_state = 32, .external_lex_state = 11},
  [1650] = {.lex_state = 32, .external_lex_state = 11},
  [1651] = {.lex_state = 32, .external_lex_state = 11},
  [1652] = {.lex_state = 32, .external_lex_state = 11},
  [1653] = {.lex_state = 40, .external_lex_state = 11},
  [1654] = {.lex_state = 32, .external_lex_state = 11},
  [1655] = {.lex_state = 32, .external_lex_state = 11},
  [1656] = {.lex_state = 31, .external_lex_state = 13},
  [1657] = {.lex_state = 31, .external_lex_state = 13},
  [1658] = {.lex_state = 40, .external_lex_state = 11},
  [1659] = {.lex_state = 32, .external_lex_state = 11},
  [1660] = {.lex_state = 32, .external_lex_state = 11},
  [1661] = {.lex_state = 31, .external_lex_state = 13},
  [1662] = {.lex_state = 31, .external_lex_state = 11},
  [1663] = {.lex_state = 31, .external_lex_state = 11},
  [1664] = {.lex_state = 57, .external_lex_state = 10},
  [1665] = {.lex_state = 57, .external_lex_state = 10},
  [1666] = {.lex_state = 57, .external_lex_state = 10},
  [1667] = {.lex_state = 57, .external_lex_state = 10},
  [1668] = {.lex_state = 57, .external_lex_state = 10},
  [1669] = {.lex_state = 57, .external_lex_state = 10},
  [1670] = {.lex_state = 57, .external_lex_state = 10},
  [1671] = {.lex_state = 57, .external_lex_state = 10},
  [1672] = {.lex_state = 57, .external_lex_state = 13},
  [1673] = {.lex_state = 57, .external_lex_state = 13},
  [1674] = {.lex_state = 57, .external_lex_state = 12},
  [1675] = {.lex_state = 57, .external_lex_state = 13},
  [1676] = {.lex_state = 57, .external_lex_state = 13},
  [1677] = {.lex_state = 57, .external_lex_state = 12},
  [1678] = {.lex_state = 57, .external_lex_state = 13},
  [1679] = {.lex_state = 57, .external_lex_state = 13},
  [1680] = {.lex_state = 57, .external_lex_state = 13},
  [1681] = {.lex_state = 57, .external_lex_state = 13},
  [1682] = {.lex_state = 57, .external_lex_state = 13},
  [1683] = {.lex_state = 57, .external_lex_state = 12},
  [1684] = {.lex_state = 57, .external_lex_state = 12},
  [1685] = {.lex_state = 57, .external_lex_state = 13},
  [1686] = {.lex_state = 57, .external_lex_state = 12},
  [1687] = {.lex_state = 57, .external_lex_state = 13},
  [1688] = {.lex_state = 57, .external_lex_state = 13},
  [1689] = {.lex_state = 57, .external_lex_state = 13},
  [1690] = {.lex_state = 57, .external_lex_state = 12},
  [1691] = {.lex_state = 57, .external_lex_state = 12},
  [1692] = {.lex_state = 57, .external_lex_state = 13},
  [1693] = {.lex_state = 57, .external_lex_state = 13},
  [1694] = {.lex_state = 57, .external_lex_state = 13},
  [1695] = {.lex_state = 57, .external_lex_state = 12},
  [1696] = {.lex_state = 57, .external_lex_state = 13},
  [1697] = {.lex_state = 37, .external_lex_state = 14},
  [1698] = {.lex_state = 37, .external_lex_state = 14},
  [1699] = {.lex_state = 37, .external_lex_state = 14},
  [1700] = {.lex_state = 37, .external_lex_state = 14},
  [1701] = {.lex_state = 37, .external_lex_state = 14},
  [1702] = {.lex_state = 37, .external_lex_state = 14},
  [1703] = {.lex_state = 37, .external_lex_state = 14},
  [1704] = {.lex_state = 57, .external_lex_state = 10},
  [1705] = {.lex_state = 37, .external_lex_state = 14},
  [1706] = {.lex_state = 37, .external_lex_state = 14},
  [1707] = {.lex_state = 37, .external_lex_state = 14},
  [1708] = {.lex_state = 37, .external_lex_state = 14},
  [1709] = {.lex_state = 37, .external_lex_state = 14},
  [1710] = {.lex_state = 57, .external_lex_state = 10},
  [1711] = {.lex_state = 37, .external_lex_state = 14},
  [1712] = {.lex_state = 37, .external_lex_state = 14},
  [1713] = {.lex_state = 37, .external_lex_state = 14},
  [1714] = {.lex_state = 37, .external_lex_state = 14},
  [1715] = {.lex_state = 37, .external_lex_state = 14},
  [1716] = {.lex_state = 37, .external_lex_state = 14},
  [1717] = {.lex_state = 37, .external_lex_state = 14},
  [1718] = {.lex_state = 57, .external_lex_state = 10},
  [1719] = {.lex_state = 57, .external_lex_state = 10},
  [1720] = {.lex_state = 57, .external_lex_state = 10},
  [1721] = {.lex_state = 57, .external_lex_state = 9},
  [1722] = {.lex_state = 57, .external_lex_state = 9},
  [1723] = {.lex_state = 57, .external_lex_state = 10},
  [1724] = {.lex_state = 57, .external_lex_state = 10},
  [1725] = {.lex_state = 57, .external_lex_state = 10},
  [1726] = {.lex_state = 57, .external_lex_state = 9},
  [1727] = {.lex_state = 57, .external_lex_state = 9},
  [1728] = {.lex_state = 57, .external_lex_state = 10},
  [1729] = {.lex_state = 57, .external_lex_state = 10},
  [1730] = {.lex_state = 57, .external_lex_state = 9},
  [1731] = {.lex_state = 57, .external_lex_state = 10},
  [1732] = {.lex_state = 57, .external_lex_state = 9},
  [1733] = {.lex_state = 57, .external_lex_state = 9},
  [1734] = {.lex_state = 57, .external_lex_state = 10},
  [1735] = {.lex_state = 57, .external_lex_state = 10},
  [1736] = {.lex_state = 57, .external_lex_state = 10},
  [1737] = {.lex_state = 57, .external_lex_state = 10},
  [1738] = {.lex_state = 57, .external_lex_state = 10},
  [1739] = {.lex_state = 57, .external_lex_state = 12},
  [1740] = {.lex_state = 57, .external_lex_state = 13},
  [1741] = {.lex_state = 57, .external_lex_state = 13},
  [1742] = {.lex_state = 57, .external_lex_state = 9},
  [1743] = {.lex_state = 57, .external_lex_state = 9},
  [1744] = {.lex_state = 57, .external_lex_state = 12},
  [1745] = {.lex_state = 57, .external_lex_state = 13},
  [1746] = {.lex_state = 57, .external_lex_state = 11},
  [1747] = {.lex_state = 57, .external_lex_state = 13},
  [1748] = {.lex_state = 57, .external_lex_state = 9},
  [1749] = {.lex_state = 57, .external_lex_state = 13},
  [1750] = {.lex_state = 57, .external_lex_state = 9},
  [1751] = {.lex_state = 57, .external_lex_state = 10},
  [1752] = {.lex_state = 57, .external_lex_state = 12},
  [1753] = {.lex_state = 57, .external_lex_state = 12},
  [1754] = {.lex_state = 57, .external_lex_state = 12},
  [1755] = {.lex_state = 39, .external_lex_state = 11},
  [1756] = {.lex_state = 57, .external_lex_state = 9},
  [1757] = {.lex_state = 57, .external_lex_state = 11},
  [1758] = {.lex_state = 57, .external_lex_state = 13},
  [1759] = {.lex_state = 57, .external_lex_state = 12},
  [1760] = {.lex_state = 57, .external_lex_state = 12},
  [1761] = {.lex_state = 39, .external_lex_state = 11},
  [1762] = {.lex_state = 57, .external_lex_state = 12},
  [1763] = {.lex_state = 57, .external_lex_state = 10},
  [1764] = {.lex_state = 57, .external_lex_state = 12},
  [1765] = {.lex_state = 57, .external_lex_state = 12},
  [1766] = {.lex_state = 57, .external_lex_state = 12},
  [1767] = {.lex_state = 57, .external_lex_state = 9},
  [1768] = {.lex_state = 57, .external_lex_state = 12},
  [1769] = {.lex_state = 57, .external_lex_state = 13},
  [1770] = {.lex_state = 39, .external_lex_state = 11},
  [1771] = {.lex_state = 57, .external_lex_state = 12},
  [1772] = {.lex_state = 57, .external_lex_state = 13},
  [1773] = {.lex_state = 57, .external_lex_state = 12},
  [1774] = {.lex_state = 57, .external_lex_state = 12},
  [1775] = {.lex_state = 57, .external_lex_state = 12},
  [1776] = {.lex_state = 57, .external_lex_state = 12},
  [1777] = {.lex_state = 57, .external_lex_state = 11},
  [1778] = {.lex_state = 57, .external_lex_state = 12},
  [1779] = {.lex_state = 57, .external_lex_state = 9},
  [1780] = {.lex_state = 39, .external_lex_state = 11},
  [1781] = {.lex_state = 57, .external_lex_state = 12},
  [1782] = {.lex_state = 57, .external_lex_state = 10},
  [1783] = {.lex_state = 57, .external_lex_state = 9},
  [1784] = {.lex_state = 57, .external_lex_state = 9},
  [1785] = {.lex_state = 57, .external_lex_state = 13},
  [1786] = {.lex_state = 57, .external_lex_state = 10},
  [1787] = {.lex_state = 57, .external_lex_state = 10},
  [1788] = {.lex_state = 57, .external_lex_state = 13},
  [1789] = {.lex_state = 57, .external_lex_state = 10},
  [1790] = {.lex_state = 57, .external_lex_state = 12},
  [1791] = {.lex_state = 57, .external_lex_state = 10},
  [1792] = {.lex_state = 57, .external_lex_state = 13},
  [1793] = {.lex_state = 57, .external_lex_state = 11},
  [1794] = {.lex_state = 57, .external_lex_state = 10},
  [1795] = {.lex_state = 57, .external_lex_state = 12},
  [1796] = {.lex_state = 57, .external_lex_state = 11},
  [1797] = {.lex_state = 57, .external_lex_state = 12},
  [1798] = {.lex_state = 57, .external_lex_state = 12},
  [1799] = {.lex_state = 57, .external_lex_state = 13},
  [1800] = {.lex_state = 57, .external_lex_state = 12},
  [1801] = {.lex_state = 57, .external_lex_state = 10},
  [1802] = {.lex_state = 57, .external_lex_state = 13},
  [1803] = {.lex_state = 57, .external_lex_state = 11},
  [1804] = {.lex_state = 57, .external_lex_state = 13},
  [1805] = {.lex_state = 57, .external_lex_state = 13},
  [1806] = {.lex_state = 57, .external_lex_state = 13},
  [1807] = {.lex_state = 57, .external_lex_state = 11},
  [1808] = {.lex_state = 57, .external_lex_state = 10},
  [1809] = {.lex_state = 57, .external_lex_state = 10},
  [1810] = {.lex_state = 57, .external_lex_state = 10},
  [1811] = {.lex_state = 57, .external_lex_state = 11},
  [1812] = {.lex_state = 57, .external_lex_state = 9},
  [1813] = {.lex_state = 57, .external_lex_state = 13},
  [1814] = {.lex_state = 57, .external_lex_state = 11},
  [1815] = {.lex_state = 57, .external_lex_state = 10},
  [1816] = {.lex_state = 57, .external_lex_state = 12},
  [1817] = {.lex_state = 57, .external_lex_state = 12},
  [1818] = {.lex_state = 57, .external_lex_state = 12},
  [1819] = {.lex_state = 57, .external_lex_state = 11},
  [1820] = {.lex_state = 57, .external_lex_state = 12},
  [1821] = {.lex_state = 57, .external_lex_state = 12},
  [1822] = {.lex_state = 57, .external_lex_state = 12},
  [1823] = {.lex_state = 57, .external_lex_state = 13},
  [1824] = {.lex_state = 57, .external_lex_state = 13},
  [1825] = {.lex_state = 57, .external_lex_state = 12},
  [1826] = {.lex_state = 57, .external_lex_state = 13},
  [1827] = {.lex_state = 34, .external_lex_state = 11},
  [1828] = {.lex_state = 57, .external_lex_state = 11},
  [1829] = {.lex_state = 57, .external_lex_state = 13},
  [1830] = {.lex_state = 37, .external_lex_state = 14},
  [1831] = {.lex_state = 37, .external_lex_state = 14},
  [1832] = {.lex_state = 57, .external_lex_state = 12},
  [1833] = {.lex_state = 57, .external_lex_state = 13},
  [1834] = {.lex_state = 57, .external_lex_state = 10},
  [1835] = {.lex_state = 57, .external_lex_state = 10},
  [1836] = {.lex_state = 57, .external_lex_state = 12},
  [1837] = {.lex_state = 57, .external_lex_state = 10},
  [1838] = {.lex_state = 57, .external_lex_state = 9},
  [1839] = {.lex_state = 57, .external_lex_state = 9},
  [1840] = {.lex_state = 57, .external_lex_state = 13},
  [1841] = {.lex_state = 57, .external_lex_state = 12},
  [1842] = {.lex_state = 57, .external_lex_state = 13},
  [1843] = {.lex_state = 57, .external_lex_state = 11},
  [1844] = {.lex_state = 57, .external_lex_state = 10},
  [1845] = {.lex_state = 57, .external_lex_state = 12},
  [1846] = {.lex_state = 57, .external_lex_state = 10},
  [1847] = {.lex_state = 34, .external_lex_state = 9},
  [1848] = {.lex_state = 57, .external_lex_state = 12},
  [1849] = {.lex_state = 34, .external_lex_state = 9},
  [1850] = {.lex_state = 57, .external_lex_state = 9},
  [1851] = {.lex_state = 37, .external_lex_state = 14},
  [1852] = {.lex_state = 57, .external_lex_state = 11},
  [1853] = {.lex_state = 57, .external_lex_state = 10},
  [1854] = {.lex_state = 57, .external_lex_state = 10},
  [1855] = {.lex_state = 57, .external_lex_state = 9},
  [1856] = {.lex_state = 57, .external_lex_state = 13},
  [1857] = {.lex_state = 57, .external_lex_state = 13},
  [1858] = {.lex_state = 57, .external_lex_state = 11},
  [1859] = {.lex_state = 57, .external_lex_state = 10},
  [1860] = {.lex_state = 57, .external_lex_state = 11},
  [1861] = {.lex_state = 57, .external_lex_state = 13},
  [1862] = {.lex_state = 57, .external_lex_state = 11},
  [1863] = {.lex_state = 57, .external_lex_state = 9},
  [1864] = {.lex_state = 57, .external_lex_state = 13},
  [1865] = {.lex_state = 57, .external_lex_state = 12},
  [1866] = {.lex_state = 57, .external_lex_state = 12},
  [1867] = {.lex_state = 57, .external_lex_state = 11},
  [1868] = {.lex_state = 57, .external_lex_state = 13},
  [1869] = {.lex_state = 57, .external_lex_state = 13},
  [1870] = {.lex_state = 57, .external_lex_state = 10},
  [1871] = {.lex_state = 57, .external_lex_state = 13},
  [1872] = {.lex_state = 34, .external_lex_state = 9},
  [1873] = {.lex_state = 57, .external_lex_state = 13},
  [1874] = {.lex_state = 37, .external_lex_state = 14},
  [1875] = {.lex_state = 57, .external_lex_state = 12},
  [1876] = {.lex_state = 57, .external_lex_state = 11},
  [1877] = {.lex_state = 37, .external_lex_state = 14},
  [1878] = {.lex_state = 57, .external_lex_state = 13},
  [1879] = {.lex_state = 57, .external_lex_state = 13},
  [1880] = {.lex_state = 57, .external_lex_state = 10},
  [1881] = {.lex_state = 57, .external_lex_state = 11},
  [1882] = {.lex_state = 57, .external_lex_state = 10},
  [1883] = {.lex_state = 57, .external_lex_state = 13},
  [1884] = {.lex_state = 57, .external_lex_state = 10},
  [1885] = {.lex_state = 37, .external_lex_state = 14},
  [1886] = {.lex_state = 57, .external_lex_state = 10},
  [1887] = {.lex_state = 37, .external_lex_state = 14},
  [1888] = {.lex_state = 37, .external_lex_state = 14},
  [1889] = {.lex_state = 57, .external_lex_state = 10},
  [1890] = {.lex_state = 37, .external_lex_state = 14},
  [1891] = {.lex_state = 57, .external_lex_state = 10},
  [1892] = {.lex_state = 37, .external_lex_state = 14},
  [1893] = {.lex_state = 57, .external_lex_state = 12},
  [1894] = {.lex_state = 57, .external_lex_state = 13},
  [1895] = {.lex_state = 57, .external_lex_state = 13},
  [1896] = {.lex_state = 57, .external_lex_state = 12},
  [1897] = {.lex_state = 57, .external_lex_state = 12},
  [1898] = {.lex_state = 57, .external_lex_state = 12},
  [1899] = {.lex_state = 57, .external_lex_state = 11},
  [1900] = {.lex_state = 57, .external_lex_state = 12},
  [1901] = {.lex_state = 57, .external_lex_state = 12},
  [1902] = {.lex_state = 57, .external_lex_state = 13},
  [1903] = {.lex_state = 57, .external_lex_state = 11},
  [1904] = {.lex_state = 57, .external_lex_state = 10},
  [1905] = {.lex_state = 57, .external_lex_state = 11},
  [1906] = {.lex_state = 57, .external_lex_state = 11},
  [1907] = {.lex_state = 57, .external_lex_state = 11},
  [1908] = {.lex_state = 34, .external_lex_state = 13},
  [1909] = {.lex_state = 57, .external_lex_state = 11},
  [1910] = {.lex_state = 57, .external_lex_state = 11},
  [1911] = {.lex_state = 57, .external_lex_state = 11},
  [1912] = {.lex_state = 34, .external_lex_state = 13},
  [1913] = {.lex_state = 57, .external_lex_state = 11},
  [1914] = {.lex_state = 57, .external_lex_state = 11},
  [1915] = {.lex_state = 57, .external_lex_state = 12},
  [1916] = {.lex_state = 57, .external_lex_state = 11},
  [1917] = {.lex_state = 57, .external_lex_state = 10},
  [1918] = {.lex_state = 57, .external_lex_state = 11},
  [1919] = {.lex_state = 57, .external_lex_state = 10},
  [1920] = {.lex_state = 57, .external_lex_state = 12},
  [1921] = {.lex_state = 57, .external_lex_state = 9},
  [1922] = {.lex_state = 57, .external_lex_state = 11},
  [1923] = {.lex_state = 57, .external_lex_state = 11},
  [1924] = {.lex_state = 34, .external_lex_state = 9},
  [1925] = {.lex_state = 57, .external_lex_state = 12},
  [1926] = {.lex_state = 57, .external_lex_state = 11},
  [1927] = {.lex_state = 57, .external_lex_state = 11},
  [1928] = {.lex_state = 57, .external_lex_state = 11},
  [1929] = {.lex_state = 57, .external_lex_state = 9},
  [1930] = {.lex_state = 57, .external_lex_state = 11},
  [1931] = {.lex_state = 57, .external_lex_state = 11},
  [1932] = {.lex_state = 57, .external_lex_state = 11},
  [1933] = {.lex_state = 57, .external_lex_state = 11},
  [1934] = {.lex_state = 57, .external_lex_state = 11},
  [1935] = {.lex_state = 57, .external_lex_state = 11},
  [1936] = {.lex_state = 57, .external_lex_state = 9},
  [1937] = {.lex_state = 57, .external_lex_state = 11},
  [1938] = {.lex_state = 57, .external_lex_state = 9},
  [1939] = {.lex_state = 3, .external_lex_state = 10},
  [1940] = {.lex_state = 34, .external_lex_state = 13},
  [1941] = {.lex_state = 57, .external_lex_state = 10},
  [1942] = {.lex_state = 57, .external_lex_state = 11},
  [1943] = {.lex_state = 3, .external_lex_state = 10},
  [1944] = {.lex_state = 3, .external_lex_state = 10},
  [1945] = {.lex_state = 57, .external_lex_state = 10},
  [1946] = {.lex_state = 57, .external_lex_state = 10},
  [1947] = {.lex_state = 57, .external_lex_state = 9},
  [1948] = {.lex_state = 57, .external_lex_state = 10},
  [1949] = {.lex_state = 57, .external_lex_state = 9},
  [1950] = {.lex_state = 57, .external_lex_state = 11},
  [1951] = {.lex_state = 57, .external_lex_state = 11},
  [1952] = {.lex_state = 57, .external_lex_state = 10},
  [1953] = {.lex_state = 57, .external_lex_state = 11},
  [1954] = {.lex_state = 57, .external_lex_state = 13},
  [1955] = {.lex_state = 57, .external_lex_state = 11},
  [1956] = {.lex_state = 57, .external_lex_state = 11},
  [1957] = {.lex_state = 57, .external_lex_state = 10},
  [1958] = {.lex_state = 57, .external_lex_state = 11},
  [1959] = {.lex_state = 57, .external_lex_state = 11},
  [1960] = {.lex_state = 57, .external_lex_state = 10},
  [1961] = {.lex_state = 57, .external_lex_state = 10},
  [1962] = {.lex_state = 57, .external_lex_state = 13},
  [1963] = {.lex_state = 57, .external_lex_state = 11},
  [1964] = {.lex_state = 57, .external_lex_state = 9},
  [1965] = {.lex_state = 57, .external_lex_state = 11},
  [1966] = {.lex_state = 57, .external_lex_state = 13},
  [1967] = {.lex_state = 57, .external_lex_state = 15},
  [1968] = {.lex_state = 57, .external_lex_state = 9},
  [1969] = {.lex_state = 57, .external_lex_state = 9},
  [1970] = {.lex_state = 57, .external_lex_state = 9},
  [1971] = {.lex_state = 57, .external_lex_state = 9},
  [1972] = {.lex_state = 34, .external_lex_state = 11},
  [1973] = {.lex_state = 57, .external_lex_state = 9},
  [1974] = {.lex_state = 57, .external_lex_state = 13},
  [1975] = {.lex_state = 57, .external_lex_state = 13},
  [1976] = {.lex_state = 57, .external_lex_state = 15},
  [1977] = {.lex_state = 57, .external_lex_state = 9},
  [1978] = {.lex_state = 57, .external_lex_state = 11},
  [1979] = {.lex_state = 57, .external_lex_state = 15},
  [1980] = {.lex_state = 57, .external_lex_state = 13},
  [1981] = {.lex_state = 34, .external_lex_state = 11},
  [1982] = {.lex_state = 57, .external_lex_state = 9},
  [1983] = {.lex_state = 57, .external_lex_state = 9},
  [1984] = {.lex_state = 57, .external_lex_state = 15},
  [1985] = {.lex_state = 57, .external_lex_state = 10},
  [1986] = {.lex_state = 57, .external_lex_state = 9},
  [1987] = {.lex_state = 57, .external_lex_state = 11},
  [1988] = {.lex_state = 34, .external_lex_state = 13},
  [1989] = {.lex_state = 57, .external_lex_state = 9},
  [1990] = {.lex_state = 57, .external_lex_state = 15},
  [1991] = {.lex_state = 57, .external_lex_state = 9},
  [1992] = {.lex_state = 57, .external_lex_state = 9},
  [1993] = {.lex_state = 57, .external_lex_state = 11},
  [1994] = {.lex_state = 57, .external_lex_state = 11},
  [1995] = {.lex_state = 57, .external_lex_state = 11},
  [1996] = {.lex_state = 57, .external_lex_state = 9},
  [1997] = {.lex_state = 57, .external_lex_state = 9},
  [1998] = {.lex_state = 57, .external_lex_state = 13},
  [1999] = {.lex_state = 57, .external_lex_state = 10},
  [2000] = {.lex_state = 57, .external_lex_state = 9},
  [2001] = {.lex_state = 57, .external_lex_state = 13},
  [2002] = {.lex_state = 57, .external_lex_state = 9},
  [2003] = {.lex_state = 57, .external_lex_state = 9},
  [2004] = {.lex_state = 57, .external_lex_state = 11},
  [2005] = {.lex_state = 57, .external_lex_state = 16},
  [2006] = {.lex_state = 57, .external_lex_state = 11},
  [2007] = {.lex_state = 57, .external_lex_state = 11},
  [2008] = {.lex_state = 57, .external_lex_state = 13},
  [2009] = {.lex_state = 57, .external_lex_state = 11},
  [2010] = {.lex_state = 39, .external_lex_state = 11},
  [2011] = {.lex_state = 57, .external_lex_state = 13},
  [2012] = {.lex_state = 57, .external_lex_state = 9},
  [2013] = {.lex_state = 57, .external_lex_state = 12},
  [2014] = {.lex_state = 57, .external_lex_state = 10},
  [2015] = {.lex_state = 57, .external_lex_state = 12},
  [2016] = {.lex_state = 57, .external_lex_state = 11},
  [2017] = {.lex_state = 57, .external_lex_state = 13},
  [2018] = {.lex_state = 39, .external_lex_state = 11},
  [2019] = {.lex_state = 57, .external_lex_state = 9},
  [2020] = {.lex_state = 57, .external_lex_state = 10},
  [2021] = {.lex_state = 57, .external_lex_state = 13},
  [2022] = {.lex_state = 57, .external_lex_state = 10},
  [2023] = {.lex_state = 57, .external_lex_state = 9},
  [2024] = {.lex_state = 57, .external_lex_state = 9},
  [2025] = {.lex_state = 57, .external_lex_state = 13},
  [2026] = {.lex_state = 57, .external_lex_state = 11},
  [2027] = {.lex_state = 57, .external_lex_state = 11},
  [2028] = {.lex_state = 57, .external_lex_state = 13},
  [2029] = {.lex_state = 57, .external_lex_state = 13},
  [2030] = {.lex_state = 57, .external_lex_state = 11},
  [2031] = {.lex_state = 57, .external_lex_state = 13},
  [2032] = {.lex_state = 57, .external_lex_state = 9},
  [2033] = {.lex_state = 57, .external_lex_state = 10},
  [2034] = {.lex_state = 57, .external_lex_state = 9},
  [2035] = {.lex_state = 57, .external_lex_state = 12},
  [2036] = {.lex_state = 57, .external_lex_state = 12},
  [2037] = {.lex_state = 34, .external_lex_state = 11},
  [2038] = {.lex_state = 57, .external_lex_state = 13},
  [2039] = {.lex_state = 57, .external_lex_state = 13},
  [2040] = {.lex_state = 57, .external_lex_state = 13},
  [2041] = {.lex_state = 57, .external_lex_state = 12},
  [2042] = {.lex_state = 57, .external_lex_state = 11},
  [2043] = {.lex_state = 57, .external_lex_state = 16},
  [2044] = {.lex_state = 57, .external_lex_state = 16},
  [2045] = {.lex_state = 57, .external_lex_state = 13},
  [2046] = {.lex_state = 57, .external_lex_state = 13},
  [2047] = {.lex_state = 57, .external_lex_state = 12},
  [2048] = {.lex_state = 57, .external_lex_state = 12},
  [2049] = {.lex_state = 57, .external_lex_state = 13},
  [2050] = {.lex_state = 57, .external_lex_state = 11},
  [2051] = {.lex_state = 57, .external_lex_state = 13},
  [2052] = {.lex_state = 57, .external_lex_state = 11},
  [2053] = {.lex_state = 57, .external_lex_state = 13},
  [2054] = {.lex_state = 57, .external_lex_state = 11},
  [2055] = {.lex_state = 57, .external_lex_state = 11},
  [2056] = {.lex_state = 34, .external_lex_state = 11},
  [2057] = {.lex_state = 57, .external_lex_state = 11},
  [2058] = {.lex_state = 57, .external_lex_state = 10},
  [2059] = {.lex_state = 57, .external_lex_state = 10},
  [2060] = {.lex_state = 57, .external_lex_state = 10},
  [2061] = {.lex_state = 57, .external_lex_state = 9},
  [2062] = {.lex_state = 57, .external_lex_state = 12},
  [2063] = {.lex_state = 57, .external_lex_state = 9},
  [2064] = {.lex_state = 57, .external_lex_state = 12},
  [2065] = {.lex_state = 57, .external_lex_state = 11},
  [2066] = {.lex_state = 57, .external_lex_state = 12},
  [2067] = {.lex_state = 57, .external_lex_state = 16},
  [2068] = {.lex_state = 57, .external_lex_state = 13},
  [2069] = {.lex_state = 57, .external_lex_state = 13},
  [2070] = {.lex_state = 57, .external_lex_state = 9},
  [2071] = {.lex_state = 57, .external_lex_state = 13},
  [2072] = {.lex_state = 39, .external_lex_state = 11},
  [2073] = {.lex_state = 57, .external_lex_state = 13},
  [2074] = {.lex_state = 57, .external_lex_state = 9},
  [2075] = {.lex_state = 57, .external_lex_state = 10},
  [2076] = {.lex_state = 57, .external_lex_state = 13},
  [2077] = {.lex_state = 57, .external_lex_state = 16},
  [2078] = {.lex_state = 57, .external_lex_state = 9},
  [2079] = {.lex_state = 57, .external_lex_state = 11},
  [2080] = {.lex_state = 57, .external_lex_state = 12},
  [2081] = {.lex_state = 57, .external_lex_state = 12},
  [2082] = {.lex_state = 57, .external_lex_state = 12},
  [2083] = {.lex_state = 57, .external_lex_state = 12},
  [2084] = {.lex_state = 57, .external_lex_state = 10},
  [2085] = {.lex_state = 57, .external_lex_state = 10},
  [2086] = {.lex_state = 57, .external_lex_state = 12},
  [2087] = {.lex_state = 3, .external_lex_state = 10},
  [2088] = {.lex_state = 57, .external_lex_state = 11},
  [2089] = {.lex_state = 57, .external_lex_state = 13},
  [2090] = {.lex_state = 57, .external_lex_state = 13},
  [2091] = {.lex_state = 57, .external_lex_state = 12},
  [2092] = {.lex_state = 57, .external_lex_state = 13},
  [2093] = {.lex_state = 57, .external_lex_state = 12},
  [2094] = {.lex_state = 57, .external_lex_state = 12},
  [2095] = {.lex_state = 57, .external_lex_state = 13},
  [2096] = {.lex_state = 57, .external_lex_state = 12},
  [2097] = {.lex_state = 57, .external_lex_state = 13},
  [2098] = {.lex_state = 57, .external_lex_state = 13},
  [2099] = {.lex_state = 57, .external_lex_state = 13},
  [2100] = {.lex_state = 57, .external_lex_state = 13},
  [2101] = {.lex_state = 57, .external_lex_state = 12},
  [2102] = {.lex_state = 57, .external_lex_state = 12},
  [2103] = {.lex_state = 57, .external_lex_state = 11},
  [2104] = {.lex_state = 57, .external_lex_state = 12},
  [2105] = {.lex_state = 57, .external_lex_state = 11},
  [2106] = {.lex_state = 3, .external_lex_state = 10},
  [2107] = {.lex_state = 57, .external_lex_state = 11},
  [2108] = {.lex_state = 3, .external_lex_state = 10},
  [2109] = {.lex_state = 57, .external_lex_state = 12},
  [2110] = {.lex_state = 3, .external_lex_state = 10},
  [2111] = {.lex_state = 57, .external_lex_state = 10},
  [2112] = {.lex_state = 57, .external_lex_state = 12},
  [2113] = {.lex_state = 57, .external_lex_state = 11},
  [2114] = {.lex_state = 57, .external_lex_state = 11},
  [2115] = {.lex_state = 57, .external_lex_state = 9},
  [2116] = {.lex_state = 57, .external_lex_state = 12},
  [2117] = {.lex_state = 57, .external_lex_state = 9},
  [2118] = {.lex_state = 57, .external_lex_state = 11},
  [2119] = {.lex_state = 57, .external_lex_state = 13},
  [2120] = {.lex_state = 57, .external_lex_state = 13},
  [2121] = {.lex_state = 57, .external_lex_state = 13},
  [2122] = {.lex_state = 57, .external_lex_state = 9},
  [2123] = {.lex_state = 57, .external_lex_state = 9},
  [2124] = {.lex_state = 57, .external_lex_state = 10},
  [2125] = {.lex_state = 3, .external_lex_state = 10},
  [2126] = {.lex_state = 57, .external_lex_state = 11},
  [2127] = {.lex_state = 57, .external_lex_state = 12},
  [2128] = {.lex_state = 3, .external_lex_state = 10},
  [2129] = {.lex_state = 3, .external_lex_state = 10},
  [2130] = {.lex_state = 57, .external_lex_state = 10},
  [2131] = {.lex_state = 57, .external_lex_state = 13},
  [2132] = {.lex_state = 57, .external_lex_state = 13},
  [2133] = {.lex_state = 57, .external_lex_state = 13},
  [2134] = {.lex_state = 57, .external_lex_state = 9},
  [2135] = {.lex_state = 57, .external_lex_state = 13},
  [2136] = {.lex_state = 57, .external_lex_state = 11},
  [2137] = {.lex_state = 57, .external_lex_state = 10},
  [2138] = {.lex_state = 39, .external_lex_state = 11},
  [2139] = {.lex_state = 57, .external_lex_state = 9},
  [2140] = {.lex_state = 57, .external_lex_state = 10},
  [2141] = {.lex_state = 57, .external_lex_state = 10},
  [2142] = {.lex_state = 57, .external_lex_state = 10},
  [2143] = {.lex_state = 57, .external_lex_state = 13},
  [2144] = {.lex_state = 57, .external_lex_state = 13},
  [2145] = {.lex_state = 57, .external_lex_state = 13},
  [2146] = {.lex_state = 57, .external_lex_state = 9},
  [2147] = {.lex_state = 57, .external_lex_state = 13},
  [2148] = {.lex_state = 57, .external_lex_state = 13},
  [2149] = {.lex_state = 3, .external_lex_state = 10},
  [2150] = {.lex_state = 57, .external_lex_state = 12},
  [2151] = {.lex_state = 57, .external_lex_state = 12},
  [2152] = {.lex_state = 57, .external_lex_state = 13},
  [2153] = {.lex_state = 57, .external_lex_state = 10},
  [2154] = {.lex_state = 57, .external_lex_state = 13},
  [2155] = {.lex_state = 57, .external_lex_state = 9},
  [2156] = {.lex_state = 57, .external_lex_state = 13},
  [2157] = {.lex_state = 57, .external_lex_state = 11},
  [2158] = {.lex_state = 57, .external_lex_state = 13},
  [2159] = {.lex_state = 57, .external_lex_state = 13},
  [2160] = {.lex_state = 57, .external_lex_state = 12},
  [2161] = {.lex_state = 57, .external_lex_state = 12},
  [2162] = {.lex_state = 57, .external_lex_state = 12},
  [2163] = {.lex_state = 57, .external_lex_state = 13},
  [2164] = {.lex_state = 57, .external_lex_state = 13},
  [2165] = {.lex_state = 57, .external_lex_state = 13},
  [2166] = {.lex_state = 57, .external_lex_state = 11},
  [2167] = {.lex_state = 57, .external_lex_state = 13},
  [2168] = {.lex_state = 57, .external_lex_state = 12},
  [2169] = {.lex_state = 57, .external_lex_state = 12},
  [2170] = {.lex_state = 57, .external_lex_state = 10},
  [2171] = {.lex_state = 57, .external_lex_state = 13},
  [2172] = {.lex_state = 57, .external_lex_state = 13},
  [2173] = {.lex_state = 57, .external_lex_state = 13},
  [2174] = {.lex_state = 57, .external_lex_state = 9},
  [2175] = {.lex_state = 57, .external_lex_state = 13},
  [2176] = {.lex_state = 57, .external_lex_state = 9},
  [2177] = {.lex_state = 57, .external_lex_state = 16},
  [2178] = {.lex_state = 39, .external_lex_state = 11},
  [2179] = {.lex_state = 57, .external_lex_state = 13},
  [2180] = {.lex_state = 57, .external_lex_state = 12},
  [2181] = {.lex_state = 57, .external_lex_state = 9},
  [2182] = {.lex_state = 57, .external_lex_state = 12},
  [2183] = {.lex_state = 57, .external_lex_state = 13},
  [2184] = {.lex_state = 57, .external_lex_state = 13},
  [2185] = {.lex_state = 57, .external_lex_state = 11},
  [2186] = {.lex_state = 57, .external_lex_state = 13},
  [2187] = {.lex_state = 57, .external_lex_state = 10},
  [2188] = {.lex_state = 57, .external_lex_state = 13},
  [2189] = {.lex_state = 57, .external_lex_state = 13},
  [2190] = {.lex_state = 57, .external_lex_state = 10},
  [2191] = {.lex_state = 57, .external_lex_state = 9},
  [2192] = {.lex_state = 57, .external_lex_state = 16},
  [2193] = {.lex_state = 57, .external_lex_state = 13},
  [2194] = {.lex_state = 57, .external_lex_state = 13},
  [2195] = {.lex_state = 57, .external_lex_state = 9},
  [2196] = {.lex_state = 57, .external_lex_state = 13},
  [2197] = {.lex_state = 3, .external_lex_state = 10},
  [2198] = {.lex_state = 57, .external_lex_state = 10},
  [2199] = {.lex_state = 57, .external_lex_state = 10},
  [2200] = {.lex_state = 57, .external_lex_state = 13},
  [2201] = {.lex_state = 57, .external_lex_state = 13},
  [2202] = {.lex_state = 57, .external_lex_state = 12},
  [2203] = {.lex_state = 57, .external_lex_state = 9},
  [2204] = {.lex_state = 57, .external_lex_state = 13},
  [2205] = {.lex_state = 57, .external_lex_state = 13},
  [2206] = {.lex_state = 57, .external_lex_state = 13},
  [2207] = {.lex_state = 34, .external_lex_state = 11},
  [2208] = {.lex_state = 57, .external_lex_state = 12},
  [2209] = {.lex_state = 57, .external_lex_state = 13},
  [2210] = {.lex_state = 57, .external_lex_state = 11},
  [2211] = {.lex_state = 57, .external_lex_state = 11},
  [2212] = {.lex_state = 57, .external_lex_state = 13},
  [2213] = {.lex_state = 57, .external_lex_state = 11},
  [2214] = {.lex_state = 57, .external_lex_state = 13},
  [2215] = {.lex_state = 57, .external_lex_state = 16},
  [2216] = {.lex_state = 57, .external_lex_state = 12},
  [2217] = {.lex_state = 57, .external_lex_state = 12},
  [2218] = {.lex_state = 57, .external_lex_state = 11},
  [2219] = {.lex_state = 57, .external_lex_state = 10},
  [2220] = {.lex_state = 57, .external_lex_state = 9},
  [2221] = {.lex_state = 57, .external_lex_state = 15},
  [2222] = {.lex_state = 57, .external_lex_state = 13},
  [2223] = {.lex_state = 57, .external_lex_state = 9},
  [2224] = {.lex_state = 57, .external_lex_state = 9},
  [2225] = {.lex_state = 57, .external_lex_state = 13},
  [2226] = {.lex_state = 34, .external_lex_state = 11},
  [2227] = {.lex_state = 57, .external_lex_state = 13},
  [2228] = {.lex_state = 57, .external_lex_state = 11},
  [2229] = {.lex_state = 57, .external_lex_state = 9},
  [2230] = {.lex_state = 57, .external_lex_state = 15},
  [2231] = {.lex_state = 57, .external_lex_state = 11},
  [2232] = {.lex_state = 57, .external_lex_state = 12},
  [2233] = {.lex_state = 57, .external_lex_state = 12},
  [2234] = {.lex_state = 57, .external_lex_state = 11},
  [2235] = {.lex_state = 57, .external_lex_state = 15},
  [2236] = {.lex_state = 57, .external_lex_state = 9},
  [2237] = {.lex_state = 57, .external_lex_state = 11},
  [2238] = {.lex_state = 57, .external_lex_state = 15},
  [2239] = {.lex_state = 57, .external_lex_state = 15},
  [2240] = {.lex_state = 57, .external_lex_state = 15},
  [2241] = {.lex_state = 57, .external_lex_state = 9},
  [2242] = {.lex_state = 57, .external_lex_state = 12},
  [2243] = {.lex_state = 57, .external_lex_state = 15},
  [2244] = {.lex_state = 57, .external_lex_state = 15},
  [2245] = {.lex_state = 57, .external_lex_state = 15},
  [2246] = {.lex_state = 57, .external_lex_state = 15},
  [2247] = {.lex_state = 57, .external_lex_state = 15},
  [2248] = {.lex_state = 57, .external_lex_state = 15},
  [2249] = {.lex_state = 57, .external_lex_state = 15},
  [2250] = {.lex_state = 57, .external_lex_state = 15},
  [2251] = {.lex_state = 57, .external_lex_state = 9},
  [2252] = {.lex_state = 57, .external_lex_state = 10},
  [2253] = {.lex_state = 57, .external_lex_state = 9},
  [2254] = {.lex_state = 57, .external_lex_state = 15},
  [2255] = {.lex_state = 57, .external_lex_state = 15},
  [2256] = {.lex_state = 57, .external_lex_state = 10},
  [2257] = {.lex_state = 57, .external_lex_state = 9},
  [2258] = {.lex_state = 57, .external_lex_state = 15},
  [2259] = {.lex_state = 57, .external_lex_state = 10},
  [2260] = {.lex_state = 57, .external_lex_state = 13},
  [2261] = {.lex_state = 39, .external_lex_state = 11},
  [2262] = {.lex_state = 57, .external_lex_state = 10},
  [2263] = {.lex_state = 57, .external_lex_state = 15},
  [2264] = {.lex_state = 57, .external_lex_state = 15},
  [2265] = {.lex_state = 57, .external_lex_state = 9},
  [2266] = {.lex_state = 57, .external_lex_state = 15},
  [2267] = {.lex_state = 57, .external_lex_state = 15},
  [2268] = {.lex_state = 57, .external_lex_state = 15},
  [2269] = {.lex_state = 39, .external_lex_state = 11},
  [2270] = {.lex_state = 57, .external_lex_state = 15},
  [2271] = {.lex_state = 57, .external_lex_state = 13},
  [2272] = {.lex_state = 57, .external_lex_state = 13},
  [2273] = {.lex_state = 57, .external_lex_state = 12},
  [2274] = {.lex_state = 57, .external_lex_state = 12},
  [2275] = {.lex_state = 57, .external_lex_state = 13},
  [2276] = {.lex_state = 57, .external_lex_state = 13},
  [2277] = {.lex_state = 57, .external_lex_state = 12},
  [2278] = {.lex_state = 39, .external_lex_state = 11},
  [2279] = {.lex_state = 57, .external_lex_state = 13},
  [2280] = {.lex_state = 57, .external_lex_state = 13},
  [2281] = {.lex_state = 39, .external_lex_state = 11},
  [2282] = {.lex_state = 57, .external_lex_state = 12},
  [2283] = {.lex_state = 57, .external_lex_state = 13},
  [2284] = {.lex_state = 57, .external_lex_state = 13},
  [2285] = {.lex_state = 57, .external_lex_state = 13},
  [2286] = {.lex_state = 57, .external_lex_state = 13},
  [2287] = {.lex_state = 57, .external_lex_state = 13},
  [2288] = {.lex_state = 57, .external_lex_state = 9},
  [2289] = {.lex_state = 57, .external_lex_state = 12},
  [2290] = {.lex_state = 57, .external_lex_state = 11},
  [2291] = {.lex_state = 57, .external_lex_state = 9},
  [2292] = {.lex_state = 57, .external_lex_state = 9},
  [2293] = {.lex_state = 57, .external_lex_state = 15},
  [2294] = {.lex_state = 57, .external_lex_state = 9},
  [2295] = {.lex_state = 57, .external_lex_state = 9},
  [2296] = {.lex_state = 57, .external_lex_state = 9},
  [2297] = {.lex_state = 57, .external_lex_state = 11},
  [2298] = {.lex_state = 39, .external_lex_state = 11},
  [2299] = {.lex_state = 57, .external_lex_state = 11},
  [2300] = {.lex_state = 57, .external_lex_state = 15},
  [2301] = {.lex_state = 57, .external_lex_state = 11},
  [2302] = {.lex_state = 57, .external_lex_state = 11},
  [2303] = {.lex_state = 57, .external_lex_state = 13},
  [2304] = {.lex_state = 57, .external_lex_state = 11},
  [2305] = {.lex_state = 57, .external_lex_state = 9},
  [2306] = {.lex_state = 57, .external_lex_state = 12},
  [2307] = {.lex_state = 57, .external_lex_state = 9},
  [2308] = {.lex_state = 57, .external_lex_state = 15},
  [2309] = {.lex_state = 57, .external_lex_state = 11},
  [2310] = {.lex_state = 39, .external_lex_state = 11},
  [2311] = {.lex_state = 57, .external_lex_state = 10},
  [2312] = {.lex_state = 57, .external_lex_state = 11},
  [2313] = {.lex_state = 57, .external_lex_state = 13},
  [2314] = {.lex_state = 57, .external_lex_state = 12},
  [2315] = {.lex_state = 57, .external_lex_state = 11},
  [2316] = {.lex_state = 57, .external_lex_state = 11},
  [2317] = {.lex_state = 57, .external_lex_state = 10},
  [2318] = {.lex_state = 57, .external_lex_state = 10},
  [2319] = {.lex_state = 57, .external_lex_state = 11},
  [2320] = {.lex_state = 57, .external_lex_state = 10},
  [2321] = {.lex_state = 57, .external_lex_state = 13},
  [2322] = {.lex_state = 57, .external_lex_state = 11},
  [2323] = {.lex_state = 57, .external_lex_state = 10},
  [2324] = {.lex_state = 57, .external_lex_state = 10},
  [2325] = {.lex_state = 57, .external_lex_state = 10},
  [2326] = {.lex_state = 57, .external_lex_state = 11},
  [2327] = {.lex_state = 57, .external_lex_state = 12},
  [2328] = {.lex_state = 57, .external_lex_state = 12},
  [2329] = {.lex_state = 57, .external_lex_state = 13},
  [2330] = {.lex_state = 57, .external_lex_state = 10},
  [2331] = {.lex_state = 57, .external_lex_state = 10},
  [2332] = {.lex_state = 57, .external_lex_state = 13},
  [2333] = {.lex_state = 30, .external_lex_state = 11},
  [2334] = {.lex_state = 57, .external_lex_state = 10},
  [2335] = {.lex_state = 57, .external_lex_state = 11},
  [2336] = {.lex_state = 57, .external_lex_state = 11},
  [2337] = {.lex_state = 57, .external_lex_state = 10},
  [2338] = {.lex_state = 30, .external_lex_state = 11},
  [2339] = {.lex_state = 57, .external_lex_state = 13},
  [2340] = {.lex_state = 57, .external_lex_state = 11},
  [2341] = {.lex_state = 57, .external_lex_state = 11},
  [2342] = {.lex_state = 57, .external_lex_state = 13},
  [2343] = {.lex_state = 57, .external_lex_state = 11},
  [2344] = {.lex_state = 57, .external_lex_state = 13},
  [2345] = {.lex_state = 57, .external_lex_state = 11},
  [2346] = {.lex_state = 57, .external_lex_state = 13},
  [2347] = {.lex_state = 57, .external_lex_state = 11},
  [2348] = {.lex_state = 57, .external_lex_state = 13},
  [2349] = {.lex_state = 57, .external_lex_state = 10},
  [2350] = {.lex_state = 57, .external_lex_state = 12},
  [2351] = {.lex_state = 57, .external_lex_state = 10},
  [2352] = {.lex_state = 30, .external_lex_state = 11},
  [2353] = {.lex_state = 57, .external_lex_state = 11},
  [2354] = {.lex_state = 57, .external_lex_state = 11},
  [2355] = {.lex_state = 57, .external_lex_state = 11},
  [2356] = {.lex_state = 57, .external_lex_state = 10},
  [2357] = {.lex_state = 57, .external_lex_state = 12},
  [2358] = {.lex_state = 57, .external_lex_state = 13},
  [2359] = {.lex_state = 57, .external_lex_state = 11},
  [2360] = {.lex_state = 57, .external_lex_state = 10},
  [2361] = {.lex_state = 57, .external_lex_state = 12},
  [2362] = {.lex_state = 57, .external_lex_state = 11},
  [2363] = {.lex_state = 57, .external_lex_state = 11},
  [2364] = {.lex_state = 57, .external_lex_state = 13},
  [2365] = {.lex_state = 30, .external_lex_state = 11},
  [2366] = {.lex_state = 57, .external_lex_state = 11},
  [2367] = {.lex_state = 57, .external_lex_state = 10},
  [2368] = {.lex_state = 57, .external_lex_state = 11},
  [2369] = {.lex_state = 57, .external_lex_state = 11},
  [2370] = {.lex_state = 30, .external_lex_state = 11},
  [2371] = {.lex_state = 57, .external_lex_state = 11},
  [2372] = {.lex_state = 57, .external_lex_state = 11},
  [2373] = {.lex_state = 57, .external_lex_state = 12},
  [2374] = {.lex_state = 57, .external_lex_state = 11},
  [2375] = {.lex_state = 30, .external_lex_state = 11},
  [2376] = {.lex_state = 57, .external_lex_state = 11},
  [2377] = {.lex_state = 57, .external_lex_state = 12},
  [2378] = {.lex_state = 57, .external_lex_state = 11},
  [2379] = {.lex_state = 57, .external_lex_state = 12},
  [2380] = {.lex_state = 30, .external_lex_state = 11},
  [2381] = {.lex_state = 57, .external_lex_state = 11},
  [2382] = {.lex_state = 57, .external_lex_state = 13},
  [2383] = {.lex_state = 57, .external_lex_state = 11},
  [2384] = {.lex_state = 57, .external_lex_state = 13},
  [2385] = {.lex_state = 30, .external_lex_state = 11},
  [2386] = {.lex_state = 57, .external_lex_state = 11},
  [2387] = {.lex_state = 30, .external_lex_state = 11},
  [2388] = {.lex_state = 57, .external_lex_state = 10},
  [2389] = {.lex_state = 57, .external_lex_state = 10},
  [2390] = {.lex_state = 30, .external_lex_state = 11},
  [2391] = {.lex_state = 57, .external_lex_state = 10},
  [2392] = {.lex_state = 57, .external_lex_state = 11},
  [2393] = {.lex_state = 57, .external_lex_state = 11},
  [2394] = {.lex_state = 57, .external_lex_state = 12},
  [2395] = {.lex_state = 57, .external_lex_state = 10},
  [2396] = {.lex_state = 57, .external_lex_state = 10},
  [2397] = {.lex_state = 57, .external_lex_state = 11},
  [2398] = {.lex_state = 57, .external_lex_state = 11},
  [2399] = {.lex_state = 57, .external_lex_state = 13},
  [2400] = {.lex_state = 57, .external_lex_state = 10},
  [2401] = {.lex_state = 57, .external_lex_state = 11},
  [2402] = {.lex_state = 57, .external_lex_state = 10},
  [2403] = {.lex_state = 57, .external_lex_state = 11},
  [2404] = {.lex_state = 30, .external_lex_state = 11},
  [2405] = {.lex_state = 57, .external_lex_state = 13},
  [2406] = {.lex_state = 57, .external_lex_state = 11},
  [2407] = {.lex_state = 57, .external_lex_state = 11},
  [2408] = {.lex_state = 57, .external_lex_state = 12},
  [2409] = {.lex_state = 57, .external_lex_state = 11},
  [2410] = {.lex_state = 57, .external_lex_state = 12},
  [2411] = {.lex_state = 57, .external_lex_state = 10},
  [2412] = {.lex_state = 57, .external_lex_state = 11},
  [2413] = {.lex_state = 57, .external_lex_state = 13},
  [2414] = {.lex_state = 57, .external_lex_state = 11},
  [2415] = {.lex_state = 57, .external_lex_state = 11},
  [2416] = {.lex_state = 57, .external_lex_state = 11},
  [2417] = {.lex_state = 57, .external_lex_state = 11},
  [2418] = {.lex_state = 57, .external_lex_state = 11},
  [2419] = {.lex_state = 57, .external_lex_state = 11},
  [2420] = {.lex_state = 57, .external_lex_state = 11},
  [2421] = {.lex_state = 57, .external_lex_state = 11},
  [2422] = {.lex_state = 57, .external_lex_state = 13},
  [2423] = {.lex_state = 57, .external_lex_state = 12},
  [2424] = {.lex_state = 57, .external_lex_state = 13},
  [2425] = {.lex_state = 57, .external_lex_state = 11},
  [2426] = {.lex_state = 57, .external_lex_state = 13},
  [2427] = {.lex_state = 57, .external_lex_state = 12},
  [2428] = {.lex_state = 57, .external_lex_state = 11},
  [2429] = {.lex_state = 57, .external_lex_state = 11},
  [2430] = {.lex_state = 57, .external_lex_state = 11},
  [2431] = {.lex_state = 57, .external_lex_state = 13},
  [2432] = {.lex_state = 57, .external_lex_state = 10},
  [2433] = {.lex_state = 57, .external_lex_state = 10},
  [2434] = {.lex_state = 57, .external_lex_state = 11},
  [2435] = {.lex_state = 57, .external_lex_state = 12},
  [2436] = {.lex_state = 30, .external_lex_state = 11},
  [2437] = {.lex_state = 57, .external_lex_state = 11},
  [2438] = {.lex_state = 30, .external_lex_state = 11},
  [2439] = {.lex_state = 57, .external_lex_state = 11},
  [2440] = {.lex_state = 57, .external_lex_state = 13},
  [2441] = {.lex_state = 57, .external_lex_state = 11},
  [2442] = {.lex_state = 57, .external_lex_state = 11},
  [2443] = {.lex_state = 57, .external_lex_state = 11},
  [2444] = {.lex_state = 57, .external_lex_state = 10},
  [2445] = {.lex_state = 57, .external_lex_state = 11},
  [2446] = {.lex_state = 57, .external_lex_state = 11},
  [2447] = {.lex_state = 57, .external_lex_state = 13},
  [2448] = {.lex_state = 57, .external_lex_state = 12},
  [2449] = {.lex_state = 57, .external_lex_state = 11},
  [2450] = {.lex_state = 57, .external_lex_state = 13},
  [2451] = {.lex_state = 57, .external_lex_state = 10},
  [2452] = {.lex_state = 57, .external_lex_state = 11},
  [2453] = {.lex_state = 57, .external_lex_state = 10},
  [2454] = {.lex_state = 57, .external_lex_state = 10},
  [2455] = {.lex_state = 57, .external_lex_state = 10},
  [2456] = {.lex_state = 57, .external_lex_state = 10},
  [2457] = {.lex_state = 57, .external_lex_state = 11},
  [2458] = {.lex_state = 57, .external_lex_state = 12},
  [2459] = {.lex_state = 57, .external_lex_state = 13},
  [2460] = {.lex_state = 57, .external_lex_state = 11},
  [2461] = {.lex_state = 57, .external_lex_state = 11},
  [2462] = {.lex_state = 57, .external_lex_state = 11},
  [2463] = {.lex_state = 57, .external_lex_state = 11},
  [2464] = {.lex_state = 57, .external_lex_state = 13},
  [2465] = {.lex_state = 57, .external_lex_state = 11},
  [2466] = {.lex_state = 57, .external_lex_state = 11},
  [2467] = {.lex_state = 57, .external_lex_state = 11},
  [2468] = {.lex_state = 57, .external_lex_state = 11},
  [2469] = {.lex_state = 57, .external_lex_state = 11},
  [2470] = {.lex_state = 57, .external_lex_state = 10},
  [2471] = {.lex_state = 57, .external_lex_state = 10},
  [2472] = {.lex_state = 57, .external_lex_state = 13},
  [2473] = {.lex_state = 57, .external_lex_state = 11},
  [2474] = {.lex_state = 57, .external_lex_state = 11},
  [2475] = {.lex_state = 57, .external_lex_state = 11},
  [2476] = {.lex_state = 57, .external_lex_state = 11},
  [2477] = {.lex_state = 57, .external_lex_state = 12},
  [2478] = {.lex_state = 57, .external_lex_state = 11},
  [2479] = {.lex_state = 57, .external_lex_state = 13},
  [2480] = {.lex_state = 57, .external_lex_state = 12},
  [2481] = {.lex_state = 57, .external_lex_state = 10},
  [2482] = {.lex_state = 57, .external_lex_state = 11},
  [2483] = {.lex_state = 57, .external_lex_state = 12},
  [2484] = {.lex_state = 57, .external_lex_state = 10},
  [2485] = {.lex_state = 57, .external_lex_state = 11},
  [2486] = {.lex_state = 57, .external_lex_state = 10},
  [2487] = {.lex_state = 57, .external_lex_state = 11},
  [2488] = {.lex_state = 57, .external_lex_state = 11},
  [2489] = {.lex_state = 57, .external_lex_state = 12},
  [2490] = {.lex_state = 57, .external_lex_state = 10},
  [2491] = {.lex_state = 57, .external_lex_state = 11},
  [2492] = {.lex_state = 57, .external_lex_state = 13},
  [2493] = {.lex_state = 57, .external_lex_state = 11},
  [2494] = {.lex_state = 30, .external_lex_state = 11},
  [2495] = {.lex_state = 30, .external_lex_state = 11},
  [2496] = {.lex_state = 57, .external_lex_state = 13},
  [2497] = {.lex_state = 57, .external_lex_state = 11},
  [2498] = {.lex_state = 57, .external_lex_state = 13},
  [2499] = {.lex_state = 57, .external_lex_state = 11},
  [2500] = {.lex_state = 57, .external_lex_state = 11},
  [2501] = {.lex_state = 57, .external_lex_state = 11},
  [2502] = {.lex_state = 57, .external_lex_state = 11},
  [2503] = {.lex_state = 57, .external_lex_state = 11},
  [2504] = {.lex_state = 57, .external_lex_state = 13},
  [2505] = {.lex_state = 57, .external_lex_state = 13},
  [2506] = {.lex_state = 57, .external_lex_state = 11},
  [2507] = {.lex_state = 57, .external_lex_state = 11},
  [2508] = {.lex_state = 57, .external_lex_state = 11},
  [2509] = {.lex_state = 57, .external_lex_state = 10},
  [2510] = {.lex_state = 57, .external_lex_state = 11},
  [2511] = {.lex_state = 57, .external_lex_state = 11},
  [2512] = {.lex_state = 57, .external_lex_state = 11},
  [2513] = {.lex_state = 30, .external_lex_state = 11},
  [2514] = {.lex_state = 57, .external_lex_state = 11},
  [2515] = {.lex_state = 57, .external_lex_state = 11},
  [2516] = {.lex_state = 57, .external_lex_state = 11},
  [2517] = {.lex_state = 57, .external_lex_state = 10},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_string_end = 5,
  ts_external_token_comment = 6,
  ts_external_token_RBRACK = 7,
  ts_external_token_RPAREN = 8,
  ts_external_token_RBRACE = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
};

static const bool ts_external_scanner_states[17][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [11] = {
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [14] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [15] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym__not_escape_sequence] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2497),
    [sym__statement] = STATE(54),
    [sym__simple_statements] = STATE(54),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_if_statement] = STATE(54),
    [sym_match_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_with_statement] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_class_definition] = STATE(54),
    [sym_decorated_definition] = STATE(54),
    [sym_decorator] = STATE(1777),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(54),
    [aux_sym_decorated_definition_repeat1] = STATE(1777),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(79),
  },
  [2] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(719),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [3] = {
    [sym__statement] = STATE(53),
    [sym__simple_statements] = STATE(53),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(53),
    [sym_match_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_try_statement] = STATE(53),
    [sym_with_statement] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(53),
    [sym_decorated_definition] = STATE(53),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(677),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(53),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(79),
  },
  [4] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(649),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [5] = {
    [sym__statement] = STATE(52),
    [sym__simple_statements] = STATE(52),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(52),
    [sym_match_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_try_statement] = STATE(52),
    [sym_with_statement] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(52),
    [sym_decorated_definition] = STATE(52),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(1770),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(52),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(79),
  },
  [6] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(720),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [7] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(641),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [8] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(835),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [9] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(824),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [10] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(783),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [11] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(822),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [12] = {
    [sym__statement] = STATE(60),
    [sym__simple_statements] = STATE(60),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(60),
    [sym_match_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_try_statement] = STATE(60),
    [sym_with_statement] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(60),
    [sym_decorated_definition] = STATE(60),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(702),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(60),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(79),
  },
  [13] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(816),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [14] = {
    [sym__statement] = STATE(52),
    [sym__simple_statements] = STATE(52),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(52),
    [sym_match_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_try_statement] = STATE(52),
    [sym_with_statement] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(52),
    [sym_decorated_definition] = STATE(52),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(1780),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(52),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(79),
  },
  [15] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(811),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [16] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(797),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [17] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(796),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [18] = {
    [sym__statement] = STATE(55),
    [sym__simple_statements] = STATE(55),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(55),
    [sym_match_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_with_statement] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(55),
    [sym_decorated_definition] = STATE(55),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(685),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(55),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(79),
  },
  [19] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(792),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [20] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(728),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [21] = {
    [sym__statement] = STATE(60),
    [sym__simple_statements] = STATE(60),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(60),
    [sym_match_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_try_statement] = STATE(60),
    [sym_with_statement] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(60),
    [sym_decorated_definition] = STATE(60),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(709),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(60),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(79),
  },
  [22] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2248),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [23] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(789),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [24] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(785),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [25] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2270),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [26] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(788),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [27] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2263),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [28] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2255),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [29] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(742),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [30] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(717),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [31] = {
    [sym__statement] = STATE(59),
    [sym__simple_statements] = STATE(59),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(59),
    [sym_match_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_with_statement] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(59),
    [sym_decorated_definition] = STATE(59),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(698),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(59),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(79),
  },
  [32] = {
    [sym__statement] = STATE(59),
    [sym__simple_statements] = STATE(59),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(59),
    [sym_match_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_with_statement] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(59),
    [sym_decorated_definition] = STATE(59),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(691),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(59),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(79),
  },
  [33] = {
    [sym__statement] = STATE(60),
    [sym__simple_statements] = STATE(60),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(60),
    [sym_match_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_try_statement] = STATE(60),
    [sym_with_statement] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(60),
    [sym_decorated_definition] = STATE(60),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(663),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(60),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(79),
  },
  [34] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(780),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [35] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [36] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(722),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [37] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(775),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [38] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2308),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [39] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(760),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [40] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(730),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [41] = {
    [sym__statement] = STATE(55),
    [sym__simple_statements] = STATE(55),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(55),
    [sym_match_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_with_statement] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(55),
    [sym_decorated_definition] = STATE(55),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(689),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(55),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(79),
  },
  [42] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(721),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [43] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2230),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [44] = {
    [sym__statement] = STATE(53),
    [sym__simple_statements] = STATE(53),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(53),
    [sym_match_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_try_statement] = STATE(53),
    [sym_with_statement] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(53),
    [sym_decorated_definition] = STATE(53),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(673),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(53),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(79),
  },
  [45] = {
    [sym__statement] = STATE(55),
    [sym__simple_statements] = STATE(55),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(55),
    [sym_match_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_with_statement] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(55),
    [sym_decorated_definition] = STATE(55),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(665),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(55),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(79),
  },
  [46] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(723),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [47] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2238),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [48] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(773),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [49] = {
    [sym__statement] = STATE(57),
    [sym__simple_statements] = STATE(57),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(57),
    [sym_match_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_with_statement] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(57),
    [sym_decorated_definition] = STATE(57),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(2244),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(57),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(79),
  },
  [50] = {
    [sym__statement] = STATE(58),
    [sym__simple_statements] = STATE(58),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(58),
    [sym_match_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_with_statement] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(58),
    [sym_decorated_definition] = STATE(58),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(739),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(58),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(79),
  },
  [51] = {
    [sym__statement] = STATE(61),
    [sym__simple_statements] = STATE(61),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(61),
    [sym_match_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_with_statement] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(61),
    [sym_decorated_definition] = STATE(61),
    [sym_decorator] = STATE(1757),
    [sym_block] = STATE(777),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(61),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym_string_start] = ACTIONS(79),
  },
  [52] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(79),
  },
  [53] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(79),
  },
  [54] = {
    [sym__statement] = STATE(56),
    [sym__simple_statements] = STATE(56),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_if_statement] = STATE(56),
    [sym_match_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_with_statement] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_class_definition] = STATE(56),
    [sym_decorated_definition] = STATE(56),
    [sym_decorator] = STATE(1777),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(56),
    [aux_sym_decorated_definition_repeat1] = STATE(1777),
    [ts_builtin_sym_end] = ACTIONS(119),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(57),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(79),
  },
  [55] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(121),
    [sym_string_start] = ACTIONS(79),
  },
  [56] = {
    [sym__statement] = STATE(56),
    [sym__simple_statements] = STATE(56),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_if_statement] = STATE(56),
    [sym_match_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_with_statement] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_class_definition] = STATE(56),
    [sym_decorated_definition] = STATE(56),
    [sym_decorator] = STATE(1777),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(56),
    [aux_sym_decorated_definition_repeat1] = STATE(1777),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_from] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(140),
    [anon_sym_assert] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(146),
    [anon_sym_del] = ACTIONS(149),
    [anon_sym_raise] = ACTIONS(152),
    [anon_sym_pass] = ACTIONS(155),
    [anon_sym_break] = ACTIONS(158),
    [anon_sym_continue] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(164),
    [anon_sym_match] = ACTIONS(167),
    [anon_sym_async] = ACTIONS(170),
    [anon_sym_for] = ACTIONS(173),
    [anon_sym_while] = ACTIONS(176),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_with] = ACTIONS(182),
    [anon_sym_def] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(188),
    [anon_sym_nonlocal] = ACTIONS(191),
    [anon_sym_exec] = ACTIONS(194),
    [anon_sym_class] = ACTIONS(197),
    [anon_sym_AT] = ACTIONS(200),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(206),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_lambda] = ACTIONS(212),
    [anon_sym_yield] = ACTIONS(215),
    [sym_ellipsis] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(221),
    [sym_integer] = ACTIONS(224),
    [sym_float] = ACTIONS(218),
    [anon_sym_await] = ACTIONS(227),
    [sym_true] = ACTIONS(224),
    [sym_false] = ACTIONS(224),
    [sym_none] = ACTIONS(224),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(230),
  },
  [57] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(233),
    [sym_string_start] = ACTIONS(79),
  },
  [58] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(235),
    [sym_string_start] = ACTIONS(79),
  },
  [59] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(237),
    [sym_string_start] = ACTIONS(79),
  },
  [60] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(239),
    [sym_string_start] = ACTIONS(79),
  },
  [61] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_match] = ACTIONS(83),
    [anon_sym_async] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_with] = ACTIONS(93),
    [anon_sym_def] = ACTIONS(95),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_class] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(241),
    [sym_string_start] = ACTIONS(79),
  },
  [62] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1757),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1757),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(128),
    [anon_sym_from] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(134),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_print] = ACTIONS(140),
    [anon_sym_assert] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(146),
    [anon_sym_del] = ACTIONS(149),
    [anon_sym_raise] = ACTIONS(152),
    [anon_sym_pass] = ACTIONS(155),
    [anon_sym_break] = ACTIONS(158),
    [anon_sym_continue] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(243),
    [anon_sym_match] = ACTIONS(246),
    [anon_sym_async] = ACTIONS(249),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_while] = ACTIONS(255),
    [anon_sym_try] = ACTIONS(258),
    [anon_sym_with] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(264),
    [anon_sym_global] = ACTIONS(188),
    [anon_sym_nonlocal] = ACTIONS(191),
    [anon_sym_exec] = ACTIONS(194),
    [anon_sym_class] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(200),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(206),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_lambda] = ACTIONS(212),
    [anon_sym_yield] = ACTIONS(215),
    [sym_ellipsis] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(221),
    [sym_integer] = ACTIONS(224),
    [sym_float] = ACTIONS(218),
    [anon_sym_await] = ACTIONS(227),
    [sym_true] = ACTIONS(224),
    [sym_false] = ACTIONS(224),
    [sym_none] = ACTIONS(224),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(123),
    [sym_string_start] = ACTIONS(230),
  },
  [63] = {
    [sym_chevron] = STATE(1968),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_list_splat_pattern] = STATE(1295),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1743),
    [sym_primary_expression] = STATE(982),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_attribute] = STATE(1272),
    [sym_subscript] = STATE(1272),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(270),
    [anon_sym_SEMI] = ACTIONS(272),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(282),
    [anon_sym_print] = ACTIONS(285),
    [anon_sym_GT_GT] = ACTIONS(287),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(285),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_exec] = ACTIONS(285),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_not] = ACTIONS(296),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(299),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(274),
    [anon_sym_SLASH_SLASH] = ACTIONS(274),
    [anon_sym_PIPE] = ACTIONS(274),
    [anon_sym_AMP] = ACTIONS(274),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_LT_LT] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_AT_EQ] = ACTIONS(302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(304),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(272),
    [sym_string_start] = ACTIONS(79),
  },
  [64] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1796),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_SEMI] = ACTIONS(272),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(274),
    [anon_sym_SLASH_SLASH] = ACTIONS(274),
    [anon_sym_PIPE] = ACTIONS(274),
    [anon_sym_AMP] = ACTIONS(274),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_LT_LT] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(322),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_AT_EQ] = ACTIONS(302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(272),
    [sym_string_start] = ACTIONS(332),
  },
  [65] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1803),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_SEMI] = ACTIONS(272),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(274),
    [anon_sym_SLASH_SLASH] = ACTIONS(274),
    [anon_sym_PIPE] = ACTIONS(274),
    [anon_sym_AMP] = ACTIONS(274),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_LT_LT] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(322),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_AT_EQ] = ACTIONS(302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(272),
    [sym_string_start] = ACTIONS(332),
  },
  [66] = {
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2390),
    [sym_list_splat_pattern] = STATE(1295),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1174),
    [sym_primary_expression] = STATE(974),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_attribute] = STATE(1272),
    [sym_subscript] = STATE(1272),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(270),
    [anon_sym_SEMI] = ACTIONS(272),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(334),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(336),
    [anon_sym_print] = ACTIONS(285),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(285),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_exec] = ACTIONS(285),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(338),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_not] = ACTIONS(340),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(274),
    [anon_sym_SLASH_SLASH] = ACTIONS(274),
    [anon_sym_PIPE] = ACTIONS(274),
    [anon_sym_AMP] = ACTIONS(274),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_LT_LT] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(344),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_AT_EQ] = ACTIONS(302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(304),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(272),
    [sym_string_start] = ACTIONS(79),
  },
  [67] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_SEMI] = ACTIONS(346),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_as] = ACTIONS(351),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(348),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(351),
    [anon_sym_STAR_STAR] = ACTIONS(348),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(351),
    [anon_sym_or] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(348),
    [anon_sym_SLASH_SLASH] = ACTIONS(348),
    [anon_sym_PIPE] = ACTIONS(348),
    [anon_sym_AMP] = ACTIONS(348),
    [anon_sym_CARET] = ACTIONS(348),
    [anon_sym_LT_LT] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(351),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_GT] = ACTIONS(351),
    [anon_sym_LT_GT] = ACTIONS(346),
    [anon_sym_is] = ACTIONS(351),
    [anon_sym_lambda] = ACTIONS(322),
    [anon_sym_PLUS_EQ] = ACTIONS(346),
    [anon_sym_DASH_EQ] = ACTIONS(346),
    [anon_sym_STAR_EQ] = ACTIONS(346),
    [anon_sym_SLASH_EQ] = ACTIONS(346),
    [anon_sym_AT_EQ] = ACTIONS(346),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(346),
    [anon_sym_PERCENT_EQ] = ACTIONS(346),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(346),
    [anon_sym_GT_GT_EQ] = ACTIONS(346),
    [anon_sym_LT_LT_EQ] = ACTIONS(346),
    [anon_sym_AMP_EQ] = ACTIONS(346),
    [anon_sym_CARET_EQ] = ACTIONS(346),
    [anon_sym_PIPE_EQ] = ACTIONS(346),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(346),
    [sym_string_start] = ACTIONS(332),
  },
  [68] = {
    [sym__simple_statements] = STATE(1761),
    [sym_import_statement] = STATE(2176),
    [sym_future_import_statement] = STATE(2176),
    [sym_import_from_statement] = STATE(2176),
    [sym_print_statement] = STATE(2176),
    [sym_assert_statement] = STATE(2176),
    [sym_expression_statement] = STATE(2176),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2176),
    [sym_delete_statement] = STATE(2176),
    [sym_raise_statement] = STATE(2176),
    [sym_pass_statement] = STATE(2176),
    [sym_break_statement] = STATE(2176),
    [sym_continue_statement] = STATE(2176),
    [sym_global_statement] = STATE(2176),
    [sym_nonlocal_statement] = STATE(2176),
    [sym_exec_statement] = STATE(2176),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym_string_start] = ACTIONS(79),
  },
  [69] = {
    [sym__simple_statements] = STATE(735),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym_string_start] = ACTIONS(79),
  },
  [70] = {
    [sym__simple_statements] = STATE(2250),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym_string_start] = ACTIONS(79),
  },
  [71] = {
    [sym__simple_statements] = STATE(714),
    [sym_import_statement] = STATE(2203),
    [sym_future_import_statement] = STATE(2203),
    [sym_import_from_statement] = STATE(2203),
    [sym_print_statement] = STATE(2203),
    [sym_assert_statement] = STATE(2203),
    [sym_expression_statement] = STATE(2203),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2203),
    [sym_delete_statement] = STATE(2203),
    [sym_raise_statement] = STATE(2203),
    [sym_pass_statement] = STATE(2203),
    [sym_break_statement] = STATE(2203),
    [sym_continue_statement] = STATE(2203),
    [sym_global_statement] = STATE(2203),
    [sym_nonlocal_statement] = STATE(2203),
    [sym_exec_statement] = STATE(2203),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym_string_start] = ACTIONS(79),
  },
  [72] = {
    [sym__simple_statements] = STATE(656),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym_string_start] = ACTIONS(79),
  },
  [73] = {
    [sym__simple_statements] = STATE(2239),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym_string_start] = ACTIONS(79),
  },
  [74] = {
    [sym__simple_statements] = STATE(715),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym_string_start] = ACTIONS(79),
  },
  [75] = {
    [sym__simple_statements] = STATE(732),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__indent] = ACTIONS(385),
    [sym_string_start] = ACTIONS(79),
  },
  [76] = {
    [sym__simple_statements] = STATE(815),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__indent] = ACTIONS(389),
    [sym_string_start] = ACTIONS(79),
  },
  [77] = {
    [sym__simple_statements] = STATE(743),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__indent] = ACTIONS(393),
    [sym_string_start] = ACTIONS(79),
  },
  [78] = {
    [sym__simple_statements] = STATE(2243),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__indent] = ACTIONS(397),
    [sym_string_start] = ACTIONS(79),
  },
  [79] = {
    [sym__simple_statements] = STATE(2246),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__indent] = ACTIONS(401),
    [sym_string_start] = ACTIONS(79),
  },
  [80] = {
    [sym__simple_statements] = STATE(738),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__indent] = ACTIONS(405),
    [sym_string_start] = ACTIONS(79),
  },
  [81] = {
    [sym__simple_statements] = STATE(734),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__indent] = ACTIONS(409),
    [sym_string_start] = ACTIONS(79),
  },
  [82] = {
    [sym__simple_statements] = STATE(712),
    [sym_import_statement] = STATE(2063),
    [sym_future_import_statement] = STATE(2063),
    [sym_import_from_statement] = STATE(2063),
    [sym_print_statement] = STATE(2063),
    [sym_assert_statement] = STATE(2063),
    [sym_expression_statement] = STATE(2063),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2063),
    [sym_delete_statement] = STATE(2063),
    [sym_raise_statement] = STATE(2063),
    [sym_pass_statement] = STATE(2063),
    [sym_break_statement] = STATE(2063),
    [sym_continue_statement] = STATE(2063),
    [sym_global_statement] = STATE(2063),
    [sym_nonlocal_statement] = STATE(2063),
    [sym_exec_statement] = STATE(2063),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__indent] = ACTIONS(413),
    [sym_string_start] = ACTIONS(79),
  },
  [83] = {
    [sym__simple_statements] = STATE(2268),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__indent] = ACTIONS(417),
    [sym_string_start] = ACTIONS(79),
  },
  [84] = {
    [sym__simple_statements] = STATE(711),
    [sym_import_statement] = STATE(2115),
    [sym_future_import_statement] = STATE(2115),
    [sym_import_from_statement] = STATE(2115),
    [sym_print_statement] = STATE(2115),
    [sym_assert_statement] = STATE(2115),
    [sym_expression_statement] = STATE(2115),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2115),
    [sym_delete_statement] = STATE(2115),
    [sym_raise_statement] = STATE(2115),
    [sym_pass_statement] = STATE(2115),
    [sym_break_statement] = STATE(2115),
    [sym_continue_statement] = STATE(2115),
    [sym_global_statement] = STATE(2115),
    [sym_nonlocal_statement] = STATE(2115),
    [sym_exec_statement] = STATE(2115),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__indent] = ACTIONS(421),
    [sym_string_start] = ACTIONS(79),
  },
  [85] = {
    [sym__simple_statements] = STATE(766),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__indent] = ACTIONS(425),
    [sym_string_start] = ACTIONS(79),
  },
  [86] = {
    [sym__simple_statements] = STATE(710),
    [sym_import_statement] = STATE(2063),
    [sym_future_import_statement] = STATE(2063),
    [sym_import_from_statement] = STATE(2063),
    [sym_print_statement] = STATE(2063),
    [sym_assert_statement] = STATE(2063),
    [sym_expression_statement] = STATE(2063),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2063),
    [sym_delete_statement] = STATE(2063),
    [sym_raise_statement] = STATE(2063),
    [sym_pass_statement] = STATE(2063),
    [sym_break_statement] = STATE(2063),
    [sym_continue_statement] = STATE(2063),
    [sym_global_statement] = STATE(2063),
    [sym_nonlocal_statement] = STATE(2063),
    [sym_exec_statement] = STATE(2063),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym__indent] = ACTIONS(429),
    [sym_string_start] = ACTIONS(79),
  },
  [87] = {
    [sym__simple_statements] = STATE(801),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym__indent] = ACTIONS(433),
    [sym_string_start] = ACTIONS(79),
  },
  [88] = {
    [sym__simple_statements] = STATE(705),
    [sym_import_statement] = STATE(2203),
    [sym_future_import_statement] = STATE(2203),
    [sym_import_from_statement] = STATE(2203),
    [sym_print_statement] = STATE(2203),
    [sym_assert_statement] = STATE(2203),
    [sym_expression_statement] = STATE(2203),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2203),
    [sym_delete_statement] = STATE(2203),
    [sym_raise_statement] = STATE(2203),
    [sym_pass_statement] = STATE(2203),
    [sym_break_statement] = STATE(2203),
    [sym_continue_statement] = STATE(2203),
    [sym_global_statement] = STATE(2203),
    [sym_nonlocal_statement] = STATE(2203),
    [sym_exec_statement] = STATE(2203),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym__indent] = ACTIONS(437),
    [sym_string_start] = ACTIONS(79),
  },
  [89] = {
    [sym__simple_statements] = STATE(729),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym__indent] = ACTIONS(441),
    [sym_string_start] = ACTIONS(79),
  },
  [90] = {
    [sym__simple_statements] = STATE(731),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym__indent] = ACTIONS(445),
    [sym_string_start] = ACTIONS(79),
  },
  [91] = {
    [sym__simple_statements] = STATE(643),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym__indent] = ACTIONS(449),
    [sym_string_start] = ACTIONS(79),
  },
  [92] = {
    [sym__simple_statements] = STATE(741),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(451),
    [sym__indent] = ACTIONS(453),
    [sym_string_start] = ACTIONS(79),
  },
  [93] = {
    [sym__simple_statements] = STATE(2235),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(455),
    [sym__indent] = ACTIONS(457),
    [sym_string_start] = ACTIONS(79),
  },
  [94] = {
    [sym__simple_statements] = STATE(808),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(459),
    [sym__indent] = ACTIONS(461),
    [sym_string_start] = ACTIONS(79),
  },
  [95] = {
    [sym__simple_statements] = STATE(802),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(463),
    [sym__indent] = ACTIONS(465),
    [sym_string_start] = ACTIONS(79),
  },
  [96] = {
    [sym__simple_statements] = STATE(745),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(467),
    [sym__indent] = ACTIONS(469),
    [sym_string_start] = ACTIONS(79),
  },
  [97] = {
    [sym__simple_statements] = STATE(786),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(471),
    [sym__indent] = ACTIONS(473),
    [sym_string_start] = ACTIONS(79),
  },
  [98] = {
    [sym__simple_statements] = STATE(676),
    [sym_import_statement] = STATE(2063),
    [sym_future_import_statement] = STATE(2063),
    [sym_import_from_statement] = STATE(2063),
    [sym_print_statement] = STATE(2063),
    [sym_assert_statement] = STATE(2063),
    [sym_expression_statement] = STATE(2063),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2063),
    [sym_delete_statement] = STATE(2063),
    [sym_raise_statement] = STATE(2063),
    [sym_pass_statement] = STATE(2063),
    [sym_break_statement] = STATE(2063),
    [sym_continue_statement] = STATE(2063),
    [sym_global_statement] = STATE(2063),
    [sym_nonlocal_statement] = STATE(2063),
    [sym_exec_statement] = STATE(2063),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(475),
    [sym__indent] = ACTIONS(477),
    [sym_string_start] = ACTIONS(79),
  },
  [99] = {
    [sym__simple_statements] = STATE(716),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(479),
    [sym__indent] = ACTIONS(481),
    [sym_string_start] = ACTIONS(79),
  },
  [100] = {
    [sym__simple_statements] = STATE(821),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(483),
    [sym__indent] = ACTIONS(485),
    [sym_string_start] = ACTIONS(79),
  },
  [101] = {
    [sym__simple_statements] = STATE(838),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(487),
    [sym__indent] = ACTIONS(489),
    [sym_string_start] = ACTIONS(79),
  },
  [102] = {
    [sym__simple_statements] = STATE(772),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(491),
    [sym__indent] = ACTIONS(493),
    [sym_string_start] = ACTIONS(79),
  },
  [103] = {
    [sym__simple_statements] = STATE(733),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(495),
    [sym__indent] = ACTIONS(497),
    [sym_string_start] = ACTIONS(79),
  },
  [104] = {
    [sym__simple_statements] = STATE(823),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(499),
    [sym__indent] = ACTIONS(501),
    [sym_string_start] = ACTIONS(79),
  },
  [105] = {
    [sym__simple_statements] = STATE(1755),
    [sym_import_statement] = STATE(2176),
    [sym_future_import_statement] = STATE(2176),
    [sym_import_from_statement] = STATE(2176),
    [sym_print_statement] = STATE(2176),
    [sym_assert_statement] = STATE(2176),
    [sym_expression_statement] = STATE(2176),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2176),
    [sym_delete_statement] = STATE(2176),
    [sym_raise_statement] = STATE(2176),
    [sym_pass_statement] = STATE(2176),
    [sym_break_statement] = STATE(2176),
    [sym_continue_statement] = STATE(2176),
    [sym_global_statement] = STATE(2176),
    [sym_nonlocal_statement] = STATE(2176),
    [sym_exec_statement] = STATE(2176),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(503),
    [sym__indent] = ACTIONS(505),
    [sym_string_start] = ACTIONS(79),
  },
  [106] = {
    [sym__simple_statements] = STATE(836),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(507),
    [sym__indent] = ACTIONS(509),
    [sym_string_start] = ACTIONS(79),
  },
  [107] = {
    [sym__simple_statements] = STATE(2293),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(511),
    [sym__indent] = ACTIONS(513),
    [sym_string_start] = ACTIONS(79),
  },
  [108] = {
    [sym__simple_statements] = STATE(746),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(515),
    [sym__indent] = ACTIONS(517),
    [sym_string_start] = ACTIONS(79),
  },
  [109] = {
    [sym__simple_statements] = STATE(820),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(519),
    [sym__indent] = ACTIONS(521),
    [sym_string_start] = ACTIONS(79),
  },
  [110] = {
    [sym__simple_statements] = STATE(754),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(523),
    [sym__indent] = ACTIONS(525),
    [sym_string_start] = ACTIONS(79),
  },
  [111] = {
    [sym__simple_statements] = STATE(825),
    [sym_import_statement] = STATE(2012),
    [sym_future_import_statement] = STATE(2012),
    [sym_import_from_statement] = STATE(2012),
    [sym_print_statement] = STATE(2012),
    [sym_assert_statement] = STATE(2012),
    [sym_expression_statement] = STATE(2012),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2012),
    [sym_delete_statement] = STATE(2012),
    [sym_raise_statement] = STATE(2012),
    [sym_pass_statement] = STATE(2012),
    [sym_break_statement] = STATE(2012),
    [sym_continue_statement] = STATE(2012),
    [sym_global_statement] = STATE(2012),
    [sym_nonlocal_statement] = STATE(2012),
    [sym_exec_statement] = STATE(2012),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(527),
    [sym__indent] = ACTIONS(529),
    [sym_string_start] = ACTIONS(79),
  },
  [112] = {
    [sym__simple_statements] = STATE(763),
    [sym_import_statement] = STATE(2181),
    [sym_future_import_statement] = STATE(2181),
    [sym_import_from_statement] = STATE(2181),
    [sym_print_statement] = STATE(2181),
    [sym_assert_statement] = STATE(2181),
    [sym_expression_statement] = STATE(2181),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2181),
    [sym_delete_statement] = STATE(2181),
    [sym_raise_statement] = STATE(2181),
    [sym_pass_statement] = STATE(2181),
    [sym_break_statement] = STATE(2181),
    [sym_continue_statement] = STATE(2181),
    [sym_global_statement] = STATE(2181),
    [sym_nonlocal_statement] = STATE(2181),
    [sym_exec_statement] = STATE(2181),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(531),
    [sym__indent] = ACTIONS(533),
    [sym_string_start] = ACTIONS(79),
  },
  [113] = {
    [sym__simple_statements] = STATE(2245),
    [sym_import_statement] = STATE(2174),
    [sym_future_import_statement] = STATE(2174),
    [sym_import_from_statement] = STATE(2174),
    [sym_print_statement] = STATE(2174),
    [sym_assert_statement] = STATE(2174),
    [sym_expression_statement] = STATE(2174),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2174),
    [sym_delete_statement] = STATE(2174),
    [sym_raise_statement] = STATE(2174),
    [sym_pass_statement] = STATE(2174),
    [sym_break_statement] = STATE(2174),
    [sym_continue_statement] = STATE(2174),
    [sym_global_statement] = STATE(2174),
    [sym_nonlocal_statement] = STATE(2174),
    [sym_exec_statement] = STATE(2174),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(535),
    [sym__indent] = ACTIONS(537),
    [sym_string_start] = ACTIONS(79),
  },
  [114] = {
    [sym__simple_statements] = STATE(675),
    [sym_import_statement] = STATE(2146),
    [sym_future_import_statement] = STATE(2146),
    [sym_import_from_statement] = STATE(2146),
    [sym_print_statement] = STATE(2146),
    [sym_assert_statement] = STATE(2146),
    [sym_expression_statement] = STATE(2146),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2146),
    [sym_delete_statement] = STATE(2146),
    [sym_raise_statement] = STATE(2146),
    [sym_pass_statement] = STATE(2146),
    [sym_break_statement] = STATE(2146),
    [sym_continue_statement] = STATE(2146),
    [sym_global_statement] = STATE(2146),
    [sym_nonlocal_statement] = STATE(2146),
    [sym_exec_statement] = STATE(2146),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(539),
    [sym__indent] = ACTIONS(541),
    [sym_string_start] = ACTIONS(79),
  },
  [115] = {
    [sym__simple_statements] = STATE(688),
    [sym_import_statement] = STATE(2203),
    [sym_future_import_statement] = STATE(2203),
    [sym_import_from_statement] = STATE(2203),
    [sym_print_statement] = STATE(2203),
    [sym_assert_statement] = STATE(2203),
    [sym_expression_statement] = STATE(2203),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2203),
    [sym_delete_statement] = STATE(2203),
    [sym_raise_statement] = STATE(2203),
    [sym_pass_statement] = STATE(2203),
    [sym_break_statement] = STATE(2203),
    [sym_continue_statement] = STATE(2203),
    [sym_global_statement] = STATE(2203),
    [sym_nonlocal_statement] = STATE(2203),
    [sym_exec_statement] = STATE(2203),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(543),
    [sym__indent] = ACTIONS(545),
    [sym_string_start] = ACTIONS(79),
  },
  [116] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(547),
    [sym_string_start] = ACTIONS(79),
  },
  [117] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym_string_start] = ACTIONS(79),
  },
  [118] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(551),
    [sym_string_start] = ACTIONS(79),
  },
  [119] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym_string_start] = ACTIONS(79),
  },
  [120] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(555),
    [sym_string_start] = ACTIONS(79),
  },
  [121] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym_string_start] = ACTIONS(79),
  },
  [122] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(559),
    [sym_string_start] = ACTIONS(79),
  },
  [123] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym_string_start] = ACTIONS(79),
  },
  [124] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(563),
    [sym_string_start] = ACTIONS(79),
  },
  [125] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym_string_start] = ACTIONS(79),
  },
  [126] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(567),
    [sym_string_start] = ACTIONS(79),
  },
  [127] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym_string_start] = ACTIONS(79),
  },
  [128] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(571),
    [sym_string_start] = ACTIONS(79),
  },
  [129] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(573),
    [sym_string_start] = ACTIONS(79),
  },
  [130] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(575),
    [sym_string_start] = ACTIONS(79),
  },
  [131] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(577),
    [sym_string_start] = ACTIONS(79),
  },
  [132] = {
    [sym_import_statement] = STATE(2295),
    [sym_future_import_statement] = STATE(2295),
    [sym_import_from_statement] = STATE(2295),
    [sym_print_statement] = STATE(2295),
    [sym_assert_statement] = STATE(2295),
    [sym_expression_statement] = STATE(2295),
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2495),
    [sym_return_statement] = STATE(2295),
    [sym_delete_statement] = STATE(2295),
    [sym_raise_statement] = STATE(2295),
    [sym_pass_statement] = STATE(2295),
    [sym_break_statement] = STATE(2295),
    [sym_continue_statement] = STATE(2295),
    [sym_global_statement] = STATE(2295),
    [sym_nonlocal_statement] = STATE(2295),
    [sym_exec_statement] = STATE(2295),
    [sym_pattern] = STATE(1653),
    [sym_tuple_pattern] = STATE(1642),
    [sym_list_pattern] = STATE(1642),
    [sym_list_splat_pattern] = STATE(658),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1048),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_assignment] = STATE(2236),
    [sym_augmented_assignment] = STATE(2236),
    [sym_pattern_list] = STATE(1658),
    [sym_yield] = STATE(2236),
    [sym_attribute] = STATE(660),
    [sym_subscript] = STATE(660),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(353),
    [anon_sym_async] = ACTIONS(353),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(67),
    [anon_sym_yield] = ACTIONS(69),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(77),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(79),
  },
  [133] = {
    [sym_named_expression] = STATE(1195),
    [sym__named_expression_lhs] = STATE(2375),
    [sym_list_splat_pattern] = STATE(1164),
    [sym_as_pattern] = STATE(1195),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1195),
    [sym_boolean_operator] = STATE(1195),
    [sym_binary_operator] = STATE(1196),
    [sym_unary_operator] = STATE(1196),
    [sym_comparison_operator] = STATE(1195),
    [sym_lambda] = STATE(1195),
    [sym_attribute] = STATE(1196),
    [sym_subscript] = STATE(1196),
    [sym_call] = STATE(1196),
    [sym_list] = STATE(1196),
    [sym_set] = STATE(1196),
    [sym_tuple] = STATE(1196),
    [sym_dictionary] = STATE(1196),
    [sym_list_comprehension] = STATE(1196),
    [sym_dictionary_comprehension] = STATE(1196),
    [sym_set_comprehension] = STATE(1196),
    [sym_generator_expression] = STATE(1196),
    [sym_parenthesized_expression] = STATE(1196),
    [sym_conditional_expression] = STATE(1195),
    [sym_concatenated_string] = STATE(1196),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1196),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(593),
    [sym_ellipsis] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(597),
    [anon_sym_RBRACE] = ACTIONS(272),
    [sym_type_conversion] = ACTIONS(272),
    [sym_integer] = ACTIONS(599),
    [sym_float] = ACTIONS(595),
    [anon_sym_await] = ACTIONS(601),
    [sym_true] = ACTIONS(599),
    [sym_false] = ACTIONS(599),
    [sym_none] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(603),
  },
  [134] = {
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2390),
    [sym_list_splat_pattern] = STATE(1295),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1174),
    [sym_primary_expression] = STATE(974),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_attribute] = STATE(1272),
    [sym_subscript] = STATE(1272),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(270),
    [anon_sym_SEMI] = ACTIONS(272),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_from] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(334),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(336),
    [anon_sym_print] = ACTIONS(285),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(285),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(285),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(338),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(340),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(344),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(304),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(272),
    [sym_string_start] = ACTIONS(79),
  },
  [135] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_as] = ACTIONS(351),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_in] = ACTIONS(351),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(351),
    [anon_sym_or] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(351),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_GT] = ACTIONS(351),
    [anon_sym_LT_GT] = ACTIONS(346),
    [anon_sym_is] = ACTIONS(351),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [anon_sym_RBRACE] = ACTIONS(346),
    [sym_type_conversion] = ACTIONS(346),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [136] = {
    [sym_named_expression] = STATE(1195),
    [sym__named_expression_lhs] = STATE(2375),
    [sym_list_splat_pattern] = STATE(1164),
    [sym_as_pattern] = STATE(1195),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1195),
    [sym_boolean_operator] = STATE(1195),
    [sym_binary_operator] = STATE(1196),
    [sym_unary_operator] = STATE(1196),
    [sym_comparison_operator] = STATE(1195),
    [sym_lambda] = STATE(1195),
    [sym_attribute] = STATE(1196),
    [sym_subscript] = STATE(1196),
    [sym_call] = STATE(1196),
    [sym_list] = STATE(1196),
    [sym_set] = STATE(1196),
    [sym_tuple] = STATE(1196),
    [sym_dictionary] = STATE(1196),
    [sym_list_comprehension] = STATE(1196),
    [sym_dictionary_comprehension] = STATE(1196),
    [sym_set_comprehension] = STATE(1196),
    [sym_generator_expression] = STATE(1196),
    [sym_parenthesized_expression] = STATE(1196),
    [sym_conditional_expression] = STATE(1195),
    [sym_concatenated_string] = STATE(1196),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1196),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(593),
    [sym_ellipsis] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(597),
    [anon_sym_RBRACE] = ACTIONS(272),
    [sym_type_conversion] = ACTIONS(272),
    [sym_integer] = ACTIONS(599),
    [sym_float] = ACTIONS(595),
    [anon_sym_await] = ACTIONS(601),
    [sym_true] = ACTIONS(599),
    [sym_false] = ACTIONS(599),
    [sym_none] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(603),
  },
  [137] = {
    [sym_named_expression] = STATE(1195),
    [sym__named_expression_lhs] = STATE(2375),
    [sym_list_splat_pattern] = STATE(1164),
    [sym_as_pattern] = STATE(1195),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1195),
    [sym_boolean_operator] = STATE(1195),
    [sym_binary_operator] = STATE(1196),
    [sym_unary_operator] = STATE(1196),
    [sym_comparison_operator] = STATE(1195),
    [sym_lambda] = STATE(1195),
    [sym_attribute] = STATE(1196),
    [sym_subscript] = STATE(1196),
    [sym_call] = STATE(1196),
    [sym_list] = STATE(1196),
    [sym_set] = STATE(1196),
    [sym_tuple] = STATE(1196),
    [sym_dictionary] = STATE(1196),
    [sym_list_comprehension] = STATE(1196),
    [sym_dictionary_comprehension] = STATE(1196),
    [sym_set_comprehension] = STATE(1196),
    [sym_generator_expression] = STATE(1196),
    [sym_parenthesized_expression] = STATE(1196),
    [sym_conditional_expression] = STATE(1195),
    [sym_concatenated_string] = STATE(1196),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1196),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(272),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(593),
    [sym_ellipsis] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(597),
    [anon_sym_RBRACE] = ACTIONS(272),
    [sym_type_conversion] = ACTIONS(272),
    [sym_integer] = ACTIONS(599),
    [sym_float] = ACTIONS(595),
    [anon_sym_await] = ACTIONS(601),
    [sym_true] = ACTIONS(599),
    [sym_false] = ACTIONS(599),
    [sym_none] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(603),
  },
  [138] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2338),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1384),
    [sym_primary_expression] = STATE(1032),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(274),
    [anon_sym_else] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(608),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(610),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [139] = {
    [sym_named_expression] = STATE(1259),
    [sym__named_expression_lhs] = STATE(2390),
    [sym_list_splat_pattern] = STATE(1295),
    [sym_as_pattern] = STATE(1259),
    [sym_expression] = STATE(1174),
    [sym_primary_expression] = STATE(974),
    [sym_not_operator] = STATE(1259),
    [sym_boolean_operator] = STATE(1259),
    [sym_binary_operator] = STATE(1272),
    [sym_unary_operator] = STATE(1272),
    [sym_comparison_operator] = STATE(1259),
    [sym_lambda] = STATE(1259),
    [sym_attribute] = STATE(1272),
    [sym_subscript] = STATE(1272),
    [sym_call] = STATE(1272),
    [sym_list] = STATE(1272),
    [sym_set] = STATE(1272),
    [sym_tuple] = STATE(1272),
    [sym_dictionary] = STATE(1272),
    [sym_list_comprehension] = STATE(1272),
    [sym_dictionary_comprehension] = STATE(1272),
    [sym_set_comprehension] = STATE(1272),
    [sym_generator_expression] = STATE(1272),
    [sym_parenthesized_expression] = STATE(1272),
    [sym_conditional_expression] = STATE(1259),
    [sym_concatenated_string] = STATE(1272),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1272),
    [sym_identifier] = ACTIONS(270),
    [anon_sym_SEMI] = ACTIONS(272),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_from] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(334),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(336),
    [anon_sym_print] = ACTIONS(285),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(285),
    [anon_sym_async] = ACTIONS(285),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(285),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(338),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(340),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(344),
    [sym_ellipsis] = ACTIONS(71),
    [anon_sym_LBRACE] = ACTIONS(73),
    [sym_integer] = ACTIONS(75),
    [sym_float] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(304),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_none] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(272),
    [sym_string_start] = ACTIONS(79),
  },
  [140] = {
    [sym_named_expression] = STATE(1262),
    [sym__named_expression_lhs] = STATE(2370),
    [sym_list_splat_pattern] = STATE(1238),
    [sym_as_pattern] = STATE(1262),
    [sym_expression] = STATE(1155),
    [sym_primary_expression] = STATE(981),
    [sym_not_operator] = STATE(1262),
    [sym_boolean_operator] = STATE(1262),
    [sym_binary_operator] = STATE(1261),
    [sym_unary_operator] = STATE(1261),
    [sym_comparison_operator] = STATE(1262),
    [sym_lambda] = STATE(1262),
    [sym_attribute] = STATE(1261),
    [sym_subscript] = STATE(1261),
    [sym_call] = STATE(1261),
    [sym_list] = STATE(1261),
    [sym_set] = STATE(1261),
    [sym_tuple] = STATE(1261),
    [sym_dictionary] = STATE(1261),
    [sym_list_comprehension] = STATE(1261),
    [sym_dictionary_comprehension] = STATE(1261),
    [sym_set_comprehension] = STATE(1261),
    [sym_generator_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(1261),
    [sym_conditional_expression] = STATE(1262),
    [sym_concatenated_string] = STATE(1261),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1261),
    [sym_identifier] = ACTIONS(612),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(614),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_print] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(618),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(618),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(620),
    [anon_sym_not] = ACTIONS(622),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(624),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(626),
    [sym_ellipsis] = ACTIONS(628),
    [anon_sym_LBRACE] = ACTIONS(630),
    [anon_sym_RBRACE] = ACTIONS(272),
    [sym_integer] = ACTIONS(632),
    [sym_float] = ACTIONS(628),
    [anon_sym_await] = ACTIONS(634),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_none] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(636),
  },
  [141] = {
    [sym_named_expression] = STATE(1321),
    [sym__named_expression_lhs] = STATE(2404),
    [sym_list_splat_pattern] = STATE(1304),
    [sym_as_pattern] = STATE(1321),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1033),
    [sym_not_operator] = STATE(1321),
    [sym_boolean_operator] = STATE(1321),
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_comparison_operator] = STATE(1321),
    [sym_lambda] = STATE(1321),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_conditional_expression] = STATE(1321),
    [sym_concatenated_string] = STATE(1316),
    [sym_string] = STATE(1036),
    [sym_await] = STATE(1316),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(640),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_print] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_EQ] = ACTIONS(648),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(652),
    [anon_sym_DASH] = ACTIONS(652),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(654),
    [sym_ellipsis] = ACTIONS(656),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_integer] = ACTIONS(660),
    [sym_float] = ACTIONS(656),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(660),
    [sym_false] = ACTIONS(660),
    [sym_none] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(664),
  },
  [142] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_SEMI] = ACTIONS(346),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_from] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_as] = ACTIONS(351),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(351),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(351),
    [anon_sym_or] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(351),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_GT] = ACTIONS(351),
    [anon_sym_LT_GT] = ACTIONS(346),
    [anon_sym_is] = ACTIONS(351),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(346),
    [sym_string_start] = ACTIONS(332),
  },
  [143] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_SEMI] = ACTIONS(302),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(302),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(274),
    [anon_sym_SLASH_SLASH] = ACTIONS(274),
    [anon_sym_PIPE] = ACTIONS(274),
    [anon_sym_AMP] = ACTIONS(274),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_LT_LT] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_AT_EQ] = ACTIONS(302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(302),
    [sym_string_start] = ACTIONS(332),
  },
  [144] = {
    [sym_named_expression] = STATE(1195),
    [sym__named_expression_lhs] = STATE(2375),
    [sym_list_splat_pattern] = STATE(1164),
    [sym_as_pattern] = STATE(1195),
    [sym_expression] = STATE(1247),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1195),
    [sym_boolean_operator] = STATE(1195),
    [sym_binary_operator] = STATE(1196),
    [sym_unary_operator] = STATE(1196),
    [sym_comparison_operator] = STATE(1195),
    [sym_lambda] = STATE(1195),
    [sym_attribute] = STATE(1196),
    [sym_subscript] = STATE(1196),
    [sym_call] = STATE(1196),
    [sym_list] = STATE(1196),
    [sym_set] = STATE(1196),
    [sym_tuple] = STATE(1196),
    [sym_dictionary] = STATE(1196),
    [sym_list_comprehension] = STATE(1196),
    [sym_dictionary_comprehension] = STATE(1196),
    [sym_set_comprehension] = STATE(1196),
    [sym_generator_expression] = STATE(1196),
    [sym_parenthesized_expression] = STATE(1196),
    [sym_conditional_expression] = STATE(1195),
    [sym_concatenated_string] = STATE(1196),
    [sym_string] = STATE(984),
    [sym_await] = STATE(1196),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_as] = ACTIONS(348),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_print] = ACTIONS(585),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(348),
    [anon_sym_COLON] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_async] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_in] = ACTIONS(348),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(348),
    [anon_sym_or] = ACTIONS(348),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(348),
    [anon_sym_LT_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_GT_EQ] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(348),
    [anon_sym_LT_GT] = ACTIONS(605),
    [anon_sym_is] = ACTIONS(348),
    [anon_sym_lambda] = ACTIONS(593),
    [sym_ellipsis] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(597),
    [anon_sym_RBRACE] = ACTIONS(605),
    [sym_integer] = ACTIONS(599),
    [sym_float] = ACTIONS(595),
    [anon_sym_await] = ACTIONS(601),
    [sym_true] = ACTIONS(599),
    [sym_false] = ACTIONS(599),
    [sym_none] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(603),
  },
  [145] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2338),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1384),
    [sym_primary_expression] = STATE(1032),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(272),
    [anon_sym_else] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(608),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(610),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [146] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_as] = ACTIONS(351),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_in] = ACTIONS(351),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_RBRACK] = ACTIONS(346),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(351),
    [anon_sym_or] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(351),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_GT] = ACTIONS(351),
    [anon_sym_LT_GT] = ACTIONS(346),
    [anon_sym_is] = ACTIONS(351),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [147] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_as] = ACTIONS(351),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_else] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(351),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(351),
    [anon_sym_or] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(351),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_GT] = ACTIONS(351),
    [anon_sym_LT_GT] = ACTIONS(346),
    [anon_sym_is] = ACTIONS(351),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [148] = {
    [sym_named_expression] = STATE(1321),
    [sym__named_expression_lhs] = STATE(2404),
    [sym_list_splat_pattern] = STATE(1304),
    [sym_as_pattern] = STATE(1321),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1033),
    [sym_not_operator] = STATE(1321),
    [sym_boolean_operator] = STATE(1321),
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_comparison_operator] = STATE(1321),
    [sym_lambda] = STATE(1321),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_conditional_expression] = STATE(1321),
    [sym_concatenated_string] = STATE(1316),
    [sym_string] = STATE(1036),
    [sym_await] = STATE(1316),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(640),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_print] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(652),
    [anon_sym_DASH] = ACTIONS(652),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(654),
    [sym_ellipsis] = ACTIONS(656),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_integer] = ACTIONS(660),
    [sym_float] = ACTIONS(656),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(660),
    [sym_false] = ACTIONS(660),
    [sym_none] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(664),
  },
  [149] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_RPAREN] = ACTIONS(346),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_as] = ACTIONS(351),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_in] = ACTIONS(351),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(351),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_and] = ACTIONS(351),
    [anon_sym_or] = ACTIONS(351),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(351),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_GT] = ACTIONS(351),
    [anon_sym_LT_GT] = ACTIONS(346),
    [anon_sym_is] = ACTIONS(351),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [150] = {
    [sym_named_expression] = STATE(1402),
    [sym__named_expression_lhs] = STATE(2365),
    [sym_list_splat_pattern] = STATE(1381),
    [sym_as_pattern] = STATE(1402),
    [sym_expression] = STATE(1327),
    [sym_primary_expression] = STATE(1034),
    [sym_not_operator] = STATE(1402),
    [sym_boolean_operator] = STATE(1402),
    [sym_binary_operator] = STATE(1403),
    [sym_unary_operator] = STATE(1403),
    [sym_comparison_operator] = STATE(1402),
    [sym_lambda] = STATE(1402),
    [sym_attribute] = STATE(1403),
    [sym_subscript] = STATE(1403),
    [sym_call] = STATE(1403),
    [sym_list] = STATE(1403),
    [sym_set] = STATE(1403),
    [sym_tuple] = STATE(1403),
    [sym_dictionary] = STATE(1403),
    [sym_list_comprehension] = STATE(1403),
    [sym_dictionary_comprehension] = STATE(1403),
    [sym_set_comprehension] = STATE(1403),
    [sym_generator_expression] = STATE(1403),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_conditional_expression] = STATE(1402),
    [sym_concatenated_string] = STATE(1403),
    [sym_string] = STATE(1012),
    [sym_await] = STATE(1403),
    [sym_identifier] = ACTIONS(666),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(670),
    [anon_sym_print] = ACTIONS(672),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(672),
    [anon_sym_async] = ACTIONS(672),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_not] = ACTIONS(676),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(678),
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(678),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(680),
    [sym_ellipsis] = ACTIONS(682),
    [anon_sym_LBRACE] = ACTIONS(684),
    [sym_integer] = ACTIONS(686),
    [sym_float] = ACTIONS(682),
    [anon_sym_await] = ACTIONS(688),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_none] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(690),
  },
  [151] = {
    [sym_named_expression] = STATE(1470),
    [sym__named_expression_lhs] = STATE(2380),
    [sym_list_splat_pattern] = STATE(1456),
    [sym_as_pattern] = STATE(1470),
    [sym_expression] = STATE(1504),
    [sym_primary_expression] = STATE(1102),
    [sym_not_operator] = STATE(1470),
    [sym_boolean_operator] = STATE(1470),
    [sym_binary_operator] = STATE(1469),
    [sym_unary_operator] = STATE(1469),
    [sym_comparison_operator] = STATE(1470),
    [sym_lambda] = STATE(1470),
    [sym_attribute] = STATE(1469),
    [sym_subscript] = STATE(1469),
    [sym_call] = STATE(1469),
    [sym_list] = STATE(1469),
    [sym_set] = STATE(1469),
    [sym_tuple] = STATE(1469),
    [sym_dictionary] = STATE(1469),
    [sym_list_comprehension] = STATE(1469),
    [sym_dictionary_comprehension] = STATE(1469),
    [sym_set_comprehension] = STATE(1469),
    [sym_generator_expression] = STATE(1469),
    [sym_parenthesized_expression] = STATE(1469),
    [sym_conditional_expression] = STATE(1470),
    [sym_concatenated_string] = STATE(1469),
    [sym_string] = STATE(1062),
    [sym_await] = STATE(1469),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_as] = ACTIONS(348),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_print] = ACTIONS(698),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(348),
    [anon_sym_match] = ACTIONS(698),
    [anon_sym_async] = ACTIONS(698),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_in] = ACTIONS(348),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(700),
    [anon_sym_not] = ACTIONS(702),
    [anon_sym_and] = ACTIONS(348),
    [anon_sym_or] = ACTIONS(348),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(704),
    [anon_sym_LT] = ACTIONS(348),
    [anon_sym_LT_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_GT_EQ] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(348),
    [anon_sym_LT_GT] = ACTIONS(605),
    [anon_sym_is] = ACTIONS(348),
    [anon_sym_lambda] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(710),
    [sym_integer] = ACTIONS(712),
    [sym_float] = ACTIONS(708),
    [anon_sym_await] = ACTIONS(714),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_none] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(716),
  },
  [152] = {
    [sym_named_expression] = STATE(1321),
    [sym__named_expression_lhs] = STATE(2404),
    [sym_list_splat_pattern] = STATE(1304),
    [sym_as_pattern] = STATE(1321),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1033),
    [sym_not_operator] = STATE(1321),
    [sym_boolean_operator] = STATE(1321),
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_comparison_operator] = STATE(1321),
    [sym_lambda] = STATE(1321),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_conditional_expression] = STATE(1321),
    [sym_concatenated_string] = STATE(1316),
    [sym_string] = STATE(1036),
    [sym_await] = STATE(1316),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(640),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_print] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(652),
    [anon_sym_DASH] = ACTIONS(652),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(654),
    [sym_ellipsis] = ACTIONS(656),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_integer] = ACTIONS(660),
    [sym_float] = ACTIONS(656),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(660),
    [sym_false] = ACTIONS(660),
    [sym_none] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(664),
  },
  [153] = {
    [sym_named_expression] = STATE(1470),
    [sym__named_expression_lhs] = STATE(2380),
    [sym_list_splat_pattern] = STATE(1456),
    [sym_as_pattern] = STATE(1470),
    [sym_expression] = STATE(1504),
    [sym_primary_expression] = STATE(1102),
    [sym_not_operator] = STATE(1470),
    [sym_boolean_operator] = STATE(1470),
    [sym_binary_operator] = STATE(1469),
    [sym_unary_operator] = STATE(1469),
    [sym_comparison_operator] = STATE(1470),
    [sym_lambda] = STATE(1470),
    [sym_attribute] = STATE(1469),
    [sym_subscript] = STATE(1469),
    [sym_call] = STATE(1469),
    [sym_list] = STATE(1469),
    [sym_set] = STATE(1469),
    [sym_tuple] = STATE(1469),
    [sym_dictionary] = STATE(1469),
    [sym_list_comprehension] = STATE(1469),
    [sym_dictionary_comprehension] = STATE(1469),
    [sym_set_comprehension] = STATE(1469),
    [sym_generator_expression] = STATE(1469),
    [sym_parenthesized_expression] = STATE(1469),
    [sym_conditional_expression] = STATE(1470),
    [sym_concatenated_string] = STATE(1469),
    [sym_string] = STATE(1062),
    [sym_await] = STATE(1469),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_print] = ACTIONS(698),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(698),
    [anon_sym_async] = ACTIONS(698),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(700),
    [anon_sym_EQ] = ACTIONS(648),
    [anon_sym_not] = ACTIONS(702),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(704),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(710),
    [sym_integer] = ACTIONS(712),
    [sym_float] = ACTIONS(708),
    [anon_sym_await] = ACTIONS(714),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_none] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(716),
  },
  [154] = {
    [sym_named_expression] = STATE(1262),
    [sym__named_expression_lhs] = STATE(2370),
    [sym_list_splat_pattern] = STATE(1238),
    [sym_as_pattern] = STATE(1262),
    [sym_expression] = STATE(1155),
    [sym_primary_expression] = STATE(981),
    [sym_not_operator] = STATE(1262),
    [sym_boolean_operator] = STATE(1262),
    [sym_binary_operator] = STATE(1261),
    [sym_unary_operator] = STATE(1261),
    [sym_comparison_operator] = STATE(1262),
    [sym_lambda] = STATE(1262),
    [sym_attribute] = STATE(1261),
    [sym_subscript] = STATE(1261),
    [sym_call] = STATE(1261),
    [sym_list] = STATE(1261),
    [sym_set] = STATE(1261),
    [sym_tuple] = STATE(1261),
    [sym_dictionary] = STATE(1261),
    [sym_list_comprehension] = STATE(1261),
    [sym_dictionary_comprehension] = STATE(1261),
    [sym_set_comprehension] = STATE(1261),
    [sym_generator_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(1261),
    [sym_conditional_expression] = STATE(1262),
    [sym_concatenated_string] = STATE(1261),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1261),
    [sym_identifier] = ACTIONS(612),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(614),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_print] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(272),
    [anon_sym_match] = ACTIONS(618),
    [anon_sym_async] = ACTIONS(618),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(618),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(620),
    [anon_sym_not] = ACTIONS(622),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(624),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(626),
    [sym_ellipsis] = ACTIONS(628),
    [anon_sym_LBRACE] = ACTIONS(630),
    [anon_sym_RBRACE] = ACTIONS(272),
    [sym_integer] = ACTIONS(632),
    [sym_float] = ACTIONS(628),
    [anon_sym_await] = ACTIONS(634),
    [sym_true] = ACTIONS(632),
    [sym_false] = ACTIONS(632),
    [sym_none] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(636),
  },
  [155] = {
    [sym_named_expression] = STATE(1470),
    [sym__named_expression_lhs] = STATE(2380),
    [sym_list_splat_pattern] = STATE(1456),
    [sym_as_pattern] = STATE(1470),
    [sym_expression] = STATE(1504),
    [sym_primary_expression] = STATE(1102),
    [sym_not_operator] = STATE(1470),
    [sym_boolean_operator] = STATE(1470),
    [sym_binary_operator] = STATE(1469),
    [sym_unary_operator] = STATE(1469),
    [sym_comparison_operator] = STATE(1470),
    [sym_lambda] = STATE(1470),
    [sym_attribute] = STATE(1469),
    [sym_subscript] = STATE(1469),
    [sym_call] = STATE(1469),
    [sym_list] = STATE(1469),
    [sym_set] = STATE(1469),
    [sym_tuple] = STATE(1469),
    [sym_dictionary] = STATE(1469),
    [sym_list_comprehension] = STATE(1469),
    [sym_dictionary_comprehension] = STATE(1469),
    [sym_set_comprehension] = STATE(1469),
    [sym_generator_expression] = STATE(1469),
    [sym_parenthesized_expression] = STATE(1469),
    [sym_conditional_expression] = STATE(1470),
    [sym_concatenated_string] = STATE(1469),
    [sym_string] = STATE(1062),
    [sym_await] = STATE(1469),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_print] = ACTIONS(698),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(698),
    [anon_sym_async] = ACTIONS(698),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(700),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(702),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(704),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(710),
    [sym_integer] = ACTIONS(712),
    [sym_float] = ACTIONS(708),
    [anon_sym_await] = ACTIONS(714),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_none] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(716),
  },
  [156] = {
    [sym_named_expression] = STATE(1530),
    [sym__named_expression_lhs] = STATE(2385),
    [sym_list_splat_pattern] = STATE(1480),
    [sym_as_pattern] = STATE(1530),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1093),
    [sym_not_operator] = STATE(1530),
    [sym_boolean_operator] = STATE(1530),
    [sym_binary_operator] = STATE(1531),
    [sym_unary_operator] = STATE(1531),
    [sym_comparison_operator] = STATE(1530),
    [sym_lambda] = STATE(1530),
    [sym_attribute] = STATE(1531),
    [sym_subscript] = STATE(1531),
    [sym_call] = STATE(1531),
    [sym_list] = STATE(1531),
    [sym_set] = STATE(1531),
    [sym_tuple] = STATE(1531),
    [sym_dictionary] = STATE(1531),
    [sym_list_comprehension] = STATE(1531),
    [sym_dictionary_comprehension] = STATE(1531),
    [sym_set_comprehension] = STATE(1531),
    [sym_generator_expression] = STATE(1531),
    [sym_parenthesized_expression] = STATE(1531),
    [sym_conditional_expression] = STATE(1530),
    [sym_concatenated_string] = STATE(1531),
    [sym_string] = STATE(1099),
    [sym_await] = STATE(1531),
    [sym_identifier] = ACTIONS(718),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(720),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_as] = ACTIONS(348),
    [anon_sym_STAR] = ACTIONS(722),
    [anon_sym_print] = ACTIONS(724),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(348),
    [anon_sym_match] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_for] = ACTIONS(351),
    [anon_sym_in] = ACTIONS(348),
    [anon_sym_STAR_STAR] = ACTIONS(605),
    [anon_sym_exec] = ACTIONS(724),
    [anon_sym_AT] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(605),
    [anon_sym_not] = ACTIONS(728),
    [anon_sym_and] = ACTIONS(348),
    [anon_sym_or] = ACTIONS(348),
    [anon_sym_PLUS] = ACTIONS(730),
    [anon_sym_DASH] = ACTIONS(730),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_SLASH_SLASH] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_TILDE] = ACTIONS(730),
    [anon_sym_LT] = ACTIONS(348),
    [anon_sym_LT_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_GT_EQ] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(348),
    [anon_sym_LT_GT] = ACTIONS(605),
    [anon_sym_is] = ACTIONS(348),
    [anon_sym_lambda] = ACTIONS(732),
    [sym_ellipsis] = ACTIONS(734),
    [anon_sym_LBRACE] = ACTIONS(736),
    [sym_integer] = ACTIONS(738),
    [sym_float] = ACTIONS(734),
    [anon_sym_await] = ACTIONS(740),
    [sym_true] = ACTIONS(738),
    [sym_false] = ACTIONS(738),
    [sym_none] = ACTIONS(738),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(742),
  },
  [157] = {
    [sym_named_expression] = STATE(1530),
    [sym__named_expression_lhs] = STATE(2385),
    [sym_list_splat_pattern] = STATE(1480),
    [sym_as_pattern] = STATE(1530),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1093),
    [sym_not_operator] = STATE(1530),
    [sym_boolean_operator] = STATE(1530),
    [sym_binary_operator] = STATE(1531),
    [sym_unary_operator] = STATE(1531),
    [sym_comparison_operator] = STATE(1530),
    [sym_lambda] = STATE(1530),
    [sym_attribute] = STATE(1531),
    [sym_subscript] = STATE(1531),
    [sym_call] = STATE(1531),
    [sym_list] = STATE(1531),
    [sym_set] = STATE(1531),
    [sym_tuple] = STATE(1531),
    [sym_dictionary] = STATE(1531),
    [sym_list_comprehension] = STATE(1531),
    [sym_dictionary_comprehension] = STATE(1531),
    [sym_set_comprehension] = STATE(1531),
    [sym_generator_expression] = STATE(1531),
    [sym_parenthesized_expression] = STATE(1531),
    [sym_conditional_expression] = STATE(1530),
    [sym_concatenated_string] = STATE(1531),
    [sym_string] = STATE(1099),
    [sym_await] = STATE(1531),
    [sym_identifier] = ACTIONS(718),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(720),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(722),
    [anon_sym_print] = ACTIONS(724),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(724),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(272),
    [anon_sym_not] = ACTIONS(728),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(730),
    [anon_sym_DASH] = ACTIONS(730),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(730),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(732),
    [sym_ellipsis] = ACTIONS(734),
    [anon_sym_LBRACE] = ACTIONS(736),
    [sym_integer] = ACTIONS(738),
    [sym_float] = ACTIONS(734),
    [anon_sym_await] = ACTIONS(740),
    [sym_true] = ACTIONS(738),
    [sym_false] = ACTIONS(738),
    [sym_none] = ACTIONS(738),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(742),
  },
  [158] = {
    [sym_named_expression] = STATE(1402),
    [sym__named_expression_lhs] = STATE(2365),
    [sym_list_splat_pattern] = STATE(1381),
    [sym_as_pattern] = STATE(1402),
    [sym_expression] = STATE(1327),
    [sym_primary_expression] = STATE(1034),
    [sym_not_operator] = STATE(1402),
    [sym_boolean_operator] = STATE(1402),
    [sym_binary_operator] = STATE(1403),
    [sym_unary_operator] = STATE(1403),
    [sym_comparison_operator] = STATE(1402),
    [sym_lambda] = STATE(1402),
    [sym_attribute] = STATE(1403),
    [sym_subscript] = STATE(1403),
    [sym_call] = STATE(1403),
    [sym_list] = STATE(1403),
    [sym_set] = STATE(1403),
    [sym_tuple] = STATE(1403),
    [sym_dictionary] = STATE(1403),
    [sym_list_comprehension] = STATE(1403),
    [sym_dictionary_comprehension] = STATE(1403),
    [sym_set_comprehension] = STATE(1403),
    [sym_generator_expression] = STATE(1403),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_conditional_expression] = STATE(1402),
    [sym_concatenated_string] = STATE(1403),
    [sym_string] = STATE(1012),
    [sym_await] = STATE(1403),
    [sym_identifier] = ACTIONS(666),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(670),
    [anon_sym_print] = ACTIONS(672),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON_EQ] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(672),
    [anon_sym_async] = ACTIONS(672),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_RBRACK] = ACTIONS(272),
    [anon_sym_not] = ACTIONS(676),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(678),
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(678),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(680),
    [sym_ellipsis] = ACTIONS(682),
    [anon_sym_LBRACE] = ACTIONS(684),
    [sym_integer] = ACTIONS(686),
    [sym_float] = ACTIONS(682),
    [anon_sym_await] = ACTIONS(688),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_none] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(690),
  },
  [159] = {
    [sym_named_expression] = STATE(1321),
    [sym__named_expression_lhs] = STATE(2404),
    [sym_list_splat_pattern] = STATE(1304),
    [sym_as_pattern] = STATE(1321),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1033),
    [sym_not_operator] = STATE(1321),
    [sym_boolean_operator] = STATE(1321),
    [sym_binary_operator] = STATE(1316),
    [sym_unary_operator] = STATE(1316),
    [sym_comparison_operator] = STATE(1321),
    [sym_lambda] = STATE(1321),
    [sym_attribute] = STATE(1316),
    [sym_subscript] = STATE(1316),
    [sym_call] = STATE(1316),
    [sym_list] = STATE(1316),
    [sym_set] = STATE(1316),
    [sym_tuple] = STATE(1316),
    [sym_dictionary] = STATE(1316),
    [sym_list_comprehension] = STATE(1316),
    [sym_dictionary_comprehension] = STATE(1316),
    [sym_set_comprehension] = STATE(1316),
    [sym_generator_expression] = STATE(1316),
    [sym_parenthesized_expression] = STATE(1316),
    [sym_conditional_expression] = STATE(1321),
    [sym_concatenated_string] = STATE(1316),
    [sym_string] = STATE(1036),
    [sym_await] = STATE(1316),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(640),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_print] = ACTIONS(644),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(644),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_not] = ACTIONS(650),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(652),
    [anon_sym_DASH] = ACTIONS(652),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(654),
    [sym_ellipsis] = ACTIONS(656),
    [anon_sym_LBRACE] = ACTIONS(658),
    [sym_integer] = ACTIONS(660),
    [sym_float] = ACTIONS(656),
    [anon_sym_await] = ACTIONS(662),
    [sym_true] = ACTIONS(660),
    [sym_false] = ACTIONS(660),
    [sym_none] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(664),
  },
  [160] = {
    [sym_named_expression] = STATE(1530),
    [sym__named_expression_lhs] = STATE(2385),
    [sym_list_splat_pattern] = STATE(1480),
    [sym_as_pattern] = STATE(1530),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1093),
    [sym_not_operator] = STATE(1530),
    [sym_boolean_operator] = STATE(1530),
    [sym_binary_operator] = STATE(1531),
    [sym_unary_operator] = STATE(1531),
    [sym_comparison_operator] = STATE(1530),
    [sym_lambda] = STATE(1530),
    [sym_attribute] = STATE(1531),
    [sym_subscript] = STATE(1531),
    [sym_call] = STATE(1531),
    [sym_list] = STATE(1531),
    [sym_set] = STATE(1531),
    [sym_tuple] = STATE(1531),
    [sym_dictionary] = STATE(1531),
    [sym_list_comprehension] = STATE(1531),
    [sym_dictionary_comprehension] = STATE(1531),
    [sym_set_comprehension] = STATE(1531),
    [sym_generator_expression] = STATE(1531),
    [sym_parenthesized_expression] = STATE(1531),
    [sym_conditional_expression] = STATE(1530),
    [sym_concatenated_string] = STATE(1531),
    [sym_string] = STATE(1099),
    [sym_await] = STATE(1531),
    [sym_identifier] = ACTIONS(718),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(720),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(722),
    [anon_sym_print] = ACTIONS(724),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(272),
    [anon_sym_match] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(724),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(272),
    [anon_sym_not] = ACTIONS(728),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(730),
    [anon_sym_DASH] = ACTIONS(730),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(730),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(732),
    [sym_ellipsis] = ACTIONS(734),
    [anon_sym_LBRACE] = ACTIONS(736),
    [sym_integer] = ACTIONS(738),
    [sym_float] = ACTIONS(734),
    [anon_sym_await] = ACTIONS(740),
    [sym_true] = ACTIONS(738),
    [sym_false] = ACTIONS(738),
    [sym_none] = ACTIONS(738),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(742),
  },
  [161] = {
    [sym_named_expression] = STATE(1470),
    [sym__named_expression_lhs] = STATE(2380),
    [sym_list_splat_pattern] = STATE(1456),
    [sym_as_pattern] = STATE(1470),
    [sym_expression] = STATE(1504),
    [sym_primary_expression] = STATE(1102),
    [sym_not_operator] = STATE(1470),
    [sym_boolean_operator] = STATE(1470),
    [sym_binary_operator] = STATE(1469),
    [sym_unary_operator] = STATE(1469),
    [sym_comparison_operator] = STATE(1470),
    [sym_lambda] = STATE(1470),
    [sym_attribute] = STATE(1469),
    [sym_subscript] = STATE(1469),
    [sym_call] = STATE(1469),
    [sym_list] = STATE(1469),
    [sym_set] = STATE(1469),
    [sym_tuple] = STATE(1469),
    [sym_dictionary] = STATE(1469),
    [sym_list_comprehension] = STATE(1469),
    [sym_dictionary_comprehension] = STATE(1469),
    [sym_set_comprehension] = STATE(1469),
    [sym_generator_expression] = STATE(1469),
    [sym_parenthesized_expression] = STATE(1469),
    [sym_conditional_expression] = STATE(1470),
    [sym_concatenated_string] = STATE(1469),
    [sym_string] = STATE(1062),
    [sym_await] = STATE(1469),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(696),
    [anon_sym_print] = ACTIONS(698),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(698),
    [anon_sym_async] = ACTIONS(698),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(700),
    [anon_sym_EQ] = ACTIONS(274),
    [anon_sym_not] = ACTIONS(702),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(704),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(710),
    [sym_integer] = ACTIONS(712),
    [sym_float] = ACTIONS(708),
    [anon_sym_await] = ACTIONS(714),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_none] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(716),
  },
  [162] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(348),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(348),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(346),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_PERCENT] = ACTIONS(348),
    [anon_sym_SLASH_SLASH] = ACTIONS(348),
    [anon_sym_PIPE] = ACTIONS(348),
    [anon_sym_AMP] = ACTIONS(348),
    [anon_sym_CARET] = ACTIONS(348),
    [anon_sym_LT_LT] = ACTIONS(348),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [anon_sym_PLUS_EQ] = ACTIONS(346),
    [anon_sym_DASH_EQ] = ACTIONS(346),
    [anon_sym_STAR_EQ] = ACTIONS(346),
    [anon_sym_SLASH_EQ] = ACTIONS(346),
    [anon_sym_AT_EQ] = ACTIONS(346),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(346),
    [anon_sym_PERCENT_EQ] = ACTIONS(346),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(346),
    [anon_sym_GT_GT_EQ] = ACTIONS(346),
    [anon_sym_LT_LT_EQ] = ACTIONS(346),
    [anon_sym_AMP_EQ] = ACTIONS(346),
    [anon_sym_CARET_EQ] = ACTIONS(346),
    [anon_sym_PIPE_EQ] = ACTIONS(346),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [163] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(302),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(274),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(274),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(274),
    [anon_sym_SLASH_SLASH] = ACTIONS(274),
    [anon_sym_PIPE] = ACTIONS(274),
    [anon_sym_AMP] = ACTIONS(274),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_LT_LT] = ACTIONS(274),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [anon_sym_PLUS_EQ] = ACTIONS(302),
    [anon_sym_DASH_EQ] = ACTIONS(302),
    [anon_sym_STAR_EQ] = ACTIONS(302),
    [anon_sym_SLASH_EQ] = ACTIONS(302),
    [anon_sym_AT_EQ] = ACTIONS(302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(302),
    [anon_sym_PERCENT_EQ] = ACTIONS(302),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(302),
    [anon_sym_GT_GT_EQ] = ACTIONS(302),
    [anon_sym_LT_LT_EQ] = ACTIONS(302),
    [anon_sym_AMP_EQ] = ACTIONS(302),
    [anon_sym_CARET_EQ] = ACTIONS(302),
    [anon_sym_PIPE_EQ] = ACTIONS(302),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [164] = {
    [sym_named_expression] = STATE(1402),
    [sym__named_expression_lhs] = STATE(2365),
    [sym_list_splat_pattern] = STATE(1381),
    [sym_as_pattern] = STATE(1402),
    [sym_expression] = STATE(1327),
    [sym_primary_expression] = STATE(1034),
    [sym_not_operator] = STATE(1402),
    [sym_boolean_operator] = STATE(1402),
    [sym_binary_operator] = STATE(1403),
    [sym_unary_operator] = STATE(1403),
    [sym_comparison_operator] = STATE(1402),
    [sym_lambda] = STATE(1402),
    [sym_attribute] = STATE(1403),
    [sym_subscript] = STATE(1403),
    [sym_call] = STATE(1403),
    [sym_list] = STATE(1403),
    [sym_set] = STATE(1403),
    [sym_tuple] = STATE(1403),
    [sym_dictionary] = STATE(1403),
    [sym_list_comprehension] = STATE(1403),
    [sym_dictionary_comprehension] = STATE(1403),
    [sym_set_comprehension] = STATE(1403),
    [sym_generator_expression] = STATE(1403),
    [sym_parenthesized_expression] = STATE(1403),
    [sym_conditional_expression] = STATE(1402),
    [sym_concatenated_string] = STATE(1403),
    [sym_string] = STATE(1012),
    [sym_await] = STATE(1403),
    [sym_identifier] = ACTIONS(666),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_as] = ACTIONS(274),
    [anon_sym_STAR] = ACTIONS(670),
    [anon_sym_print] = ACTIONS(672),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_if] = ACTIONS(274),
    [anon_sym_match] = ACTIONS(672),
    [anon_sym_async] = ACTIONS(672),
    [anon_sym_for] = ACTIONS(274),
    [anon_sym_in] = ACTIONS(274),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(672),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(674),
    [anon_sym_RBRACK] = ACTIONS(272),
    [anon_sym_not] = ACTIONS(676),
    [anon_sym_and] = ACTIONS(274),
    [anon_sym_or] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(678),
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(678),
    [anon_sym_LT] = ACTIONS(274),
    [anon_sym_LT_EQ] = ACTIONS(272),
    [anon_sym_EQ_EQ] = ACTIONS(272),
    [anon_sym_BANG_EQ] = ACTIONS(272),
    [anon_sym_GT_EQ] = ACTIONS(272),
    [anon_sym_GT] = ACTIONS(274),
    [anon_sym_LT_GT] = ACTIONS(272),
    [anon_sym_is] = ACTIONS(274),
    [anon_sym_lambda] = ACTIONS(680),
    [sym_ellipsis] = ACTIONS(682),
    [anon_sym_LBRACE] = ACTIONS(684),
    [sym_integer] = ACTIONS(686),
    [sym_float] = ACTIONS(682),
    [anon_sym_await] = ACTIONS(688),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_none] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(690),
  },
  [165] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(302),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [anon_sym_RBRACE] = ACTIONS(302),
    [sym_type_conversion] = ACTIONS(302),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [166] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_RPAREN] = ACTIONS(346),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [167] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_RPAREN] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [168] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(302),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_RBRACK] = ACTIONS(302),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [169] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [170] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(346),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [171] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(302),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_in] = ACTIONS(291),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
  [172] = {
    [sym_named_expression] = STATE(1427),
    [sym__named_expression_lhs] = STATE(2513),
    [sym_list_splat_pattern] = STATE(1406),
    [sym_as_pattern] = STATE(1427),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(994),
    [sym_not_operator] = STATE(1427),
    [sym_boolean_operator] = STATE(1427),
    [sym_binary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_comparison_operator] = STATE(1427),
    [sym_lambda] = STATE(1427),
    [sym_attribute] = STATE(1426),
    [sym_subscript] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_set] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_dictionary] = STATE(1426),
    [sym_list_comprehension] = STATE(1426),
    [sym_dictionary_comprehension] = STATE(1426),
    [sym_set_comprehension] = STATE(1426),
    [sym_generator_expression] = STATE(1426),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_conditional_expression] = STATE(1427),
    [sym_concatenated_string] = STATE(1426),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1426),
    [sym_identifier] = ACTIONS(306),
    [anon_sym_DOT] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_RPAREN] = ACTIONS(302),
    [anon_sym_COMMA] = ACTIONS(302),
    [anon_sym_STAR] = ACTIONS(310),
    [anon_sym_print] = ACTIONS(312),
    [anon_sym_GT_GT] = ACTIONS(272),
    [anon_sym_match] = ACTIONS(312),
    [anon_sym_async] = ACTIONS(312),
    [anon_sym_STAR_STAR] = ACTIONS(272),
    [anon_sym_exec] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(314),
    [anon_sym_not] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(320),
    [anon_sym_DASH] = ACTIONS(320),
    [anon_sym_SLASH] = ACTIONS(274),
    [anon_sym_PERCENT] = ACTIONS(272),
    [anon_sym_SLASH_SLASH] = ACTIONS(272),
    [anon_sym_PIPE] = ACTIONS(272),
    [anon_sym_AMP] = ACTIONS(272),
    [anon_sym_CARET] = ACTIONS(272),
    [anon_sym_LT_LT] = ACTIONS(272),
    [anon_sym_TILDE] = ACTIONS(320),
    [anon_sym_lambda] = ACTIONS(322),
    [sym_ellipsis] = ACTIONS(324),
    [anon_sym_LBRACE] = ACTIONS(326),
    [sym_integer] = ACTIONS(328),
    [sym_float] = ACTIONS(324),
    [anon_sym_await] = ACTIONS(330),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [sym_none] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(332),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1575), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    ACTIONS(272), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [110] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_COMMA,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(760), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1671), 1,
      sym_expression,
    STATE(1815), 1,
      sym_pair,
    STATE(2075), 1,
      sym_dictionary_splat,
    STATE(2333), 1,
      sym__named_expression_lhs,
    STATE(2367), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [231] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(772), 1,
      anon_sym_RBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1695), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2350), 1,
      sym__collection_elements,
    STATE(2361), 1,
      sym__patterns,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [352] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(782), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1677), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2373), 1,
      sym__collection_elements,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2483), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [473] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(784), 1,
      anon_sym_COMMA,
    ACTIONS(786), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1667), 1,
      sym_expression,
    STATE(1789), 1,
      sym_pair,
    STATE(2187), 1,
      sym_dictionary_splat,
    STATE(2333), 1,
      sym__named_expression_lhs,
    STATE(2453), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [594] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(788), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2328), 1,
      sym__patterns,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2477), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [715] = 27,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_yield,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      anon_sym_await,
    ACTIONS(79), 1,
      sym_string_start,
    STATE(658), 1,
      sym_list_splat_pattern,
    STATE(977), 1,
      sym_string,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1633), 1,
      sym_pattern_list,
    STATE(1636), 1,
      sym_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    STATE(660), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(353), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2291), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [832] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(790), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2379), 1,
      sym__patterns,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2477), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [953] = 31,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(796), 1,
      anon_sym_RPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2021), 1,
      sym_pattern,
    STATE(2068), 1,
      sym_yield,
    STATE(2092), 1,
      sym_parenthesized_list_splat,
    STATE(2095), 1,
      sym_list_splat,
    STATE(2382), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2498), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1078] = 31,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(812), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1682), 1,
      sym_expression,
    STATE(2021), 1,
      sym_pattern,
    STATE(2163), 1,
      sym_yield,
    STATE(2165), 1,
      sym_list_splat,
    STATE(2189), 1,
      sym_parenthesized_list_splat,
    STATE(2422), 1,
      sym__collection_elements,
    STATE(2426), 1,
      sym__patterns,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1203] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(814), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2021), 1,
      sym_pattern,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2496), 1,
      sym__collection_elements,
    STATE(2498), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1326] = 27,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_yield,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      anon_sym_await,
    ACTIONS(79), 1,
      sym_string_start,
    STATE(658), 1,
      sym_list_splat_pattern,
    STATE(977), 1,
      sym_string,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1633), 1,
      sym_pattern_list,
    STATE(1636), 1,
      sym_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    STATE(660), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(353), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2307), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1443] = 27,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_yield,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      anon_sym_await,
    ACTIONS(79), 1,
      sym_string_start,
    STATE(658), 1,
      sym_list_splat_pattern,
    STATE(977), 1,
      sym_string,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1633), 1,
      sym_pattern_list,
    STATE(1636), 1,
      sym_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    STATE(660), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(353), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2305), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1560] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(816), 1,
      anon_sym_COMMA,
    ACTIONS(818), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_expression,
    STATE(1837), 1,
      sym_pair,
    STATE(2124), 1,
      sym_dictionary_splat,
    STATE(2330), 1,
      sym__collection_elements,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1681] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(820), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2021), 1,
      sym_pattern,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2472), 1,
      sym__patterns,
    STATE(2496), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1804] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(822), 1,
      anon_sym_COMMA,
    ACTIONS(824), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(1835), 1,
      sym_pair,
    STATE(2140), 1,
      sym_dictionary_splat,
    STATE(2333), 1,
      sym__named_expression_lhs,
    STATE(2388), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1925] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(826), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1683), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2408), 1,
      sym__collection_elements,
    STATE(2410), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2046] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(828), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1686), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2361), 1,
      sym__patterns,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2448), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2167] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(830), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2477), 1,
      sym__collection_elements,
    STATE(2483), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2288] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(832), 1,
      anon_sym_COMMA,
    ACTIONS(834), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1666), 1,
      sym_expression,
    STATE(1834), 1,
      sym_pair,
    STATE(2130), 1,
      sym_dictionary_splat,
    STATE(2323), 1,
      sym__collection_elements,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2409] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(836), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2021), 1,
      sym_pattern,
    STATE(2332), 1,
      sym__patterns,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2496), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2532] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(838), 1,
      anon_sym_COMMA,
    ACTIONS(840), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1664), 1,
      sym_expression,
    STATE(1794), 1,
      sym_pair,
    STATE(2111), 1,
      sym_dictionary_splat,
    STATE(2331), 1,
      sym__collection_elements,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2653] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(842), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2021), 1,
      sym_pattern,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2472), 1,
      sym__patterns,
    STATE(2496), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2776] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(844), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2410), 1,
      sym__patterns,
    STATE(2477), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2897] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(846), 1,
      anon_sym_COMMA,
    ACTIONS(848), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1669), 1,
      sym_expression,
    STATE(1808), 1,
      sym_pair,
    STATE(2199), 1,
      sym_dictionary_splat,
    STATE(2333), 1,
      sym__named_expression_lhs,
    STATE(2481), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3018] = 29,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(746), 1,
      anon_sym_LPAREN,
    ACTIONS(750), 1,
      anon_sym_STAR,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(850), 1,
      anon_sym_COMMA,
    ACTIONS(852), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_expression,
    STATE(1810), 1,
      sym_pair,
    STATE(2020), 1,
      sym_dictionary_splat,
    STATE(2333), 1,
      sym__named_expression_lhs,
    STATE(2470), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2058), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3139] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(854), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2021), 1,
      sym_pattern,
    STATE(2426), 1,
      sym__patterns,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2496), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3262] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(856), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1689), 1,
      sym_expression,
    STATE(2021), 1,
      sym_pattern,
    STATE(2179), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2447), 1,
      sym__collection_elements,
    STATE(2472), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3385] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(858), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2361), 1,
      sym__patterns,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2477), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3506] = 29,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(762), 1,
      sym_identifier,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(770), 1,
      anon_sym_LBRACK,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(780), 1,
      anon_sym_await,
    ACTIONS(860), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1400), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2086), 1,
      sym_pattern,
    STATE(2361), 1,
      sym__patterns,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2477), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1399), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(768), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3627] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2021), 1,
      sym_pattern,
    STATE(2025), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2464), 1,
      sym__collection_elements,
    STATE(2472), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3750] = 30,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(792), 1,
      sym_identifier,
    ACTIONS(794), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_LBRACK,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(810), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1322), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2021), 1,
      sym_pattern,
    STATE(2384), 1,
      sym__patterns,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2496), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1324), 2,
      sym_attribute,
      sym_subscript,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(800), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3873] = 21,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(870), 1,
      anon_sym_LPAREN,
    ACTIONS(872), 1,
      anon_sym_STAR,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_TILDE,
    ACTIONS(882), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1387), 1,
      sym_list_splat_pattern,
    STATE(1586), 1,
      sym_pattern,
    STATE(1592), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(878), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1382), 2,
      sym_attribute,
      sym_subscript,
    STATE(1611), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(874), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(868), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [3977] = 21,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(870), 1,
      anon_sym_LPAREN,
    ACTIONS(872), 1,
      anon_sym_STAR,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(880), 1,
      anon_sym_TILDE,
    ACTIONS(882), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1387), 1,
      sym_list_splat_pattern,
    STATE(1586), 1,
      sym_pattern,
    STATE(1592), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(878), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1382), 2,
      sym_attribute,
      sym_subscript,
    STATE(1611), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(874), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(884), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4081] = 26,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(894), 1,
      anon_sym_LBRACK,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(900), 1,
      anon_sym_await,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2290), 1,
      sym_pattern,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1266), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(892), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1945), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4194] = 26,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(886), 1,
      sym_identifier,
    ACTIONS(888), 1,
      anon_sym_LPAREN,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(894), 1,
      anon_sym_LBRACK,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(900), 1,
      anon_sym_await,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1264), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2290), 1,
      sym_pattern,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1266), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(892), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1952), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4307] = 21,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_TILDE,
    ACTIONS(902), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_LBRACK,
    ACTIONS(912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1559), 1,
      sym_list_splat_pattern,
    STATE(1597), 1,
      sym_primary_expression,
    STATE(1630), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(878), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1556), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(908), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(868), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4409] = 27,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1694), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2193), 1,
      sym_with_item,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2496), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4523] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(920), 1,
      anon_sym_RPAREN,
    ACTIONS(922), 1,
      anon_sym_COMMA,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1673), 1,
      sym_expression,
    STATE(2090), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2089), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4635] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    ACTIONS(932), 1,
      anon_sym_RPAREN,
    ACTIONS(934), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2132), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2135), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4747] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      anon_sym_RPAREN,
    ACTIONS(938), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1679), 1,
      sym_expression,
    STATE(2098), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2100), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4859] = 24,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(940), 1,
      anon_sym_from,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(1957), 1,
      sym_expression_list,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(942), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4967] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    ACTIONS(944), 1,
      anon_sym_RPAREN,
    ACTIONS(946), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1672), 1,
      sym_expression,
    STATE(2145), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2173), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5079] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    ACTIONS(948), 1,
      anon_sym_RPAREN,
    ACTIONS(950), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1675), 1,
      sym_expression,
    STATE(2148), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2147), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5191] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    ACTIONS(952), 1,
      anon_sym_RPAREN,
    ACTIONS(954), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1681), 1,
      sym_expression,
    STATE(2039), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2038), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5303] = 26,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(952), 1,
      anon_sym_RPAREN,
    ACTIONS(954), 1,
      anon_sym_COMMA,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1792), 1,
      sym_expression,
    STATE(2039), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2038), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5415] = 21,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(880), 1,
      anon_sym_TILDE,
    ACTIONS(902), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(906), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_LBRACK,
    ACTIONS(912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1559), 1,
      sym_list_splat_pattern,
    STATE(1597), 1,
      sym_primary_expression,
    STATE(1630), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(878), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1556), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(908), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(884), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5517] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    ACTIONS(970), 1,
      anon_sym_RPAREN,
    ACTIONS(972), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1687), 1,
      sym_expression,
    STATE(2183), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2184), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5629] = 26,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(924), 1,
      anon_sym_STAR,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(930), 1,
      anon_sym_await,
    ACTIONS(974), 1,
      anon_sym_RPAREN,
    ACTIONS(976), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2205), 1,
      sym_parenthesized_list_splat,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2204), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(926), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5741] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(980), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(2327), 1,
      sym__collection_elements,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5850] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(982), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5959] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6068] = 27,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2165), 1,
      sym_list_splat,
    STATE(2189), 1,
      sym_parenthesized_list_splat,
    STATE(2201), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2492), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6181] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(988), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1690), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2394), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6290] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1684), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2489), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6399] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1689), 1,
      sym_expression,
    STATE(2179), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2447), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6510] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1682), 1,
      sym_expression,
    STATE(2163), 1,
      sym_yield,
    STATE(2422), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6621] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6730] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6839] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6948] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7057] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7166] = 27,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1682), 1,
      sym_expression,
    STATE(2163), 1,
      sym_yield,
    STATE(2165), 1,
      sym_list_splat,
    STATE(2189), 1,
      sym_parenthesized_list_splat,
    STATE(2422), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7279] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7388] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1696), 1,
      sym_expression,
    STATE(2011), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2496), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7499] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1008), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7608] = 27,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1678), 1,
      sym_expression,
    STATE(2028), 1,
      sym_list_splat,
    STATE(2029), 1,
      sym_parenthesized_list_splat,
    STATE(2121), 1,
      sym_yield,
    STATE(2329), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7721] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(1012), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2477), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7830] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7939] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1016), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8048] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1018), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8157] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1020), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8266] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1022), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8375] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1024), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8484] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8593] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1028), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8702] = 27,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1689), 1,
      sym_expression,
    STATE(2028), 1,
      sym_list_splat,
    STATE(2029), 1,
      sym_parenthesized_list_splat,
    STATE(2179), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2447), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8815] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1030), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8924] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1032), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9033] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(1034), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1677), 1,
      sym_expression,
    STATE(2373), 1,
      sym__collection_elements,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9142] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2068), 1,
      sym_yield,
    STATE(2382), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9253] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1038), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9362] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1040), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9471] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1042), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9580] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1678), 1,
      sym_expression,
    STATE(2121), 1,
      sym_yield,
    STATE(2329), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9691] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1044), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9800] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1046), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9909] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1048), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10018] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2201), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2492), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10129] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1050), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10238] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1052), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10347] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10456] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1056), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10565] = 27,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2068), 1,
      sym_yield,
    STATE(2092), 1,
      sym_parenthesized_list_splat,
    STATE(2095), 1,
      sym_list_splat,
    STATE(2382), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10678] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1058), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10787] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1060), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10896] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2025), 1,
      sym_yield,
    STATE(2436), 1,
      sym__named_expression_lhs,
    STATE(2464), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11007] = 25,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    ACTIONS(1064), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11116] = 26,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(1066), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2143), 1,
      sym_yield,
    STATE(2399), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(2017), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11227] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(1068), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1683), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2408), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11336] = 27,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(798), 1,
      anon_sym_STAR,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(914), 1,
      anon_sym_LPAREN,
    ACTIONS(1066), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2092), 1,
      sym_parenthesized_list_splat,
    STATE(2095), 1,
      sym_list_splat,
    STATE(2143), 1,
      sym_yield,
    STATE(2399), 1,
      sym__collection_elements,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11449] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(1070), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1695), 1,
      sym_expression,
    STATE(2350), 1,
      sym__collection_elements,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11558] = 25,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(766), 1,
      anon_sym_STAR,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(978), 1,
      anon_sym_LPAREN,
    ACTIONS(1072), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1686), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    STATE(2448), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2082), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11667] = 24,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1076), 1,
      anon_sym_STAR,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1889), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2256), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11773] = 24,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(928), 1,
      anon_sym_STAR_STAR,
    ACTIONS(956), 1,
      sym_identifier,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(960), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(968), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2280), 1,
      sym_parenthesized_list_splat,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2285), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(962), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11879] = 22,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1080), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11981] = 24,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1962), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(644), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1086), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12087] = 24,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1948), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(618), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1086), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12193] = 24,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1078), 1,
      anon_sym_RPAREN,
    ACTIONS(1094), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1842), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2279), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12299] = 24,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1948), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(618), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1096), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12405] = 24,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    ACTIONS(1102), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1948), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(618), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1100), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12511] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(1104), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_STAR,
    ACTIONS(1108), 1,
      anon_sym_RBRACK,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1866), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2242), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12617] = 24,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1098), 1,
      anon_sym_RBRACK,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1920), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(672), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1096), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12723] = 24,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    ACTIONS(1118), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1962), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(644), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1120), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12829] = 24,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    ACTIONS(1098), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1962), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(644), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1096), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12935] = 24,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1082), 1,
      anon_sym_RBRACK,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1920), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(672), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1086), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13041] = 24,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    ACTIONS(1118), 1,
      anon_sym_RBRACK,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1920), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(672), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1120), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13147] = 22,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1122), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13249] = 24,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1102), 1,
      anon_sym_RBRACK,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1920), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(672), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1100), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13355] = 24,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    ACTIONS(1102), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1962), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(644), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1100), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13461] = 24,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1094), 1,
      anon_sym_STAR,
    ACTIONS(1108), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1842), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2279), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13567] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(1078), 1,
      anon_sym_RBRACK,
    ACTIONS(1104), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_STAR,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1866), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2242), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13673] = 24,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1948), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(618), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1120), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13779] = 24,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1076), 1,
      anon_sym_STAR,
    ACTIONS(1108), 1,
      anon_sym_RBRACE,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1889), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2256), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13885] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13990] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1126), 1,
      anon_sym_from,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1798), 1,
      sym_expression,
    STATE(2289), 1,
      sym_expression_list,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(942), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14095] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1130), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14200] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14305] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(778), 1,
      anon_sym_yield,
    ACTIONS(1104), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_STAR,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1866), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2242), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14408] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1134), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14513] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1136), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14618] = 23,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(758), 1,
      anon_sym_yield,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1076), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1889), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2256), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14721] = 23,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(808), 1,
      anon_sym_yield,
    ACTIONS(958), 1,
      anon_sym_LPAREN,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1094), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1842), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(2279), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14824] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1138), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14929] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1140), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15034] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1142), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15139] = 24,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1146), 1,
      anon_sym_from,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2034), 1,
      sym_expression_list,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1144), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15244] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1150), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15349] = 24,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1152), 1,
      anon_sym_from,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1799), 1,
      sym_expression,
    STATE(2271), 1,
      sym_expression_list,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(942), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15454] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1156), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15559] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1158), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15664] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1160), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15769] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1162), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15874] = 24,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1164), 1,
      anon_sym_from,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2220), 1,
      sym_expression_list,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(942), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15979] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1166), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16084] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1168), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16189] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1170), 1,
      anon_sym_RBRACE,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16294] = 23,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1750), 1,
      sym_expression,
    STATE(2257), 1,
      sym_expression_list,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1172), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16396] = 23,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1174), 1,
      anon_sym_from,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1122), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16498] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1178), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16602] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16706] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1182), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16810] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1186), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1184), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16912] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1188), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17016] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1190), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17120] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1192), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17224] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1196), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1797), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1194), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17326] = 23,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_from,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1080), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17428] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1200), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17532] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1204), 1,
      anon_sym_if,
    ACTIONS(1206), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2482), 1,
      sym_if_clause,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17636] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_STAR,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(752), 1,
      anon_sym_STAR_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(2252), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17738] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1208), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17842] = 24,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1204), 1,
      anon_sym_if,
    ACTIONS(1210), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2463), 1,
      sym_if_clause,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17946] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1212), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18050] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1214), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18154] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1216), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18258] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1218), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18362] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1220), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18466] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1222), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18570] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1224), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18674] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1226), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18778] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1228), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18882] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1230), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18986] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1232), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19090] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1234), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19194] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1236), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19298] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1238), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19402] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1240), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19506] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1242), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19610] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19714] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1246), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19818] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1248), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19922] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1250), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20026] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1252), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20130] = 24,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    ACTIONS(1254), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20234] = 22,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1896), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20333] = 22,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1962), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20432] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1256), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20531] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1258), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20630] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2088), 1,
      sym_with_item,
    STATE(2398), 1,
      sym_with_clause,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20731] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2088), 1,
      sym_with_item,
    STATE(2406), 1,
      sym_with_clause,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20832] = 22,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1745), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1966), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20931] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2273), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21032] = 22,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1262), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21131] = 22,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1893), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21230] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1739), 1,
      sym_expression,
    STATE(2202), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21331] = 10,
    ACTIONS(279), 1,
      anon_sym_COMMA,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1264), 1,
      anon_sym_for,
    ACTIONS(1266), 1,
      anon_sym_with,
    ACTIONS(1268), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(291), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(302), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(274), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [21406] = 22,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1741), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1954), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21505] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2088), 1,
      sym_with_item,
    STATE(2506), 1,
      sym_with_clause,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21606] = 10,
    ACTIONS(279), 1,
      anon_sym_COMMA,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1270), 1,
      anon_sym_for,
    ACTIONS(1272), 1,
      anon_sym_with,
    ACTIONS(1274), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(291), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(302), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(274), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [21681] = 22,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1760), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1915), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21780] = 22,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1920), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21879] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1776), 1,
      sym_expression,
    STATE(2127), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21980] = 22,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1886), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22079] = 22,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1883), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22178] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1276), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22277] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1278), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22376] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1759), 1,
      sym_expression,
    STATE(2180), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22477] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1754), 1,
      sym_expression,
    STATE(2093), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22578] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1764), 1,
      sym_expression,
    STATE(2041), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22679] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1280), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22778] = 22,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1894), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1080), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22877] = 22,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1116), 1,
      anon_sym_lambda,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1765), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    STATE(1925), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22976] = 22,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1884), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23075] = 23,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1282), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1869), 1,
      sym_expression,
    STATE(2276), 1,
      sym_with_item,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23176] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1774), 1,
      sym_expression,
    STATE(2104), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23277] = 22,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1894), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1122), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23376] = 10,
    ACTIONS(279), 1,
      anon_sym_COMMA,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1284), 1,
      sym_identifier,
    ACTIONS(1286), 1,
      sym_string_start,
    STATE(2074), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(291), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(272), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(302), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(274), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_is,
  [23451] = 22,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1900), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1184), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23550] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1288), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2309), 1,
      sym_with_item,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23651] = 22,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_lambda,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    STATE(1873), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23750] = 22,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1946), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23849] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1290), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23948] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1292), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2309), 1,
      sym_with_item,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24049] = 22,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1080), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24148] = 22,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1763), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1961), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24247] = 22,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_lambda,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    STATE(1948), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24346] = 22,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1122), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24445] = 22,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1875), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24544] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2151), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24645] = 23,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2088), 1,
      sym_with_item,
    STATE(2392), 1,
      sym_with_clause,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24746] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1753), 1,
      sym_expression,
    STATE(2094), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24847] = 23,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1296), 1,
      anon_sym_RPAREN,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1869), 1,
      sym_expression,
    STATE(2276), 1,
      sym_with_item,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24948] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2083), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25049] = 23,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_COLON,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1744), 1,
      sym_expression,
    STATE(2208), 1,
      sym_slice,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25150] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1122), 1,
      anon_sym_COLON,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25248] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2309), 1,
      sym_with_item,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25346] = 22,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2287), 1,
      sym_type,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25444] = 22,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2152), 1,
      sym_type,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25542] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1298), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1852), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25640] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1811), 1,
      sym_expression,
    STATE(2493), 1,
      sym_expression_list,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25738] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1300), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1899), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25836] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1302), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1852), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25934] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2378), 1,
      sym_type,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26032] = 22,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1869), 1,
      sym_expression,
    STATE(2276), 1,
      sym_with_item,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26130] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2474), 1,
      sym_type,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26228] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2428), 1,
      sym_type,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26326] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1304), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1852), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26424] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1838), 1,
      sym_expression,
    STATE(2123), 1,
      sym_type,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26522] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1306), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1852), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26620] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1308), 1,
      anon_sym_COLON,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1903), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26718] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2425), 1,
      sym_type,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26816] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1080), 1,
      anon_sym_COLON,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26914] = 22,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2265), 1,
      sym_expression_list,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27012] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2369), 1,
      sym_expression_list,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27110] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1828), 1,
      sym_expression,
    STATE(2421), 1,
      sym_expression_list,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27208] = 22,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1793), 1,
      sym_expression,
    STATE(2312), 1,
      sym_expression_list,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27306] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1300), 1,
      sym_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27401] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1497), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27496] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1487), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27591] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1522), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27686] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1483), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27781] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1482), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27876] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1855), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27971] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1252), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28066] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1856), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28161] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1959), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28256] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1854), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28351] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28446] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1800), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28541] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1878), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28636] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28731] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28826] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1730), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28921] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1719), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29016] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29111] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1126), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29206] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1879), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29301] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1772), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29396] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29491] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1784), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29586] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1950), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29681] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1111), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29776] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1242), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29871] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1108), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29966] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30061] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1109), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30156] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1114), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30251] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1119), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30346] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1727), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30441] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1129), 1,
      sym_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30536] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30631] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1775), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30726] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30821] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1942), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30916] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31011] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1375), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31106] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1769), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31201] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1725), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31296] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1913), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31391] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31486] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1296), 1,
      sym_expression,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31581] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1746), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31676] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1736), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31771] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31866] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1758), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31961] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1852), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32056] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1134), 1,
      sym_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32151] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1252), 1,
      sym_expression,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32246] = 9,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1316), 1,
      anon_sym_except_STAR,
    ACTIONS(1318), 1,
      anon_sym_finally,
    STATE(725), 1,
      sym_else_clause,
    STATE(790), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(644), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1312), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1310), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32317] = 9,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1318), 1,
      anon_sym_finally,
    ACTIONS(1320), 1,
      anon_sym_except,
    STATE(725), 1,
      sym_else_clause,
    STATE(790), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(647), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1312), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1310), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32388] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1729), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32483] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1141), 1,
      sym_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32578] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1143), 1,
      sym_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32673] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1282), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32768] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1116), 1,
      sym_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32863] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1734), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32958] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1352), 1,
      sym_expression,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33053] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1891), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33148] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1935), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33243] = 9,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1324), 1,
      anon_sym_except,
    ACTIONS(1326), 1,
      anon_sym_finally,
    STATE(736), 1,
      sym_else_clause,
    STATE(798), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(645), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1312), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1310), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [33314] = 9,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1326), 1,
      anon_sym_finally,
    ACTIONS(1328), 1,
      anon_sym_except_STAR,
    STATE(736), 1,
      sym_else_clause,
    STATE(798), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(646), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1312), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1310), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [33385] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1145), 1,
      sym_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33480] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33575] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1491), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33670] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1485), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33765] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1562), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33860] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1346), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33955] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1748), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34050] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1493), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34145] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1345), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34240] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1340), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34335] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34430] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1850), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34525] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34620] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1876), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34715] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1348), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34810] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1430), 1,
      sym_expression,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34905] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1494), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35000] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1333), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35095] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1331), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35190] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1328), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35285] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1495), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35380] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1821), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35475] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35570] = 22,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(1330), 1,
      sym_identifier,
    ACTIONS(1334), 1,
      anon_sym_await,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1904), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1553), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1332), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35667] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1818), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35762] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1488), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35857] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1817), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35952] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36047] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1933), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36142] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1488), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36237] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1170), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36332] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1779), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36427] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1816), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36522] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1836), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36617] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1895), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36712] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1496), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36807] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36902] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1323), 1,
      sym_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36997] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1911), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37092] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37187] = 9,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1316), 1,
      anon_sym_except_STAR,
    ACTIONS(1318), 1,
      anon_sym_finally,
    STATE(718), 1,
      sym_else_clause,
    STATE(830), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(644), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1338), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37258] = 9,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1318), 1,
      anon_sym_finally,
    ACTIONS(1320), 1,
      anon_sym_except,
    STATE(718), 1,
      sym_else_clause,
    STATE(830), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(647), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1338), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37329] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1862), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37424] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37519] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1929), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37614] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1501), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37709] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1766), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37804] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37899] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1314), 1,
      sym_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37994] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_expression,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38089] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1313), 1,
      sym_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38184] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1309), 1,
      sym_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38279] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1863), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38374] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1348), 1,
      sym_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38469] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1782), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38564] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1205), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38659] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1722), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38754] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(608), 1,
      anon_sym_not,
    ACTIONS(610), 1,
      anon_sym_lambda,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1307), 1,
      sym_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(2338), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38849] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38944] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1430), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39039] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39134] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39229] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1916), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39324] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1205), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39419] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1922), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39514] = 22,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    ACTIONS(1334), 1,
      anon_sym_await,
    ACTIONS(1340), 1,
      sym_identifier,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1212), 1,
      sym_primary_expression,
    STATE(1904), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1240), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1342), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39611] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39706] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(728), 1,
      anon_sym_not,
    ACTIONS(732), 1,
      anon_sym_lambda,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1519), 1,
      sym_expression,
    STATE(2385), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39801] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1352), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39896] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39991] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1928), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40086] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1958), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40181] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1867), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40276] = 9,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1326), 1,
      anon_sym_finally,
    ACTIONS(1328), 1,
      anon_sym_except_STAR,
    STATE(727), 1,
      sym_else_clause,
    STATE(827), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(646), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1338), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40347] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1965), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40442] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1956), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40537] = 9,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1324), 1,
      anon_sym_except,
    ACTIONS(1326), 1,
      anon_sym_finally,
    STATE(727), 1,
      sym_else_clause,
    STATE(827), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(645), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1338), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40608] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1923), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40703] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1485), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40798] = 22,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1344), 1,
      sym_identifier,
    ACTIONS(1348), 1,
      anon_sym_await,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    STATE(1545), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1346), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40895] = 22,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1348), 1,
      anon_sym_await,
    ACTIONS(1350), 1,
      sym_identifier,
    STATE(1099), 1,
      sym_string,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    STATE(1308), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1352), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40992] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1305), 1,
      sym_expression,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41087] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41182] = 21,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(67), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(1839), 1,
      sym_expression,
    STATE(2495), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41277] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41372] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41467] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1170), 1,
      sym_expression,
    STATE(2375), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41562] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_not,
    ACTIONS(626), 1,
      anon_sym_lambda,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1280), 1,
      sym_expression,
    STATE(2370), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41657] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(676), 1,
      anon_sym_not,
    ACTIONS(680), 1,
      anon_sym_lambda,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1012), 1,
      sym_string,
    STATE(1034), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1391), 1,
      sym_expression,
    STATE(2365), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41752] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1894), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41847] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1801), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41942] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1567), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42037] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1927), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42132] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_not,
    ACTIONS(706), 1,
      anon_sym_lambda,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1489), 1,
      sym_expression,
    STATE(2380), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42227] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1299), 1,
      sym_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42322] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1375), 1,
      sym_expression,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42417] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42512] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1280), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42607] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42702] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1302), 1,
      sym_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42797] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(804), 1,
      anon_sym_not,
    ACTIONS(806), 1,
      anon_sym_lambda,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2436), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42892] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42987] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1720), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43082] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1910), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43177] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1845), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43272] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1858), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43367] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1963), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43462] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1901), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43557] = 21,
    ACTIONS(638), 1,
      sym_identifier,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(650), 1,
      anon_sym_not,
    ACTIONS(654), 1,
      anon_sym_lambda,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(662), 1,
      anon_sym_await,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1036), 1,
      sym_string,
    STATE(1304), 1,
      sym_list_splat_pattern,
    STATE(1306), 1,
      sym_expression,
    STATE(2404), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(644), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1321), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43652] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1833), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43747] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1291), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43842] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1287), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43937] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1566), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44032] = 21,
    ACTIONS(666), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(688), 1,
      anon_sym_await,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(774), 1,
      anon_sym_not,
    ACTIONS(776), 1,
      anon_sym_lambda,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1012), 1,
      sym_string,
    STATE(1381), 1,
      sym_list_splat_pattern,
    STATE(1391), 1,
      sym_expression,
    STATE(2387), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(672), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1402), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44127] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1242), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44222] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1826), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44317] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1857), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44412] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1290), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44507] = 21,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(270), 1,
      sym_identifier,
    ACTIONS(304), 1,
      anon_sym_await,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(340), 1,
      anon_sym_not,
    ACTIONS(344), 1,
      anon_sym_lambda,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    STATE(974), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1289), 1,
      sym_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(75), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(285), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1259), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44602] = 21,
    ACTIONS(612), 1,
      sym_identifier,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(634), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(754), 1,
      anon_sym_not,
    ACTIONS(756), 1,
      anon_sym_lambda,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    STATE(1728), 1,
      sym_expression,
    STATE(2333), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(618), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1262), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44697] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1955), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44792] = 22,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1354), 1,
      sym_identifier,
    ACTIONS(1358), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1868), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    STATE(1561), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1356), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44889] = 21,
    ACTIONS(718), 1,
      sym_identifier,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(740), 1,
      anon_sym_await,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1110), 1,
      anon_sym_not,
    ACTIONS(1112), 1,
      anon_sym_lambda,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_string,
    STATE(1480), 1,
      sym_list_splat_pattern,
    STATE(1519), 1,
      sym_expression,
    STATE(2352), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1530), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44984] = 21,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(896), 1,
      anon_sym_not,
    ACTIONS(898), 1,
      anon_sym_lambda,
    STATE(983), 1,
      sym_primary_expression,
    STATE(984), 1,
      sym_string,
    STATE(1164), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(2438), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(585), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1195), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45079] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1937), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45174] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1914), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45269] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1565), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45364] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1934), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45459] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1563), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45554] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1449), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45649] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1564), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45744] = 22,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1358), 1,
      anon_sym_await,
    ACTIONS(1360), 1,
      sym_identifier,
    STATE(1062), 1,
      sym_string,
    STATE(1239), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1868), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    STATE(1350), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1362), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45841] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45936] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1522), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46031] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1932), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46126] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1926), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46221] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1906), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46316] = 21,
    ACTIONS(306), 1,
      sym_identifier,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(316), 1,
      anon_sym_not,
    ACTIONS(322), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(330), 1,
      anon_sym_await,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1918), 1,
      sym_expression,
    STATE(2513), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(312), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1427), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46411] = 21,
    ACTIONS(692), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(964), 1,
      anon_sym_not,
    ACTIONS(966), 1,
      anon_sym_lambda,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    STATE(1062), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2494), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(698), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1470), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46506] = 7,
    ACTIONS(1366), 1,
      anon_sym_COMMA,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1373), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1375), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1369), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46572] = 7,
    ACTIONS(279), 1,
      anon_sym_COMMA,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(291), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(302), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(274), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46695] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1383), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1389), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1386), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46813] = 8,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1399), 1,
      anon_sym_elif,
    STATE(661), 1,
      aux_sym_if_statement_repeat1,
    STATE(724), 1,
      sym_elif_clause,
    STATE(842), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1395), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1397), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46880] = 6,
    ACTIONS(1403), 1,
      anon_sym_COMMA,
    ACTIONS(1410), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1408), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1406), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [46943] = 8,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1399), 1,
      anon_sym_elif,
    STATE(655), 1,
      aux_sym_if_statement_repeat1,
    STATE(724), 1,
      sym_elif_clause,
    STATE(833), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1412), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47010] = 8,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1420), 1,
      anon_sym_elif,
    STATE(662), 1,
      aux_sym_if_statement_repeat1,
    STATE(726), 1,
      sym_elif_clause,
    STATE(776), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1418), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1416), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47077] = 8,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1399), 1,
      anon_sym_elif,
    STATE(639), 1,
      aux_sym_if_statement_repeat1,
    STATE(724), 1,
      sym_elif_clause,
    STATE(795), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1422), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1424), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47144] = 5,
    ACTIONS(1430), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(644), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1428), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1426), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47205] = 5,
    ACTIONS(1437), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(645), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1433), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1435), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47266] = 5,
    ACTIONS(1440), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(646), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1428), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1426), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47327] = 5,
    ACTIONS(1443), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(647), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1433), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1435), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47388] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(351), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(348), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47449] = 8,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1420), 1,
      anon_sym_elif,
    STATE(642), 1,
      aux_sym_if_statement_repeat1,
    STATE(726), 1,
      sym_elif_clause,
    STATE(814), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1412), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1414), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47516] = 8,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1420), 1,
      anon_sym_elif,
    STATE(662), 1,
      aux_sym_if_statement_repeat1,
    STATE(726), 1,
      sym_elif_clause,
    STATE(817), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1395), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1397), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47583] = 6,
    ACTIONS(1448), 1,
      anon_sym_COMMA,
    ACTIONS(1455), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1453), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1451), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [47646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47817] = 8,
    ACTIONS(1322), 1,
      anon_sym_else,
    ACTIONS(1399), 1,
      anon_sym_elif,
    STATE(661), 1,
      aux_sym_if_statement_repeat1,
    STATE(724), 1,
      sym_elif_clause,
    STATE(793), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1418), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1416), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47884] = 8,
    ACTIONS(1314), 1,
      anon_sym_else,
    ACTIONS(1420), 1,
      anon_sym_elif,
    STATE(650), 1,
      aux_sym_if_statement_repeat1,
    STATE(726), 1,
      sym_elif_clause,
    STATE(759), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1422), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1424), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48008] = 6,
    ACTIONS(1373), 1,
      anon_sym_EQ,
    ACTIONS(1467), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1470), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [48071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [48128] = 6,
    ACTIONS(1366), 1,
      anon_sym_COMMA,
    ACTIONS(1373), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1369), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [48191] = 6,
    ACTIONS(1480), 1,
      anon_sym_elif,
    STATE(661), 1,
      aux_sym_if_statement_repeat1,
    STATE(724), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1476), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1478), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48253] = 6,
    ACTIONS(1483), 1,
      anon_sym_elif,
    STATE(662), 1,
      aux_sym_if_statement_repeat1,
    STATE(726), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1476), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1478), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1486), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1488), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1490), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1496), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1494), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1490), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1500), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1508), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1508), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1512), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1510), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1514), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1520), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1518), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1522), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1524), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1528), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1526), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1530), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1532), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49250] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1514), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1500), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1490), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49415] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1536), 1,
      anon_sym_LPAREN,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1572), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_primary_expression,
    STATE(1917), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1569), 2,
      sym_attribute,
      sym_subscript,
    STATE(1960), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(868), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1540), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1514), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1486), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1488), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1514), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1548), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1546), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1550), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1500), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1528), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1526), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1508), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1514), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1490), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1530), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1532), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1514), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1508), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1512), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1510), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1508), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1490), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1500), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1496), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1494), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1508), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1490), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1556), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1554), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1500), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1504), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50824] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1536), 1,
      anon_sym_LPAREN,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1572), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_primary_expression,
    STATE(1917), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1569), 2,
      sym_attribute,
      sym_subscript,
    STATE(1960), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(884), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1540), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1550), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1548), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1546), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1520), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1518), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1556), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1554), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1500), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1522), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1524), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51243] = 5,
    ACTIONS(1314), 1,
      anon_sym_else,
    STATE(764), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1560), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1558), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51301] = 5,
    ACTIONS(1322), 1,
      anon_sym_else,
    STATE(826), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1562), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1564), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51359] = 5,
    ACTIONS(1322), 1,
      anon_sym_else,
    STATE(770), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1566), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1568), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51417] = 5,
    ACTIONS(1318), 1,
      anon_sym_finally,
    STATE(799), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1572), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1570), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51475] = 5,
    ACTIONS(1322), 1,
      anon_sym_else,
    STATE(803), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1574), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1576), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51533] = 5,
    ACTIONS(1314), 1,
      anon_sym_else,
    STATE(805), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1574), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1576), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1578), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1580), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1578), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1580), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51699] = 5,
    ACTIONS(1314), 1,
      anon_sym_else,
    STATE(758), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1566), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1568), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1582), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1584), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51811] = 5,
    ACTIONS(1318), 1,
      anon_sym_finally,
    STATE(769), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1588), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1586), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1582), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1584), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51923] = 5,
    ACTIONS(1326), 1,
      anon_sym_finally,
    STATE(744), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1572), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1570), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51981] = 5,
    ACTIONS(1322), 1,
      anon_sym_else,
    STATE(781), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1590), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1592), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52039] = 5,
    ACTIONS(1314), 1,
      anon_sym_else,
    STATE(774), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1596), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1594), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52097] = 5,
    ACTIONS(1314), 1,
      anon_sym_else,
    STATE(762), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1590), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1592), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52155] = 5,
    ACTIONS(1322), 1,
      anon_sym_else,
    STATE(779), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1560), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1558), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52213] = 5,
    ACTIONS(1314), 1,
      anon_sym_else,
    STATE(837), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1562), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1564), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52271] = 5,
    ACTIONS(1322), 1,
      anon_sym_else,
    STATE(791), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1596), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1594), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1598), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1600), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1598), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1600), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52437] = 5,
    ACTIONS(1326), 1,
      anon_sym_finally,
    STATE(787), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1588), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1586), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52495] = 21,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1602), 1,
      sym_identifier,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1606), 1,
      anon_sym_RPAREN,
    ACTIONS(1608), 1,
      anon_sym_STAR,
    ACTIONS(1612), 1,
      anon_sym_LBRACK,
    ACTIONS(1614), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1600), 1,
      sym_primary_expression,
    STATE(1621), 1,
      sym_list_splat_pattern,
    STATE(2021), 1,
      sym_pattern,
    STATE(2472), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1627), 2,
      sym_attribute,
      sym_subscript,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1610), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1618), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1616), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52637] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1620), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52690] = 21,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1602), 1,
      sym_identifier,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1608), 1,
      anon_sym_STAR,
    ACTIONS(1612), 1,
      anon_sym_LBRACK,
    ACTIONS(1614), 1,
      anon_sym_await,
    ACTIONS(1624), 1,
      anon_sym_RPAREN,
    STATE(996), 1,
      sym_string,
    STATE(1600), 1,
      sym_primary_expression,
    STATE(1621), 1,
      sym_list_splat_pattern,
    STATE(2021), 1,
      sym_pattern,
    STATE(2426), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1627), 2,
      sym_attribute,
      sym_subscript,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1610), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1618), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1616), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1622), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1620), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1626), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1628), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1632), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1636), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1634), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1640), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1638), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53093] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2006), 1,
      sym_pattern,
    STATE(2514), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1338), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1654), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1656), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1658), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1338), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1336), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1662), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53439] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2007), 1,
      sym_pattern,
    STATE(2510), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53525] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1640), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1638), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53577] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2027), 1,
      sym_pattern,
    STATE(2443), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53663] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    ACTIONS(1664), 1,
      anon_sym_in,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(1630), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1666), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1670), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1674), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53905] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1680), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1678), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1656), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1658), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1682), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1626), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1628), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1686), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1654), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1690), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1694), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54321] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2030), 1,
      sym_pattern,
    STATE(2441), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1698), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1670), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54511] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2055), 1,
      sym_pattern,
    STATE(2403), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1704), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1706), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1710), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1714), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1718), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1666), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54909] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1726), 1,
      anon_sym_STAR,
    ACTIONS(1730), 1,
      anon_sym_LBRACK,
    ACTIONS(1732), 1,
      anon_sym_RBRACK,
    ACTIONS(1734), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1622), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2274), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1728), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1686), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1680), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1678), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1682), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55151] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2052), 1,
      sym_pattern,
    STATE(2415), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1738), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55289] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1602), 1,
      sym_identifier,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1608), 1,
      anon_sym_STAR,
    ACTIONS(1612), 1,
      anon_sym_LBRACK,
    ACTIONS(1614), 1,
      anon_sym_await,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(996), 1,
      sym_string,
    STATE(1600), 1,
      sym_primary_expression,
    STATE(1621), 1,
      sym_list_splat_pattern,
    STATE(2260), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1627), 2,
      sym_attribute,
      sym_subscript,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1610), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1740), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1690), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1698), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1708), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1706), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1746), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1744), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1588), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1586), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1710), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1716), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1714), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1718), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1748), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1674), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1740), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1746), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1744), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1588), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1586), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1632), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56155] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1726), 1,
      anon_sym_STAR,
    ACTIONS(1730), 1,
      anon_sym_LBRACK,
    ACTIONS(1734), 1,
      anon_sym_await,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    STATE(996), 1,
      sym_string,
    STATE(1622), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2274), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1728), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1754), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1754), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1760), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1748), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56449] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1760), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56501] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    ACTIONS(1762), 1,
      anon_sym_in,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(1630), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1764), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1766), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56639] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1770), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1768), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56691] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2050), 1,
      sym_pattern,
    STATE(2419), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56777] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2054), 1,
      sym_pattern,
    STATE(2412), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1774), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1772), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1778), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1776), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1782), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1780), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1784), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1770), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1768), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1774), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1772), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1790), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1788), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1694), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1764), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1766), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1636), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1634), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1702), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1704), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1738), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1792), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1798), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1796), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1802), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57643] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1806), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1572), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1570), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57747] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1312), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1310), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1312), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1310), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1572), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1570), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1778), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1776), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1782), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1780), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1784), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58059] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2211), 1,
      sym_pattern,
    STATE(2516), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1798), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1796), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58197] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1792), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1806), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1802), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58353] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1602), 1,
      sym_identifier,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1608), 1,
      anon_sym_STAR,
    ACTIONS(1612), 1,
      anon_sym_LBRACK,
    ACTIONS(1614), 1,
      anon_sym_await,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
    STATE(996), 1,
      sym_string,
    STATE(1600), 1,
      sym_primary_expression,
    STATE(1621), 1,
      sym_list_splat_pattern,
    STATE(2260), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1627), 2,
      sym_attribute,
      sym_subscript,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1610), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1662), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58491] = 20,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(2105), 1,
      sym_pattern,
    STATE(2355), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1790), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1788), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58629] = 19,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(902), 1,
      sym_identifier,
    ACTIONS(904), 1,
      anon_sym_LPAREN,
    ACTIONS(910), 1,
      anon_sym_LBRACK,
    ACTIONS(912), 1,
      anon_sym_await,
    ACTIONS(1808), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1559), 1,
      sym_list_splat_pattern,
    STATE(1597), 1,
      sym_primary_expression,
    STATE(1630), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1556), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(908), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58712] = 19,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(870), 1,
      anon_sym_LPAREN,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(882), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1387), 1,
      sym_list_splat_pattern,
    STATE(1586), 1,
      sym_pattern,
    STATE(1592), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1382), 2,
      sym_attribute,
      sym_subscript,
    STATE(1611), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(874), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58795] = 19,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1536), 1,
      anon_sym_LPAREN,
    ACTIONS(1538), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1572), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_primary_expression,
    STATE(1917), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1569), 2,
      sym_attribute,
      sym_subscript,
    STATE(1960), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1540), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58878] = 19,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1726), 1,
      anon_sym_STAR,
    ACTIONS(1730), 1,
      anon_sym_LBRACK,
    ACTIONS(1734), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1622), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2274), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(2306), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1728), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58961] = 19,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      sym_identifier,
    ACTIONS(1644), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1593), 1,
      sym_primary_expression,
    STATE(1604), 1,
      sym_list_splat_pattern,
    STATE(1630), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(1642), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1646), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59044] = 19,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1602), 1,
      sym_identifier,
    ACTIONS(1604), 1,
      anon_sym_LPAREN,
    ACTIONS(1608), 1,
      anon_sym_STAR,
    ACTIONS(1612), 1,
      anon_sym_LBRACK,
    ACTIONS(1614), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1600), 1,
      sym_primary_expression,
    STATE(1621), 1,
      sym_list_splat_pattern,
    STATE(2260), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1627), 2,
      sym_attribute,
      sym_subscript,
    STATE(2275), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1610), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59127] = 18,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1810), 1,
      sym_identifier,
    ACTIONS(1816), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1593), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1812), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    STATE(1587), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1814), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59207] = 18,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1818), 1,
      sym_identifier,
    ACTIONS(1822), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1600), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1812), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1580), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1820), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59287] = 16,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1826), 1,
      anon_sym_not,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1010), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59362] = 16,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1832), 1,
      anon_sym_not,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1194), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59437] = 16,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1838), 1,
      anon_sym_not,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1029), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59512] = 16,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1844), 1,
      anon_sym_not,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(988), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59587] = 16,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1850), 1,
      anon_sym_not,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1079), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59662] = 16,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1856), 1,
      anon_sym_not,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1057), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59737] = 16,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1862), 1,
      anon_sym_not,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1221), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59812] = 16,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1868), 1,
      anon_sym_not,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1077), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59887] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1872), 1,
      sym_identifier,
    ACTIONS(1876), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1593), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1428), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1874), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59963] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(988), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60035] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1072), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60107] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1073), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60179] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1074), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60251] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1210), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60323] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1209), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60395] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1206), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60467] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1204), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60539] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1200), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60611] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1194), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60683] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1193), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60755] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1191), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60827] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1075), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60899] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1076), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60971] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1024), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61043] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1077), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61115] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1078), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61187] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1080), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61259] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1878), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1593), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1602), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1880), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61335] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1884), 1,
      sym_identifier,
    ACTIONS(1888), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1597), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1549), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1886), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61411] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1095), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61483] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1890), 1,
      sym_identifier,
    ACTIONS(1894), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1265), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1892), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61559] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61631] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1009), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61703] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1010), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61775] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1090), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61847] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1025), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61919] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1038), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61991] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1089), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62063] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1096), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62135] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1088), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62207] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1086), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62279] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1168), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62351] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1112), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62423] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1026), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62495] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1225), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62567] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1169), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62639] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1220), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62711] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(985), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62783] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1230), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62855] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1029), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62927] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1896), 1,
      sym_identifier,
    ACTIONS(1900), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1595), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1455), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63003] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63075] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1221), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63147] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1049), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63219] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1092), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63291] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1222), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63363] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1018), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63435] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      anon_sym_await,
    ACTIONS(1902), 1,
      sym_identifier,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1163), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1904), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63511] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1084), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63583] = 15,
    ACTIONS(720), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_LBRACE,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(1128), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_await,
    STATE(1099), 1,
      sym_string,
    STATE(1172), 1,
      sym_primary_expression,
    STATE(1480), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(734), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(730), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1830), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(738), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1531), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63655] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1091), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63727] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(990), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63799] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1027), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63871] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1030), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63943] = 15,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(674), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_LBRACE,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(1114), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      anon_sym_await,
    STATE(1012), 1,
      sym_string,
    STATE(1097), 1,
      sym_primary_expression,
    STATE(1381), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(682), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(678), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(686), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1403), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64015] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1223), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64087] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1246), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64159] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1013), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64231] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(987), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64303] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1906), 1,
      sym_identifier,
    ACTIONS(1910), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1376), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1908), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64379] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1019), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64451] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1040), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64523] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1004), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64595] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1003), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64667] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1614), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64739] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64811] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1031), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64883] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1079), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64955] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1914), 1,
      sym_identifier,
    ACTIONS(1918), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1592), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(637), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1916), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65031] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65103] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1617), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65175] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1131), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65247] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1044), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65319] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1138), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65391] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1590), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65463] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1920), 1,
      sym_identifier,
    ACTIONS(1924), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1600), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1579), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1922), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65539] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65611] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1005), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65683] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1006), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65755] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65827] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(989), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65899] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1001), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65971] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1017), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66043] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1022), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66115] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1926), 1,
      sym_identifier,
    ACTIONS(1930), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1156), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1928), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66191] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(1015), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66263] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1052), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66335] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1023), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66407] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1894), 1,
      anon_sym_await,
    ACTIONS(1902), 1,
      sym_identifier,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1603), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1163), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1904), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66483] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1896), 1,
      sym_identifier,
    ACTIONS(1900), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1600), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1455), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66559] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1910), 1,
      anon_sym_await,
    ACTIONS(1932), 1,
      sym_identifier,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1601), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1537), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1934), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66635] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1620), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66707] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1912), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1609), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66779] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1910), 1,
      anon_sym_await,
    ACTIONS(1932), 1,
      sym_identifier,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1537), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1934), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66855] = 15,
    ACTIONS(614), 1,
      anon_sym_LPAREN,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(630), 1,
      anon_sym_LBRACE,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(1090), 1,
      anon_sym_STAR,
    ACTIONS(1840), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(1037), 1,
      sym_primary_expression,
    STATE(1238), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(628), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(624), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1836), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(632), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1261), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66927] = 15,
    ACTIONS(694), 1,
      anon_sym_LPAREN,
    ACTIONS(700), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      anon_sym_LBRACE,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(1154), 1,
      anon_sym_STAR,
    ACTIONS(1864), 1,
      anon_sym_await,
    STATE(1062), 1,
      sym_string,
    STATE(1140), 1,
      sym_primary_expression,
    STATE(1456), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(708), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(704), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1860), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(712), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1469), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66999] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67071] = 17,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1900), 1,
      anon_sym_await,
    ACTIONS(1936), 1,
      sym_identifier,
    STATE(996), 1,
      sym_string,
    STATE(1406), 1,
      sym_list_splat_pattern,
    STATE(1600), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    STATE(1378), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(880), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(328), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1938), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1426), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67147] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(986), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67219] = 15,
    ACTIONS(73), 1,
      anon_sym_LBRACE,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(334), 1,
      anon_sym_LPAREN,
    ACTIONS(338), 1,
      anon_sym_LBRACK,
    ACTIONS(1148), 1,
      anon_sym_STAR,
    ACTIONS(1828), 1,
      anon_sym_await,
    STATE(977), 1,
      sym_string,
    STATE(1028), 1,
      sym_primary_expression,
    STATE(1295), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(71), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1824), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(75), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1272), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67291] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1068), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67363] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1067), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67435] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1064), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67507] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1063), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67579] = 15,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(890), 1,
      anon_sym_STAR,
    ACTIONS(1846), 1,
      anon_sym_await,
    STATE(984), 1,
      sym_string,
    STATE(993), 1,
      sym_primary_expression,
    STATE(1164), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1842), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1196), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67651] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1059), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67723] = 15,
    ACTIONS(308), 1,
      anon_sym_LPAREN,
    ACTIONS(314), 1,
      anon_sym_LBRACK,
    ACTIONS(326), 1,
      anon_sym_LBRACE,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(1202), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      anon_sym_await,
    STATE(996), 1,
      sym_string,
    STATE(1105), 1,
      sym_primary_expression,
    STATE(1406), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(324), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(320), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(328), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1426), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67795] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1057), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67867] = 15,
    ACTIONS(640), 1,
      anon_sym_LPAREN,
    ACTIONS(646), 1,
      anon_sym_LBRACK,
    ACTIONS(658), 1,
      anon_sym_LBRACE,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1036), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1304), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(656), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(652), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(660), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1316), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67939] = 5,
    ACTIONS(1944), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(970), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67990] = 20,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(1967), 1,
      anon_sym_not,
    ACTIONS(1971), 1,
      anon_sym_PIPE,
    ACTIONS(1973), 1,
      anon_sym_AMP,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(1979), 1,
      anon_sym_is,
    STATE(1045), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1957), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68071] = 5,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(970), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68122] = 5,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(980), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68173] = 20,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2001), 1,
      anon_sym_not,
    ACTIONS(2005), 1,
      anon_sym_PIPE,
    ACTIONS(2007), 1,
      anon_sym_AMP,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_is,
    STATE(1103), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1993), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [68254] = 5,
    ACTIONS(636), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(973), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68305] = 20,
    ACTIONS(1965), 1,
      anon_sym_as,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      anon_sym_not,
    ACTIONS(2035), 1,
      anon_sym_PIPE,
    ACTIONS(2037), 1,
      anon_sym_AMP,
    ACTIONS(2039), 1,
      anon_sym_CARET,
    ACTIONS(2043), 1,
      anon_sym_is,
    STATE(1573), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2041), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2023), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [68386] = 5,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(978), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68437] = 5,
    ACTIONS(79), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(979), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68488] = 5,
    ACTIONS(2045), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(979), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68539] = 5,
    ACTIONS(2048), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(980), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68590] = 20,
    ACTIONS(1965), 1,
      anon_sym_as,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2031), 1,
      anon_sym_not,
    ACTIONS(2035), 1,
      anon_sym_PIPE,
    ACTIONS(2037), 1,
      anon_sym_AMP,
    ACTIONS(2039), 1,
      anon_sym_CARET,
    ACTIONS(2043), 1,
      anon_sym_is,
    STATE(1046), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2041), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2023), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [68671] = 20,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2001), 1,
      anon_sym_not,
    ACTIONS(2005), 1,
      anon_sym_PIPE,
    ACTIONS(2007), 1,
      anon_sym_AMP,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_is,
    STATE(1576), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1993), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [68752] = 20,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(1967), 1,
      anon_sym_not,
    ACTIONS(1971), 1,
      anon_sym_PIPE,
    ACTIONS(1973), 1,
      anon_sym_AMP,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(1979), 1,
      anon_sym_is,
    STATE(1574), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1957), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68833] = 5,
    ACTIONS(603), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(972), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [68884] = 8,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [68940] = 15,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2005), 1,
      anon_sym_PIPE,
    ACTIONS(2007), 1,
      anon_sym_AMP,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2057), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2055), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69010] = 11,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69072] = 15,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(1971), 1,
      anon_sym_PIPE,
    ACTIONS(1973), 1,
      anon_sym_AMP,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2061), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69142] = 13,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69208] = 13,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69320] = 15,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(1971), 1,
      anon_sym_PIPE,
    ACTIONS(1973), 1,
      anon_sym_AMP,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2057), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2055), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69390] = 15,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(1971), 1,
      anon_sym_PIPE,
    ACTIONS(1973), 1,
      anon_sym_AMP,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2065), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2063), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69460] = 20,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_not,
    ACTIONS(2087), 1,
      anon_sym_PIPE,
    ACTIONS(2089), 1,
      anon_sym_AMP,
    ACTIONS(2091), 1,
      anon_sym_CARET,
    ACTIONS(2095), 1,
      anon_sym_is,
    STATE(1273), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2093), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2075), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [69540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69586] = 5,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1039), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69820] = 12,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69930] = 8,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [69986] = 15,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2005), 1,
      anon_sym_PIPE,
    ACTIONS(2007), 1,
      anon_sym_AMP,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2065), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2063), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70056] = 10,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70116] = 14,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(1973), 1,
      anon_sym_AMP,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70184] = 8,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70240] = 20,
    ACTIONS(1965), 1,
      anon_sym_as,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      anon_sym_not,
    ACTIONS(2117), 1,
      anon_sym_PIPE,
    ACTIONS(2119), 1,
      anon_sym_AMP,
    ACTIONS(2121), 1,
      anon_sym_CARET,
    ACTIONS(2125), 1,
      anon_sym_is,
    STATE(1583), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2123), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2105), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [70320] = 11,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 21,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70382] = 15,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2005), 1,
      anon_sym_PIPE,
    ACTIONS(2007), 1,
      anon_sym_AMP,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2061), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70452] = 5,
    ACTIONS(2127), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1011), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70502] = 5,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1016), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70552] = 8,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70608] = 5,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1020), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70658] = 8,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [70714] = 5,
    ACTIONS(690), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1021), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70764] = 8,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70820] = 15,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2035), 1,
      anon_sym_PIPE,
    ACTIONS(2037), 1,
      anon_sym_AMP,
    ACTIONS(2039), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2065), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2063), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [70890] = 15,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2035), 1,
      anon_sym_PIPE,
    ACTIONS(2037), 1,
      anon_sym_AMP,
    ACTIONS(2039), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2057), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2055), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [70960] = 5,
    ACTIONS(2134), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1020), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71010] = 5,
    ACTIONS(2137), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1021), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71060] = 12,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [71124] = 13,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [71190] = 14,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2037), 1,
      anon_sym_AMP,
    ACTIONS(2039), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [71258] = 8,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71314] = 10,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [71374] = 12,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71438] = 14,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2007), 1,
      anon_sym_AMP,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71506] = 15,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2035), 1,
      anon_sym_PIPE,
    ACTIONS(2037), 1,
      anon_sym_AMP,
    ACTIONS(2039), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2061), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2059), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [71576] = 11,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2019), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2027), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [71638] = 8,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [71694] = 20,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_not,
    ACTIONS(2087), 1,
      anon_sym_PIPE,
    ACTIONS(2089), 1,
      anon_sym_AMP,
    ACTIONS(2091), 1,
      anon_sym_CARET,
    ACTIONS(2095), 1,
      anon_sym_is,
    STATE(1256), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2093), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2075), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [71774] = 20,
    ACTIONS(1965), 1,
      anon_sym_as,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2156), 1,
      anon_sym_not,
    ACTIONS(2160), 1,
      anon_sym_PIPE,
    ACTIONS(2162), 1,
      anon_sym_AMP,
    ACTIONS(2164), 1,
      anon_sym_CARET,
    ACTIONS(2168), 1,
      anon_sym_is,
    STATE(1248), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2166), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2148), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [71854] = 20,
    ACTIONS(1965), 1,
      anon_sym_as,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      anon_sym_not,
    ACTIONS(2117), 1,
      anon_sym_PIPE,
    ACTIONS(2119), 1,
      anon_sym_AMP,
    ACTIONS(2121), 1,
      anon_sym_CARET,
    ACTIONS(2125), 1,
      anon_sym_is,
    STATE(1258), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2123), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2105), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [71934] = 20,
    ACTIONS(1965), 1,
      anon_sym_as,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2156), 1,
      anon_sym_not,
    ACTIONS(2160), 1,
      anon_sym_PIPE,
    ACTIONS(2162), 1,
      anon_sym_AMP,
    ACTIONS(2164), 1,
      anon_sym_CARET,
    ACTIONS(2168), 1,
      anon_sym_is,
    STATE(1582), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2166), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2148), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [72014] = 5,
    ACTIONS(664), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1014), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72064] = 8,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1274), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [72120] = 10,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 23,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72180] = 5,
    ACTIONS(332), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1011), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72230] = 12,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72293] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72340] = 6,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(351), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(346), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(348), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [72391] = 6,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1389), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1381), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [72442] = 8,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72497] = 4,
    STATE(1094), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [72544] = 4,
    STATE(1071), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [72591] = 8,
    ACTIONS(2181), 1,
      anon_sym_not,
    ACTIONS(2187), 1,
      anon_sym_is,
    STATE(1047), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2184), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
    ACTIONS(2178), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [72646] = 19,
    ACTIONS(1987), 1,
      anon_sym_LPAREN,
    ACTIONS(1995), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2001), 1,
      anon_sym_not,
    ACTIONS(2005), 1,
      anon_sym_PIPE,
    ACTIONS(2007), 1,
      anon_sym_AMP,
    ACTIONS(2009), 1,
      anon_sym_CARET,
    ACTIONS(2013), 1,
      anon_sym_is,
    ACTIONS(2190), 1,
      anon_sym_DOT,
    ACTIONS(2192), 1,
      anon_sym_LBRACK,
    STATE(1576), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2003), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2011), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1154), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1997), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1993), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [72723] = 15,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_PIPE,
    ACTIONS(2119), 1,
      anon_sym_AMP,
    ACTIONS(2121), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2065), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2063), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72792] = 5,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1106), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72841] = 15,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_PIPE,
    ACTIONS(2119), 1,
      anon_sym_AMP,
    ACTIONS(2121), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2057), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2055), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72910] = 8,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72965] = 11,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73026] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [73073] = 5,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2194), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73122] = 5,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(648), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73171] = 15,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2160), 1,
      anon_sym_PIPE,
    ACTIONS(2162), 1,
      anon_sym_AMP,
    ACTIONS(2164), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2061), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2059), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 31,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73285] = 8,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73340] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [73387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [73432] = 5,
    ACTIONS(716), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1050), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73481] = 10,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73540] = 14,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2162), 1,
      anon_sym_AMP,
    ACTIONS(2164), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [73652] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [73699] = 13,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2164), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73764] = 12,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73827] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73874] = 5,
    ACTIONS(279), 1,
      anon_sym_COMMA,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [73923] = 8,
    ACTIONS(2207), 1,
      anon_sym_not,
    ACTIONS(2213), 1,
      anon_sym_is,
    STATE(1071), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 3,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_RBRACE,
  [73978] = 12,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74041] = 13,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74106] = 14,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2119), 1,
      anon_sym_AMP,
    ACTIONS(2121), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74173] = 10,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74232] = 8,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74287] = 15,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      anon_sym_PIPE,
    ACTIONS(2119), 1,
      anon_sym_AMP,
    ACTIONS(2121), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2061), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2059), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74356] = 11,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74417] = 15,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_PIPE,
    ACTIONS(2089), 1,
      anon_sym_AMP,
    ACTIONS(2091), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2061), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2059), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74486] = 8,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74541] = 5,
    ACTIONS(2216), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1081), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74590] = 19,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2235), 1,
      anon_sym_not,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2247), 1,
      anon_sym_is,
    STATE(1588), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2245), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2227), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [74667] = 20,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2265), 1,
      anon_sym_not,
    ACTIONS(2269), 1,
      anon_sym_PIPE,
    ACTIONS(2271), 1,
      anon_sym_AMP,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(2277), 1,
      anon_sym_is,
    STATE(1591), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1951), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2257), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74746] = 8,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [74846] = 8,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74901] = 5,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1081), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1983), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74950] = 11,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75011] = 10,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75070] = 14,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_AMP,
    ACTIONS(2091), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75137] = 15,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2160), 1,
      anon_sym_PIPE,
    ACTIONS(2162), 1,
      anon_sym_AMP,
    ACTIONS(2164), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2057), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2055), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75206] = 15,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym_LPAREN,
    ACTIONS(2150), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2160), 1,
      anon_sym_PIPE,
    ACTIONS(2162), 1,
      anon_sym_AMP,
    ACTIONS(2164), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2144), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2158), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1360), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2065), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2152), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2063), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75275] = 19,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2235), 1,
      anon_sym_not,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2247), 1,
      anon_sym_is,
    STATE(1298), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2245), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2227), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1951), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [75352] = 8,
    ACTIONS(2282), 1,
      anon_sym_not,
    ACTIONS(2288), 1,
      anon_sym_is,
    STATE(1094), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2285), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
    ACTIONS(2279), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_RBRACE,
      sym_type_conversion,
  [75407] = 13,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2091), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75472] = 8,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75527] = 8,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2099), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1383), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75582] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [75629] = 5,
    ACTIONS(742), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1087), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1369), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 31,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75723] = 5,
    ACTIONS(1366), 1,
      anon_sym_COMMA,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [75772] = 20,
    ACTIONS(1965), 1,
      anon_sym_EQ,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2265), 1,
      anon_sym_not,
    ACTIONS(2269), 1,
      anon_sym_PIPE,
    ACTIONS(2271), 1,
      anon_sym_AMP,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(2277), 1,
      anon_sym_is,
    STATE(1374), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1951), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2257), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75851] = 4,
    STATE(1047), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [75943] = 15,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_PIPE,
    ACTIONS(2089), 1,
      anon_sym_AMP,
    ACTIONS(2091), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2065), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2063), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76012] = 5,
    ACTIONS(2291), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1106), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1942), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1940), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76061] = 15,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_PIPE,
    ACTIONS(2089), 1,
      anon_sym_AMP,
    ACTIONS(2091), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2085), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2057), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2079), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2055), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76130] = 4,
    ACTIONS(2298), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76176] = 5,
    ACTIONS(2298), 1,
      anon_sym_and,
    ACTIONS(2304), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76268] = 7,
    ACTIONS(2298), 1,
      anon_sym_and,
    ACTIONS(2304), 1,
      anon_sym_or,
    ACTIONS(2308), 1,
      anon_sym_as,
    ACTIONS(2312), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76320] = 12,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76382] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76426] = 6,
    ACTIONS(2298), 1,
      anon_sym_and,
    ACTIONS(2304), 1,
      anon_sym_or,
    ACTIONS(2320), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76652] = 7,
    ACTIONS(2298), 1,
      anon_sym_and,
    ACTIONS(2304), 1,
      anon_sym_or,
    ACTIONS(2308), 1,
      anon_sym_as,
    ACTIONS(2312), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [76836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [76968] = 7,
    ACTIONS(2298), 1,
      anon_sym_and,
    ACTIONS(2304), 1,
      anon_sym_or,
    ACTIONS(2308), 1,
      anon_sym_as,
    ACTIONS(2312), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [77020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77108] = 7,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_and,
    ACTIONS(2359), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [77160] = 7,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_and,
    ACTIONS(2359), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [77212] = 13,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [77364] = 4,
    ACTIONS(2357), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [77410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [77454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77542] = 15,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2269), 1,
      anon_sym_PIPE,
    ACTIONS(2271), 1,
      anon_sym_AMP,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2057), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2055), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77610] = 5,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1381), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77658] = 15,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2269), 1,
      anon_sym_PIPE,
    ACTIONS(2271), 1,
      anon_sym_AMP,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2065), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2063), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77726] = 5,
    ACTIONS(2357), 1,
      anon_sym_and,
    ACTIONS(2359), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [77774] = 5,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(346), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(348), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77822] = 6,
    ACTIONS(2357), 1,
      anon_sym_and,
    ACTIONS(2359), 1,
      anon_sym_or,
    ACTIONS(2365), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [77872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [77916] = 7,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_and,
    ACTIONS(2359), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [77968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [78408] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78544] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78590] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78636] = 19,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2235), 1,
      anon_sym_not,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(2247), 1,
      anon_sym_is,
    STATE(1588), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2245), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1951), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2227), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78756] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78848] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [78936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [78980] = 14,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2271), 1,
      anon_sym_AMP,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79046] = 10,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79192] = 8,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79246] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79600] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79732] = 5,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [79824] = 8,
    ACTIONS(2423), 1,
      anon_sym_not,
    ACTIONS(2429), 1,
      anon_sym_is,
    STATE(1186), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
    ACTIONS(2420), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 21,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [79878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79922] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79966] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80012] = 5,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1366), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80060] = 8,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [80158] = 11,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2053), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80218] = 15,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2061), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2059), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [80330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [80374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [80418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [80462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [80506] = 8,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [80604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [80648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80692] = 10,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2053), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80794] = 14,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2053), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [80860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [80904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [80948] = 13,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2053), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81012] = 12,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2053), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81118] = 19,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1967), 1,
      anon_sym_not,
    ACTIONS(1971), 1,
      anon_sym_PIPE,
    ACTIONS(1973), 1,
      anon_sym_AMP,
    ACTIONS(1975), 1,
      anon_sym_CARET,
    ACTIONS(1979), 1,
      anon_sym_is,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    STATE(1574), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1953), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1969), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1977), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1133), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1961), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1951), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
    ACTIONS(1957), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [81238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [81282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [81326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [81370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [81502] = 8,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81556] = 15,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2269), 1,
      anon_sym_PIPE,
    ACTIONS(2271), 1,
      anon_sym_AMP,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2061), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2059), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81624] = 11,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81684] = 8,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81782] = 15,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2057), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2055), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [81894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [81982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82026] = 15,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2221), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2065), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2223), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1503), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2231), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2063), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82094] = 8,
    ACTIONS(2443), 1,
      anon_sym_not,
    ACTIONS(2449), 1,
      anon_sym_is,
    STATE(1231), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 3,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 21,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [82148] = 8,
    ACTIONS(2455), 1,
      anon_sym_not,
    ACTIONS(2461), 1,
      anon_sym_is,
    STATE(1232), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2458), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 3,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2452), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 21,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [82202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82246] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82382] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [82470] = 19,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2265), 1,
      anon_sym_not,
    ACTIONS(2269), 1,
      anon_sym_PIPE,
    ACTIONS(2271), 1,
      anon_sym_AMP,
    ACTIONS(2273), 1,
      anon_sym_CARET,
    ACTIONS(2277), 1,
      anon_sym_is,
    STATE(1591), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2255), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2261), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1951), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2257), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82546] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1381), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [82592] = 5,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [82772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [82816] = 8,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1506), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2132), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2130), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [82914] = 4,
    STATE(1232), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [82960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83004] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83272] = 4,
    STATE(1186), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83362] = 4,
    STATE(1231), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83628] = 4,
    ACTIONS(1467), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [83674] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [83722] = 4,
    ACTIONS(1366), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [83768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83812] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83856] = 4,
    ACTIONS(1403), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [83902] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [83950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84038] = 8,
    ACTIONS(2083), 1,
      anon_sym_not,
    ACTIONS(2095), 1,
      anon_sym_is,
    STATE(1186), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2093), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2172), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
    ACTIONS(2075), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2170), 21,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [84092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [84136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84312] = 4,
    ACTIONS(1448), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [84358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [84402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [84446] = 7,
    ACTIONS(2464), 1,
      anon_sym_as,
    ACTIONS(2466), 1,
      anon_sym_if,
    ACTIONS(2468), 1,
      anon_sym_and,
    ACTIONS(2470), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84498] = 5,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1366), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84546] = 5,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1381), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [84638] = 5,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(346), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(348), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84686] = 7,
    ACTIONS(2464), 1,
      anon_sym_as,
    ACTIONS(2466), 1,
      anon_sym_if,
    ACTIONS(2468), 1,
      anon_sym_and,
    ACTIONS(2470), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84782] = 6,
    ACTIONS(2468), 1,
      anon_sym_and,
    ACTIONS(2470), 1,
      anon_sym_or,
    ACTIONS(2472), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84832] = 5,
    ACTIONS(2468), 1,
      anon_sym_and,
    ACTIONS(2470), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84880] = 4,
    ACTIONS(2468), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84970] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85016] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85062] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85106] = 7,
    ACTIONS(2464), 1,
      anon_sym_as,
    ACTIONS(2466), 1,
      anon_sym_if,
    ACTIONS(2468), 1,
      anon_sym_and,
    ACTIONS(2470), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85201] = 4,
    STATE(1398), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85246] = 4,
    ACTIONS(2475), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85291] = 5,
    ACTIONS(2475), 1,
      anon_sym_and,
    ACTIONS(2477), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85338] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85383] = 6,
    ACTIONS(2475), 1,
      anon_sym_and,
    ACTIONS(2477), 1,
      anon_sym_or,
    ACTIONS(2479), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85432] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85520] = 7,
    ACTIONS(2475), 1,
      anon_sym_and,
    ACTIONS(2477), 1,
      anon_sym_or,
    ACTIONS(2482), 1,
      anon_sym_as,
    ACTIONS(2484), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85571] = 7,
    ACTIONS(2475), 1,
      anon_sym_and,
    ACTIONS(2477), 1,
      anon_sym_or,
    ACTIONS(2482), 1,
      anon_sym_as,
    ACTIONS(2484), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85622] = 7,
    ACTIONS(2486), 1,
      anon_sym_as,
    ACTIONS(2488), 1,
      anon_sym_if,
    ACTIONS(2490), 1,
      anon_sym_and,
    ACTIONS(2492), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85673] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1381), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85718] = 6,
    ACTIONS(2490), 1,
      anon_sym_and,
    ACTIONS(2492), 1,
      anon_sym_or,
    ACTIONS(2494), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85896] = 5,
    ACTIONS(2490), 1,
      anon_sym_and,
    ACTIONS(2492), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85943] = 4,
    ACTIONS(2490), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86289] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1467), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1470), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86334] = 7,
    ACTIONS(2486), 1,
      anon_sym_as,
    ACTIONS(2488), 1,
      anon_sym_if,
    ACTIONS(2490), 1,
      anon_sym_and,
    ACTIONS(2492), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86385] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1366), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86430] = 7,
    ACTIONS(2486), 1,
      anon_sym_as,
    ACTIONS(2488), 1,
      anon_sym_if,
    ACTIONS(2490), 1,
      anon_sym_and,
    ACTIONS(2492), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86567] = 7,
    ACTIONS(2497), 1,
      anon_sym_as,
    ACTIONS(2499), 1,
      anon_sym_if,
    ACTIONS(2501), 1,
      anon_sym_and,
    ACTIONS(2503), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86704] = 6,
    ACTIONS(2501), 1,
      anon_sym_and,
    ACTIONS(2503), 1,
      anon_sym_or,
    ACTIONS(2505), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86796] = 5,
    ACTIONS(2501), 1,
      anon_sym_and,
    ACTIONS(2503), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87058] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87101] = 4,
    ACTIONS(2501), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87275] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87318] = 7,
    ACTIONS(2497), 1,
      anon_sym_as,
    ACTIONS(2499), 1,
      anon_sym_if,
    ACTIONS(2501), 1,
      anon_sym_and,
    ACTIONS(2503), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87369] = 7,
    ACTIONS(2497), 1,
      anon_sym_as,
    ACTIONS(2499), 1,
      anon_sym_if,
    ACTIONS(2501), 1,
      anon_sym_and,
    ACTIONS(2503), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87420] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1403), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87465] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87508] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87555] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1381), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87600] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1448), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1451), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88548] = 7,
    ACTIONS(2475), 1,
      anon_sym_and,
    ACTIONS(2477), 1,
      anon_sym_or,
    ACTIONS(2482), 1,
      anon_sym_as,
    ACTIONS(2484), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88599] = 4,
    STATE(1425), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88687] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88734] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1446), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1451), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1453), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [88779] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88869] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1401), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1406), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1408), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [88914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88957] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1364), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1369), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1375), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [89002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89088] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(272), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(274), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(302), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [89133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89176] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1465), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1470), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1375), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [89221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89264] = 5,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(648), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89397] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1448), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1451), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89442] = 5,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2194), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89489] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89622] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1403), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89667] = 8,
    ACTIONS(2511), 1,
      anon_sym_not,
    ACTIONS(2517), 1,
      anon_sym_is,
    STATE(1398), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2514), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2508), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 21,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89720] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1366), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89765] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1467), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1470), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2202), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 29,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90197] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2198), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2196), 29,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90842] = 8,
    ACTIONS(2523), 1,
      anon_sym_not,
    ACTIONS(2529), 1,
      anon_sym_is,
    STATE(1425), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2526), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
    ACTIONS(2520), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [90895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90981] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91415] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91544] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91673] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91718] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91763] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91982] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92152] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [92198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92576] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92788] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1391), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2414), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2412), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93124] = 7,
    ACTIONS(2532), 1,
      anon_sym_as,
    ACTIONS(2534), 1,
      anon_sym_if,
    ACTIONS(2536), 1,
      anon_sym_and,
    ACTIONS(2538), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 24,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93300] = 6,
    ACTIONS(2536), 1,
      anon_sym_and,
    ACTIONS(2538), 1,
      anon_sym_or,
    ACTIONS(2540), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93348] = 5,
    ACTIONS(2536), 1,
      anon_sym_and,
    ACTIONS(2538), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1472), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93520] = 4,
    ACTIONS(2536), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93606] = 7,
    ACTIONS(2532), 1,
      anon_sym_as,
    ACTIONS(2534), 1,
      anon_sym_if,
    ACTIONS(2536), 1,
      anon_sym_and,
    ACTIONS(2538), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 24,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93698] = 7,
    ACTIONS(2532), 1,
      anon_sym_as,
    ACTIONS(2534), 1,
      anon_sym_if,
    ACTIONS(2536), 1,
      anon_sym_and,
    ACTIONS(2538), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 24,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93790] = 7,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_and,
    ACTIONS(2549), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2337), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93840] = 6,
    ACTIONS(2547), 1,
      anon_sym_and,
    ACTIONS(2549), 1,
      anon_sym_or,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2318), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93888] = 5,
    ACTIONS(2547), 1,
      anon_sym_and,
    ACTIONS(2549), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2300), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93934] = 4,
    ACTIONS(2547), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93978] = 7,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_and,
    ACTIONS(2549), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2306), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94154] = 7,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_and,
    ACTIONS(2549), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2349), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2376), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2382), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2380), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2361), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1457), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94498] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2345), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2327), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2325), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1446), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2341), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(272), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2333), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2329), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2398), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2396), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1461), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2294), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1377), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95130] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [95174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1401), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95258] = 4,
    ACTIONS(1371), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [95302] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95348] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(351), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(346), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(605), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [95394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1965), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1364), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2434), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2432), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2438), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2436), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2416), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2400), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2394), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2392), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95688] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1389), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2410), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2408), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95776] = 4,
    ACTIONS(289), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(348), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(605), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2370), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2368), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2374), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2372), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2404), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2390), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2388), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2386), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2384), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1472), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96112] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(272), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(274), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(302), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96155] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1446), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1451), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1453), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96198] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1383), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1386), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1381), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96241] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(605), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(348), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(346), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1377), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1379), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1377), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [96407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1461), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96448] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1401), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1406), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1408), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96491] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1364), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1369), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1463), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1461), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1459), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1457), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96616] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1465), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1470), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1375), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1393), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1391), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [96700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96741] = 7,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2349), 18,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [96782] = 5,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2302), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2300), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [96819] = 4,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2296), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2294), 21,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [96854] = 6,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(2562), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2318), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [96893] = 7,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2339), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 18,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [96934] = 7,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2310), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2306), 18,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [96975] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1408), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1401), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97007] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1375), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97039] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(302), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97071] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1453), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1446), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97103] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1375), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1465), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97135] = 8,
    ACTIONS(2031), 1,
      anon_sym_not,
    ACTIONS(2043), 1,
      anon_sym_is,
    ACTIONS(2172), 1,
      anon_sym_as,
    STATE(1071), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2041), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2023), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2170), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [97174] = 8,
    ACTIONS(1967), 1,
      anon_sym_not,
    ACTIONS(1979), 1,
      anon_sym_is,
    ACTIONS(2172), 1,
      anon_sym_EQ,
    STATE(1094), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1977), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1957), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2170), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [97213] = 7,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2378), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2376), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97250] = 8,
    ACTIONS(2001), 1,
      anon_sym_not,
    ACTIONS(2013), 1,
      anon_sym_is,
    ACTIONS(2172), 1,
      anon_sym_EQ,
    STATE(1047), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2011), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1993), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2170), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [97289] = 4,
    ACTIONS(2567), 1,
      anon_sym_COMMA,
    STATE(1577), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [97319] = 4,
    ACTIONS(2570), 1,
      anon_sym_COMMA,
    STATE(1577), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(884), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [97349] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2572), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97379] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1381), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97409] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(744), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97439] = 8,
    ACTIONS(2156), 1,
      anon_sym_not,
    ACTIONS(2168), 1,
      anon_sym_is,
    ACTIONS(2172), 1,
      anon_sym_as,
    STATE(1232), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2166), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2148), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2170), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [97477] = 8,
    ACTIONS(2113), 1,
      anon_sym_not,
    ACTIONS(2125), 1,
      anon_sym_is,
    ACTIONS(2172), 1,
      anon_sym_as,
    STATE(1231), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2123), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2170), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [97515] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(346), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97545] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97574] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [97599] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1381), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97628] = 7,
    ACTIONS(2235), 1,
      anon_sym_not,
    ACTIONS(2247), 1,
      anon_sym_is,
    STATE(1398), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2245), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2227), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2170), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [97663] = 13,
    ACTIONS(1947), 1,
      anon_sym_DOT,
    ACTIONS(1963), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [97710] = 8,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2132), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2130), 10,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97747] = 8,
    ACTIONS(2172), 1,
      anon_sym_EQ,
    ACTIONS(2265), 1,
      anon_sym_not,
    ACTIONS(2277), 1,
      anon_sym_is,
    STATE(1425), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2170), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2257), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [97784] = 13,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2190), 1,
      anon_sym_DOT,
    ACTIONS(2192), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [97831] = 13,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [97878] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(744), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97907] = 13,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [97954] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1408), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1401), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97983] = 13,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(2592), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98030] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(302), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98059] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1453), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1446), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98088] = 13,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2140), 1,
      anon_sym_DOT,
    ACTIONS(2154), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98135] = 13,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    ACTIONS(2233), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98182] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2572), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98211] = 13,
    ACTIONS(2015), 1,
      anon_sym_DOT,
    ACTIONS(2029), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98258] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1465), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98287] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1453), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1446), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98316] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(302), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98345] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1408), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1401), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98374] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1451), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1453), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1446), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98403] = 11,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2051), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2594), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98496] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2596), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98521] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98550] = 8,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2051), 10,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98587] = 13,
    ACTIONS(1985), 1,
      anon_sym_DOT,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98634] = 10,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 5,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98675] = 8,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2051), 10,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98712] = 9,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2051), 7,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98751] = 13,
    ACTIONS(2051), 1,
      anon_sym_PIPE,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98798] = 12,
    ACTIONS(2067), 1,
      anon_sym_DOT,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2081), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2051), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98843] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1465), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98872] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1470), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1465), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98901] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1408), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1401), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98930] = 13,
    ACTIONS(2069), 1,
      anon_sym_LPAREN,
    ACTIONS(2097), 1,
      anon_sym_DOT,
    ACTIONS(2111), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2584), 1,
      anon_sym_PIPE,
    ACTIONS(2586), 1,
      anon_sym_AMP,
    ACTIONS(2588), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2582), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1439), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2580), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98977] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(302), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99006] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(274), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(346), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(272), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99035] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1369), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1375), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1364), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99064] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2604), 1,
      anon_sym_COLON,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2326), 1,
      sym_lambda_parameters,
    STATE(2347), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99110] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2610), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2376), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99180] = 4,
    ACTIONS(2612), 1,
      anon_sym_COMMA,
    STATE(1631), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99208] = 4,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    STATE(1631), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(884), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99236] = 5,
    ACTIONS(2619), 1,
      anon_sym_COLON,
    ACTIONS(2621), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2617), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2623), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99266] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2625), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2401), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99312] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2627), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2386), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99358] = 6,
    ACTIONS(2619), 1,
      anon_sym_COLON,
    ACTIONS(2621), 1,
      anon_sym_EQ,
    ACTIONS(2629), 1,
      anon_sym_COMMA,
    STATE(1578), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2623), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99390] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2631), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2429), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99436] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2594), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99460] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2633), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2449), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99506] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2635), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2465), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99552] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2637), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2461), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99598] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99622] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2639), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2372), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99668] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2641), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2381), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99714] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2596), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99738] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2643), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2445), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99784] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2645), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2371), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99830] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2647), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2366), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99876] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2649), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2446), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99922] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2651), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2353), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99968] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2653), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2473), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100014] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2655), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2340), 1,
      sym_lambda_parameters,
    STATE(2347), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100060] = 6,
    ACTIONS(2619), 1,
      anon_sym_COLON,
    ACTIONS(2621), 1,
      anon_sym_EQ,
    ACTIONS(2657), 1,
      anon_sym_COMMA,
    STATE(1632), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2623), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100092] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2659), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2393), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100138] = 13,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2661), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_parameter,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2347), 1,
      sym__parameters,
    STATE(2488), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100184] = 12,
    ACTIONS(2663), 1,
      sym_identifier,
    ACTIONS(2665), 1,
      anon_sym_LPAREN,
    ACTIONS(2667), 1,
      anon_sym_RPAREN,
    ACTIONS(2669), 1,
      anon_sym_STAR,
    ACTIONS(2671), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    STATE(2186), 1,
      sym_parameter,
    STATE(2196), 1,
      sym_tuple_pattern,
    STATE(2413), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2171), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2225), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100227] = 11,
    ACTIONS(2663), 1,
      sym_identifier,
    ACTIONS(2665), 1,
      anon_sym_LPAREN,
    ACTIONS(2669), 1,
      anon_sym_STAR,
    ACTIONS(2671), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    ACTIONS(2675), 1,
      anon_sym_RPAREN,
    STATE(2196), 1,
      sym_tuple_pattern,
    STATE(2283), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2171), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2225), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100267] = 4,
    ACTIONS(2619), 1,
      anon_sym_COLON,
    ACTIONS(2621), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2623), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100293] = 11,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2677), 1,
      anon_sym_COLON,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2299), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100333] = 11,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    ACTIONS(2675), 1,
      anon_sym_COLON,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2299), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100373] = 11,
    ACTIONS(2663), 1,
      sym_identifier,
    ACTIONS(2665), 1,
      anon_sym_LPAREN,
    ACTIONS(2669), 1,
      anon_sym_STAR,
    ACTIONS(2671), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    STATE(2196), 1,
      sym_tuple_pattern,
    STATE(2283), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2171), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2225), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100413] = 10,
    ACTIONS(2598), 1,
      sym_identifier,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2602), 1,
      anon_sym_STAR,
    ACTIONS(2606), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2608), 1,
      anon_sym_SLASH,
    STATE(2107), 1,
      sym_tuple_pattern,
    STATE(2299), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2302), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2304), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100450] = 10,
    ACTIONS(2663), 1,
      sym_identifier,
    ACTIONS(2665), 1,
      anon_sym_LPAREN,
    ACTIONS(2669), 1,
      anon_sym_STAR,
    ACTIONS(2671), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    STATE(2196), 1,
      sym_tuple_pattern,
    STATE(2283), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2171), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2225), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100487] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2411), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100528] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2317), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100569] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2395), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100610] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2484), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100651] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2509), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100692] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2456), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100733] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2433), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100774] = 13,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2356), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100815] = 12,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2073), 1,
      aux_sym_argument_list_repeat1,
    STATE(2346), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100853] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2713), 1,
      anon_sym_RPAREN,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2097), 1,
      aux_sym_argument_list_repeat1,
    STATE(2358), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100891] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2435), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100929] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2731), 1,
      anon_sym_RPAREN,
    ACTIONS(2733), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2156), 1,
      aux_sym_argument_list_repeat1,
    STATE(2364), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100967] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2735), 1,
      anon_sym_RPAREN,
    ACTIONS(2737), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2120), 1,
      aux_sym_argument_list_repeat1,
    STATE(2313), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101005] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2357), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101043] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2739), 1,
      anon_sym_RPAREN,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2364), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101081] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2743), 1,
      anon_sym_RPAREN,
    ACTIONS(2745), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2167), 1,
      aux_sym_argument_list_repeat1,
    STATE(2505), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101119] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2747), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2505), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101157] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2045), 1,
      aux_sym_argument_list_repeat1,
    STATE(2440), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101195] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2753), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2346), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101233] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2423), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101271] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2458), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101309] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2459), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101347] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2480), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101385] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2757), 1,
      anon_sym_RPAREN,
    ACTIONS(2759), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2175), 1,
      aux_sym_argument_list_repeat1,
    STATE(2459), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101423] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2761), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2358), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101461] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2763), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2479), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101499] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2314), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101537] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2377), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101575] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2765), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2313), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101613] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2767), 1,
      anon_sym_RPAREN,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2212), 1,
      aux_sym_argument_list_repeat1,
    STATE(2479), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101651] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    ACTIONS(2773), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2440), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101689] = 12,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    STATE(1832), 1,
      sym_for_in_clause,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2427), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101727] = 12,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    STATE(1788), 1,
      sym_for_in_clause,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2440), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101765] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2782), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1712), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2784), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2786), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1708), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2788), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2790), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2792), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1698), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101939] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2794), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101968] = 8,
    ACTIONS(2796), 1,
      anon_sym_COMMA,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    STATE(1853), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [101997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2808), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2810), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1700), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102055] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2812), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1717), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2814), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2816), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102142] = 8,
    ACTIONS(2796), 1,
      anon_sym_COMMA,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    STATE(1853), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2818), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2820), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1705), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2822), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2824), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1716), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(2832), 1,
      sym__not_escape_sequence,
    ACTIONS(2835), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2829), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102287] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2837), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1703), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2839), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102345] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_LBRACE,
    ACTIONS(2780), 1,
      sym__not_escape_sequence,
    ACTIONS(2841), 1,
      sym_string_end,
    STATE(1831), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(2778), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
    STATE(1714), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102374] = 6,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2349), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [102398] = 5,
    ACTIONS(2302), 1,
      anon_sym_as,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [102420] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2843), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102444] = 9,
    ACTIONS(2847), 1,
      anon_sym_from,
    ACTIONS(2849), 1,
      anon_sym_COMMA,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2845), 2,
      sym__newline,
      anon_sym_SEMI,
  [102474] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [102498] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2349), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102522] = 6,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [102546] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102570] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2306), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [102594] = 3,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [102612] = 4,
    ACTIONS(2296), 1,
      anon_sym_as,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
      anon_sym_RBRACE,
  [102632] = 4,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102652] = 5,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(2859), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [102674] = 5,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(2862), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [102696] = 4,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [102716] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2349), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [102740] = 3,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102758] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2306), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102782] = 5,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(2865), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102804] = 6,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2306), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [102828] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102852] = 9,
    ACTIONS(2870), 1,
      anon_sym_COMMA,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2878), 1,
      anon_sym_RBRACK,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    STATE(2066), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102881] = 6,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2306), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [102904] = 5,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [102925] = 8,
    ACTIONS(2849), 1,
      anon_sym_COMMA,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 2,
      sym__newline,
      anon_sym_SEMI,
  [102952] = 8,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(2890), 1,
      anon_sym_COMMA,
    STATE(1969), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2888), 2,
      sym__newline,
      anon_sym_SEMI,
  [102979] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2892), 1,
      anon_sym_COMMA,
    ACTIONS(2894), 1,
      anon_sym_RBRACK,
    STATE(2216), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103008] = 5,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103029] = 9,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2898), 1,
      anon_sym_if,
    ACTIONS(2900), 1,
      anon_sym_COLON,
    STATE(1907), 1,
      aux_sym_case_clause_repeat1,
    STATE(2462), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103058] = 5,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103079] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [103102] = 6,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [103125] = 8,
    ACTIONS(2849), 1,
      anon_sym_COMMA,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      sym__newline,
      anon_sym_SEMI,
  [103152] = 5,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103173] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2904), 1,
      anon_sym_COMMA,
    ACTIONS(2906), 1,
      anon_sym_RBRACK,
    STATE(2160), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103202] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2908), 1,
      anon_sym_COMMA,
    ACTIONS(2910), 1,
      anon_sym_RBRACK,
    STATE(2162), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103231] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2912), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_RBRACK,
    STATE(2101), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103260] = 7,
    ACTIONS(1324), 1,
      anon_sym_except,
    ACTIONS(1328), 1,
      anon_sym_except_STAR,
    ACTIONS(2916), 1,
      anon_sym_finally,
    STATE(751), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(568), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(571), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [103285] = 8,
    ACTIONS(2849), 1,
      anon_sym_COMMA,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2617), 2,
      sym__newline,
      anon_sym_SEMI,
  [103312] = 7,
    ACTIONS(59), 1,
      anon_sym_AT,
    ACTIONS(2918), 1,
      anon_sym_async,
    ACTIONS(2920), 1,
      anon_sym_def,
    ACTIONS(2922), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(767), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1881), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [103337] = 5,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(2924), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103358] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2927), 1,
      anon_sym_COMMA,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    STATE(2169), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103387] = 5,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103408] = 7,
    ACTIONS(1316), 1,
      anon_sym_except_STAR,
    ACTIONS(1320), 1,
      anon_sym_except,
    ACTIONS(2931), 1,
      anon_sym_finally,
    STATE(748), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(535), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(536), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [103433] = 6,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2349), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103456] = 5,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103477] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2933), 1,
      anon_sym_COMMA,
    ACTIONS(2935), 1,
      anon_sym_RBRACK,
    STATE(2047), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103506] = 5,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103527] = 6,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2306), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103550] = 8,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(2939), 1,
      anon_sym_COMMA,
    STATE(1989), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2937), 2,
      sym__newline,
      anon_sym_SEMI,
  [103577] = 4,
    ACTIONS(2296), 1,
      anon_sym_as,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [103596] = 5,
    ACTIONS(2302), 1,
      anon_sym_as,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103617] = 7,
    ACTIONS(1324), 1,
      anon_sym_except,
    ACTIONS(1328), 1,
      anon_sym_except_STAR,
    ACTIONS(2916), 1,
      anon_sym_finally,
    STATE(829), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(493), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(494), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [103642] = 5,
    ACTIONS(2302), 1,
      anon_sym_as,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103663] = 4,
    ACTIONS(2296), 1,
      anon_sym_as,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [103682] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    ACTIONS(2943), 1,
      anon_sym_RBRACK,
    STATE(2081), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103711] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2945), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACK,
    STATE(2096), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103740] = 6,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2721), 1,
      anon_sym_if,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103763] = 9,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(2949), 1,
      anon_sym_COMMA,
    ACTIONS(2951), 1,
      anon_sym_RBRACK,
    STATE(2116), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103792] = 7,
    ACTIONS(59), 1,
      anon_sym_AT,
    ACTIONS(2953), 1,
      anon_sym_async,
    ACTIONS(2955), 1,
      anon_sym_def,
    ACTIONS(2957), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(818), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1881), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [103817] = 5,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(2959), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103838] = 8,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2962), 2,
      sym__newline,
      anon_sym_SEMI,
  [103865] = 7,
    ACTIONS(1316), 1,
      anon_sym_except_STAR,
    ACTIONS(1320), 1,
      anon_sym_except,
    ACTIONS(2931), 1,
      anon_sym_finally,
    STATE(828), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(482), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(483), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [103890] = 5,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103911] = 6,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2683), 1,
      anon_sym_if,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2966), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103934] = 8,
    ACTIONS(2849), 1,
      anon_sym_COMMA,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    STATE(1964), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      sym__newline,
      anon_sym_SEMI,
  [103961] = 8,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    STATE(1986), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2968), 2,
      sym__newline,
      anon_sym_SEMI,
  [103988] = 6,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2349), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104011] = 5,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104032] = 6,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2970), 1,
      anon_sym_if,
    ACTIONS(2972), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1809), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104054] = 6,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RPAREN,
    ACTIONS(2976), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1813), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104076] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    ACTIONS(2980), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2198), 1,
      aux_sym_dictionary_repeat1,
    STATE(2490), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104102] = 6,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2972), 1,
      anon_sym_RBRACK,
    ACTIONS(2982), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1795), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104124] = 6,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2970), 1,
      anon_sym_if,
    ACTIONS(2974), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1787), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104146] = 8,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    STATE(2045), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104172] = 8,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    ACTIONS(2994), 1,
      anon_sym_COLON,
    STATE(2026), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104198] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(2996), 1,
      anon_sym_COMMA,
    ACTIONS(2998), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
    STATE(2402), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104224] = 6,
    ACTIONS(3000), 1,
      anon_sym_if,
    ACTIONS(3003), 1,
      anon_sym_async,
    ACTIONS(3006), 1,
      anon_sym_for,
    ACTIONS(3009), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1795), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104246] = 8,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3011), 1,
      anon_sym_COMMA,
    ACTIONS(3013), 1,
      anon_sym_COLON,
    STATE(2065), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104272] = 7,
    ACTIONS(1186), 1,
      anon_sym_COLON,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1184), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [104296] = 8,
    ACTIONS(2802), 1,
      anon_sym_RBRACK,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3015), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104322] = 8,
    ACTIONS(2802), 1,
      anon_sym_RPAREN,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3017), 1,
      anon_sym_COMMA,
    STATE(2051), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104348] = 5,
    ACTIONS(2719), 1,
      anon_sym_as,
    ACTIONS(2727), 1,
      anon_sym_and,
    ACTIONS(2729), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104368] = 5,
    ACTIONS(2681), 1,
      anon_sym_as,
    ACTIONS(2691), 1,
      anon_sym_and,
    ACTIONS(2693), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104388] = 5,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2709), 1,
      anon_sym_and,
    ACTIONS(2711), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104408] = 8,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3021), 1,
      anon_sym_COMMA,
    ACTIONS(3023), 1,
      anon_sym_COLON,
    STATE(2213), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104434] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2349), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [104456] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2306), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [104478] = 6,
    ACTIONS(3009), 1,
      anon_sym_RPAREN,
    ACTIONS(3025), 1,
      anon_sym_if,
    ACTIONS(3028), 1,
      anon_sym_async,
    ACTIONS(3031), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1806), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104500] = 8,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    ACTIONS(3034), 1,
      anon_sym_COLON,
    STATE(2026), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104526] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(3036), 1,
      anon_sym_COMMA,
    ACTIONS(3038), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2190), 1,
      aux_sym_dictionary_repeat1,
    STATE(2455), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104552] = 6,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3040), 1,
      anon_sym_if,
    ACTIONS(3043), 1,
      anon_sym_async,
    ACTIONS(3046), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1809), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104574] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(3049), 1,
      anon_sym_COMMA,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2033), 1,
      aux_sym_dictionary_repeat1,
    STATE(2432), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104600] = 8,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_COLON,
    STATE(2026), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104626] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3055), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [104648] = 6,
    ACTIONS(2705), 1,
      anon_sym_async,
    ACTIONS(2707), 1,
      anon_sym_for,
    ACTIONS(2972), 1,
      anon_sym_RPAREN,
    ACTIONS(2976), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1806), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [104670] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [104692] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(3059), 1,
      anon_sym_COMMA,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2085), 1,
      aux_sym_dictionary_repeat1,
    STATE(2351), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104718] = 3,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_or,
  [104734] = 4,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [104752] = 5,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3063), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [104772] = 8,
    ACTIONS(3066), 1,
      sym_identifier,
    ACTIONS(3068), 1,
      anon_sym_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_STAR,
    STATE(1936), 1,
      sym_dotted_name,
    STATE(1992), 1,
      sym_aliased_import,
    STATE(2288), 1,
      sym_wildcard_import,
    STATE(2292), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104798] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2349), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [104820] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [104842] = 7,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2876), 1,
      anon_sym_COLON,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [104866] = 3,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [104882] = 4,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [104900] = 7,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3074), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [104924] = 5,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3076), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2318), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [104944] = 7,
    ACTIONS(3079), 1,
      sym_identifier,
    ACTIONS(3081), 1,
      anon_sym_DOT,
    ACTIONS(3083), 1,
      anon_sym___future__,
    STATE(1972), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2016), 1,
      sym_import_prefix,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2476), 2,
      sym_relative_import,
      sym_dotted_name,
  [104968] = 8,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    ACTIONS(3085), 1,
      anon_sym_COLON,
    STATE(2026), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104994] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [105016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3087), 1,
      anon_sym_LBRACE,
    ACTIONS(3092), 1,
      sym__not_escape_sequence,
    ACTIONS(3095), 1,
      sym_string_end,
    STATE(1830), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3089), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [105040] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3101), 1,
      sym__not_escape_sequence,
    ACTIONS(3103), 1,
      sym_string_end,
    STATE(1830), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3099), 3,
      sym__string_content,
      sym__escape_interpolation,
      sym_escape_sequence,
  [105064] = 6,
    ACTIONS(2723), 1,
      anon_sym_async,
    ACTIONS(2725), 1,
      anon_sym_for,
    ACTIONS(2974), 1,
      anon_sym_RBRACK,
    ACTIONS(2982), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1790), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105086] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2337), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [105108] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(3105), 1,
      anon_sym_COMMA,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2141), 1,
      aux_sym_dictionary_repeat1,
    STATE(2400), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105134] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2137), 1,
      aux_sym_dictionary_repeat1,
    STATE(2318), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105160] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2306), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [105182] = 8,
    ACTIONS(2687), 1,
      anon_sym_async,
    ACTIONS(2689), 1,
      anon_sym_for,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    STATE(1791), 1,
      sym_for_in_clause,
    STATE(2014), 1,
      aux_sym_dictionary_repeat1,
    STATE(2337), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105208] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [105230] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3117), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [105252] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3119), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [105273] = 4,
    ACTIONS(3121), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3124), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [105290] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3126), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [105311] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [105332] = 4,
    ACTIONS(3128), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(884), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105349] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105370] = 4,
    ACTIONS(3130), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105387] = 4,
    ACTIONS(3135), 1,
      anon_sym_DOT,
    STATE(1847), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3133), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [105404] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3138), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105425] = 4,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    STATE(1872), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3140), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [105442] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3144), 2,
      sym__newline,
      anon_sym_SEMI,
  [105463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3146), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3148), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [105480] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3150), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [105501] = 4,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1080), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105518] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3154), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [105539] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2843), 2,
      sym__newline,
      anon_sym_SEMI,
  [105560] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2843), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [105581] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3154), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [105602] = 7,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3019), 1,
      anon_sym_COLON,
    ACTIONS(3156), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105625] = 4,
    ACTIONS(3158), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [105642] = 5,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3161), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [105661] = 4,
    ACTIONS(3163), 1,
      anon_sym_COMMA,
    STATE(1861), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3124), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105678] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3166), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [105699] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3168), 2,
      sym__newline,
      anon_sym_SEMI,
  [105720] = 4,
    ACTIONS(3172), 1,
      anon_sym_COMMA,
    STATE(1861), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3170), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105737] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3174), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105758] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3126), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105779] = 4,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [105796] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3138), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [105817] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3176), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [105838] = 4,
    ACTIONS(3178), 1,
      anon_sym_COMMA,
    STATE(1870), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3124), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105855] = 4,
    ACTIONS(3183), 1,
      anon_sym_COMMA,
    STATE(1861), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105872] = 4,
    ACTIONS(3142), 1,
      anon_sym_DOT,
    STATE(1847), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3185), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [105889] = 4,
    ACTIONS(3189), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3191), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3193), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [105923] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1262), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105944] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [105965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3197), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3199), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [105982] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3201), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106003] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3166), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106024] = 4,
    ACTIONS(3203), 1,
      anon_sym_COMMA,
    STATE(1870), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3170), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106041] = 4,
    ACTIONS(3207), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1881), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(3205), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [106058] = 4,
    ACTIONS(3210), 1,
      anon_sym_COMMA,
    STATE(1870), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106075] = 4,
    ACTIONS(3214), 1,
      anon_sym_COMMA,
    STATE(1871), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3212), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106092] = 4,
    ACTIONS(3216), 1,
      anon_sym_COMMA,
    STATE(1880), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3218), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3220), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [106126] = 4,
    ACTIONS(3222), 1,
      anon_sym_COMMA,
    STATE(1882), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3212), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3226), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [106160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3228), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3230), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [106177] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3126), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3232), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3234), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [106215] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2966), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3236), 2,
      anon_sym_LBRACE,
      sym__not_escape_sequence,
    ACTIONS(3238), 4,
      sym__string_content,
      sym_string_end,
      sym__escape_interpolation,
      sym_escape_sequence,
  [106253] = 4,
    ACTIONS(3240), 1,
      anon_sym_COMMA,
    STATE(1897), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3212), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106270] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106291] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106312] = 4,
    ACTIONS(3242), 1,
      anon_sym_COMMA,
    STATE(1898), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3187), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106329] = 4,
    ACTIONS(3244), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106346] = 4,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    STATE(1841), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3170), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106363] = 7,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3248), 1,
      anon_sym_COMMA,
    ACTIONS(3250), 1,
      anon_sym_as,
    ACTIONS(3252), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106386] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1294), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106407] = 6,
    ACTIONS(2872), 1,
      anon_sym_as,
    ACTIONS(2874), 1,
      anon_sym_if,
    ACTIONS(2880), 1,
      anon_sym_and,
    ACTIONS(2882), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106428] = 6,
    ACTIONS(2984), 1,
      anon_sym_as,
    ACTIONS(2986), 1,
      anon_sym_if,
    ACTIONS(2988), 1,
      anon_sym_and,
    ACTIONS(2990), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3254), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106449] = 7,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3250), 1,
      anon_sym_as,
    ACTIONS(3256), 1,
      anon_sym_COMMA,
    ACTIONS(3258), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106472] = 6,
    ACTIONS(2798), 1,
      anon_sym_as,
    ACTIONS(2800), 1,
      anon_sym_if,
    ACTIONS(2804), 1,
      anon_sym_and,
    ACTIONS(2806), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3138), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106493] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3176), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106514] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3260), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106534] = 6,
    ACTIONS(3262), 1,
      anon_sym_COMMA,
    ACTIONS(3264), 1,
      anon_sym_if,
    ACTIONS(3266), 1,
      anon_sym_COLON,
    STATE(1978), 1,
      aux_sym_case_clause_repeat1,
    STATE(2418), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106554] = 4,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    STATE(1940), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3185), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [106570] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3270), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106590] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3272), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106610] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3274), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106630] = 4,
    ACTIONS(3268), 1,
      anon_sym_DOT,
    STATE(1908), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3140), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [106646] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3276), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106666] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3019), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106686] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3278), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106698] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3280), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106718] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106730] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3282), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106750] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2594), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106762] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3124), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106774] = 5,
    ACTIONS(3066), 1,
      sym_identifier,
    STATE(1996), 1,
      sym_dotted_name,
    STATE(2070), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3284), 2,
      sym__newline,
      anon_sym_SEMI,
  [106792] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3156), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106812] = 6,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3286), 1,
      anon_sym_as,
    ACTIONS(3288), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106832] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3133), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [106844] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3290), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106856] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3292), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106876] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3294), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106896] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3296), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106916] = 6,
    ACTIONS(2851), 1,
      anon_sym_as,
    ACTIONS(2853), 1,
      anon_sym_if,
    ACTIONS(2855), 1,
      anon_sym_and,
    ACTIONS(2857), 1,
      anon_sym_or,
    ACTIONS(3298), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106936] = 6,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3286), 1,
      anon_sym_as,
    ACTIONS(3300), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106956] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3302), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106976] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3304), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106996] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3306), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107016] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3308), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107036] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3310), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107056] = 5,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    ACTIONS(3316), 1,
      anon_sym_as,
    STATE(1982), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3312), 2,
      sym__newline,
      anon_sym_SEMI,
  [107074] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3318), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107094] = 5,
    ACTIONS(3066), 1,
      sym_identifier,
    STATE(1996), 1,
      sym_dotted_name,
    STATE(2070), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3284), 2,
      sym__newline,
      anon_sym_SEMI,
  [107112] = 6,
    ACTIONS(3320), 1,
      anon_sym_LBRACE,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(3325), 1,
      aux_sym_format_specifier_token1,
    STATE(1939), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2149), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [107132] = 4,
    ACTIONS(3328), 1,
      anon_sym_DOT,
    STATE(1940), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3133), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [107148] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2596), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107160] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3331), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107180] = 6,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(3337), 1,
      aux_sym_format_specifier_token1,
    STATE(1944), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2149), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [107200] = 6,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      anon_sym_RBRACE,
    ACTIONS(3341), 1,
      aux_sym_format_specifier_token1,
    STATE(1939), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2149), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [107220] = 6,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(3347), 1,
      anon_sym_RBRACE,
    ACTIONS(3349), 1,
      sym_type_conversion,
    STATE(2360), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107240] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3290), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107252] = 5,
    ACTIONS(3066), 1,
      sym_identifier,
    STATE(1996), 1,
      sym_dotted_name,
    STATE(2070), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3351), 2,
      sym__newline,
      anon_sym_SEMI,
  [107270] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3124), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107282] = 4,
    ACTIONS(3353), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [107298] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3356), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107318] = 6,
    ACTIONS(3066), 1,
      sym_identifier,
    ACTIONS(3358), 1,
      anon_sym_LPAREN,
    STATE(1936), 1,
      sym_dotted_name,
    STATE(1992), 1,
      sym_aliased_import,
    STATE(2296), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107338] = 6,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3360), 1,
      anon_sym_EQ,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
    ACTIONS(3364), 1,
      sym_type_conversion,
    STATE(2389), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107358] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3366), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3278), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107390] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3368), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107410] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3370), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107430] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107442] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3372), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107462] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3374), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107494] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3278), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107506] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3124), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107518] = 6,
    ACTIONS(2554), 1,
      anon_sym_as,
    ACTIONS(2556), 1,
      anon_sym_if,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3376), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107538] = 4,
    ACTIONS(3378), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1080), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [107554] = 4,
    ACTIONS(2558), 1,
      anon_sym_and,
    ACTIONS(2560), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2300), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107570] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3290), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107582] = 5,
    ACTIONS(3380), 1,
      anon_sym_case,
    ACTIONS(3382), 1,
      sym__dedent,
    STATE(1990), 1,
      aux_sym__match_block_repeat1,
    STATE(2300), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107599] = 4,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    STATE(1973), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3384), 2,
      sym__newline,
      anon_sym_SEMI,
  [107614] = 4,
    ACTIONS(3390), 1,
      anon_sym_COMMA,
    STATE(1991), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3388), 2,
      sym__newline,
      anon_sym_SEMI,
  [107629] = 4,
    ACTIONS(3394), 1,
      anon_sym_COMMA,
    STATE(1977), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3392), 2,
      sym__newline,
      anon_sym_SEMI,
  [107644] = 4,
    ACTIONS(3394), 1,
      anon_sym_COMMA,
    STATE(1977), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3396), 2,
      sym__newline,
      anon_sym_SEMI,
  [107659] = 4,
    ACTIONS(3400), 1,
      anon_sym_DOT,
    STATE(1981), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3398), 2,
      anon_sym_import,
      sym_identifier,
  [107674] = 4,
    ACTIONS(3404), 1,
      anon_sym_COMMA,
    STATE(1991), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3402), 2,
      sym__newline,
      anon_sym_SEMI,
  [107689] = 5,
    ACTIONS(3284), 1,
      anon_sym_RPAREN,
    ACTIONS(3406), 1,
      sym_identifier,
    STATE(2209), 1,
      sym_dotted_name,
    STATE(2222), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107706] = 5,
    ACTIONS(3284), 1,
      anon_sym_RPAREN,
    ACTIONS(3406), 1,
      sym_identifier,
    STATE(2209), 1,
      sym_dotted_name,
    STATE(2222), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107723] = 5,
    ACTIONS(3380), 1,
      anon_sym_case,
    ACTIONS(3408), 1,
      sym__dedent,
    STATE(1979), 1,
      aux_sym__match_block_repeat1,
    STATE(2300), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107740] = 4,
    ACTIONS(3412), 1,
      anon_sym_COMMA,
    STATE(1977), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3410), 2,
      sym__newline,
      anon_sym_SEMI,
  [107755] = 4,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    STATE(1978), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3418), 2,
      anon_sym_if,
      anon_sym_COLON,
  [107770] = 5,
    ACTIONS(3380), 1,
      anon_sym_case,
    ACTIONS(3420), 1,
      sym__dedent,
    STATE(1984), 1,
      aux_sym__match_block_repeat1,
    STATE(2300), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107787] = 4,
    ACTIONS(3424), 1,
      anon_sym_COLON,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107802] = 4,
    ACTIONS(3430), 1,
      anon_sym_DOT,
    STATE(1981), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3428), 2,
      anon_sym_import,
      sym_identifier,
  [107817] = 4,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    STATE(2003), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3433), 2,
      sym__newline,
      anon_sym_SEMI,
  [107832] = 4,
    ACTIONS(3437), 1,
      anon_sym_COMMA,
    STATE(2003), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3433), 2,
      sym__newline,
      anon_sym_SEMI,
  [107847] = 5,
    ACTIONS(3439), 1,
      anon_sym_case,
    ACTIONS(3442), 1,
      sym__dedent,
    STATE(1984), 1,
      aux_sym__match_block_repeat1,
    STATE(2300), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107864] = 5,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3444), 1,
      anon_sym_RBRACE,
    ACTIONS(3446), 1,
      sym_type_conversion,
    STATE(2444), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107881] = 4,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3448), 2,
      sym__newline,
      anon_sym_SEMI,
  [107896] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3450), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [107907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3133), 4,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [107918] = 4,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1276), 2,
      sym__newline,
      anon_sym_SEMI,
  [107933] = 5,
    ACTIONS(3380), 1,
      anon_sym_case,
    ACTIONS(3454), 1,
      sym__dedent,
    STATE(1984), 1,
      aux_sym__match_block_repeat1,
    STATE(2300), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107950] = 4,
    ACTIONS(3458), 1,
      anon_sym_COMMA,
    STATE(1991), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3456), 2,
      sym__newline,
      anon_sym_SEMI,
  [107965] = 4,
    ACTIONS(3314), 1,
      anon_sym_COMMA,
    STATE(1983), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3312), 2,
      sym__newline,
      anon_sym_SEMI,
  [107980] = 5,
    ACTIONS(3406), 1,
      sym_identifier,
    STATE(1998), 1,
      sym_dotted_name,
    STATE(2069), 1,
      sym_aliased_import,
    STATE(2342), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107997] = 5,
    ACTIONS(3066), 1,
      sym_identifier,
    STATE(1936), 1,
      sym_dotted_name,
    STATE(1992), 1,
      sym_aliased_import,
    STATE(2241), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108014] = 5,
    ACTIONS(3406), 1,
      sym_identifier,
    STATE(1998), 1,
      sym_dotted_name,
    STATE(2069), 1,
      sym_aliased_import,
    STATE(2339), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108031] = 3,
    ACTIONS(3316), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3461), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [108044] = 4,
    ACTIONS(3394), 1,
      anon_sym_COMMA,
    STATE(1971), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3463), 2,
      sym__newline,
      anon_sym_SEMI,
  [108059] = 5,
    ACTIONS(3312), 1,
      anon_sym_RPAREN,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3467), 1,
      anon_sym_as,
    STATE(2076), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108076] = 5,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3469), 1,
      anon_sym_RBRACE,
    ACTIONS(3471), 1,
      sym_type_conversion,
    STATE(2349), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108093] = 4,
    ACTIONS(3394), 1,
      anon_sym_COMMA,
    STATE(1970), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3473), 2,
      sym__newline,
      anon_sym_SEMI,
  [108108] = 5,
    ACTIONS(3351), 1,
      anon_sym_RPAREN,
    ACTIONS(3406), 1,
      sym_identifier,
    STATE(2209), 1,
      sym_dotted_name,
    STATE(2222), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108125] = 4,
    ACTIONS(2964), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3475), 2,
      sym__newline,
      anon_sym_SEMI,
  [108140] = 4,
    ACTIONS(3479), 1,
      anon_sym_COMMA,
    STATE(2003), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3477), 2,
      sym__newline,
      anon_sym_SEMI,
  [108155] = 3,
    ACTIONS(3482), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [108167] = 4,
    ACTIONS(3484), 1,
      sym__newline,
    ACTIONS(3486), 1,
      sym__indent,
    STATE(812), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108181] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3490), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108195] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3492), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108209] = 4,
    ACTIONS(1282), 1,
      anon_sym_RPAREN,
    ACTIONS(3494), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108223] = 4,
    ACTIONS(2868), 1,
      anon_sym_COLON,
    ACTIONS(3496), 1,
      anon_sym_COMMA,
    STATE(2009), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108237] = 3,
    ACTIONS(1508), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [108249] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108263] = 4,
    ACTIONS(3499), 1,
      anon_sym_SEMI,
    ACTIONS(3501), 1,
      sym__newline,
    STATE(2122), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108277] = 4,
    ACTIONS(2868), 1,
      anon_sym_RBRACK,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108291] = 4,
    ACTIONS(1162), 1,
      anon_sym_RBRACE,
    ACTIONS(3506), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108305] = 4,
    ACTIONS(1080), 1,
      anon_sym_RBRACK,
    ACTIONS(3508), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108319] = 4,
    ACTIONS(3079), 1,
      sym_identifier,
    ACTIONS(3510), 1,
      anon_sym_import,
    STATE(2437), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108333] = 4,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108347] = 3,
    ACTIONS(1514), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [108359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2200), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [108369] = 4,
    ACTIONS(3049), 1,
      anon_sym_COMMA,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    STATE(2033), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108383] = 4,
    ACTIONS(3512), 1,
      anon_sym_RPAREN,
    ACTIONS(3514), 1,
      anon_sym_COMMA,
    STATE(2200), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108397] = 4,
    ACTIONS(1078), 1,
      anon_sym_RBRACE,
    ACTIONS(3516), 1,
      anon_sym_COMMA,
    STATE(2059), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108411] = 4,
    ACTIONS(569), 1,
      sym__newline,
    ACTIONS(3518), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2196), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [108435] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2747), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108449] = 4,
    ACTIONS(1080), 1,
      anon_sym_COLON,
    ACTIONS(3520), 1,
      anon_sym_COMMA,
    STATE(2009), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108463] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3522), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108477] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(3524), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108491] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(3526), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108505] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3528), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108519] = 4,
    ACTIONS(2868), 1,
      anon_sym_RPAREN,
    ACTIONS(3530), 1,
      anon_sym_COMMA,
    STATE(2031), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108533] = 4,
    ACTIONS(3533), 1,
      anon_sym_SEMI,
    ACTIONS(3536), 1,
      sym__newline,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108547] = 4,
    ACTIONS(1160), 1,
      anon_sym_RBRACE,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108561] = 3,
    ACTIONS(2847), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2845), 2,
      sym__newline,
      anon_sym_SEMI,
  [108573] = 4,
    ACTIONS(2565), 1,
      anon_sym_RBRACK,
    ACTIONS(3540), 1,
      anon_sym_COMMA,
    STATE(2035), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108587] = 4,
    ACTIONS(3543), 1,
      anon_sym_COMMA,
    ACTIONS(3546), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108601] = 4,
    ACTIONS(3185), 1,
      anon_sym_import,
    ACTIONS(3548), 1,
      anon_sym_DOT,
    STATE(2207), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108615] = 4,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    ACTIONS(2751), 1,
      anon_sym_COMMA,
    STATE(2045), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108629] = 4,
    ACTIONS(3550), 1,
      anon_sym_RPAREN,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    STATE(2046), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108643] = 4,
    ACTIONS(3433), 1,
      anon_sym_RPAREN,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    STATE(2206), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108657] = 4,
    ACTIONS(2933), 1,
      anon_sym_COMMA,
    ACTIONS(2935), 1,
      anon_sym_RBRACK,
    STATE(2048), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108671] = 4,
    ACTIONS(3556), 1,
      anon_sym_COMMA,
    ACTIONS(3559), 1,
      anon_sym_COLON,
    STATE(2042), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108685] = 4,
    ACTIONS(3561), 1,
      sym__newline,
    ACTIONS(3563), 1,
      sym__indent,
    STATE(752), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108699] = 4,
    ACTIONS(3561), 1,
      sym__newline,
    ACTIONS(3563), 1,
      sym__indent,
    STATE(804), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108713] = 4,
    ACTIONS(1064), 1,
      anon_sym_RPAREN,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108727] = 4,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    ACTIONS(3567), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108741] = 4,
    ACTIONS(3569), 1,
      anon_sym_COMMA,
    ACTIONS(3571), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108755] = 4,
    ACTIONS(3573), 1,
      anon_sym_COMMA,
    ACTIONS(3575), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108769] = 4,
    ACTIONS(3254), 1,
      anon_sym_RPAREN,
    ACTIONS(3577), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108783] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3580), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108797] = 4,
    ACTIONS(1080), 1,
      anon_sym_RPAREN,
    ACTIONS(3582), 1,
      anon_sym_COMMA,
    STATE(2031), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108811] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3584), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108825] = 4,
    ACTIONS(3126), 1,
      anon_sym_RPAREN,
    ACTIONS(3586), 1,
      anon_sym_COMMA,
    STATE(2053), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108839] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3589), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108853] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3591), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108867] = 4,
    ACTIONS(3140), 1,
      anon_sym_import,
    ACTIONS(3548), 1,
      anon_sym_DOT,
    STATE(2037), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108881] = 4,
    ACTIONS(3593), 1,
      anon_sym_LPAREN,
    ACTIONS(3595), 1,
      anon_sym_COLON,
    STATE(2409), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108895] = 4,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    STATE(2022), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108909] = 4,
    ACTIONS(3126), 1,
      anon_sym_RBRACE,
    ACTIONS(3597), 1,
      anon_sym_COMMA,
    STATE(2059), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108923] = 4,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3600), 1,
      anon_sym_RBRACE,
    STATE(2517), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108937] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3602), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [108947] = 4,
    ACTIONS(1078), 1,
      anon_sym_RBRACK,
    ACTIONS(3604), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108961] = 4,
    ACTIONS(3606), 1,
      anon_sym_SEMI,
    ACTIONS(3608), 1,
      sym__newline,
    STATE(2078), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108975] = 4,
    ACTIONS(3610), 1,
      anon_sym_COMMA,
    ACTIONS(3612), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108989] = 4,
    ACTIONS(3614), 1,
      anon_sym_COMMA,
    ACTIONS(3616), 1,
      anon_sym_COLON,
    STATE(2042), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109003] = 4,
    ACTIONS(3618), 1,
      anon_sym_COMMA,
    ACTIONS(3620), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109017] = 4,
    ACTIONS(3484), 1,
      sym__newline,
    ACTIONS(3486), 1,
      sym__indent,
    STATE(761), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109031] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2761), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109045] = 4,
    ACTIONS(3312), 1,
      anon_sym_RPAREN,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    STATE(2040), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109059] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3461), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [109069] = 4,
    ACTIONS(1024), 1,
      anon_sym_RPAREN,
    ACTIONS(3622), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109083] = 3,
    ACTIONS(1500), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [109095] = 4,
    ACTIONS(998), 1,
      anon_sym_RPAREN,
    ACTIONS(3624), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109109] = 3,
    ACTIONS(3628), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3626), 2,
      sym__newline,
      anon_sym_SEMI,
  [109121] = 4,
    ACTIONS(3059), 1,
      anon_sym_COMMA,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    STATE(2085), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109135] = 4,
    ACTIONS(3433), 1,
      anon_sym_RPAREN,
    ACTIONS(3630), 1,
      anon_sym_COMMA,
    STATE(2206), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109149] = 4,
    ACTIONS(3561), 1,
      sym__newline,
    ACTIONS(3563), 1,
      sym__indent,
    STATE(831), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109163] = 4,
    ACTIONS(575), 1,
      sym__newline,
    ACTIONS(3632), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109177] = 4,
    ACTIONS(3593), 1,
      anon_sym_LPAREN,
    ACTIONS(3634), 1,
      anon_sym_COLON,
    STATE(2434), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109191] = 4,
    ACTIONS(3636), 1,
      anon_sym_COMMA,
    ACTIONS(3638), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109205] = 4,
    ACTIONS(3640), 1,
      anon_sym_COMMA,
    ACTIONS(3642), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109219] = 4,
    ACTIONS(2695), 1,
      anon_sym_RBRACK,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    STATE(2062), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109233] = 4,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    ACTIONS(2943), 1,
      anon_sym_RBRACK,
    STATE(2080), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109247] = 4,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3644), 1,
      anon_sym_RBRACE,
    STATE(2320), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109261] = 4,
    ACTIONS(1166), 1,
      anon_sym_RBRACE,
    ACTIONS(3646), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109275] = 4,
    ACTIONS(3512), 1,
      anon_sym_RBRACK,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    STATE(2109), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109289] = 3,
    ACTIONS(3193), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3191), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [109301] = 4,
    ACTIONS(3650), 1,
      anon_sym_COMMA,
    ACTIONS(3652), 1,
      anon_sym_COLON,
    STATE(2185), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109315] = 4,
    ACTIONS(2713), 1,
      anon_sym_RPAREN,
    ACTIONS(2715), 1,
      anon_sym_COMMA,
    STATE(2097), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109329] = 4,
    ACTIONS(3654), 1,
      anon_sym_RPAREN,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(2099), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109343] = 4,
    ACTIONS(3658), 1,
      anon_sym_COMMA,
    ACTIONS(3660), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109357] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(3662), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109371] = 4,
    ACTIONS(2912), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_RBRACK,
    STATE(2102), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109385] = 4,
    ACTIONS(2908), 1,
      anon_sym_COMMA,
    ACTIONS(2910), 1,
      anon_sym_RBRACK,
    STATE(2150), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109399] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(3664), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109413] = 4,
    ACTIONS(3666), 1,
      anon_sym_COMMA,
    ACTIONS(3668), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109427] = 4,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    ACTIONS(3670), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109441] = 4,
    ACTIONS(3672), 1,
      anon_sym_RPAREN,
    ACTIONS(3674), 1,
      anon_sym_COMMA,
    STATE(2164), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109455] = 4,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    ACTIONS(3676), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109469] = 4,
    ACTIONS(2743), 1,
      anon_sym_RPAREN,
    ACTIONS(2745), 1,
      anon_sym_COMMA,
    STATE(2167), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109483] = 4,
    ACTIONS(3678), 1,
      anon_sym_COMMA,
    ACTIONS(3680), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109497] = 4,
    ACTIONS(3682), 1,
      anon_sym_COMMA,
    ACTIONS(3684), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109511] = 4,
    ACTIONS(3686), 1,
      anon_sym_COMMA,
    ACTIONS(3688), 1,
      anon_sym_COLON,
    STATE(2157), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109525] = 4,
    ACTIONS(2945), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_RBRACK,
    STATE(2091), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109539] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3690), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109553] = 3,
    ACTIONS(3226), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [109565] = 3,
    ACTIONS(3482), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [109577] = 3,
    ACTIONS(3230), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3228), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [109589] = 4,
    ACTIONS(1732), 1,
      anon_sym_RBRACK,
    ACTIONS(3692), 1,
      anon_sym_COMMA,
    STATE(2035), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109603] = 3,
    ACTIONS(3234), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [109615] = 4,
    ACTIONS(2996), 1,
      anon_sym_COMMA,
    ACTIONS(2998), 1,
      anon_sym_RBRACE,
    STATE(2153), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109629] = 4,
    ACTIONS(3694), 1,
      anon_sym_COMMA,
    ACTIONS(3696), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109643] = 4,
    ACTIONS(884), 1,
      anon_sym_in,
    ACTIONS(3698), 1,
      anon_sym_COMMA,
    STATE(2166), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109657] = 4,
    ACTIONS(3700), 1,
      anon_sym_COMMA,
    ACTIONS(3703), 1,
      anon_sym_COLON,
    STATE(2114), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109671] = 4,
    ACTIONS(3705), 1,
      anon_sym_SEMI,
    ACTIONS(3707), 1,
      sym__newline,
    STATE(2134), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109685] = 4,
    ACTIONS(3709), 1,
      anon_sym_COMMA,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109699] = 4,
    ACTIONS(553), 1,
      sym__newline,
    ACTIONS(3713), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109713] = 4,
    ACTIONS(3406), 1,
      sym_identifier,
    STATE(2209), 1,
      sym_dotted_name,
    STATE(2222), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109727] = 4,
    ACTIONS(1038), 1,
      anon_sym_RPAREN,
    ACTIONS(3715), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109741] = 4,
    ACTIONS(1040), 1,
      anon_sym_RPAREN,
    ACTIONS(3717), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109755] = 4,
    ACTIONS(2739), 1,
      anon_sym_RPAREN,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109769] = 4,
    ACTIONS(547), 1,
      sym__newline,
    ACTIONS(3719), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109783] = 3,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3721), 2,
      sym__newline,
      anon_sym_SEMI,
  [109795] = 4,
    ACTIONS(3113), 1,
      anon_sym_COMMA,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    STATE(2014), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109809] = 3,
    ACTIONS(3238), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3236), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [109821] = 4,
    ACTIONS(3066), 1,
      sym_identifier,
    STATE(1996), 1,
      sym_dotted_name,
    STATE(2070), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109835] = 4,
    ACTIONS(2949), 1,
      anon_sym_COMMA,
    ACTIONS(2951), 1,
      anon_sym_RBRACK,
    STATE(2112), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109849] = 3,
    ACTIONS(3220), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3218), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [109861] = 3,
    ACTIONS(3199), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [109873] = 4,
    ACTIONS(3105), 1,
      anon_sym_COMMA,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    STATE(2141), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109887] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1408), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [109897] = 4,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    ACTIONS(3727), 1,
      anon_sym_COMMA,
    STATE(2119), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109911] = 4,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    ACTIONS(3729), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109925] = 4,
    ACTIONS(561), 1,
      sym__newline,
    ACTIONS(3732), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109939] = 4,
    ACTIONS(2735), 1,
      anon_sym_RPAREN,
    ACTIONS(2737), 1,
      anon_sym_COMMA,
    STATE(2120), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109953] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1408), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [109963] = 4,
    ACTIONS(1158), 1,
      anon_sym_RBRACE,
    ACTIONS(3734), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109977] = 3,
    ACTIONS(1490), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [109989] = 4,
    ACTIONS(559), 1,
      sym__newline,
    ACTIONS(3736), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110003] = 4,
    ACTIONS(3109), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RBRACE,
    STATE(2137), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110017] = 4,
    ACTIONS(1124), 1,
      anon_sym_RBRACE,
    ACTIONS(3738), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110031] = 4,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3740), 1,
      anon_sym_RBRACE,
    STATE(2454), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110045] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2765), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110059] = 4,
    ACTIONS(3742), 1,
      anon_sym_RPAREN,
    ACTIONS(3744), 1,
      anon_sym_COMMA,
    STATE(2144), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110073] = 4,
    ACTIONS(3747), 1,
      anon_sym_RPAREN,
    ACTIONS(3749), 1,
      anon_sym_COMMA,
    STATE(2071), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110087] = 4,
    ACTIONS(3751), 1,
      anon_sym_SEMI,
    ACTIONS(3753), 1,
      sym__newline,
    STATE(2139), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110101] = 4,
    ACTIONS(2731), 1,
      anon_sym_RPAREN,
    ACTIONS(2733), 1,
      anon_sym_COMMA,
    STATE(2156), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110115] = 4,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    ACTIONS(3757), 1,
      anon_sym_COMMA,
    STATE(2158), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110129] = 3,
    ACTIONS(3761), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3759), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [110141] = 4,
    ACTIONS(3763), 1,
      anon_sym_COMMA,
    ACTIONS(3765), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110155] = 4,
    ACTIONS(2904), 1,
      anon_sym_COMMA,
    ACTIONS(2906), 1,
      anon_sym_RBRACK,
    STATE(2161), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110169] = 3,
    ACTIONS(3769), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3767), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110181] = 4,
    ACTIONS(1134), 1,
      anon_sym_RBRACE,
    ACTIONS(3771), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110195] = 4,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(3773), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3410), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [110219] = 4,
    ACTIONS(1060), 1,
      anon_sym_RPAREN,
    ACTIONS(3776), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110233] = 4,
    ACTIONS(2677), 1,
      anon_sym_COLON,
    ACTIONS(3778), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110247] = 4,
    ACTIONS(1058), 1,
      anon_sym_RPAREN,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110261] = 4,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    ACTIONS(3782), 1,
      anon_sym_COMMA,
    STATE(2144), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110275] = 4,
    ACTIONS(3784), 1,
      anon_sym_COMMA,
    ACTIONS(3786), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110289] = 4,
    ACTIONS(3788), 1,
      anon_sym_COMMA,
    ACTIONS(3790), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110303] = 4,
    ACTIONS(3792), 1,
      anon_sym_COMMA,
    ACTIONS(3794), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110317] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2753), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110331] = 4,
    ACTIONS(1002), 1,
      anon_sym_RPAREN,
    ACTIONS(3796), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110345] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(3798), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110359] = 4,
    ACTIONS(2565), 1,
      anon_sym_in,
    ACTIONS(3800), 1,
      anon_sym_COMMA,
    STATE(2166), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110373] = 4,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    ACTIONS(3803), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110387] = 4,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110401] = 4,
    ACTIONS(3809), 1,
      anon_sym_COMMA,
    ACTIONS(3811), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110415] = 4,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    ACTIONS(3816), 1,
      anon_sym_RBRACE,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110429] = 3,
    ACTIONS(3818), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110441] = 4,
    ACTIONS(1030), 1,
      anon_sym_RPAREN,
    ACTIONS(3820), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110455] = 4,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    ACTIONS(2699), 1,
      anon_sym_COMMA,
    STATE(2073), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110469] = 4,
    ACTIONS(3822), 1,
      anon_sym_SEMI,
    ACTIONS(3824), 1,
      sym__newline,
    STATE(2191), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110483] = 4,
    ACTIONS(1048), 1,
      anon_sym_RPAREN,
    ACTIONS(3826), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110497] = 4,
    ACTIONS(3828), 1,
      anon_sym_SEMI,
    ACTIONS(3830), 1,
      sym__newline,
    STATE(2117), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110511] = 4,
    ACTIONS(3484), 1,
      sym__newline,
    ACTIONS(3486), 1,
      sym__indent,
    STATE(840), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110525] = 3,
    ACTIONS(1504), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [110537] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2763), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110551] = 4,
    ACTIONS(2927), 1,
      anon_sym_COMMA,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    STATE(2168), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110565] = 4,
    ACTIONS(3832), 1,
      anon_sym_SEMI,
    ACTIONS(3834), 1,
      sym__newline,
    STATE(2023), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110579] = 4,
    ACTIONS(3126), 1,
      anon_sym_RBRACK,
    ACTIONS(3836), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110593] = 4,
    ACTIONS(3839), 1,
      anon_sym_RPAREN,
    ACTIONS(3841), 1,
      anon_sym_COMMA,
    STATE(2172), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110607] = 4,
    ACTIONS(2757), 1,
      anon_sym_RPAREN,
    ACTIONS(2759), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110621] = 4,
    ACTIONS(1292), 1,
      anon_sym_COLON,
    ACTIONS(3843), 1,
      anon_sym_COMMA,
    STATE(2114), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110635] = 4,
    ACTIONS(3688), 1,
      anon_sym_RPAREN,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(2159), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110649] = 4,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    ACTIONS(2980), 1,
      anon_sym_RBRACE,
    STATE(2198), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110663] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2596), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [110673] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110687] = 4,
    ACTIONS(1130), 1,
      anon_sym_RBRACE,
    ACTIONS(3849), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110701] = 4,
    ACTIONS(573), 1,
      sym__newline,
    ACTIONS(3851), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110715] = 4,
    ACTIONS(3484), 1,
      sym__newline,
    ACTIONS(3486), 1,
      sym__indent,
    STATE(794), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110729] = 4,
    ACTIONS(3853), 1,
      anon_sym_RPAREN,
    ACTIONS(3855), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110743] = 4,
    ACTIONS(1078), 1,
      anon_sym_RPAREN,
    ACTIONS(3857), 1,
      anon_sym_COMMA,
    STATE(2053), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110757] = 4,
    ACTIONS(549), 1,
      sym__newline,
    ACTIONS(3859), 1,
      anon_sym_SEMI,
    STATE(2032), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110771] = 3,
    ACTIONS(3426), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110783] = 3,
    ACTIONS(3148), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3146), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [110795] = 4,
    ACTIONS(1138), 1,
      anon_sym_RBRACE,
    ACTIONS(3861), 1,
      anon_sym_COMMA,
    STATE(2170), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110809] = 4,
    ACTIONS(3036), 1,
      anon_sym_COMMA,
    ACTIONS(3038), 1,
      anon_sym_RBRACE,
    STATE(2190), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110823] = 4,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    ACTIONS(3863), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110837] = 4,
    ACTIONS(2741), 1,
      anon_sym_COMMA,
    ACTIONS(2755), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110851] = 4,
    ACTIONS(2870), 1,
      anon_sym_COMMA,
    ACTIONS(2878), 1,
      anon_sym_RBRACK,
    STATE(2064), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110865] = 4,
    ACTIONS(3865), 1,
      anon_sym_SEMI,
    ACTIONS(3867), 1,
      sym__newline,
    STATE(2195), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110879] = 4,
    ACTIONS(2767), 1,
      anon_sym_RPAREN,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    STATE(2212), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110893] = 4,
    ACTIONS(3869), 1,
      anon_sym_RPAREN,
    ACTIONS(3871), 1,
      anon_sym_COMMA,
    STATE(2214), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110907] = 4,
    ACTIONS(3477), 1,
      anon_sym_RPAREN,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(2206), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110921] = 4,
    ACTIONS(3133), 1,
      anon_sym_import,
    ACTIONS(3876), 1,
      anon_sym_DOT,
    STATE(2207), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110935] = 4,
    ACTIONS(2892), 1,
      anon_sym_COMMA,
    ACTIONS(2894), 1,
      anon_sym_RBRACK,
    STATE(2217), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110949] = 3,
    ACTIONS(3467), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3461), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110961] = 4,
    ACTIONS(3742), 1,
      anon_sym_COLON,
    ACTIONS(3879), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110975] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_in,
    STATE(2113), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110989] = 4,
    ACTIONS(1018), 1,
      anon_sym_RPAREN,
    ACTIONS(3884), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111003] = 4,
    ACTIONS(3886), 1,
      anon_sym_COMMA,
    ACTIONS(3888), 1,
      anon_sym_COLON,
    STATE(2042), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111017] = 4,
    ACTIONS(1016), 1,
      anon_sym_RPAREN,
    ACTIONS(3890), 1,
      anon_sym_COMMA,
    STATE(2049), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111031] = 4,
    ACTIONS(3561), 1,
      sym__newline,
    ACTIONS(3563), 1,
      sym__indent,
    STATE(750), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111045] = 4,
    ACTIONS(3892), 1,
      anon_sym_COMMA,
    ACTIONS(3894), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111059] = 4,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    ACTIONS(3898), 1,
      anon_sym_RBRACK,
    STATE(2036), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111073] = 3,
    ACTIONS(3900), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3767), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111085] = 4,
    ACTIONS(3343), 1,
      anon_sym_COLON,
    ACTIONS(3902), 1,
      anon_sym_RBRACE,
    STATE(2396), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111099] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      sym__newline,
      anon_sym_SEMI,
  [111108] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3904), 2,
      sym__dedent,
      anon_sym_case,
  [111117] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3461), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111126] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3906), 2,
      sym__newline,
      anon_sym_SEMI,
  [111135] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3908), 2,
      sym__newline,
      anon_sym_SEMI,
  [111144] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111153] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3133), 2,
      anon_sym_import,
      anon_sym_DOT,
  [111162] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3602), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111171] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3767), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111180] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3910), 2,
      sym__newline,
      anon_sym_SEMI,
  [111189] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3912), 2,
      sym__dedent,
      anon_sym_case,
  [111198] = 3,
    ACTIONS(3914), 1,
      anon_sym_LPAREN,
    STATE(2278), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3916), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111218] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3918), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111227] = 3,
    ACTIONS(3914), 1,
      anon_sym_LPAREN,
    STATE(2269), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3920), 2,
      sym__dedent,
      anon_sym_case,
  [111247] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2937), 2,
      sym__newline,
      anon_sym_SEMI,
  [111256] = 3,
    ACTIONS(3914), 1,
      anon_sym_LPAREN,
    STATE(2281), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111267] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3922), 2,
      sym__dedent,
      anon_sym_case,
  [111276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3924), 2,
      sym__dedent,
      anon_sym_case,
  [111285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3924), 2,
      sym__dedent,
      anon_sym_case,
  [111294] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3926), 2,
      sym__newline,
      anon_sym_SEMI,
  [111303] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3126), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111312] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3928), 2,
      sym__dedent,
      anon_sym_case,
  [111321] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3930), 2,
      sym__dedent,
      anon_sym_case,
  [111330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3932), 2,
      sym__dedent,
      anon_sym_case,
  [111339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3934), 2,
      sym__dedent,
      anon_sym_case,
  [111348] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 2,
      sym__dedent,
      anon_sym_case,
  [111357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3936), 2,
      sym__dedent,
      anon_sym_case,
  [111366] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3938), 2,
      sym__dedent,
      anon_sym_case,
  [111375] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3938), 2,
      sym__dedent,
      anon_sym_case,
  [111384] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3940), 2,
      sym__newline,
      anon_sym_SEMI,
  [111393] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111402] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3942), 2,
      sym__newline,
      anon_sym_SEMI,
  [111411] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 2,
      sym__dedent,
      anon_sym_case,
  [111420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3944), 2,
      sym__dedent,
      anon_sym_case,
  [111429] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3126), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111438] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      sym__newline,
      anon_sym_SEMI,
  [111447] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1516), 2,
      sym__dedent,
      anon_sym_case,
  [111456] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3918), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111474] = 3,
    ACTIONS(3946), 1,
      anon_sym_COLON,
    ACTIONS(3948), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111485] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3916), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111494] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3950), 2,
      sym__dedent,
      anon_sym_case,
  [111503] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3952), 2,
      sym__dedent,
      anon_sym_case,
  [111512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 2,
      sym__newline,
      anon_sym_SEMI,
  [111521] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1492), 2,
      sym__dedent,
      anon_sym_case,
  [111530] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 2,
      sym__dedent,
      anon_sym_case,
  [111539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3952), 2,
      sym__dedent,
      anon_sym_case,
  [111548] = 3,
    ACTIONS(3954), 1,
      anon_sym_COLON,
    ACTIONS(3956), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3958), 2,
      sym__dedent,
      anon_sym_case,
  [111568] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111577] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3960), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111586] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111595] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2565), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111604] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2594), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111631] = 3,
    ACTIONS(3962), 1,
      anon_sym_COLON,
    ACTIONS(3964), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111642] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3126), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111651] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3966), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111660] = 3,
    ACTIONS(3968), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111680] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111689] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3918), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111698] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3254), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3916), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111716] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3767), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3972), 2,
      sym__newline,
      anon_sym_SEMI,
  [111734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111743] = 3,
    ACTIONS(3974), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111754] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3976), 2,
      sym__newline,
      anon_sym_SEMI,
  [111763] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3978), 2,
      sym__newline,
      anon_sym_SEMI,
  [111772] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3904), 2,
      sym__dedent,
      anon_sym_case,
  [111781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3980), 2,
      sym__newline,
      anon_sym_SEMI,
  [111790] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3536), 2,
      sym__newline,
      anon_sym_SEMI,
  [111799] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3982), 2,
      sym__newline,
      anon_sym_SEMI,
  [111808] = 3,
    ACTIONS(3914), 1,
      anon_sym_LPAREN,
    STATE(2261), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111819] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3984), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [111828] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111837] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3986), 2,
      sym__dedent,
      anon_sym_case,
  [111846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3960), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111864] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2594), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111873] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3422), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111882] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3988), 2,
      sym__newline,
      anon_sym_SEMI,
  [111891] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [111900] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3990), 2,
      sym__newline,
      anon_sym_SEMI,
  [111909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3992), 2,
      sym__dedent,
      anon_sym_case,
  [111918] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3703), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [111927] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3994), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [111936] = 2,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111944] = 2,
    ACTIONS(2994), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111952] = 2,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111960] = 2,
    ACTIONS(3998), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111968] = 2,
    ACTIONS(4000), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111976] = 2,
    ACTIONS(4002), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111984] = 2,
    ACTIONS(4004), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111992] = 2,
    ACTIONS(4006), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112000] = 2,
    ACTIONS(4008), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112008] = 2,
    ACTIONS(4010), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112016] = 2,
    ACTIONS(2735), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112024] = 2,
    ACTIONS(4012), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112032] = 2,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112040] = 2,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112048] = 2,
    ACTIONS(3115), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112056] = 2,
    ACTIONS(4016), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112064] = 2,
    ACTIONS(4018), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112072] = 2,
    ACTIONS(4020), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112080] = 2,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112088] = 2,
    ACTIONS(4024), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112096] = 2,
    ACTIONS(4026), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112104] = 2,
    ACTIONS(4028), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112112] = 2,
    ACTIONS(4030), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112120] = 2,
    ACTIONS(2998), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112128] = 2,
    ACTIONS(4032), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112136] = 2,
    ACTIONS(4034), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112144] = 2,
    ACTIONS(4036), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112152] = 2,
    ACTIONS(4038), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112160] = 2,
    ACTIONS(4040), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112168] = 2,
    ACTIONS(4042), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112176] = 2,
    ACTIONS(4044), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112184] = 2,
    ACTIONS(4046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112192] = 2,
    ACTIONS(4048), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112200] = 2,
    ACTIONS(2743), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112208] = 2,
    ACTIONS(4050), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112216] = 2,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112224] = 2,
    ACTIONS(4054), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112232] = 2,
    ACTIONS(2713), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112240] = 2,
    ACTIONS(4056), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112248] = 2,
    ACTIONS(4058), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112256] = 2,
    ACTIONS(4060), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112264] = 2,
    ACTIONS(4062), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112272] = 2,
    ACTIONS(4064), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112280] = 2,
    ACTIONS(4066), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112288] = 2,
    ACTIONS(3690), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112296] = 2,
    ACTIONS(4068), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112304] = 2,
    ACTIONS(4070), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112312] = 2,
    ACTIONS(4072), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112320] = 2,
    ACTIONS(4074), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112328] = 2,
    ACTIONS(4076), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112336] = 2,
    ACTIONS(4078), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112344] = 2,
    ACTIONS(4080), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112352] = 2,
    ACTIONS(4082), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112360] = 2,
    ACTIONS(4084), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112368] = 2,
    ACTIONS(4086), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112376] = 2,
    ACTIONS(4088), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112384] = 2,
    ACTIONS(4090), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112392] = 2,
    ACTIONS(4092), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112400] = 2,
    ACTIONS(3034), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112408] = 2,
    ACTIONS(4094), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112416] = 2,
    ACTIONS(4096), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112424] = 2,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112432] = 2,
    ACTIONS(4100), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112440] = 2,
    ACTIONS(4102), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112448] = 2,
    ACTIONS(4104), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112456] = 2,
    ACTIONS(4106), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112464] = 2,
    ACTIONS(4108), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112472] = 2,
    ACTIONS(4110), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112480] = 2,
    ACTIONS(4112), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112488] = 2,
    ACTIONS(4114), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112496] = 2,
    ACTIONS(4116), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112504] = 2,
    ACTIONS(4118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112512] = 2,
    ACTIONS(1274), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112520] = 2,
    ACTIONS(4120), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112528] = 2,
    ACTIONS(4122), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112536] = 2,
    ACTIONS(4124), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112544] = 2,
    ACTIONS(4126), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112552] = 2,
    ACTIONS(4128), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112560] = 2,
    ACTIONS(4130), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112568] = 2,
    ACTIONS(4132), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112576] = 2,
    ACTIONS(3111), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112584] = 2,
    ACTIONS(4134), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112592] = 2,
    ACTIONS(4136), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112600] = 2,
    ACTIONS(4138), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112608] = 2,
    ACTIONS(4140), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112616] = 2,
    ACTIONS(4142), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112624] = 2,
    ACTIONS(1288), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112632] = 2,
    ACTIONS(4144), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112640] = 2,
    ACTIONS(4146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112648] = 2,
    ACTIONS(4148), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112656] = 2,
    ACTIONS(4150), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112664] = 2,
    ACTIONS(4152), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112672] = 2,
    ACTIONS(3591), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112680] = 2,
    ACTIONS(4154), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112688] = 2,
    ACTIONS(2731), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112696] = 2,
    ACTIONS(4156), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112704] = 2,
    ACTIONS(4158), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112712] = 2,
    ACTIONS(4160), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112720] = 2,
    ACTIONS(4162), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112728] = 2,
    ACTIONS(4164), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112736] = 2,
    ACTIONS(4166), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112744] = 2,
    ACTIONS(3589), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112752] = 2,
    ACTIONS(4168), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112760] = 2,
    ACTIONS(4170), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112768] = 2,
    ACTIONS(3584), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112776] = 2,
    ACTIONS(4172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112784] = 2,
    ACTIONS(4174), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112792] = 2,
    ACTIONS(4176), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112800] = 2,
    ACTIONS(3580), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112808] = 2,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112816] = 2,
    ACTIONS(3085), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112824] = 2,
    ACTIONS(4180), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112832] = 2,
    ACTIONS(4182), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112840] = 2,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112848] = 2,
    ACTIONS(4184), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112856] = 2,
    ACTIONS(4186), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112864] = 2,
    ACTIONS(4188), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112872] = 2,
    ACTIONS(4190), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112880] = 2,
    ACTIONS(4192), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112888] = 2,
    ACTIONS(4194), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112896] = 2,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112904] = 2,
    ACTIONS(4196), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112912] = 2,
    ACTIONS(4198), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112920] = 2,
    ACTIONS(4200), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112928] = 2,
    ACTIONS(4202), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112936] = 2,
    ACTIONS(4204), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112944] = 2,
    ACTIONS(4206), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112952] = 2,
    ACTIONS(4208), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112960] = 2,
    ACTIONS(4210), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112968] = 2,
    ACTIONS(4212), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112976] = 2,
    ACTIONS(3528), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112984] = 2,
    ACTIONS(4214), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112992] = 2,
    ACTIONS(3522), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113000] = 2,
    ACTIONS(4216), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113008] = 2,
    ACTIONS(4218), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113016] = 2,
    ACTIONS(4220), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113024] = 2,
    ACTIONS(4222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113032] = 2,
    ACTIONS(4224), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113040] = 2,
    ACTIONS(4226), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113048] = 2,
    ACTIONS(2757), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113056] = 2,
    ACTIONS(2980), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113064] = 2,
    ACTIONS(4228), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113072] = 2,
    ACTIONS(4230), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113080] = 2,
    ACTIONS(4232), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113088] = 2,
    ACTIONS(4234), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113096] = 2,
    ACTIONS(4236), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113104] = 2,
    ACTIONS(4238), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113112] = 2,
    ACTIONS(4240), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113120] = 2,
    ACTIONS(4242), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113128] = 2,
    ACTIONS(4244), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113136] = 2,
    ACTIONS(4246), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113144] = 2,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113152] = 2,
    ACTIONS(4250), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113160] = 2,
    ACTIONS(4252), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113168] = 2,
    ACTIONS(4254), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113176] = 2,
    ACTIONS(4256), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113184] = 2,
    ACTIONS(4258), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113192] = 2,
    ACTIONS(4260), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113200] = 2,
    ACTIONS(4262), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113208] = 2,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113216] = 2,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113224] = 2,
    ACTIONS(4266), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113232] = 2,
    ACTIONS(4268), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113240] = 2,
    ACTIONS(4270), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113248] = 2,
    ACTIONS(4272), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113256] = 2,
    ACTIONS(4274), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113264] = 2,
    ACTIONS(4276), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113272] = 2,
    ACTIONS(4278), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113280] = 2,
    ACTIONS(4280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113288] = 2,
    ACTIONS(4282), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113296] = 2,
    ACTIONS(4284), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113304] = 2,
    ACTIONS(4286), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113312] = 2,
    ACTIONS(4288), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113320] = 2,
    ACTIONS(4290), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113328] = 2,
    ACTIONS(4292), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113336] = 2,
    ACTIONS(3038), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113344] = 2,
    ACTIONS(4294), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113352] = 2,
    ACTIONS(4296), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113360] = 2,
    ACTIONS(4298), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113368] = 2,
    ACTIONS(4300), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113376] = 2,
    ACTIONS(4302), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113384] = 2,
    ACTIONS(4304), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113392] = 2,
    ACTIONS(3053), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113400] = 2,
    ACTIONS(4306), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113408] = 2,
    ACTIONS(4308), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113416] = 2,
    ACTIONS(4310), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113424] = 2,
    ACTIONS(4312), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113432] = 2,
    ACTIONS(4314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113440] = 2,
    ACTIONS(4316), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113448] = 2,
    ACTIONS(4318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113456] = 2,
    ACTIONS(4320), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113464] = 2,
    ACTIONS(4322), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113472] = 2,
    ACTIONS(4324), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113480] = 2,
    ACTIONS(2767), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113488] = 2,
    ACTIONS(4326), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113496] = 2,
    ACTIONS(4328), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113504] = 2,
    ACTIONS(4330), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113512] = 2,
    ACTIONS(4332), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113520] = 2,
    ACTIONS(4334), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113528] = 2,
    ACTIONS(3492), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113536] = 2,
    ACTIONS(1268), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113544] = 2,
    ACTIONS(4336), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113552] = 2,
    ACTIONS(4338), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113560] = 2,
    ACTIONS(3490), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113568] = 2,
    ACTIONS(4340), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113576] = 2,
    ACTIONS(3882), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113584] = 2,
    ACTIONS(4342), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(173)] = 0,
  [SMALL_STATE(174)] = 110,
  [SMALL_STATE(175)] = 231,
  [SMALL_STATE(176)] = 352,
  [SMALL_STATE(177)] = 473,
  [SMALL_STATE(178)] = 594,
  [SMALL_STATE(179)] = 715,
  [SMALL_STATE(180)] = 832,
  [SMALL_STATE(181)] = 953,
  [SMALL_STATE(182)] = 1078,
  [SMALL_STATE(183)] = 1203,
  [SMALL_STATE(184)] = 1326,
  [SMALL_STATE(185)] = 1443,
  [SMALL_STATE(186)] = 1560,
  [SMALL_STATE(187)] = 1681,
  [SMALL_STATE(188)] = 1804,
  [SMALL_STATE(189)] = 1925,
  [SMALL_STATE(190)] = 2046,
  [SMALL_STATE(191)] = 2167,
  [SMALL_STATE(192)] = 2288,
  [SMALL_STATE(193)] = 2409,
  [SMALL_STATE(194)] = 2532,
  [SMALL_STATE(195)] = 2653,
  [SMALL_STATE(196)] = 2776,
  [SMALL_STATE(197)] = 2897,
  [SMALL_STATE(198)] = 3018,
  [SMALL_STATE(199)] = 3139,
  [SMALL_STATE(200)] = 3262,
  [SMALL_STATE(201)] = 3385,
  [SMALL_STATE(202)] = 3506,
  [SMALL_STATE(203)] = 3627,
  [SMALL_STATE(204)] = 3750,
  [SMALL_STATE(205)] = 3873,
  [SMALL_STATE(206)] = 3977,
  [SMALL_STATE(207)] = 4081,
  [SMALL_STATE(208)] = 4194,
  [SMALL_STATE(209)] = 4307,
  [SMALL_STATE(210)] = 4409,
  [SMALL_STATE(211)] = 4523,
  [SMALL_STATE(212)] = 4635,
  [SMALL_STATE(213)] = 4747,
  [SMALL_STATE(214)] = 4859,
  [SMALL_STATE(215)] = 4967,
  [SMALL_STATE(216)] = 5079,
  [SMALL_STATE(217)] = 5191,
  [SMALL_STATE(218)] = 5303,
  [SMALL_STATE(219)] = 5415,
  [SMALL_STATE(220)] = 5517,
  [SMALL_STATE(221)] = 5629,
  [SMALL_STATE(222)] = 5741,
  [SMALL_STATE(223)] = 5850,
  [SMALL_STATE(224)] = 5959,
  [SMALL_STATE(225)] = 6068,
  [SMALL_STATE(226)] = 6181,
  [SMALL_STATE(227)] = 6290,
  [SMALL_STATE(228)] = 6399,
  [SMALL_STATE(229)] = 6510,
  [SMALL_STATE(230)] = 6621,
  [SMALL_STATE(231)] = 6730,
  [SMALL_STATE(232)] = 6839,
  [SMALL_STATE(233)] = 6948,
  [SMALL_STATE(234)] = 7057,
  [SMALL_STATE(235)] = 7166,
  [SMALL_STATE(236)] = 7279,
  [SMALL_STATE(237)] = 7388,
  [SMALL_STATE(238)] = 7499,
  [SMALL_STATE(239)] = 7608,
  [SMALL_STATE(240)] = 7721,
  [SMALL_STATE(241)] = 7830,
  [SMALL_STATE(242)] = 7939,
  [SMALL_STATE(243)] = 8048,
  [SMALL_STATE(244)] = 8157,
  [SMALL_STATE(245)] = 8266,
  [SMALL_STATE(246)] = 8375,
  [SMALL_STATE(247)] = 8484,
  [SMALL_STATE(248)] = 8593,
  [SMALL_STATE(249)] = 8702,
  [SMALL_STATE(250)] = 8815,
  [SMALL_STATE(251)] = 8924,
  [SMALL_STATE(252)] = 9033,
  [SMALL_STATE(253)] = 9142,
  [SMALL_STATE(254)] = 9253,
  [SMALL_STATE(255)] = 9362,
  [SMALL_STATE(256)] = 9471,
  [SMALL_STATE(257)] = 9580,
  [SMALL_STATE(258)] = 9691,
  [SMALL_STATE(259)] = 9800,
  [SMALL_STATE(260)] = 9909,
  [SMALL_STATE(261)] = 10018,
  [SMALL_STATE(262)] = 10129,
  [SMALL_STATE(263)] = 10238,
  [SMALL_STATE(264)] = 10347,
  [SMALL_STATE(265)] = 10456,
  [SMALL_STATE(266)] = 10565,
  [SMALL_STATE(267)] = 10678,
  [SMALL_STATE(268)] = 10787,
  [SMALL_STATE(269)] = 10896,
  [SMALL_STATE(270)] = 11007,
  [SMALL_STATE(271)] = 11116,
  [SMALL_STATE(272)] = 11227,
  [SMALL_STATE(273)] = 11336,
  [SMALL_STATE(274)] = 11449,
  [SMALL_STATE(275)] = 11558,
  [SMALL_STATE(276)] = 11667,
  [SMALL_STATE(277)] = 11773,
  [SMALL_STATE(278)] = 11879,
  [SMALL_STATE(279)] = 11981,
  [SMALL_STATE(280)] = 12087,
  [SMALL_STATE(281)] = 12193,
  [SMALL_STATE(282)] = 12299,
  [SMALL_STATE(283)] = 12405,
  [SMALL_STATE(284)] = 12511,
  [SMALL_STATE(285)] = 12617,
  [SMALL_STATE(286)] = 12723,
  [SMALL_STATE(287)] = 12829,
  [SMALL_STATE(288)] = 12935,
  [SMALL_STATE(289)] = 13041,
  [SMALL_STATE(290)] = 13147,
  [SMALL_STATE(291)] = 13249,
  [SMALL_STATE(292)] = 13355,
  [SMALL_STATE(293)] = 13461,
  [SMALL_STATE(294)] = 13567,
  [SMALL_STATE(295)] = 13673,
  [SMALL_STATE(296)] = 13779,
  [SMALL_STATE(297)] = 13885,
  [SMALL_STATE(298)] = 13990,
  [SMALL_STATE(299)] = 14095,
  [SMALL_STATE(300)] = 14200,
  [SMALL_STATE(301)] = 14305,
  [SMALL_STATE(302)] = 14408,
  [SMALL_STATE(303)] = 14513,
  [SMALL_STATE(304)] = 14618,
  [SMALL_STATE(305)] = 14721,
  [SMALL_STATE(306)] = 14824,
  [SMALL_STATE(307)] = 14929,
  [SMALL_STATE(308)] = 15034,
  [SMALL_STATE(309)] = 15139,
  [SMALL_STATE(310)] = 15244,
  [SMALL_STATE(311)] = 15349,
  [SMALL_STATE(312)] = 15454,
  [SMALL_STATE(313)] = 15559,
  [SMALL_STATE(314)] = 15664,
  [SMALL_STATE(315)] = 15769,
  [SMALL_STATE(316)] = 15874,
  [SMALL_STATE(317)] = 15979,
  [SMALL_STATE(318)] = 16084,
  [SMALL_STATE(319)] = 16189,
  [SMALL_STATE(320)] = 16294,
  [SMALL_STATE(321)] = 16396,
  [SMALL_STATE(322)] = 16498,
  [SMALL_STATE(323)] = 16602,
  [SMALL_STATE(324)] = 16706,
  [SMALL_STATE(325)] = 16810,
  [SMALL_STATE(326)] = 16912,
  [SMALL_STATE(327)] = 17016,
  [SMALL_STATE(328)] = 17120,
  [SMALL_STATE(329)] = 17224,
  [SMALL_STATE(330)] = 17326,
  [SMALL_STATE(331)] = 17428,
  [SMALL_STATE(332)] = 17532,
  [SMALL_STATE(333)] = 17636,
  [SMALL_STATE(334)] = 17738,
  [SMALL_STATE(335)] = 17842,
  [SMALL_STATE(336)] = 17946,
  [SMALL_STATE(337)] = 18050,
  [SMALL_STATE(338)] = 18154,
  [SMALL_STATE(339)] = 18258,
  [SMALL_STATE(340)] = 18362,
  [SMALL_STATE(341)] = 18466,
  [SMALL_STATE(342)] = 18570,
  [SMALL_STATE(343)] = 18674,
  [SMALL_STATE(344)] = 18778,
  [SMALL_STATE(345)] = 18882,
  [SMALL_STATE(346)] = 18986,
  [SMALL_STATE(347)] = 19090,
  [SMALL_STATE(348)] = 19194,
  [SMALL_STATE(349)] = 19298,
  [SMALL_STATE(350)] = 19402,
  [SMALL_STATE(351)] = 19506,
  [SMALL_STATE(352)] = 19610,
  [SMALL_STATE(353)] = 19714,
  [SMALL_STATE(354)] = 19818,
  [SMALL_STATE(355)] = 19922,
  [SMALL_STATE(356)] = 20026,
  [SMALL_STATE(357)] = 20130,
  [SMALL_STATE(358)] = 20234,
  [SMALL_STATE(359)] = 20333,
  [SMALL_STATE(360)] = 20432,
  [SMALL_STATE(361)] = 20531,
  [SMALL_STATE(362)] = 20630,
  [SMALL_STATE(363)] = 20731,
  [SMALL_STATE(364)] = 20832,
  [SMALL_STATE(365)] = 20931,
  [SMALL_STATE(366)] = 21032,
  [SMALL_STATE(367)] = 21131,
  [SMALL_STATE(368)] = 21230,
  [SMALL_STATE(369)] = 21331,
  [SMALL_STATE(370)] = 21406,
  [SMALL_STATE(371)] = 21505,
  [SMALL_STATE(372)] = 21606,
  [SMALL_STATE(373)] = 21681,
  [SMALL_STATE(374)] = 21780,
  [SMALL_STATE(375)] = 21879,
  [SMALL_STATE(376)] = 21980,
  [SMALL_STATE(377)] = 22079,
  [SMALL_STATE(378)] = 22178,
  [SMALL_STATE(379)] = 22277,
  [SMALL_STATE(380)] = 22376,
  [SMALL_STATE(381)] = 22477,
  [SMALL_STATE(382)] = 22578,
  [SMALL_STATE(383)] = 22679,
  [SMALL_STATE(384)] = 22778,
  [SMALL_STATE(385)] = 22877,
  [SMALL_STATE(386)] = 22976,
  [SMALL_STATE(387)] = 23075,
  [SMALL_STATE(388)] = 23176,
  [SMALL_STATE(389)] = 23277,
  [SMALL_STATE(390)] = 23376,
  [SMALL_STATE(391)] = 23451,
  [SMALL_STATE(392)] = 23550,
  [SMALL_STATE(393)] = 23651,
  [SMALL_STATE(394)] = 23750,
  [SMALL_STATE(395)] = 23849,
  [SMALL_STATE(396)] = 23948,
  [SMALL_STATE(397)] = 24049,
  [SMALL_STATE(398)] = 24148,
  [SMALL_STATE(399)] = 24247,
  [SMALL_STATE(400)] = 24346,
  [SMALL_STATE(401)] = 24445,
  [SMALL_STATE(402)] = 24544,
  [SMALL_STATE(403)] = 24645,
  [SMALL_STATE(404)] = 24746,
  [SMALL_STATE(405)] = 24847,
  [SMALL_STATE(406)] = 24948,
  [SMALL_STATE(407)] = 25049,
  [SMALL_STATE(408)] = 25150,
  [SMALL_STATE(409)] = 25248,
  [SMALL_STATE(410)] = 25346,
  [SMALL_STATE(411)] = 25444,
  [SMALL_STATE(412)] = 25542,
  [SMALL_STATE(413)] = 25640,
  [SMALL_STATE(414)] = 25738,
  [SMALL_STATE(415)] = 25836,
  [SMALL_STATE(416)] = 25934,
  [SMALL_STATE(417)] = 26032,
  [SMALL_STATE(418)] = 26130,
  [SMALL_STATE(419)] = 26228,
  [SMALL_STATE(420)] = 26326,
  [SMALL_STATE(421)] = 26424,
  [SMALL_STATE(422)] = 26522,
  [SMALL_STATE(423)] = 26620,
  [SMALL_STATE(424)] = 26718,
  [SMALL_STATE(425)] = 26816,
  [SMALL_STATE(426)] = 26914,
  [SMALL_STATE(427)] = 27012,
  [SMALL_STATE(428)] = 27110,
  [SMALL_STATE(429)] = 27208,
  [SMALL_STATE(430)] = 27306,
  [SMALL_STATE(431)] = 27401,
  [SMALL_STATE(432)] = 27496,
  [SMALL_STATE(433)] = 27591,
  [SMALL_STATE(434)] = 27686,
  [SMALL_STATE(435)] = 27781,
  [SMALL_STATE(436)] = 27876,
  [SMALL_STATE(437)] = 27971,
  [SMALL_STATE(438)] = 28066,
  [SMALL_STATE(439)] = 28161,
  [SMALL_STATE(440)] = 28256,
  [SMALL_STATE(441)] = 28351,
  [SMALL_STATE(442)] = 28446,
  [SMALL_STATE(443)] = 28541,
  [SMALL_STATE(444)] = 28636,
  [SMALL_STATE(445)] = 28731,
  [SMALL_STATE(446)] = 28826,
  [SMALL_STATE(447)] = 28921,
  [SMALL_STATE(448)] = 29016,
  [SMALL_STATE(449)] = 29111,
  [SMALL_STATE(450)] = 29206,
  [SMALL_STATE(451)] = 29301,
  [SMALL_STATE(452)] = 29396,
  [SMALL_STATE(453)] = 29491,
  [SMALL_STATE(454)] = 29586,
  [SMALL_STATE(455)] = 29681,
  [SMALL_STATE(456)] = 29776,
  [SMALL_STATE(457)] = 29871,
  [SMALL_STATE(458)] = 29966,
  [SMALL_STATE(459)] = 30061,
  [SMALL_STATE(460)] = 30156,
  [SMALL_STATE(461)] = 30251,
  [SMALL_STATE(462)] = 30346,
  [SMALL_STATE(463)] = 30441,
  [SMALL_STATE(464)] = 30536,
  [SMALL_STATE(465)] = 30631,
  [SMALL_STATE(466)] = 30726,
  [SMALL_STATE(467)] = 30821,
  [SMALL_STATE(468)] = 30916,
  [SMALL_STATE(469)] = 31011,
  [SMALL_STATE(470)] = 31106,
  [SMALL_STATE(471)] = 31201,
  [SMALL_STATE(472)] = 31296,
  [SMALL_STATE(473)] = 31391,
  [SMALL_STATE(474)] = 31486,
  [SMALL_STATE(475)] = 31581,
  [SMALL_STATE(476)] = 31676,
  [SMALL_STATE(477)] = 31771,
  [SMALL_STATE(478)] = 31866,
  [SMALL_STATE(479)] = 31961,
  [SMALL_STATE(480)] = 32056,
  [SMALL_STATE(481)] = 32151,
  [SMALL_STATE(482)] = 32246,
  [SMALL_STATE(483)] = 32317,
  [SMALL_STATE(484)] = 32388,
  [SMALL_STATE(485)] = 32483,
  [SMALL_STATE(486)] = 32578,
  [SMALL_STATE(487)] = 32673,
  [SMALL_STATE(488)] = 32768,
  [SMALL_STATE(489)] = 32863,
  [SMALL_STATE(490)] = 32958,
  [SMALL_STATE(491)] = 33053,
  [SMALL_STATE(492)] = 33148,
  [SMALL_STATE(493)] = 33243,
  [SMALL_STATE(494)] = 33314,
  [SMALL_STATE(495)] = 33385,
  [SMALL_STATE(496)] = 33480,
  [SMALL_STATE(497)] = 33575,
  [SMALL_STATE(498)] = 33670,
  [SMALL_STATE(499)] = 33765,
  [SMALL_STATE(500)] = 33860,
  [SMALL_STATE(501)] = 33955,
  [SMALL_STATE(502)] = 34050,
  [SMALL_STATE(503)] = 34145,
  [SMALL_STATE(504)] = 34240,
  [SMALL_STATE(505)] = 34335,
  [SMALL_STATE(506)] = 34430,
  [SMALL_STATE(507)] = 34525,
  [SMALL_STATE(508)] = 34620,
  [SMALL_STATE(509)] = 34715,
  [SMALL_STATE(510)] = 34810,
  [SMALL_STATE(511)] = 34905,
  [SMALL_STATE(512)] = 35000,
  [SMALL_STATE(513)] = 35095,
  [SMALL_STATE(514)] = 35190,
  [SMALL_STATE(515)] = 35285,
  [SMALL_STATE(516)] = 35380,
  [SMALL_STATE(517)] = 35475,
  [SMALL_STATE(518)] = 35570,
  [SMALL_STATE(519)] = 35667,
  [SMALL_STATE(520)] = 35762,
  [SMALL_STATE(521)] = 35857,
  [SMALL_STATE(522)] = 35952,
  [SMALL_STATE(523)] = 36047,
  [SMALL_STATE(524)] = 36142,
  [SMALL_STATE(525)] = 36237,
  [SMALL_STATE(526)] = 36332,
  [SMALL_STATE(527)] = 36427,
  [SMALL_STATE(528)] = 36522,
  [SMALL_STATE(529)] = 36617,
  [SMALL_STATE(530)] = 36712,
  [SMALL_STATE(531)] = 36807,
  [SMALL_STATE(532)] = 36902,
  [SMALL_STATE(533)] = 36997,
  [SMALL_STATE(534)] = 37092,
  [SMALL_STATE(535)] = 37187,
  [SMALL_STATE(536)] = 37258,
  [SMALL_STATE(537)] = 37329,
  [SMALL_STATE(538)] = 37424,
  [SMALL_STATE(539)] = 37519,
  [SMALL_STATE(540)] = 37614,
  [SMALL_STATE(541)] = 37709,
  [SMALL_STATE(542)] = 37804,
  [SMALL_STATE(543)] = 37899,
  [SMALL_STATE(544)] = 37994,
  [SMALL_STATE(545)] = 38089,
  [SMALL_STATE(546)] = 38184,
  [SMALL_STATE(547)] = 38279,
  [SMALL_STATE(548)] = 38374,
  [SMALL_STATE(549)] = 38469,
  [SMALL_STATE(550)] = 38564,
  [SMALL_STATE(551)] = 38659,
  [SMALL_STATE(552)] = 38754,
  [SMALL_STATE(553)] = 38849,
  [SMALL_STATE(554)] = 38944,
  [SMALL_STATE(555)] = 39039,
  [SMALL_STATE(556)] = 39134,
  [SMALL_STATE(557)] = 39229,
  [SMALL_STATE(558)] = 39324,
  [SMALL_STATE(559)] = 39419,
  [SMALL_STATE(560)] = 39514,
  [SMALL_STATE(561)] = 39611,
  [SMALL_STATE(562)] = 39706,
  [SMALL_STATE(563)] = 39801,
  [SMALL_STATE(564)] = 39896,
  [SMALL_STATE(565)] = 39991,
  [SMALL_STATE(566)] = 40086,
  [SMALL_STATE(567)] = 40181,
  [SMALL_STATE(568)] = 40276,
  [SMALL_STATE(569)] = 40347,
  [SMALL_STATE(570)] = 40442,
  [SMALL_STATE(571)] = 40537,
  [SMALL_STATE(572)] = 40608,
  [SMALL_STATE(573)] = 40703,
  [SMALL_STATE(574)] = 40798,
  [SMALL_STATE(575)] = 40895,
  [SMALL_STATE(576)] = 40992,
  [SMALL_STATE(577)] = 41087,
  [SMALL_STATE(578)] = 41182,
  [SMALL_STATE(579)] = 41277,
  [SMALL_STATE(580)] = 41372,
  [SMALL_STATE(581)] = 41467,
  [SMALL_STATE(582)] = 41562,
  [SMALL_STATE(583)] = 41657,
  [SMALL_STATE(584)] = 41752,
  [SMALL_STATE(585)] = 41847,
  [SMALL_STATE(586)] = 41942,
  [SMALL_STATE(587)] = 42037,
  [SMALL_STATE(588)] = 42132,
  [SMALL_STATE(589)] = 42227,
  [SMALL_STATE(590)] = 42322,
  [SMALL_STATE(591)] = 42417,
  [SMALL_STATE(592)] = 42512,
  [SMALL_STATE(593)] = 42607,
  [SMALL_STATE(594)] = 42702,
  [SMALL_STATE(595)] = 42797,
  [SMALL_STATE(596)] = 42892,
  [SMALL_STATE(597)] = 42987,
  [SMALL_STATE(598)] = 43082,
  [SMALL_STATE(599)] = 43177,
  [SMALL_STATE(600)] = 43272,
  [SMALL_STATE(601)] = 43367,
  [SMALL_STATE(602)] = 43462,
  [SMALL_STATE(603)] = 43557,
  [SMALL_STATE(604)] = 43652,
  [SMALL_STATE(605)] = 43747,
  [SMALL_STATE(606)] = 43842,
  [SMALL_STATE(607)] = 43937,
  [SMALL_STATE(608)] = 44032,
  [SMALL_STATE(609)] = 44127,
  [SMALL_STATE(610)] = 44222,
  [SMALL_STATE(611)] = 44317,
  [SMALL_STATE(612)] = 44412,
  [SMALL_STATE(613)] = 44507,
  [SMALL_STATE(614)] = 44602,
  [SMALL_STATE(615)] = 44697,
  [SMALL_STATE(616)] = 44792,
  [SMALL_STATE(617)] = 44889,
  [SMALL_STATE(618)] = 44984,
  [SMALL_STATE(619)] = 45079,
  [SMALL_STATE(620)] = 45174,
  [SMALL_STATE(621)] = 45269,
  [SMALL_STATE(622)] = 45364,
  [SMALL_STATE(623)] = 45459,
  [SMALL_STATE(624)] = 45554,
  [SMALL_STATE(625)] = 45649,
  [SMALL_STATE(626)] = 45744,
  [SMALL_STATE(627)] = 45841,
  [SMALL_STATE(628)] = 45936,
  [SMALL_STATE(629)] = 46031,
  [SMALL_STATE(630)] = 46126,
  [SMALL_STATE(631)] = 46221,
  [SMALL_STATE(632)] = 46316,
  [SMALL_STATE(633)] = 46411,
  [SMALL_STATE(634)] = 46506,
  [SMALL_STATE(635)] = 46572,
  [SMALL_STATE(636)] = 46638,
  [SMALL_STATE(637)] = 46695,
  [SMALL_STATE(638)] = 46756,
  [SMALL_STATE(639)] = 46813,
  [SMALL_STATE(640)] = 46880,
  [SMALL_STATE(641)] = 46943,
  [SMALL_STATE(642)] = 47010,
  [SMALL_STATE(643)] = 47077,
  [SMALL_STATE(644)] = 47144,
  [SMALL_STATE(645)] = 47205,
  [SMALL_STATE(646)] = 47266,
  [SMALL_STATE(647)] = 47327,
  [SMALL_STATE(648)] = 47388,
  [SMALL_STATE(649)] = 47449,
  [SMALL_STATE(650)] = 47516,
  [SMALL_STATE(651)] = 47583,
  [SMALL_STATE(652)] = 47646,
  [SMALL_STATE(653)] = 47703,
  [SMALL_STATE(654)] = 47760,
  [SMALL_STATE(655)] = 47817,
  [SMALL_STATE(656)] = 47884,
  [SMALL_STATE(657)] = 47951,
  [SMALL_STATE(658)] = 48008,
  [SMALL_STATE(659)] = 48071,
  [SMALL_STATE(660)] = 48128,
  [SMALL_STATE(661)] = 48191,
  [SMALL_STATE(662)] = 48253,
  [SMALL_STATE(663)] = 48315,
  [SMALL_STATE(664)] = 48370,
  [SMALL_STATE(665)] = 48425,
  [SMALL_STATE(666)] = 48480,
  [SMALL_STATE(667)] = 48535,
  [SMALL_STATE(668)] = 48590,
  [SMALL_STATE(669)] = 48645,
  [SMALL_STATE(670)] = 48700,
  [SMALL_STATE(671)] = 48755,
  [SMALL_STATE(672)] = 48810,
  [SMALL_STATE(673)] = 48865,
  [SMALL_STATE(674)] = 48920,
  [SMALL_STATE(675)] = 48975,
  [SMALL_STATE(676)] = 49030,
  [SMALL_STATE(677)] = 49085,
  [SMALL_STATE(678)] = 49140,
  [SMALL_STATE(679)] = 49195,
  [SMALL_STATE(680)] = 49250,
  [SMALL_STATE(681)] = 49305,
  [SMALL_STATE(682)] = 49360,
  [SMALL_STATE(683)] = 49415,
  [SMALL_STATE(684)] = 49504,
  [SMALL_STATE(685)] = 49559,
  [SMALL_STATE(686)] = 49614,
  [SMALL_STATE(687)] = 49669,
  [SMALL_STATE(688)] = 49724,
  [SMALL_STATE(689)] = 49779,
  [SMALL_STATE(690)] = 49834,
  [SMALL_STATE(691)] = 49889,
  [SMALL_STATE(692)] = 49944,
  [SMALL_STATE(693)] = 49999,
  [SMALL_STATE(694)] = 50054,
  [SMALL_STATE(695)] = 50109,
  [SMALL_STATE(696)] = 50164,
  [SMALL_STATE(697)] = 50219,
  [SMALL_STATE(698)] = 50274,
  [SMALL_STATE(699)] = 50329,
  [SMALL_STATE(700)] = 50384,
  [SMALL_STATE(701)] = 50439,
  [SMALL_STATE(702)] = 50494,
  [SMALL_STATE(703)] = 50549,
  [SMALL_STATE(704)] = 50604,
  [SMALL_STATE(705)] = 50659,
  [SMALL_STATE(706)] = 50714,
  [SMALL_STATE(707)] = 50769,
  [SMALL_STATE(708)] = 50824,
  [SMALL_STATE(709)] = 50913,
  [SMALL_STATE(710)] = 50968,
  [SMALL_STATE(711)] = 51023,
  [SMALL_STATE(712)] = 51078,
  [SMALL_STATE(713)] = 51133,
  [SMALL_STATE(714)] = 51188,
  [SMALL_STATE(715)] = 51243,
  [SMALL_STATE(716)] = 51301,
  [SMALL_STATE(717)] = 51359,
  [SMALL_STATE(718)] = 51417,
  [SMALL_STATE(719)] = 51475,
  [SMALL_STATE(720)] = 51533,
  [SMALL_STATE(721)] = 51591,
  [SMALL_STATE(722)] = 51645,
  [SMALL_STATE(723)] = 51699,
  [SMALL_STATE(724)] = 51757,
  [SMALL_STATE(725)] = 51811,
  [SMALL_STATE(726)] = 51869,
  [SMALL_STATE(727)] = 51923,
  [SMALL_STATE(728)] = 51981,
  [SMALL_STATE(729)] = 52039,
  [SMALL_STATE(730)] = 52097,
  [SMALL_STATE(731)] = 52155,
  [SMALL_STATE(732)] = 52213,
  [SMALL_STATE(733)] = 52271,
  [SMALL_STATE(734)] = 52329,
  [SMALL_STATE(735)] = 52383,
  [SMALL_STATE(736)] = 52437,
  [SMALL_STATE(737)] = 52495,
  [SMALL_STATE(738)] = 52584,
  [SMALL_STATE(739)] = 52637,
  [SMALL_STATE(740)] = 52690,
  [SMALL_STATE(741)] = 52779,
  [SMALL_STATE(742)] = 52832,
  [SMALL_STATE(743)] = 52885,
  [SMALL_STATE(744)] = 52937,
  [SMALL_STATE(745)] = 52989,
  [SMALL_STATE(746)] = 53041,
  [SMALL_STATE(747)] = 53093,
  [SMALL_STATE(748)] = 53179,
  [SMALL_STATE(749)] = 53231,
  [SMALL_STATE(750)] = 53283,
  [SMALL_STATE(751)] = 53335,
  [SMALL_STATE(752)] = 53387,
  [SMALL_STATE(753)] = 53439,
  [SMALL_STATE(754)] = 53525,
  [SMALL_STATE(755)] = 53577,
  [SMALL_STATE(756)] = 53663,
  [SMALL_STATE(757)] = 53749,
  [SMALL_STATE(758)] = 53801,
  [SMALL_STATE(759)] = 53853,
  [SMALL_STATE(760)] = 53905,
  [SMALL_STATE(761)] = 53957,
  [SMALL_STATE(762)] = 54009,
  [SMALL_STATE(763)] = 54061,
  [SMALL_STATE(764)] = 54113,
  [SMALL_STATE(765)] = 54165,
  [SMALL_STATE(766)] = 54217,
  [SMALL_STATE(767)] = 54269,
  [SMALL_STATE(768)] = 54321,
  [SMALL_STATE(769)] = 54407,
  [SMALL_STATE(770)] = 54459,
  [SMALL_STATE(771)] = 54511,
  [SMALL_STATE(772)] = 54597,
  [SMALL_STATE(773)] = 54649,
  [SMALL_STATE(774)] = 54701,
  [SMALL_STATE(775)] = 54753,
  [SMALL_STATE(776)] = 54805,
  [SMALL_STATE(777)] = 54857,
  [SMALL_STATE(778)] = 54909,
  [SMALL_STATE(779)] = 54995,
  [SMALL_STATE(780)] = 55047,
  [SMALL_STATE(781)] = 55099,
  [SMALL_STATE(782)] = 55151,
  [SMALL_STATE(783)] = 55237,
  [SMALL_STATE(784)] = 55289,
  [SMALL_STATE(785)] = 55375,
  [SMALL_STATE(786)] = 55427,
  [SMALL_STATE(787)] = 55479,
  [SMALL_STATE(788)] = 55531,
  [SMALL_STATE(789)] = 55583,
  [SMALL_STATE(790)] = 55635,
  [SMALL_STATE(791)] = 55687,
  [SMALL_STATE(792)] = 55739,
  [SMALL_STATE(793)] = 55791,
  [SMALL_STATE(794)] = 55843,
  [SMALL_STATE(795)] = 55895,
  [SMALL_STATE(796)] = 55947,
  [SMALL_STATE(797)] = 55999,
  [SMALL_STATE(798)] = 56051,
  [SMALL_STATE(799)] = 56103,
  [SMALL_STATE(800)] = 56155,
  [SMALL_STATE(801)] = 56241,
  [SMALL_STATE(802)] = 56293,
  [SMALL_STATE(803)] = 56345,
  [SMALL_STATE(804)] = 56397,
  [SMALL_STATE(805)] = 56449,
  [SMALL_STATE(806)] = 56501,
  [SMALL_STATE(807)] = 56587,
  [SMALL_STATE(808)] = 56639,
  [SMALL_STATE(809)] = 56691,
  [SMALL_STATE(810)] = 56777,
  [SMALL_STATE(811)] = 56863,
  [SMALL_STATE(812)] = 56915,
  [SMALL_STATE(813)] = 56967,
  [SMALL_STATE(814)] = 57019,
  [SMALL_STATE(815)] = 57071,
  [SMALL_STATE(816)] = 57123,
  [SMALL_STATE(817)] = 57175,
  [SMALL_STATE(818)] = 57227,
  [SMALL_STATE(819)] = 57279,
  [SMALL_STATE(820)] = 57331,
  [SMALL_STATE(821)] = 57383,
  [SMALL_STATE(822)] = 57435,
  [SMALL_STATE(823)] = 57487,
  [SMALL_STATE(824)] = 57539,
  [SMALL_STATE(825)] = 57591,
  [SMALL_STATE(826)] = 57643,
  [SMALL_STATE(827)] = 57695,
  [SMALL_STATE(828)] = 57747,
  [SMALL_STATE(829)] = 57799,
  [SMALL_STATE(830)] = 57851,
  [SMALL_STATE(831)] = 57903,
  [SMALL_STATE(832)] = 57955,
  [SMALL_STATE(833)] = 58007,
  [SMALL_STATE(834)] = 58059,
  [SMALL_STATE(835)] = 58145,
  [SMALL_STATE(836)] = 58197,
  [SMALL_STATE(837)] = 58249,
  [SMALL_STATE(838)] = 58301,
  [SMALL_STATE(839)] = 58353,
  [SMALL_STATE(840)] = 58439,
  [SMALL_STATE(841)] = 58491,
  [SMALL_STATE(842)] = 58577,
  [SMALL_STATE(843)] = 58629,
  [SMALL_STATE(844)] = 58712,
  [SMALL_STATE(845)] = 58795,
  [SMALL_STATE(846)] = 58878,
  [SMALL_STATE(847)] = 58961,
  [SMALL_STATE(848)] = 59044,
  [SMALL_STATE(849)] = 59127,
  [SMALL_STATE(850)] = 59207,
  [SMALL_STATE(851)] = 59287,
  [SMALL_STATE(852)] = 59362,
  [SMALL_STATE(853)] = 59437,
  [SMALL_STATE(854)] = 59512,
  [SMALL_STATE(855)] = 59587,
  [SMALL_STATE(856)] = 59662,
  [SMALL_STATE(857)] = 59737,
  [SMALL_STATE(858)] = 59812,
  [SMALL_STATE(859)] = 59887,
  [SMALL_STATE(860)] = 59963,
  [SMALL_STATE(861)] = 60035,
  [SMALL_STATE(862)] = 60107,
  [SMALL_STATE(863)] = 60179,
  [SMALL_STATE(864)] = 60251,
  [SMALL_STATE(865)] = 60323,
  [SMALL_STATE(866)] = 60395,
  [SMALL_STATE(867)] = 60467,
  [SMALL_STATE(868)] = 60539,
  [SMALL_STATE(869)] = 60611,
  [SMALL_STATE(870)] = 60683,
  [SMALL_STATE(871)] = 60755,
  [SMALL_STATE(872)] = 60827,
  [SMALL_STATE(873)] = 60899,
  [SMALL_STATE(874)] = 60971,
  [SMALL_STATE(875)] = 61043,
  [SMALL_STATE(876)] = 61115,
  [SMALL_STATE(877)] = 61187,
  [SMALL_STATE(878)] = 61259,
  [SMALL_STATE(879)] = 61335,
  [SMALL_STATE(880)] = 61411,
  [SMALL_STATE(881)] = 61483,
  [SMALL_STATE(882)] = 61559,
  [SMALL_STATE(883)] = 61631,
  [SMALL_STATE(884)] = 61703,
  [SMALL_STATE(885)] = 61775,
  [SMALL_STATE(886)] = 61847,
  [SMALL_STATE(887)] = 61919,
  [SMALL_STATE(888)] = 61991,
  [SMALL_STATE(889)] = 62063,
  [SMALL_STATE(890)] = 62135,
  [SMALL_STATE(891)] = 62207,
  [SMALL_STATE(892)] = 62279,
  [SMALL_STATE(893)] = 62351,
  [SMALL_STATE(894)] = 62423,
  [SMALL_STATE(895)] = 62495,
  [SMALL_STATE(896)] = 62567,
  [SMALL_STATE(897)] = 62639,
  [SMALL_STATE(898)] = 62711,
  [SMALL_STATE(899)] = 62783,
  [SMALL_STATE(900)] = 62855,
  [SMALL_STATE(901)] = 62927,
  [SMALL_STATE(902)] = 63003,
  [SMALL_STATE(903)] = 63075,
  [SMALL_STATE(904)] = 63147,
  [SMALL_STATE(905)] = 63219,
  [SMALL_STATE(906)] = 63291,
  [SMALL_STATE(907)] = 63363,
  [SMALL_STATE(908)] = 63435,
  [SMALL_STATE(909)] = 63511,
  [SMALL_STATE(910)] = 63583,
  [SMALL_STATE(911)] = 63655,
  [SMALL_STATE(912)] = 63727,
  [SMALL_STATE(913)] = 63799,
  [SMALL_STATE(914)] = 63871,
  [SMALL_STATE(915)] = 63943,
  [SMALL_STATE(916)] = 64015,
  [SMALL_STATE(917)] = 64087,
  [SMALL_STATE(918)] = 64159,
  [SMALL_STATE(919)] = 64231,
  [SMALL_STATE(920)] = 64303,
  [SMALL_STATE(921)] = 64379,
  [SMALL_STATE(922)] = 64451,
  [SMALL_STATE(923)] = 64523,
  [SMALL_STATE(924)] = 64595,
  [SMALL_STATE(925)] = 64667,
  [SMALL_STATE(926)] = 64739,
  [SMALL_STATE(927)] = 64811,
  [SMALL_STATE(928)] = 64883,
  [SMALL_STATE(929)] = 64955,
  [SMALL_STATE(930)] = 65031,
  [SMALL_STATE(931)] = 65103,
  [SMALL_STATE(932)] = 65175,
  [SMALL_STATE(933)] = 65247,
  [SMALL_STATE(934)] = 65319,
  [SMALL_STATE(935)] = 65391,
  [SMALL_STATE(936)] = 65463,
  [SMALL_STATE(937)] = 65539,
  [SMALL_STATE(938)] = 65611,
  [SMALL_STATE(939)] = 65683,
  [SMALL_STATE(940)] = 65755,
  [SMALL_STATE(941)] = 65827,
  [SMALL_STATE(942)] = 65899,
  [SMALL_STATE(943)] = 65971,
  [SMALL_STATE(944)] = 66043,
  [SMALL_STATE(945)] = 66115,
  [SMALL_STATE(946)] = 66191,
  [SMALL_STATE(947)] = 66263,
  [SMALL_STATE(948)] = 66335,
  [SMALL_STATE(949)] = 66407,
  [SMALL_STATE(950)] = 66483,
  [SMALL_STATE(951)] = 66559,
  [SMALL_STATE(952)] = 66635,
  [SMALL_STATE(953)] = 66707,
  [SMALL_STATE(954)] = 66779,
  [SMALL_STATE(955)] = 66855,
  [SMALL_STATE(956)] = 66927,
  [SMALL_STATE(957)] = 66999,
  [SMALL_STATE(958)] = 67071,
  [SMALL_STATE(959)] = 67147,
  [SMALL_STATE(960)] = 67219,
  [SMALL_STATE(961)] = 67291,
  [SMALL_STATE(962)] = 67363,
  [SMALL_STATE(963)] = 67435,
  [SMALL_STATE(964)] = 67507,
  [SMALL_STATE(965)] = 67579,
  [SMALL_STATE(966)] = 67651,
  [SMALL_STATE(967)] = 67723,
  [SMALL_STATE(968)] = 67795,
  [SMALL_STATE(969)] = 67867,
  [SMALL_STATE(970)] = 67939,
  [SMALL_STATE(971)] = 67990,
  [SMALL_STATE(972)] = 68071,
  [SMALL_STATE(973)] = 68122,
  [SMALL_STATE(974)] = 68173,
  [SMALL_STATE(975)] = 68254,
  [SMALL_STATE(976)] = 68305,
  [SMALL_STATE(977)] = 68386,
  [SMALL_STATE(978)] = 68437,
  [SMALL_STATE(979)] = 68488,
  [SMALL_STATE(980)] = 68539,
  [SMALL_STATE(981)] = 68590,
  [SMALL_STATE(982)] = 68671,
  [SMALL_STATE(983)] = 68752,
  [SMALL_STATE(984)] = 68833,
  [SMALL_STATE(985)] = 68884,
  [SMALL_STATE(986)] = 68940,
  [SMALL_STATE(987)] = 69010,
  [SMALL_STATE(988)] = 69072,
  [SMALL_STATE(989)] = 69142,
  [SMALL_STATE(990)] = 69208,
  [SMALL_STATE(991)] = 69274,
  [SMALL_STATE(992)] = 69320,
  [SMALL_STATE(993)] = 69390,
  [SMALL_STATE(994)] = 69460,
  [SMALL_STATE(995)] = 69540,
  [SMALL_STATE(996)] = 69586,
  [SMALL_STATE(997)] = 69636,
  [SMALL_STATE(998)] = 69682,
  [SMALL_STATE(999)] = 69728,
  [SMALL_STATE(1000)] = 69774,
  [SMALL_STATE(1001)] = 69820,
  [SMALL_STATE(1002)] = 69884,
  [SMALL_STATE(1003)] = 69930,
  [SMALL_STATE(1004)] = 69986,
  [SMALL_STATE(1005)] = 70056,
  [SMALL_STATE(1006)] = 70116,
  [SMALL_STATE(1007)] = 70184,
  [SMALL_STATE(1008)] = 70240,
  [SMALL_STATE(1009)] = 70320,
  [SMALL_STATE(1010)] = 70382,
  [SMALL_STATE(1011)] = 70452,
  [SMALL_STATE(1012)] = 70502,
  [SMALL_STATE(1013)] = 70552,
  [SMALL_STATE(1014)] = 70608,
  [SMALL_STATE(1015)] = 70658,
  [SMALL_STATE(1016)] = 70714,
  [SMALL_STATE(1017)] = 70764,
  [SMALL_STATE(1018)] = 70820,
  [SMALL_STATE(1019)] = 70890,
  [SMALL_STATE(1020)] = 70960,
  [SMALL_STATE(1021)] = 71010,
  [SMALL_STATE(1022)] = 71060,
  [SMALL_STATE(1023)] = 71124,
  [SMALL_STATE(1024)] = 71190,
  [SMALL_STATE(1025)] = 71258,
  [SMALL_STATE(1026)] = 71314,
  [SMALL_STATE(1027)] = 71374,
  [SMALL_STATE(1028)] = 71438,
  [SMALL_STATE(1029)] = 71506,
  [SMALL_STATE(1030)] = 71576,
  [SMALL_STATE(1031)] = 71638,
  [SMALL_STATE(1032)] = 71694,
  [SMALL_STATE(1033)] = 71774,
  [SMALL_STATE(1034)] = 71854,
  [SMALL_STATE(1035)] = 71934,
  [SMALL_STATE(1036)] = 72014,
  [SMALL_STATE(1037)] = 72064,
  [SMALL_STATE(1038)] = 72120,
  [SMALL_STATE(1039)] = 72180,
  [SMALL_STATE(1040)] = 72230,
  [SMALL_STATE(1041)] = 72293,
  [SMALL_STATE(1042)] = 72340,
  [SMALL_STATE(1043)] = 72391,
  [SMALL_STATE(1044)] = 72442,
  [SMALL_STATE(1045)] = 72497,
  [SMALL_STATE(1046)] = 72544,
  [SMALL_STATE(1047)] = 72591,
  [SMALL_STATE(1048)] = 72646,
  [SMALL_STATE(1049)] = 72723,
  [SMALL_STATE(1050)] = 72792,
  [SMALL_STATE(1051)] = 72841,
  [SMALL_STATE(1052)] = 72910,
  [SMALL_STATE(1053)] = 72965,
  [SMALL_STATE(1054)] = 73026,
  [SMALL_STATE(1055)] = 73073,
  [SMALL_STATE(1056)] = 73122,
  [SMALL_STATE(1057)] = 73171,
  [SMALL_STATE(1058)] = 73240,
  [SMALL_STATE(1059)] = 73285,
  [SMALL_STATE(1060)] = 73340,
  [SMALL_STATE(1061)] = 73387,
  [SMALL_STATE(1062)] = 73432,
  [SMALL_STATE(1063)] = 73481,
  [SMALL_STATE(1064)] = 73540,
  [SMALL_STATE(1065)] = 73607,
  [SMALL_STATE(1066)] = 73652,
  [SMALL_STATE(1067)] = 73699,
  [SMALL_STATE(1068)] = 73764,
  [SMALL_STATE(1069)] = 73827,
  [SMALL_STATE(1070)] = 73874,
  [SMALL_STATE(1071)] = 73923,
  [SMALL_STATE(1072)] = 73978,
  [SMALL_STATE(1073)] = 74041,
  [SMALL_STATE(1074)] = 74106,
  [SMALL_STATE(1075)] = 74173,
  [SMALL_STATE(1076)] = 74232,
  [SMALL_STATE(1077)] = 74287,
  [SMALL_STATE(1078)] = 74356,
  [SMALL_STATE(1079)] = 74417,
  [SMALL_STATE(1080)] = 74486,
  [SMALL_STATE(1081)] = 74541,
  [SMALL_STATE(1082)] = 74590,
  [SMALL_STATE(1083)] = 74667,
  [SMALL_STATE(1084)] = 74746,
  [SMALL_STATE(1085)] = 74801,
  [SMALL_STATE(1086)] = 74846,
  [SMALL_STATE(1087)] = 74901,
  [SMALL_STATE(1088)] = 74950,
  [SMALL_STATE(1089)] = 75011,
  [SMALL_STATE(1090)] = 75070,
  [SMALL_STATE(1091)] = 75137,
  [SMALL_STATE(1092)] = 75206,
  [SMALL_STATE(1093)] = 75275,
  [SMALL_STATE(1094)] = 75352,
  [SMALL_STATE(1095)] = 75407,
  [SMALL_STATE(1096)] = 75472,
  [SMALL_STATE(1097)] = 75527,
  [SMALL_STATE(1098)] = 75582,
  [SMALL_STATE(1099)] = 75629,
  [SMALL_STATE(1100)] = 75678,
  [SMALL_STATE(1101)] = 75723,
  [SMALL_STATE(1102)] = 75772,
  [SMALL_STATE(1103)] = 75851,
  [SMALL_STATE(1104)] = 75898,
  [SMALL_STATE(1105)] = 75943,
  [SMALL_STATE(1106)] = 76012,
  [SMALL_STATE(1107)] = 76061,
  [SMALL_STATE(1108)] = 76130,
  [SMALL_STATE(1109)] = 76176,
  [SMALL_STATE(1110)] = 76224,
  [SMALL_STATE(1111)] = 76268,
  [SMALL_STATE(1112)] = 76320,
  [SMALL_STATE(1113)] = 76382,
  [SMALL_STATE(1114)] = 76426,
  [SMALL_STATE(1115)] = 76476,
  [SMALL_STATE(1116)] = 76520,
  [SMALL_STATE(1117)] = 76564,
  [SMALL_STATE(1118)] = 76608,
  [SMALL_STATE(1119)] = 76652,
  [SMALL_STATE(1120)] = 76704,
  [SMALL_STATE(1121)] = 76748,
  [SMALL_STATE(1122)] = 76792,
  [SMALL_STATE(1123)] = 76836,
  [SMALL_STATE(1124)] = 76880,
  [SMALL_STATE(1125)] = 76924,
  [SMALL_STATE(1126)] = 76968,
  [SMALL_STATE(1127)] = 77020,
  [SMALL_STATE(1128)] = 77064,
  [SMALL_STATE(1129)] = 77108,
  [SMALL_STATE(1130)] = 77160,
  [SMALL_STATE(1131)] = 77212,
  [SMALL_STATE(1132)] = 77276,
  [SMALL_STATE(1133)] = 77320,
  [SMALL_STATE(1134)] = 77364,
  [SMALL_STATE(1135)] = 77410,
  [SMALL_STATE(1136)] = 77454,
  [SMALL_STATE(1137)] = 77498,
  [SMALL_STATE(1138)] = 77542,
  [SMALL_STATE(1139)] = 77610,
  [SMALL_STATE(1140)] = 77658,
  [SMALL_STATE(1141)] = 77726,
  [SMALL_STATE(1142)] = 77774,
  [SMALL_STATE(1143)] = 77822,
  [SMALL_STATE(1144)] = 77872,
  [SMALL_STATE(1145)] = 77916,
  [SMALL_STATE(1146)] = 77968,
  [SMALL_STATE(1147)] = 78012,
  [SMALL_STATE(1148)] = 78056,
  [SMALL_STATE(1149)] = 78100,
  [SMALL_STATE(1150)] = 78144,
  [SMALL_STATE(1151)] = 78188,
  [SMALL_STATE(1152)] = 78232,
  [SMALL_STATE(1153)] = 78276,
  [SMALL_STATE(1154)] = 78320,
  [SMALL_STATE(1155)] = 78364,
  [SMALL_STATE(1156)] = 78408,
  [SMALL_STATE(1157)] = 78456,
  [SMALL_STATE(1158)] = 78500,
  [SMALL_STATE(1159)] = 78544,
  [SMALL_STATE(1160)] = 78590,
  [SMALL_STATE(1161)] = 78636,
  [SMALL_STATE(1162)] = 78712,
  [SMALL_STATE(1163)] = 78756,
  [SMALL_STATE(1164)] = 78804,
  [SMALL_STATE(1165)] = 78848,
  [SMALL_STATE(1166)] = 78892,
  [SMALL_STATE(1167)] = 78936,
  [SMALL_STATE(1168)] = 78980,
  [SMALL_STATE(1169)] = 79046,
  [SMALL_STATE(1170)] = 79104,
  [SMALL_STATE(1171)] = 79148,
  [SMALL_STATE(1172)] = 79192,
  [SMALL_STATE(1173)] = 79246,
  [SMALL_STATE(1174)] = 79292,
  [SMALL_STATE(1175)] = 79336,
  [SMALL_STATE(1176)] = 79380,
  [SMALL_STATE(1177)] = 79424,
  [SMALL_STATE(1178)] = 79468,
  [SMALL_STATE(1179)] = 79512,
  [SMALL_STATE(1180)] = 79556,
  [SMALL_STATE(1181)] = 79600,
  [SMALL_STATE(1182)] = 79644,
  [SMALL_STATE(1183)] = 79688,
  [SMALL_STATE(1184)] = 79732,
  [SMALL_STATE(1185)] = 79780,
  [SMALL_STATE(1186)] = 79824,
  [SMALL_STATE(1187)] = 79878,
  [SMALL_STATE(1188)] = 79922,
  [SMALL_STATE(1189)] = 79966,
  [SMALL_STATE(1190)] = 80012,
  [SMALL_STATE(1191)] = 80060,
  [SMALL_STATE(1192)] = 80114,
  [SMALL_STATE(1193)] = 80158,
  [SMALL_STATE(1194)] = 80218,
  [SMALL_STATE(1195)] = 80286,
  [SMALL_STATE(1196)] = 80330,
  [SMALL_STATE(1197)] = 80374,
  [SMALL_STATE(1198)] = 80418,
  [SMALL_STATE(1199)] = 80462,
  [SMALL_STATE(1200)] = 80506,
  [SMALL_STATE(1201)] = 80560,
  [SMALL_STATE(1202)] = 80604,
  [SMALL_STATE(1203)] = 80648,
  [SMALL_STATE(1204)] = 80692,
  [SMALL_STATE(1205)] = 80750,
  [SMALL_STATE(1206)] = 80794,
  [SMALL_STATE(1207)] = 80860,
  [SMALL_STATE(1208)] = 80904,
  [SMALL_STATE(1209)] = 80948,
  [SMALL_STATE(1210)] = 81012,
  [SMALL_STATE(1211)] = 81074,
  [SMALL_STATE(1212)] = 81118,
  [SMALL_STATE(1213)] = 81194,
  [SMALL_STATE(1214)] = 81238,
  [SMALL_STATE(1215)] = 81282,
  [SMALL_STATE(1216)] = 81326,
  [SMALL_STATE(1217)] = 81370,
  [SMALL_STATE(1218)] = 81414,
  [SMALL_STATE(1219)] = 81458,
  [SMALL_STATE(1220)] = 81502,
  [SMALL_STATE(1221)] = 81556,
  [SMALL_STATE(1222)] = 81624,
  [SMALL_STATE(1223)] = 81684,
  [SMALL_STATE(1224)] = 81738,
  [SMALL_STATE(1225)] = 81782,
  [SMALL_STATE(1226)] = 81850,
  [SMALL_STATE(1227)] = 81894,
  [SMALL_STATE(1228)] = 81938,
  [SMALL_STATE(1229)] = 81982,
  [SMALL_STATE(1230)] = 82026,
  [SMALL_STATE(1231)] = 82094,
  [SMALL_STATE(1232)] = 82148,
  [SMALL_STATE(1233)] = 82202,
  [SMALL_STATE(1234)] = 82246,
  [SMALL_STATE(1235)] = 82294,
  [SMALL_STATE(1236)] = 82338,
  [SMALL_STATE(1237)] = 82382,
  [SMALL_STATE(1238)] = 82426,
  [SMALL_STATE(1239)] = 82470,
  [SMALL_STATE(1240)] = 82546,
  [SMALL_STATE(1241)] = 82592,
  [SMALL_STATE(1242)] = 82640,
  [SMALL_STATE(1243)] = 82684,
  [SMALL_STATE(1244)] = 82728,
  [SMALL_STATE(1245)] = 82772,
  [SMALL_STATE(1246)] = 82816,
  [SMALL_STATE(1247)] = 82870,
  [SMALL_STATE(1248)] = 82914,
  [SMALL_STATE(1249)] = 82960,
  [SMALL_STATE(1250)] = 83004,
  [SMALL_STATE(1251)] = 83052,
  [SMALL_STATE(1252)] = 83096,
  [SMALL_STATE(1253)] = 83140,
  [SMALL_STATE(1254)] = 83184,
  [SMALL_STATE(1255)] = 83228,
  [SMALL_STATE(1256)] = 83272,
  [SMALL_STATE(1257)] = 83318,
  [SMALL_STATE(1258)] = 83362,
  [SMALL_STATE(1259)] = 83408,
  [SMALL_STATE(1260)] = 83452,
  [SMALL_STATE(1261)] = 83496,
  [SMALL_STATE(1262)] = 83540,
  [SMALL_STATE(1263)] = 83584,
  [SMALL_STATE(1264)] = 83628,
  [SMALL_STATE(1265)] = 83674,
  [SMALL_STATE(1266)] = 83722,
  [SMALL_STATE(1267)] = 83768,
  [SMALL_STATE(1268)] = 83812,
  [SMALL_STATE(1269)] = 83856,
  [SMALL_STATE(1270)] = 83902,
  [SMALL_STATE(1271)] = 83950,
  [SMALL_STATE(1272)] = 83994,
  [SMALL_STATE(1273)] = 84038,
  [SMALL_STATE(1274)] = 84092,
  [SMALL_STATE(1275)] = 84136,
  [SMALL_STATE(1276)] = 84180,
  [SMALL_STATE(1277)] = 84224,
  [SMALL_STATE(1278)] = 84268,
  [SMALL_STATE(1279)] = 84312,
  [SMALL_STATE(1280)] = 84358,
  [SMALL_STATE(1281)] = 84402,
  [SMALL_STATE(1282)] = 84446,
  [SMALL_STATE(1283)] = 84498,
  [SMALL_STATE(1284)] = 84546,
  [SMALL_STATE(1285)] = 84594,
  [SMALL_STATE(1286)] = 84638,
  [SMALL_STATE(1287)] = 84686,
  [SMALL_STATE(1288)] = 84738,
  [SMALL_STATE(1289)] = 84782,
  [SMALL_STATE(1290)] = 84832,
  [SMALL_STATE(1291)] = 84880,
  [SMALL_STATE(1292)] = 84926,
  [SMALL_STATE(1293)] = 84970,
  [SMALL_STATE(1294)] = 85016,
  [SMALL_STATE(1295)] = 85062,
  [SMALL_STATE(1296)] = 85106,
  [SMALL_STATE(1297)] = 85158,
  [SMALL_STATE(1298)] = 85201,
  [SMALL_STATE(1299)] = 85246,
  [SMALL_STATE(1300)] = 85291,
  [SMALL_STATE(1301)] = 85338,
  [SMALL_STATE(1302)] = 85383,
  [SMALL_STATE(1303)] = 85432,
  [SMALL_STATE(1304)] = 85477,
  [SMALL_STATE(1305)] = 85520,
  [SMALL_STATE(1306)] = 85571,
  [SMALL_STATE(1307)] = 85622,
  [SMALL_STATE(1308)] = 85673,
  [SMALL_STATE(1309)] = 85718,
  [SMALL_STATE(1310)] = 85767,
  [SMALL_STATE(1311)] = 85810,
  [SMALL_STATE(1312)] = 85853,
  [SMALL_STATE(1313)] = 85896,
  [SMALL_STATE(1314)] = 85943,
  [SMALL_STATE(1315)] = 85988,
  [SMALL_STATE(1316)] = 86031,
  [SMALL_STATE(1317)] = 86074,
  [SMALL_STATE(1318)] = 86117,
  [SMALL_STATE(1319)] = 86160,
  [SMALL_STATE(1320)] = 86203,
  [SMALL_STATE(1321)] = 86246,
  [SMALL_STATE(1322)] = 86289,
  [SMALL_STATE(1323)] = 86334,
  [SMALL_STATE(1324)] = 86385,
  [SMALL_STATE(1325)] = 86430,
  [SMALL_STATE(1326)] = 86481,
  [SMALL_STATE(1327)] = 86524,
  [SMALL_STATE(1328)] = 86567,
  [SMALL_STATE(1329)] = 86618,
  [SMALL_STATE(1330)] = 86661,
  [SMALL_STATE(1331)] = 86704,
  [SMALL_STATE(1332)] = 86753,
  [SMALL_STATE(1333)] = 86796,
  [SMALL_STATE(1334)] = 86843,
  [SMALL_STATE(1335)] = 86886,
  [SMALL_STATE(1336)] = 86929,
  [SMALL_STATE(1337)] = 86972,
  [SMALL_STATE(1338)] = 87015,
  [SMALL_STATE(1339)] = 87058,
  [SMALL_STATE(1340)] = 87101,
  [SMALL_STATE(1341)] = 87146,
  [SMALL_STATE(1342)] = 87189,
  [SMALL_STATE(1343)] = 87232,
  [SMALL_STATE(1344)] = 87275,
  [SMALL_STATE(1345)] = 87318,
  [SMALL_STATE(1346)] = 87369,
  [SMALL_STATE(1347)] = 87420,
  [SMALL_STATE(1348)] = 87465,
  [SMALL_STATE(1349)] = 87508,
  [SMALL_STATE(1350)] = 87555,
  [SMALL_STATE(1351)] = 87600,
  [SMALL_STATE(1352)] = 87645,
  [SMALL_STATE(1353)] = 87688,
  [SMALL_STATE(1354)] = 87731,
  [SMALL_STATE(1355)] = 87774,
  [SMALL_STATE(1356)] = 87817,
  [SMALL_STATE(1357)] = 87860,
  [SMALL_STATE(1358)] = 87903,
  [SMALL_STATE(1359)] = 87946,
  [SMALL_STATE(1360)] = 87989,
  [SMALL_STATE(1361)] = 88032,
  [SMALL_STATE(1362)] = 88075,
  [SMALL_STATE(1363)] = 88118,
  [SMALL_STATE(1364)] = 88161,
  [SMALL_STATE(1365)] = 88204,
  [SMALL_STATE(1366)] = 88247,
  [SMALL_STATE(1367)] = 88290,
  [SMALL_STATE(1368)] = 88333,
  [SMALL_STATE(1369)] = 88376,
  [SMALL_STATE(1370)] = 88419,
  [SMALL_STATE(1371)] = 88462,
  [SMALL_STATE(1372)] = 88505,
  [SMALL_STATE(1373)] = 88548,
  [SMALL_STATE(1374)] = 88599,
  [SMALL_STATE(1375)] = 88644,
  [SMALL_STATE(1376)] = 88687,
  [SMALL_STATE(1377)] = 88734,
  [SMALL_STATE(1378)] = 88779,
  [SMALL_STATE(1379)] = 88826,
  [SMALL_STATE(1380)] = 88869,
  [SMALL_STATE(1381)] = 88914,
  [SMALL_STATE(1382)] = 88957,
  [SMALL_STATE(1383)] = 89002,
  [SMALL_STATE(1384)] = 89045,
  [SMALL_STATE(1385)] = 89088,
  [SMALL_STATE(1386)] = 89133,
  [SMALL_STATE(1387)] = 89176,
  [SMALL_STATE(1388)] = 89221,
  [SMALL_STATE(1389)] = 89264,
  [SMALL_STATE(1390)] = 89311,
  [SMALL_STATE(1391)] = 89354,
  [SMALL_STATE(1392)] = 89397,
  [SMALL_STATE(1393)] = 89442,
  [SMALL_STATE(1394)] = 89489,
  [SMALL_STATE(1395)] = 89536,
  [SMALL_STATE(1396)] = 89579,
  [SMALL_STATE(1397)] = 89622,
  [SMALL_STATE(1398)] = 89667,
  [SMALL_STATE(1399)] = 89720,
  [SMALL_STATE(1400)] = 89765,
  [SMALL_STATE(1401)] = 89810,
  [SMALL_STATE(1402)] = 89853,
  [SMALL_STATE(1403)] = 89896,
  [SMALL_STATE(1404)] = 89939,
  [SMALL_STATE(1405)] = 89982,
  [SMALL_STATE(1406)] = 90025,
  [SMALL_STATE(1407)] = 90068,
  [SMALL_STATE(1408)] = 90111,
  [SMALL_STATE(1409)] = 90154,
  [SMALL_STATE(1410)] = 90197,
  [SMALL_STATE(1411)] = 90240,
  [SMALL_STATE(1412)] = 90283,
  [SMALL_STATE(1413)] = 90326,
  [SMALL_STATE(1414)] = 90369,
  [SMALL_STATE(1415)] = 90412,
  [SMALL_STATE(1416)] = 90455,
  [SMALL_STATE(1417)] = 90498,
  [SMALL_STATE(1418)] = 90541,
  [SMALL_STATE(1419)] = 90584,
  [SMALL_STATE(1420)] = 90627,
  [SMALL_STATE(1421)] = 90670,
  [SMALL_STATE(1422)] = 90713,
  [SMALL_STATE(1423)] = 90756,
  [SMALL_STATE(1424)] = 90799,
  [SMALL_STATE(1425)] = 90842,
  [SMALL_STATE(1426)] = 90895,
  [SMALL_STATE(1427)] = 90938,
  [SMALL_STATE(1428)] = 90981,
  [SMALL_STATE(1429)] = 91028,
  [SMALL_STATE(1430)] = 91071,
  [SMALL_STATE(1431)] = 91114,
  [SMALL_STATE(1432)] = 91157,
  [SMALL_STATE(1433)] = 91200,
  [SMALL_STATE(1434)] = 91243,
  [SMALL_STATE(1435)] = 91286,
  [SMALL_STATE(1436)] = 91329,
  [SMALL_STATE(1437)] = 91372,
  [SMALL_STATE(1438)] = 91415,
  [SMALL_STATE(1439)] = 91458,
  [SMALL_STATE(1440)] = 91501,
  [SMALL_STATE(1441)] = 91544,
  [SMALL_STATE(1442)] = 91587,
  [SMALL_STATE(1443)] = 91630,
  [SMALL_STATE(1444)] = 91673,
  [SMALL_STATE(1445)] = 91718,
  [SMALL_STATE(1446)] = 91763,
  [SMALL_STATE(1447)] = 91810,
  [SMALL_STATE(1448)] = 91853,
  [SMALL_STATE(1449)] = 91896,
  [SMALL_STATE(1450)] = 91939,
  [SMALL_STATE(1451)] = 91982,
  [SMALL_STATE(1452)] = 92026,
  [SMALL_STATE(1453)] = 92068,
  [SMALL_STATE(1454)] = 92110,
  [SMALL_STATE(1455)] = 92152,
  [SMALL_STATE(1456)] = 92198,
  [SMALL_STATE(1457)] = 92240,
  [SMALL_STATE(1458)] = 92282,
  [SMALL_STATE(1459)] = 92324,
  [SMALL_STATE(1460)] = 92366,
  [SMALL_STATE(1461)] = 92408,
  [SMALL_STATE(1462)] = 92450,
  [SMALL_STATE(1463)] = 92492,
  [SMALL_STATE(1464)] = 92534,
  [SMALL_STATE(1465)] = 92576,
  [SMALL_STATE(1466)] = 92620,
  [SMALL_STATE(1467)] = 92662,
  [SMALL_STATE(1468)] = 92704,
  [SMALL_STATE(1469)] = 92746,
  [SMALL_STATE(1470)] = 92788,
  [SMALL_STATE(1471)] = 92830,
  [SMALL_STATE(1472)] = 92872,
  [SMALL_STATE(1473)] = 92914,
  [SMALL_STATE(1474)] = 92956,
  [SMALL_STATE(1475)] = 92998,
  [SMALL_STATE(1476)] = 93040,
  [SMALL_STATE(1477)] = 93082,
  [SMALL_STATE(1478)] = 93124,
  [SMALL_STATE(1479)] = 93174,
  [SMALL_STATE(1480)] = 93216,
  [SMALL_STATE(1481)] = 93258,
  [SMALL_STATE(1482)] = 93300,
  [SMALL_STATE(1483)] = 93348,
  [SMALL_STATE(1484)] = 93394,
  [SMALL_STATE(1485)] = 93436,
  [SMALL_STATE(1486)] = 93478,
  [SMALL_STATE(1487)] = 93520,
  [SMALL_STATE(1488)] = 93564,
  [SMALL_STATE(1489)] = 93606,
  [SMALL_STATE(1490)] = 93656,
  [SMALL_STATE(1491)] = 93698,
  [SMALL_STATE(1492)] = 93748,
  [SMALL_STATE(1493)] = 93790,
  [SMALL_STATE(1494)] = 93840,
  [SMALL_STATE(1495)] = 93888,
  [SMALL_STATE(1496)] = 93934,
  [SMALL_STATE(1497)] = 93978,
  [SMALL_STATE(1498)] = 94028,
  [SMALL_STATE(1499)] = 94070,
  [SMALL_STATE(1500)] = 94112,
  [SMALL_STATE(1501)] = 94154,
  [SMALL_STATE(1502)] = 94204,
  [SMALL_STATE(1503)] = 94246,
  [SMALL_STATE(1504)] = 94288,
  [SMALL_STATE(1505)] = 94330,
  [SMALL_STATE(1506)] = 94372,
  [SMALL_STATE(1507)] = 94414,
  [SMALL_STATE(1508)] = 94456,
  [SMALL_STATE(1509)] = 94498,
  [SMALL_STATE(1510)] = 94542,
  [SMALL_STATE(1511)] = 94584,
  [SMALL_STATE(1512)] = 94626,
  [SMALL_STATE(1513)] = 94668,
  [SMALL_STATE(1514)] = 94710,
  [SMALL_STATE(1515)] = 94752,
  [SMALL_STATE(1516)] = 94794,
  [SMALL_STATE(1517)] = 94836,
  [SMALL_STATE(1518)] = 94878,
  [SMALL_STATE(1519)] = 94920,
  [SMALL_STATE(1520)] = 94962,
  [SMALL_STATE(1521)] = 95004,
  [SMALL_STATE(1522)] = 95046,
  [SMALL_STATE(1523)] = 95088,
  [SMALL_STATE(1524)] = 95130,
  [SMALL_STATE(1525)] = 95174,
  [SMALL_STATE(1526)] = 95216,
  [SMALL_STATE(1527)] = 95258,
  [SMALL_STATE(1528)] = 95302,
  [SMALL_STATE(1529)] = 95348,
  [SMALL_STATE(1530)] = 95394,
  [SMALL_STATE(1531)] = 95436,
  [SMALL_STATE(1532)] = 95478,
  [SMALL_STATE(1533)] = 95520,
  [SMALL_STATE(1534)] = 95562,
  [SMALL_STATE(1535)] = 95604,
  [SMALL_STATE(1536)] = 95646,
  [SMALL_STATE(1537)] = 95688,
  [SMALL_STATE(1538)] = 95734,
  [SMALL_STATE(1539)] = 95776,
  [SMALL_STATE(1540)] = 95820,
  [SMALL_STATE(1541)] = 95862,
  [SMALL_STATE(1542)] = 95904,
  [SMALL_STATE(1543)] = 95946,
  [SMALL_STATE(1544)] = 95988,
  [SMALL_STATE(1545)] = 96030,
  [SMALL_STATE(1546)] = 96071,
  [SMALL_STATE(1547)] = 96112,
  [SMALL_STATE(1548)] = 96155,
  [SMALL_STATE(1549)] = 96198,
  [SMALL_STATE(1550)] = 96241,
  [SMALL_STATE(1551)] = 96284,
  [SMALL_STATE(1552)] = 96325,
  [SMALL_STATE(1553)] = 96366,
  [SMALL_STATE(1554)] = 96407,
  [SMALL_STATE(1555)] = 96448,
  [SMALL_STATE(1556)] = 96491,
  [SMALL_STATE(1557)] = 96534,
  [SMALL_STATE(1558)] = 96575,
  [SMALL_STATE(1559)] = 96616,
  [SMALL_STATE(1560)] = 96659,
  [SMALL_STATE(1561)] = 96700,
  [SMALL_STATE(1562)] = 96741,
  [SMALL_STATE(1563)] = 96782,
  [SMALL_STATE(1564)] = 96819,
  [SMALL_STATE(1565)] = 96854,
  [SMALL_STATE(1566)] = 96893,
  [SMALL_STATE(1567)] = 96934,
  [SMALL_STATE(1568)] = 96975,
  [SMALL_STATE(1569)] = 97007,
  [SMALL_STATE(1570)] = 97039,
  [SMALL_STATE(1571)] = 97071,
  [SMALL_STATE(1572)] = 97103,
  [SMALL_STATE(1573)] = 97135,
  [SMALL_STATE(1574)] = 97174,
  [SMALL_STATE(1575)] = 97213,
  [SMALL_STATE(1576)] = 97250,
  [SMALL_STATE(1577)] = 97289,
  [SMALL_STATE(1578)] = 97319,
  [SMALL_STATE(1579)] = 97349,
  [SMALL_STATE(1580)] = 97379,
  [SMALL_STATE(1581)] = 97409,
  [SMALL_STATE(1582)] = 97439,
  [SMALL_STATE(1583)] = 97477,
  [SMALL_STATE(1584)] = 97515,
  [SMALL_STATE(1585)] = 97545,
  [SMALL_STATE(1586)] = 97574,
  [SMALL_STATE(1587)] = 97599,
  [SMALL_STATE(1588)] = 97628,
  [SMALL_STATE(1589)] = 97663,
  [SMALL_STATE(1590)] = 97710,
  [SMALL_STATE(1591)] = 97747,
  [SMALL_STATE(1592)] = 97784,
  [SMALL_STATE(1593)] = 97831,
  [SMALL_STATE(1594)] = 97878,
  [SMALL_STATE(1595)] = 97907,
  [SMALL_STATE(1596)] = 97954,
  [SMALL_STATE(1597)] = 97983,
  [SMALL_STATE(1598)] = 98030,
  [SMALL_STATE(1599)] = 98059,
  [SMALL_STATE(1600)] = 98088,
  [SMALL_STATE(1601)] = 98135,
  [SMALL_STATE(1602)] = 98182,
  [SMALL_STATE(1603)] = 98211,
  [SMALL_STATE(1604)] = 98258,
  [SMALL_STATE(1605)] = 98287,
  [SMALL_STATE(1606)] = 98316,
  [SMALL_STATE(1607)] = 98345,
  [SMALL_STATE(1608)] = 98374,
  [SMALL_STATE(1609)] = 98403,
  [SMALL_STATE(1610)] = 98446,
  [SMALL_STATE(1611)] = 98471,
  [SMALL_STATE(1612)] = 98496,
  [SMALL_STATE(1613)] = 98521,
  [SMALL_STATE(1614)] = 98550,
  [SMALL_STATE(1615)] = 98587,
  [SMALL_STATE(1616)] = 98634,
  [SMALL_STATE(1617)] = 98675,
  [SMALL_STATE(1618)] = 98712,
  [SMALL_STATE(1619)] = 98751,
  [SMALL_STATE(1620)] = 98798,
  [SMALL_STATE(1621)] = 98843,
  [SMALL_STATE(1622)] = 98872,
  [SMALL_STATE(1623)] = 98901,
  [SMALL_STATE(1624)] = 98930,
  [SMALL_STATE(1625)] = 98977,
  [SMALL_STATE(1626)] = 99006,
  [SMALL_STATE(1627)] = 99035,
  [SMALL_STATE(1628)] = 99064,
  [SMALL_STATE(1629)] = 99110,
  [SMALL_STATE(1630)] = 99156,
  [SMALL_STATE(1631)] = 99180,
  [SMALL_STATE(1632)] = 99208,
  [SMALL_STATE(1633)] = 99236,
  [SMALL_STATE(1634)] = 99266,
  [SMALL_STATE(1635)] = 99312,
  [SMALL_STATE(1636)] = 99358,
  [SMALL_STATE(1637)] = 99390,
  [SMALL_STATE(1638)] = 99436,
  [SMALL_STATE(1639)] = 99460,
  [SMALL_STATE(1640)] = 99506,
  [SMALL_STATE(1641)] = 99552,
  [SMALL_STATE(1642)] = 99598,
  [SMALL_STATE(1643)] = 99622,
  [SMALL_STATE(1644)] = 99668,
  [SMALL_STATE(1645)] = 99714,
  [SMALL_STATE(1646)] = 99738,
  [SMALL_STATE(1647)] = 99784,
  [SMALL_STATE(1648)] = 99830,
  [SMALL_STATE(1649)] = 99876,
  [SMALL_STATE(1650)] = 99922,
  [SMALL_STATE(1651)] = 99968,
  [SMALL_STATE(1652)] = 100014,
  [SMALL_STATE(1653)] = 100060,
  [SMALL_STATE(1654)] = 100092,
  [SMALL_STATE(1655)] = 100138,
  [SMALL_STATE(1656)] = 100184,
  [SMALL_STATE(1657)] = 100227,
  [SMALL_STATE(1658)] = 100267,
  [SMALL_STATE(1659)] = 100293,
  [SMALL_STATE(1660)] = 100333,
  [SMALL_STATE(1661)] = 100373,
  [SMALL_STATE(1662)] = 100413,
  [SMALL_STATE(1663)] = 100450,
  [SMALL_STATE(1664)] = 100487,
  [SMALL_STATE(1665)] = 100528,
  [SMALL_STATE(1666)] = 100569,
  [SMALL_STATE(1667)] = 100610,
  [SMALL_STATE(1668)] = 100651,
  [SMALL_STATE(1669)] = 100692,
  [SMALL_STATE(1670)] = 100733,
  [SMALL_STATE(1671)] = 100774,
  [SMALL_STATE(1672)] = 100815,
  [SMALL_STATE(1673)] = 100853,
  [SMALL_STATE(1674)] = 100891,
  [SMALL_STATE(1675)] = 100929,
  [SMALL_STATE(1676)] = 100967,
  [SMALL_STATE(1677)] = 101005,
  [SMALL_STATE(1678)] = 101043,
  [SMALL_STATE(1679)] = 101081,
  [SMALL_STATE(1680)] = 101119,
  [SMALL_STATE(1681)] = 101157,
  [SMALL_STATE(1682)] = 101195,
  [SMALL_STATE(1683)] = 101233,
  [SMALL_STATE(1684)] = 101271,
  [SMALL_STATE(1685)] = 101309,
  [SMALL_STATE(1686)] = 101347,
  [SMALL_STATE(1687)] = 101385,
  [SMALL_STATE(1688)] = 101423,
  [SMALL_STATE(1689)] = 101461,
  [SMALL_STATE(1690)] = 101499,
  [SMALL_STATE(1691)] = 101537,
  [SMALL_STATE(1692)] = 101575,
  [SMALL_STATE(1693)] = 101613,
  [SMALL_STATE(1694)] = 101651,
  [SMALL_STATE(1695)] = 101689,
  [SMALL_STATE(1696)] = 101727,
  [SMALL_STATE(1697)] = 101765,
  [SMALL_STATE(1698)] = 101794,
  [SMALL_STATE(1699)] = 101823,
  [SMALL_STATE(1700)] = 101852,
  [SMALL_STATE(1701)] = 101881,
  [SMALL_STATE(1702)] = 101910,
  [SMALL_STATE(1703)] = 101939,
  [SMALL_STATE(1704)] = 101968,
  [SMALL_STATE(1705)] = 101997,
  [SMALL_STATE(1706)] = 102026,
  [SMALL_STATE(1707)] = 102055,
  [SMALL_STATE(1708)] = 102084,
  [SMALL_STATE(1709)] = 102113,
  [SMALL_STATE(1710)] = 102142,
  [SMALL_STATE(1711)] = 102171,
  [SMALL_STATE(1712)] = 102200,
  [SMALL_STATE(1713)] = 102229,
  [SMALL_STATE(1714)] = 102258,
  [SMALL_STATE(1715)] = 102287,
  [SMALL_STATE(1716)] = 102316,
  [SMALL_STATE(1717)] = 102345,
  [SMALL_STATE(1718)] = 102374,
  [SMALL_STATE(1719)] = 102398,
  [SMALL_STATE(1720)] = 102420,
  [SMALL_STATE(1721)] = 102444,
  [SMALL_STATE(1722)] = 102474,
  [SMALL_STATE(1723)] = 102498,
  [SMALL_STATE(1724)] = 102522,
  [SMALL_STATE(1725)] = 102546,
  [SMALL_STATE(1726)] = 102570,
  [SMALL_STATE(1727)] = 102594,
  [SMALL_STATE(1728)] = 102612,
  [SMALL_STATE(1729)] = 102632,
  [SMALL_STATE(1730)] = 102652,
  [SMALL_STATE(1731)] = 102674,
  [SMALL_STATE(1732)] = 102696,
  [SMALL_STATE(1733)] = 102716,
  [SMALL_STATE(1734)] = 102740,
  [SMALL_STATE(1735)] = 102758,
  [SMALL_STATE(1736)] = 102782,
  [SMALL_STATE(1737)] = 102804,
  [SMALL_STATE(1738)] = 102828,
  [SMALL_STATE(1739)] = 102852,
  [SMALL_STATE(1740)] = 102881,
  [SMALL_STATE(1741)] = 102904,
  [SMALL_STATE(1742)] = 102925,
  [SMALL_STATE(1743)] = 102952,
  [SMALL_STATE(1744)] = 102979,
  [SMALL_STATE(1745)] = 103008,
  [SMALL_STATE(1746)] = 103029,
  [SMALL_STATE(1747)] = 103058,
  [SMALL_STATE(1748)] = 103079,
  [SMALL_STATE(1749)] = 103102,
  [SMALL_STATE(1750)] = 103125,
  [SMALL_STATE(1751)] = 103152,
  [SMALL_STATE(1752)] = 103173,
  [SMALL_STATE(1753)] = 103202,
  [SMALL_STATE(1754)] = 103231,
  [SMALL_STATE(1755)] = 103260,
  [SMALL_STATE(1756)] = 103285,
  [SMALL_STATE(1757)] = 103312,
  [SMALL_STATE(1758)] = 103337,
  [SMALL_STATE(1759)] = 103358,
  [SMALL_STATE(1760)] = 103387,
  [SMALL_STATE(1761)] = 103408,
  [SMALL_STATE(1762)] = 103433,
  [SMALL_STATE(1763)] = 103456,
  [SMALL_STATE(1764)] = 103477,
  [SMALL_STATE(1765)] = 103506,
  [SMALL_STATE(1766)] = 103527,
  [SMALL_STATE(1767)] = 103550,
  [SMALL_STATE(1768)] = 103577,
  [SMALL_STATE(1769)] = 103596,
  [SMALL_STATE(1770)] = 103617,
  [SMALL_STATE(1771)] = 103642,
  [SMALL_STATE(1772)] = 103663,
  [SMALL_STATE(1773)] = 103682,
  [SMALL_STATE(1774)] = 103711,
  [SMALL_STATE(1775)] = 103740,
  [SMALL_STATE(1776)] = 103763,
  [SMALL_STATE(1777)] = 103792,
  [SMALL_STATE(1778)] = 103817,
  [SMALL_STATE(1779)] = 103838,
  [SMALL_STATE(1780)] = 103865,
  [SMALL_STATE(1781)] = 103890,
  [SMALL_STATE(1782)] = 103911,
  [SMALL_STATE(1783)] = 103934,
  [SMALL_STATE(1784)] = 103961,
  [SMALL_STATE(1785)] = 103988,
  [SMALL_STATE(1786)] = 104011,
  [SMALL_STATE(1787)] = 104032,
  [SMALL_STATE(1788)] = 104054,
  [SMALL_STATE(1789)] = 104076,
  [SMALL_STATE(1790)] = 104102,
  [SMALL_STATE(1791)] = 104124,
  [SMALL_STATE(1792)] = 104146,
  [SMALL_STATE(1793)] = 104172,
  [SMALL_STATE(1794)] = 104198,
  [SMALL_STATE(1795)] = 104224,
  [SMALL_STATE(1796)] = 104246,
  [SMALL_STATE(1797)] = 104272,
  [SMALL_STATE(1798)] = 104296,
  [SMALL_STATE(1799)] = 104322,
  [SMALL_STATE(1800)] = 104348,
  [SMALL_STATE(1801)] = 104368,
  [SMALL_STATE(1802)] = 104388,
  [SMALL_STATE(1803)] = 104408,
  [SMALL_STATE(1804)] = 104434,
  [SMALL_STATE(1805)] = 104456,
  [SMALL_STATE(1806)] = 104478,
  [SMALL_STATE(1807)] = 104500,
  [SMALL_STATE(1808)] = 104526,
  [SMALL_STATE(1809)] = 104552,
  [SMALL_STATE(1810)] = 104574,
  [SMALL_STATE(1811)] = 104600,
  [SMALL_STATE(1812)] = 104626,
  [SMALL_STATE(1813)] = 104648,
  [SMALL_STATE(1814)] = 104670,
  [SMALL_STATE(1815)] = 104692,
  [SMALL_STATE(1816)] = 104718,
  [SMALL_STATE(1817)] = 104734,
  [SMALL_STATE(1818)] = 104752,
  [SMALL_STATE(1819)] = 104772,
  [SMALL_STATE(1820)] = 104798,
  [SMALL_STATE(1821)] = 104820,
  [SMALL_STATE(1822)] = 104842,
  [SMALL_STATE(1823)] = 104866,
  [SMALL_STATE(1824)] = 104882,
  [SMALL_STATE(1825)] = 104900,
  [SMALL_STATE(1826)] = 104924,
  [SMALL_STATE(1827)] = 104944,
  [SMALL_STATE(1828)] = 104968,
  [SMALL_STATE(1829)] = 104994,
  [SMALL_STATE(1830)] = 105016,
  [SMALL_STATE(1831)] = 105040,
  [SMALL_STATE(1832)] = 105064,
  [SMALL_STATE(1833)] = 105086,
  [SMALL_STATE(1834)] = 105108,
  [SMALL_STATE(1835)] = 105134,
  [SMALL_STATE(1836)] = 105160,
  [SMALL_STATE(1837)] = 105182,
  [SMALL_STATE(1838)] = 105208,
  [SMALL_STATE(1839)] = 105230,
  [SMALL_STATE(1840)] = 105252,
  [SMALL_STATE(1841)] = 105273,
  [SMALL_STATE(1842)] = 105290,
  [SMALL_STATE(1843)] = 105311,
  [SMALL_STATE(1844)] = 105332,
  [SMALL_STATE(1845)] = 105349,
  [SMALL_STATE(1846)] = 105370,
  [SMALL_STATE(1847)] = 105387,
  [SMALL_STATE(1848)] = 105404,
  [SMALL_STATE(1849)] = 105425,
  [SMALL_STATE(1850)] = 105442,
  [SMALL_STATE(1851)] = 105463,
  [SMALL_STATE(1852)] = 105480,
  [SMALL_STATE(1853)] = 105501,
  [SMALL_STATE(1854)] = 105518,
  [SMALL_STATE(1855)] = 105539,
  [SMALL_STATE(1856)] = 105560,
  [SMALL_STATE(1857)] = 105581,
  [SMALL_STATE(1858)] = 105602,
  [SMALL_STATE(1859)] = 105625,
  [SMALL_STATE(1860)] = 105642,
  [SMALL_STATE(1861)] = 105661,
  [SMALL_STATE(1862)] = 105678,
  [SMALL_STATE(1863)] = 105699,
  [SMALL_STATE(1864)] = 105720,
  [SMALL_STATE(1865)] = 105737,
  [SMALL_STATE(1866)] = 105758,
  [SMALL_STATE(1867)] = 105779,
  [SMALL_STATE(1868)] = 105796,
  [SMALL_STATE(1869)] = 105817,
  [SMALL_STATE(1870)] = 105838,
  [SMALL_STATE(1871)] = 105855,
  [SMALL_STATE(1872)] = 105872,
  [SMALL_STATE(1873)] = 105889,
  [SMALL_STATE(1874)] = 105906,
  [SMALL_STATE(1875)] = 105923,
  [SMALL_STATE(1876)] = 105944,
  [SMALL_STATE(1877)] = 105965,
  [SMALL_STATE(1878)] = 105982,
  [SMALL_STATE(1879)] = 106003,
  [SMALL_STATE(1880)] = 106024,
  [SMALL_STATE(1881)] = 106041,
  [SMALL_STATE(1882)] = 106058,
  [SMALL_STATE(1883)] = 106075,
  [SMALL_STATE(1884)] = 106092,
  [SMALL_STATE(1885)] = 106109,
  [SMALL_STATE(1886)] = 106126,
  [SMALL_STATE(1887)] = 106143,
  [SMALL_STATE(1888)] = 106160,
  [SMALL_STATE(1889)] = 106177,
  [SMALL_STATE(1890)] = 106198,
  [SMALL_STATE(1891)] = 106215,
  [SMALL_STATE(1892)] = 106236,
  [SMALL_STATE(1893)] = 106253,
  [SMALL_STATE(1894)] = 106270,
  [SMALL_STATE(1895)] = 106291,
  [SMALL_STATE(1896)] = 106312,
  [SMALL_STATE(1897)] = 106329,
  [SMALL_STATE(1898)] = 106346,
  [SMALL_STATE(1899)] = 106363,
  [SMALL_STATE(1900)] = 106386,
  [SMALL_STATE(1901)] = 106407,
  [SMALL_STATE(1902)] = 106428,
  [SMALL_STATE(1903)] = 106449,
  [SMALL_STATE(1904)] = 106472,
  [SMALL_STATE(1905)] = 106493,
  [SMALL_STATE(1906)] = 106514,
  [SMALL_STATE(1907)] = 106534,
  [SMALL_STATE(1908)] = 106554,
  [SMALL_STATE(1909)] = 106570,
  [SMALL_STATE(1910)] = 106590,
  [SMALL_STATE(1911)] = 106610,
  [SMALL_STATE(1912)] = 106630,
  [SMALL_STATE(1913)] = 106646,
  [SMALL_STATE(1914)] = 106666,
  [SMALL_STATE(1915)] = 106686,
  [SMALL_STATE(1916)] = 106698,
  [SMALL_STATE(1917)] = 106718,
  [SMALL_STATE(1918)] = 106730,
  [SMALL_STATE(1919)] = 106750,
  [SMALL_STATE(1920)] = 106762,
  [SMALL_STATE(1921)] = 106774,
  [SMALL_STATE(1922)] = 106792,
  [SMALL_STATE(1923)] = 106812,
  [SMALL_STATE(1924)] = 106832,
  [SMALL_STATE(1925)] = 106844,
  [SMALL_STATE(1926)] = 106856,
  [SMALL_STATE(1927)] = 106876,
  [SMALL_STATE(1928)] = 106896,
  [SMALL_STATE(1929)] = 106916,
  [SMALL_STATE(1930)] = 106936,
  [SMALL_STATE(1931)] = 106956,
  [SMALL_STATE(1932)] = 106976,
  [SMALL_STATE(1933)] = 106996,
  [SMALL_STATE(1934)] = 107016,
  [SMALL_STATE(1935)] = 107036,
  [SMALL_STATE(1936)] = 107056,
  [SMALL_STATE(1937)] = 107074,
  [SMALL_STATE(1938)] = 107094,
  [SMALL_STATE(1939)] = 107112,
  [SMALL_STATE(1940)] = 107132,
  [SMALL_STATE(1941)] = 107148,
  [SMALL_STATE(1942)] = 107160,
  [SMALL_STATE(1943)] = 107180,
  [SMALL_STATE(1944)] = 107200,
  [SMALL_STATE(1945)] = 107220,
  [SMALL_STATE(1946)] = 107240,
  [SMALL_STATE(1947)] = 107252,
  [SMALL_STATE(1948)] = 107270,
  [SMALL_STATE(1949)] = 107282,
  [SMALL_STATE(1950)] = 107298,
  [SMALL_STATE(1951)] = 107318,
  [SMALL_STATE(1952)] = 107338,
  [SMALL_STATE(1953)] = 107358,
  [SMALL_STATE(1954)] = 107378,
  [SMALL_STATE(1955)] = 107390,
  [SMALL_STATE(1956)] = 107410,
  [SMALL_STATE(1957)] = 107430,
  [SMALL_STATE(1958)] = 107442,
  [SMALL_STATE(1959)] = 107462,
  [SMALL_STATE(1960)] = 107482,
  [SMALL_STATE(1961)] = 107494,
  [SMALL_STATE(1962)] = 107506,
  [SMALL_STATE(1963)] = 107518,
  [SMALL_STATE(1964)] = 107538,
  [SMALL_STATE(1965)] = 107554,
  [SMALL_STATE(1966)] = 107570,
  [SMALL_STATE(1967)] = 107582,
  [SMALL_STATE(1968)] = 107599,
  [SMALL_STATE(1969)] = 107614,
  [SMALL_STATE(1970)] = 107629,
  [SMALL_STATE(1971)] = 107644,
  [SMALL_STATE(1972)] = 107659,
  [SMALL_STATE(1973)] = 107674,
  [SMALL_STATE(1974)] = 107689,
  [SMALL_STATE(1975)] = 107706,
  [SMALL_STATE(1976)] = 107723,
  [SMALL_STATE(1977)] = 107740,
  [SMALL_STATE(1978)] = 107755,
  [SMALL_STATE(1979)] = 107770,
  [SMALL_STATE(1980)] = 107787,
  [SMALL_STATE(1981)] = 107802,
  [SMALL_STATE(1982)] = 107817,
  [SMALL_STATE(1983)] = 107832,
  [SMALL_STATE(1984)] = 107847,
  [SMALL_STATE(1985)] = 107864,
  [SMALL_STATE(1986)] = 107881,
  [SMALL_STATE(1987)] = 107896,
  [SMALL_STATE(1988)] = 107907,
  [SMALL_STATE(1989)] = 107918,
  [SMALL_STATE(1990)] = 107933,
  [SMALL_STATE(1991)] = 107950,
  [SMALL_STATE(1992)] = 107965,
  [SMALL_STATE(1993)] = 107980,
  [SMALL_STATE(1994)] = 107997,
  [SMALL_STATE(1995)] = 108014,
  [SMALL_STATE(1996)] = 108031,
  [SMALL_STATE(1997)] = 108044,
  [SMALL_STATE(1998)] = 108059,
  [SMALL_STATE(1999)] = 108076,
  [SMALL_STATE(2000)] = 108093,
  [SMALL_STATE(2001)] = 108108,
  [SMALL_STATE(2002)] = 108125,
  [SMALL_STATE(2003)] = 108140,
  [SMALL_STATE(2004)] = 108155,
  [SMALL_STATE(2005)] = 108167,
  [SMALL_STATE(2006)] = 108181,
  [SMALL_STATE(2007)] = 108195,
  [SMALL_STATE(2008)] = 108209,
  [SMALL_STATE(2009)] = 108223,
  [SMALL_STATE(2010)] = 108237,
  [SMALL_STATE(2011)] = 108249,
  [SMALL_STATE(2012)] = 108263,
  [SMALL_STATE(2013)] = 108277,
  [SMALL_STATE(2014)] = 108291,
  [SMALL_STATE(2015)] = 108305,
  [SMALL_STATE(2016)] = 108319,
  [SMALL_STATE(2017)] = 108333,
  [SMALL_STATE(2018)] = 108347,
  [SMALL_STATE(2019)] = 108359,
  [SMALL_STATE(2020)] = 108369,
  [SMALL_STATE(2021)] = 108383,
  [SMALL_STATE(2022)] = 108397,
  [SMALL_STATE(2023)] = 108411,
  [SMALL_STATE(2024)] = 108425,
  [SMALL_STATE(2025)] = 108435,
  [SMALL_STATE(2026)] = 108449,
  [SMALL_STATE(2027)] = 108463,
  [SMALL_STATE(2028)] = 108477,
  [SMALL_STATE(2029)] = 108491,
  [SMALL_STATE(2030)] = 108505,
  [SMALL_STATE(2031)] = 108519,
  [SMALL_STATE(2032)] = 108533,
  [SMALL_STATE(2033)] = 108547,
  [SMALL_STATE(2034)] = 108561,
  [SMALL_STATE(2035)] = 108573,
  [SMALL_STATE(2036)] = 108587,
  [SMALL_STATE(2037)] = 108601,
  [SMALL_STATE(2038)] = 108615,
  [SMALL_STATE(2039)] = 108629,
  [SMALL_STATE(2040)] = 108643,
  [SMALL_STATE(2041)] = 108657,
  [SMALL_STATE(2042)] = 108671,
  [SMALL_STATE(2043)] = 108685,
  [SMALL_STATE(2044)] = 108699,
  [SMALL_STATE(2045)] = 108713,
  [SMALL_STATE(2046)] = 108727,
  [SMALL_STATE(2047)] = 108741,
  [SMALL_STATE(2048)] = 108755,
  [SMALL_STATE(2049)] = 108769,
  [SMALL_STATE(2050)] = 108783,
  [SMALL_STATE(2051)] = 108797,
  [SMALL_STATE(2052)] = 108811,
  [SMALL_STATE(2053)] = 108825,
  [SMALL_STATE(2054)] = 108839,
  [SMALL_STATE(2055)] = 108853,
  [SMALL_STATE(2056)] = 108867,
  [SMALL_STATE(2057)] = 108881,
  [SMALL_STATE(2058)] = 108895,
  [SMALL_STATE(2059)] = 108909,
  [SMALL_STATE(2060)] = 108923,
  [SMALL_STATE(2061)] = 108937,
  [SMALL_STATE(2062)] = 108947,
  [SMALL_STATE(2063)] = 108961,
  [SMALL_STATE(2064)] = 108975,
  [SMALL_STATE(2065)] = 108989,
  [SMALL_STATE(2066)] = 109003,
  [SMALL_STATE(2067)] = 109017,
  [SMALL_STATE(2068)] = 109031,
  [SMALL_STATE(2069)] = 109045,
  [SMALL_STATE(2070)] = 109059,
  [SMALL_STATE(2071)] = 109069,
  [SMALL_STATE(2072)] = 109083,
  [SMALL_STATE(2073)] = 109095,
  [SMALL_STATE(2074)] = 109109,
  [SMALL_STATE(2075)] = 109121,
  [SMALL_STATE(2076)] = 109135,
  [SMALL_STATE(2077)] = 109149,
  [SMALL_STATE(2078)] = 109163,
  [SMALL_STATE(2079)] = 109177,
  [SMALL_STATE(2080)] = 109191,
  [SMALL_STATE(2081)] = 109205,
  [SMALL_STATE(2082)] = 109219,
  [SMALL_STATE(2083)] = 109233,
  [SMALL_STATE(2084)] = 109247,
  [SMALL_STATE(2085)] = 109261,
  [SMALL_STATE(2086)] = 109275,
  [SMALL_STATE(2087)] = 109289,
  [SMALL_STATE(2088)] = 109301,
  [SMALL_STATE(2089)] = 109315,
  [SMALL_STATE(2090)] = 109329,
  [SMALL_STATE(2091)] = 109343,
  [SMALL_STATE(2092)] = 109357,
  [SMALL_STATE(2093)] = 109371,
  [SMALL_STATE(2094)] = 109385,
  [SMALL_STATE(2095)] = 109399,
  [SMALL_STATE(2096)] = 109413,
  [SMALL_STATE(2097)] = 109427,
  [SMALL_STATE(2098)] = 109441,
  [SMALL_STATE(2099)] = 109455,
  [SMALL_STATE(2100)] = 109469,
  [SMALL_STATE(2101)] = 109483,
  [SMALL_STATE(2102)] = 109497,
  [SMALL_STATE(2103)] = 109511,
  [SMALL_STATE(2104)] = 109525,
  [SMALL_STATE(2105)] = 109539,
  [SMALL_STATE(2106)] = 109553,
  [SMALL_STATE(2107)] = 109565,
  [SMALL_STATE(2108)] = 109577,
  [SMALL_STATE(2109)] = 109589,
  [SMALL_STATE(2110)] = 109603,
  [SMALL_STATE(2111)] = 109615,
  [SMALL_STATE(2112)] = 109629,
  [SMALL_STATE(2113)] = 109643,
  [SMALL_STATE(2114)] = 109657,
  [SMALL_STATE(2115)] = 109671,
  [SMALL_STATE(2116)] = 109685,
  [SMALL_STATE(2117)] = 109699,
  [SMALL_STATE(2118)] = 109713,
  [SMALL_STATE(2119)] = 109727,
  [SMALL_STATE(2120)] = 109741,
  [SMALL_STATE(2121)] = 109755,
  [SMALL_STATE(2122)] = 109769,
  [SMALL_STATE(2123)] = 109783,
  [SMALL_STATE(2124)] = 109795,
  [SMALL_STATE(2125)] = 109809,
  [SMALL_STATE(2126)] = 109821,
  [SMALL_STATE(2127)] = 109835,
  [SMALL_STATE(2128)] = 109849,
  [SMALL_STATE(2129)] = 109861,
  [SMALL_STATE(2130)] = 109873,
  [SMALL_STATE(2131)] = 109887,
  [SMALL_STATE(2132)] = 109897,
  [SMALL_STATE(2133)] = 109911,
  [SMALL_STATE(2134)] = 109925,
  [SMALL_STATE(2135)] = 109939,
  [SMALL_STATE(2136)] = 109953,
  [SMALL_STATE(2137)] = 109963,
  [SMALL_STATE(2138)] = 109977,
  [SMALL_STATE(2139)] = 109989,
  [SMALL_STATE(2140)] = 110003,
  [SMALL_STATE(2141)] = 110017,
  [SMALL_STATE(2142)] = 110031,
  [SMALL_STATE(2143)] = 110045,
  [SMALL_STATE(2144)] = 110059,
  [SMALL_STATE(2145)] = 110073,
  [SMALL_STATE(2146)] = 110087,
  [SMALL_STATE(2147)] = 110101,
  [SMALL_STATE(2148)] = 110115,
  [SMALL_STATE(2149)] = 110129,
  [SMALL_STATE(2150)] = 110141,
  [SMALL_STATE(2151)] = 110155,
  [SMALL_STATE(2152)] = 110169,
  [SMALL_STATE(2153)] = 110181,
  [SMALL_STATE(2154)] = 110195,
  [SMALL_STATE(2155)] = 110209,
  [SMALL_STATE(2156)] = 110219,
  [SMALL_STATE(2157)] = 110233,
  [SMALL_STATE(2158)] = 110247,
  [SMALL_STATE(2159)] = 110261,
  [SMALL_STATE(2160)] = 110275,
  [SMALL_STATE(2161)] = 110289,
  [SMALL_STATE(2162)] = 110303,
  [SMALL_STATE(2163)] = 110317,
  [SMALL_STATE(2164)] = 110331,
  [SMALL_STATE(2165)] = 110345,
  [SMALL_STATE(2166)] = 110359,
  [SMALL_STATE(2167)] = 110373,
  [SMALL_STATE(2168)] = 110387,
  [SMALL_STATE(2169)] = 110401,
  [SMALL_STATE(2170)] = 110415,
  [SMALL_STATE(2171)] = 110429,
  [SMALL_STATE(2172)] = 110441,
  [SMALL_STATE(2173)] = 110455,
  [SMALL_STATE(2174)] = 110469,
  [SMALL_STATE(2175)] = 110483,
  [SMALL_STATE(2176)] = 110497,
  [SMALL_STATE(2177)] = 110511,
  [SMALL_STATE(2178)] = 110525,
  [SMALL_STATE(2179)] = 110537,
  [SMALL_STATE(2180)] = 110551,
  [SMALL_STATE(2181)] = 110565,
  [SMALL_STATE(2182)] = 110579,
  [SMALL_STATE(2183)] = 110593,
  [SMALL_STATE(2184)] = 110607,
  [SMALL_STATE(2185)] = 110621,
  [SMALL_STATE(2186)] = 110635,
  [SMALL_STATE(2187)] = 110649,
  [SMALL_STATE(2188)] = 110663,
  [SMALL_STATE(2189)] = 110673,
  [SMALL_STATE(2190)] = 110687,
  [SMALL_STATE(2191)] = 110701,
  [SMALL_STATE(2192)] = 110715,
  [SMALL_STATE(2193)] = 110729,
  [SMALL_STATE(2194)] = 110743,
  [SMALL_STATE(2195)] = 110757,
  [SMALL_STATE(2196)] = 110771,
  [SMALL_STATE(2197)] = 110783,
  [SMALL_STATE(2198)] = 110795,
  [SMALL_STATE(2199)] = 110809,
  [SMALL_STATE(2200)] = 110823,
  [SMALL_STATE(2201)] = 110837,
  [SMALL_STATE(2202)] = 110851,
  [SMALL_STATE(2203)] = 110865,
  [SMALL_STATE(2204)] = 110879,
  [SMALL_STATE(2205)] = 110893,
  [SMALL_STATE(2206)] = 110907,
  [SMALL_STATE(2207)] = 110921,
  [SMALL_STATE(2208)] = 110935,
  [SMALL_STATE(2209)] = 110949,
  [SMALL_STATE(2210)] = 110961,
  [SMALL_STATE(2211)] = 110975,
  [SMALL_STATE(2212)] = 110989,
  [SMALL_STATE(2213)] = 111003,
  [SMALL_STATE(2214)] = 111017,
  [SMALL_STATE(2215)] = 111031,
  [SMALL_STATE(2216)] = 111045,
  [SMALL_STATE(2217)] = 111059,
  [SMALL_STATE(2218)] = 111073,
  [SMALL_STATE(2219)] = 111085,
  [SMALL_STATE(2220)] = 111099,
  [SMALL_STATE(2221)] = 111108,
  [SMALL_STATE(2222)] = 111117,
  [SMALL_STATE(2223)] = 111126,
  [SMALL_STATE(2224)] = 111135,
  [SMALL_STATE(2225)] = 111144,
  [SMALL_STATE(2226)] = 111153,
  [SMALL_STATE(2227)] = 111162,
  [SMALL_STATE(2228)] = 111171,
  [SMALL_STATE(2229)] = 111180,
  [SMALL_STATE(2230)] = 111189,
  [SMALL_STATE(2231)] = 111198,
  [SMALL_STATE(2232)] = 111209,
  [SMALL_STATE(2233)] = 111218,
  [SMALL_STATE(2234)] = 111227,
  [SMALL_STATE(2235)] = 111238,
  [SMALL_STATE(2236)] = 111247,
  [SMALL_STATE(2237)] = 111256,
  [SMALL_STATE(2238)] = 111267,
  [SMALL_STATE(2239)] = 111276,
  [SMALL_STATE(2240)] = 111285,
  [SMALL_STATE(2241)] = 111294,
  [SMALL_STATE(2242)] = 111303,
  [SMALL_STATE(2243)] = 111312,
  [SMALL_STATE(2244)] = 111321,
  [SMALL_STATE(2245)] = 111330,
  [SMALL_STATE(2246)] = 111339,
  [SMALL_STATE(2247)] = 111348,
  [SMALL_STATE(2248)] = 111357,
  [SMALL_STATE(2249)] = 111366,
  [SMALL_STATE(2250)] = 111375,
  [SMALL_STATE(2251)] = 111384,
  [SMALL_STATE(2252)] = 111393,
  [SMALL_STATE(2253)] = 111402,
  [SMALL_STATE(2254)] = 111411,
  [SMALL_STATE(2255)] = 111420,
  [SMALL_STATE(2256)] = 111429,
  [SMALL_STATE(2257)] = 111438,
  [SMALL_STATE(2258)] = 111447,
  [SMALL_STATE(2259)] = 111456,
  [SMALL_STATE(2260)] = 111465,
  [SMALL_STATE(2261)] = 111474,
  [SMALL_STATE(2262)] = 111485,
  [SMALL_STATE(2263)] = 111494,
  [SMALL_STATE(2264)] = 111503,
  [SMALL_STATE(2265)] = 111512,
  [SMALL_STATE(2266)] = 111521,
  [SMALL_STATE(2267)] = 111530,
  [SMALL_STATE(2268)] = 111539,
  [SMALL_STATE(2269)] = 111548,
  [SMALL_STATE(2270)] = 111559,
  [SMALL_STATE(2271)] = 111568,
  [SMALL_STATE(2272)] = 111577,
  [SMALL_STATE(2273)] = 111586,
  [SMALL_STATE(2274)] = 111595,
  [SMALL_STATE(2275)] = 111604,
  [SMALL_STATE(2276)] = 111613,
  [SMALL_STATE(2277)] = 111622,
  [SMALL_STATE(2278)] = 111631,
  [SMALL_STATE(2279)] = 111642,
  [SMALL_STATE(2280)] = 111651,
  [SMALL_STATE(2281)] = 111660,
  [SMALL_STATE(2282)] = 111671,
  [SMALL_STATE(2283)] = 111680,
  [SMALL_STATE(2284)] = 111689,
  [SMALL_STATE(2285)] = 111698,
  [SMALL_STATE(2286)] = 111707,
  [SMALL_STATE(2287)] = 111716,
  [SMALL_STATE(2288)] = 111725,
  [SMALL_STATE(2289)] = 111734,
  [SMALL_STATE(2290)] = 111743,
  [SMALL_STATE(2291)] = 111754,
  [SMALL_STATE(2292)] = 111763,
  [SMALL_STATE(2293)] = 111772,
  [SMALL_STATE(2294)] = 111781,
  [SMALL_STATE(2295)] = 111790,
  [SMALL_STATE(2296)] = 111799,
  [SMALL_STATE(2297)] = 111808,
  [SMALL_STATE(2298)] = 111819,
  [SMALL_STATE(2299)] = 111828,
  [SMALL_STATE(2300)] = 111837,
  [SMALL_STATE(2301)] = 111846,
  [SMALL_STATE(2302)] = 111855,
  [SMALL_STATE(2303)] = 111864,
  [SMALL_STATE(2304)] = 111873,
  [SMALL_STATE(2305)] = 111882,
  [SMALL_STATE(2306)] = 111891,
  [SMALL_STATE(2307)] = 111900,
  [SMALL_STATE(2308)] = 111909,
  [SMALL_STATE(2309)] = 111918,
  [SMALL_STATE(2310)] = 111927,
  [SMALL_STATE(2311)] = 111936,
  [SMALL_STATE(2312)] = 111944,
  [SMALL_STATE(2313)] = 111952,
  [SMALL_STATE(2314)] = 111960,
  [SMALL_STATE(2315)] = 111968,
  [SMALL_STATE(2316)] = 111976,
  [SMALL_STATE(2317)] = 111984,
  [SMALL_STATE(2318)] = 111992,
  [SMALL_STATE(2319)] = 112000,
  [SMALL_STATE(2320)] = 112008,
  [SMALL_STATE(2321)] = 112016,
  [SMALL_STATE(2322)] = 112024,
  [SMALL_STATE(2323)] = 112032,
  [SMALL_STATE(2324)] = 112040,
  [SMALL_STATE(2325)] = 112048,
  [SMALL_STATE(2326)] = 112056,
  [SMALL_STATE(2327)] = 112064,
  [SMALL_STATE(2328)] = 112072,
  [SMALL_STATE(2329)] = 112080,
  [SMALL_STATE(2330)] = 112088,
  [SMALL_STATE(2331)] = 112096,
  [SMALL_STATE(2332)] = 112104,
  [SMALL_STATE(2333)] = 112112,
  [SMALL_STATE(2334)] = 112120,
  [SMALL_STATE(2335)] = 112128,
  [SMALL_STATE(2336)] = 112136,
  [SMALL_STATE(2337)] = 112144,
  [SMALL_STATE(2338)] = 112152,
  [SMALL_STATE(2339)] = 112160,
  [SMALL_STATE(2340)] = 112168,
  [SMALL_STATE(2341)] = 112176,
  [SMALL_STATE(2342)] = 112184,
  [SMALL_STATE(2343)] = 112192,
  [SMALL_STATE(2344)] = 112200,
  [SMALL_STATE(2345)] = 112208,
  [SMALL_STATE(2346)] = 112216,
  [SMALL_STATE(2347)] = 112224,
  [SMALL_STATE(2348)] = 112232,
  [SMALL_STATE(2349)] = 112240,
  [SMALL_STATE(2350)] = 112248,
  [SMALL_STATE(2351)] = 112256,
  [SMALL_STATE(2352)] = 112264,
  [SMALL_STATE(2353)] = 112272,
  [SMALL_STATE(2354)] = 112280,
  [SMALL_STATE(2355)] = 112288,
  [SMALL_STATE(2356)] = 112296,
  [SMALL_STATE(2357)] = 112304,
  [SMALL_STATE(2358)] = 112312,
  [SMALL_STATE(2359)] = 112320,
  [SMALL_STATE(2360)] = 112328,
  [SMALL_STATE(2361)] = 112336,
  [SMALL_STATE(2362)] = 112344,
  [SMALL_STATE(2363)] = 112352,
  [SMALL_STATE(2364)] = 112360,
  [SMALL_STATE(2365)] = 112368,
  [SMALL_STATE(2366)] = 112376,
  [SMALL_STATE(2367)] = 112384,
  [SMALL_STATE(2368)] = 112392,
  [SMALL_STATE(2369)] = 112400,
  [SMALL_STATE(2370)] = 112408,
  [SMALL_STATE(2371)] = 112416,
  [SMALL_STATE(2372)] = 112424,
  [SMALL_STATE(2373)] = 112432,
  [SMALL_STATE(2374)] = 112440,
  [SMALL_STATE(2375)] = 112448,
  [SMALL_STATE(2376)] = 112456,
  [SMALL_STATE(2377)] = 112464,
  [SMALL_STATE(2378)] = 112472,
  [SMALL_STATE(2379)] = 112480,
  [SMALL_STATE(2380)] = 112488,
  [SMALL_STATE(2381)] = 112496,
  [SMALL_STATE(2382)] = 112504,
  [SMALL_STATE(2383)] = 112512,
  [SMALL_STATE(2384)] = 112520,
  [SMALL_STATE(2385)] = 112528,
  [SMALL_STATE(2386)] = 112536,
  [SMALL_STATE(2387)] = 112544,
  [SMALL_STATE(2388)] = 112552,
  [SMALL_STATE(2389)] = 112560,
  [SMALL_STATE(2390)] = 112568,
  [SMALL_STATE(2391)] = 112576,
  [SMALL_STATE(2392)] = 112584,
  [SMALL_STATE(2393)] = 112592,
  [SMALL_STATE(2394)] = 112600,
  [SMALL_STATE(2395)] = 112608,
  [SMALL_STATE(2396)] = 112616,
  [SMALL_STATE(2397)] = 112624,
  [SMALL_STATE(2398)] = 112632,
  [SMALL_STATE(2399)] = 112640,
  [SMALL_STATE(2400)] = 112648,
  [SMALL_STATE(2401)] = 112656,
  [SMALL_STATE(2402)] = 112664,
  [SMALL_STATE(2403)] = 112672,
  [SMALL_STATE(2404)] = 112680,
  [SMALL_STATE(2405)] = 112688,
  [SMALL_STATE(2406)] = 112696,
  [SMALL_STATE(2407)] = 112704,
  [SMALL_STATE(2408)] = 112712,
  [SMALL_STATE(2409)] = 112720,
  [SMALL_STATE(2410)] = 112728,
  [SMALL_STATE(2411)] = 112736,
  [SMALL_STATE(2412)] = 112744,
  [SMALL_STATE(2413)] = 112752,
  [SMALL_STATE(2414)] = 112760,
  [SMALL_STATE(2415)] = 112768,
  [SMALL_STATE(2416)] = 112776,
  [SMALL_STATE(2417)] = 112784,
  [SMALL_STATE(2418)] = 112792,
  [SMALL_STATE(2419)] = 112800,
  [SMALL_STATE(2420)] = 112808,
  [SMALL_STATE(2421)] = 112816,
  [SMALL_STATE(2422)] = 112824,
  [SMALL_STATE(2423)] = 112832,
  [SMALL_STATE(2424)] = 112840,
  [SMALL_STATE(2425)] = 112848,
  [SMALL_STATE(2426)] = 112856,
  [SMALL_STATE(2427)] = 112864,
  [SMALL_STATE(2428)] = 112872,
  [SMALL_STATE(2429)] = 112880,
  [SMALL_STATE(2430)] = 112888,
  [SMALL_STATE(2431)] = 112896,
  [SMALL_STATE(2432)] = 112904,
  [SMALL_STATE(2433)] = 112912,
  [SMALL_STATE(2434)] = 112920,
  [SMALL_STATE(2435)] = 112928,
  [SMALL_STATE(2436)] = 112936,
  [SMALL_STATE(2437)] = 112944,
  [SMALL_STATE(2438)] = 112952,
  [SMALL_STATE(2439)] = 112960,
  [SMALL_STATE(2440)] = 112968,
  [SMALL_STATE(2441)] = 112976,
  [SMALL_STATE(2442)] = 112984,
  [SMALL_STATE(2443)] = 112992,
  [SMALL_STATE(2444)] = 113000,
  [SMALL_STATE(2445)] = 113008,
  [SMALL_STATE(2446)] = 113016,
  [SMALL_STATE(2447)] = 113024,
  [SMALL_STATE(2448)] = 113032,
  [SMALL_STATE(2449)] = 113040,
  [SMALL_STATE(2450)] = 113048,
  [SMALL_STATE(2451)] = 113056,
  [SMALL_STATE(2452)] = 113064,
  [SMALL_STATE(2453)] = 113072,
  [SMALL_STATE(2454)] = 113080,
  [SMALL_STATE(2455)] = 113088,
  [SMALL_STATE(2456)] = 113096,
  [SMALL_STATE(2457)] = 113104,
  [SMALL_STATE(2458)] = 113112,
  [SMALL_STATE(2459)] = 113120,
  [SMALL_STATE(2460)] = 113128,
  [SMALL_STATE(2461)] = 113136,
  [SMALL_STATE(2462)] = 113144,
  [SMALL_STATE(2463)] = 113152,
  [SMALL_STATE(2464)] = 113160,
  [SMALL_STATE(2465)] = 113168,
  [SMALL_STATE(2466)] = 113176,
  [SMALL_STATE(2467)] = 113184,
  [SMALL_STATE(2468)] = 113192,
  [SMALL_STATE(2469)] = 113200,
  [SMALL_STATE(2470)] = 113208,
  [SMALL_STATE(2471)] = 113216,
  [SMALL_STATE(2472)] = 113224,
  [SMALL_STATE(2473)] = 113232,
  [SMALL_STATE(2474)] = 113240,
  [SMALL_STATE(2475)] = 113248,
  [SMALL_STATE(2476)] = 113256,
  [SMALL_STATE(2477)] = 113264,
  [SMALL_STATE(2478)] = 113272,
  [SMALL_STATE(2479)] = 113280,
  [SMALL_STATE(2480)] = 113288,
  [SMALL_STATE(2481)] = 113296,
  [SMALL_STATE(2482)] = 113304,
  [SMALL_STATE(2483)] = 113312,
  [SMALL_STATE(2484)] = 113320,
  [SMALL_STATE(2485)] = 113328,
  [SMALL_STATE(2486)] = 113336,
  [SMALL_STATE(2487)] = 113344,
  [SMALL_STATE(2488)] = 113352,
  [SMALL_STATE(2489)] = 113360,
  [SMALL_STATE(2490)] = 113368,
  [SMALL_STATE(2491)] = 113376,
  [SMALL_STATE(2492)] = 113384,
  [SMALL_STATE(2493)] = 113392,
  [SMALL_STATE(2494)] = 113400,
  [SMALL_STATE(2495)] = 113408,
  [SMALL_STATE(2496)] = 113416,
  [SMALL_STATE(2497)] = 113424,
  [SMALL_STATE(2498)] = 113432,
  [SMALL_STATE(2499)] = 113440,
  [SMALL_STATE(2500)] = 113448,
  [SMALL_STATE(2501)] = 113456,
  [SMALL_STATE(2502)] = 113464,
  [SMALL_STATE(2503)] = 113472,
  [SMALL_STATE(2504)] = 113480,
  [SMALL_STATE(2505)] = 113488,
  [SMALL_STATE(2506)] = 113496,
  [SMALL_STATE(2507)] = 113504,
  [SMALL_STATE(2508)] = 113512,
  [SMALL_STATE(2509)] = 113520,
  [SMALL_STATE(2510)] = 113528,
  [SMALL_STATE(2511)] = 113536,
  [SMALL_STATE(2512)] = 113544,
  [SMALL_STATE(2513)] = 113552,
  [SMALL_STATE(2514)] = 113560,
  [SMALL_STATE(2515)] = 113568,
  [SMALL_STATE(2516)] = 113576,
  [SMALL_STATE(2517)] = 113584,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(634),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1994),
  [131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1827),
  [134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(203),
  [137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(929),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(63),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(453),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(320),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(426),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(309),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2223),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2224),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2229),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(492),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(65),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(372),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(771),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(505),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2503),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(403),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2502),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2501),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2500),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(390),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2499),
  [200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(539),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(175),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(550),
  [209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(943),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1649),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(316),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1272),
  [221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(194),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1272),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(66),
  [230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1702),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(533),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(64),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(369),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(753),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(598),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2485),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(362),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2507),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2487),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(269),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1), REDUCE(sym_primary_expression, 1, .production_id = 1),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(945),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, .production_id = 1),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(274),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(550),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(943),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, .production_id = 5),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_list_splat_pattern, 2, .production_id = 5),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, .production_id = 5),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_list_splat_pattern, 2, .production_id = 5),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, .production_id = 5),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 95),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 95),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 94),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 94),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, .production_id = 78),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 78),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, .production_id = 103),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, .production_id = 103),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 14),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .dynamic_precedence = -1, .production_id = 15),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .dynamic_precedence = -1, .production_id = 6),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 63),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 63),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1), REDUCE(sym_primary_expression, 1),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 71),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 71),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2),
  [1383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_list_splat_pattern, 2),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_list_splat_pattern, 2),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 56),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 56),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [1403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2), REDUCE(sym_tuple, 2),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 57),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 57),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 82),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 82),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 37),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 37),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2),
  [1430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2), SHIFT_REPEAT(564),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(423),
  [1440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2), SHIFT_REPEAT(572),
  [1443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(414),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2), REDUCE(sym_list, 2),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 71),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 71),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 2),
  [1467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1), REDUCE(sym_primary_expression, 1, .production_id = 2),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 2),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 80),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 80),
  [1480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 80), SHIFT_REPEAT(467),
  [1483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 80), SHIFT_REPEAT(534),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, .production_id = 101),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, .production_id = 101),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, .production_id = 118),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, .production_id = 118),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, .production_id = 118),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, .production_id = 118),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, .production_id = 101),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, .production_id = 101),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, .production_id = 89),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, .production_id = 89),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 97),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 97),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 108),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 108),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 62),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 62),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, .production_id = 57),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, .production_id = 57),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 54),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 54),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 63),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 63),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 100),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 100),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 87),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 87),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, .production_id = 37),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, .production_id = 37),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, .production_id = 63),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, .production_id = 63),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 109),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 109),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 39),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 39),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 59),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 59),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 117),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 117),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 116),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 116),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 111),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 111),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 110),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 110),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 107),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 107),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 102),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 102),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, .production_id = 12),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, .production_id = 12),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, .production_id = 63),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, .production_id = 63),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 67),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 67),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 99),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 99),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 98),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 98),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 96),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 96),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 66),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 66),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 91),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 91),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 90),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 90),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 58),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 58),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, .production_id = 89),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, .production_id = 89),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 88),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 88),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 86),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 86),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 85),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 85),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, .production_id = 84),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, .production_id = 84),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, .production_id = 83),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, .production_id = 83),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 81),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 81),
  [1788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 79),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 79),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 65),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 65),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 64),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 64),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 61),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 61),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1715),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1702),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1697),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 50),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 50),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1711),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 9),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 9),
  [2134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1707),
  [2137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1706),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, .production_id = 11),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, .production_id = 11),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [2178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(884),
  [2181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2315),
  [2184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(884),
  [2187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(851),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [2204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(900),
  [2207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2316),
  [2210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(900),
  [2213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(853),
  [2216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1713),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(860),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2469),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(860),
  [2288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(854),
  [2291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1699),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 46),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 4, .production_id = 46),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(459),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 17),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, .production_id = 17),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [2351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, .production_id = 10),
  [2363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, .production_id = 10),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(485),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, .production_id = 33),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, .production_id = 33),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 34),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 34),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, .production_id = 34),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, .production_id = 34),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, .production_id = 6),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, .production_id = 6),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [2406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, .production_id = 34),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, .production_id = 34),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, .production_id = 34),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, .production_id = 34),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, .production_id = 33),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, .production_id = 33),
  [2420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(928),
  [2423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2452),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(928),
  [2429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(855),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, .production_id = 33),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, .production_id = 33),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [2440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(875),
  [2443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2359),
  [2446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(875),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(858),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(968),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2336),
  [2458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(968),
  [2461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(856),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(612),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(430),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(545),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(512),
  [2508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(869),
  [2511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2414),
  [2514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(869),
  [2517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(852),
  [2520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(903),
  [2523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2468),
  [2526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(903),
  [2529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(857),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(434),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(515),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(623),
  [2565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(844),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(843),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = 1, .production_id = 7), SHIFT(281),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(207),
  [2829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1831),
  [2832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1831),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(452),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(447),
  [2865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(484),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, .dynamic_precedence = -1, .production_id = 6),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [2924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(470),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [2959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(531),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, .production_id = 8),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 47),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(442),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2512),
  [3006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(810),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [3025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(595),
  [3028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2491),
  [3031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(782),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(585),
  [3043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2515),
  [3046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(768),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 6),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(521),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 70),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(633),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2),
  [3089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2), SHIFT_REPEAT(1830),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2), SHIFT_REPEAT(1830),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2),
  [3097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 18),
  [3121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(374),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(845),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [3135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2416),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, .production_id = 36),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, .production_id = 26),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, .production_id = 26),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 38),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(618),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 104),
  [3163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(359),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 18),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, .production_id = 16),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 103),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = 1, .production_id = 7),
  [3178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(399),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 95),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 94),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, .production_id = 93),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, .production_id = 93),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 92),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, .production_id = 26),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, .production_id = 26),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 69),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [3207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(539),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, .production_id = 78),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, .production_id = 52),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, .production_id = 52),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, .production_id = 75),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, .production_id = 75),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, .production_id = 74),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, .production_id = 74),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, .production_id = 73),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, .production_id = 73),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, .production_id = 53),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, .production_id = 53),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 46),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, .production_id = 13),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 17),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, .production_id = 4),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(208),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [3325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(1939),
  [3328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2442),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 4),
  [3353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(501),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .dynamic_precedence = -1, .production_id = 15),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3),
  [3398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 14),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [3412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(2439),
  [3415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 106), SHIFT_REPEAT(561),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 106),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [3430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(1981),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 13),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [3439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, .production_id = 80), SHIFT_REPEAT(475),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, .production_id = 80),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [3450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 35),
  [3458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 35), SHIFT_REPEAT(466),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, .production_id = 8),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28),
  [3479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28), SHIFT_REPEAT(2126),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(596),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(599),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(584),
  [3533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(132),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(846),
  [3543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 72), SHIFT_REPEAT(365),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 72),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 40), SHIFT_REPEAT(479),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 40),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(277),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(305),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(304),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, .production_id = 29),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, .production_id = 8),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(409),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 19),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(848),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [3744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1663),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, .production_id = 51),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, .production_id = 51),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, .production_id = 45),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(417),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [3800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(847),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(333),
  [3816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(301),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28), SHIFT_REPEAT(2118),
  [3876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2343),
  [3879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1662),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 122),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [3908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 121),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, .production_id = 33),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 120),
  [3922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 119),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 115),
  [3926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, .production_id = 3),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 114),
  [3930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 113),
  [3932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 112),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 105),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, .production_id = 129),
  [3938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 124),
  [3940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, .production_id = 77),
  [3942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, .production_id = 76),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 125),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 126),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 127),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 128),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, .production_id = 33),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 32),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, .production_id = 68),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 31),
  [3980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, .production_id = 30),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, .production_id = 54),
  [3988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 20),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, .production_id = 21),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 123),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4312] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
